﻿define([
	"dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-style",
    "dojo/dom-construct",
    "bob/BoBase",
    "./_Mixin",
    "cq/util/edit/overlay",
    "dojo/query"
],function(declare, lang, domStyle, domConstruce, BoBase, _Mixin, overlay, query){
	var materialBo = declare("", [BoBase.C, _Mixin], {
        getListUrl:function(){
            return this.getBaseUrl() + '/load?shopId='+this.getShopId();
        },
        getListParam:function(params){
            // this.tag = params.sort||{};
            var param = {tag:0,isUse:false};
            var tag = [];
            if(params.tag1&&params.tag1._id){
                tag.push(params.tag1._id);
            }
            if(params.tag2&&params.tag2._id){
                tag.push(params.tag2._id);
            }
            if(params.tag3&&params.tag3._id){
                tag.push(params.tag3._id);
            }
            if(tag.length > 0){
                param.tag = tag;
            }
            return param;
        },
        getWaterfallItem:function(item){
            var tags = "";
            for(var index = 0;index < (item.tags&&item.tags.length||0);index++){
                tags += item.tags[index].tag + ",";
            }
            item.tags = tags.substr(0, tags.length-1);
            return item;
        },
        onListClick:function(params){
            window.moveToView("corpussaying", params._id);
        },
        addCorpussaying:function(){
            window.moveToView("corpussaying");
        },
        save:function(params, widget){
            var tags = [];
            for(var index = 0;index < params.tags.length;index++){
                tags[index] = params.tags[index]._id;
            }
            params.tags = tags;
            this.exec("save", params).then(function(result){
                if(result&&result.data&&result.data.ok==1){
                    alert("保存成功");
                    window.history.back();
                }else{
                    alert("保存失败");
                }
            });
        },
        onDataReady:function(widget){
            
        },
        getEdtLayout:function(){
            return [{
                type:"form",
                fields:this.getFormItems([
                    "author","save","text","tags","isUse"
                ],true)
            }];
        },
        loadById:function(){
            var did = window.location.hash.split("-")[1];
            if(did){
                return this.exec("loadById", {
                    shopId:this.getShopId(),
                    id:did
                }).then(function(result){
                    return result&&result.data&&result.data.item||{};
                });
            }else{
                return {};
            }
        }
    });
	var MaterialBo = new materialBo();
	MaterialBo.Bo = materialBo;
    return MaterialBo;
});