﻿//订单系统公共基类
// 1、提供订单系统的基本属性
// 2、提供公用的方法
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName:"article/notice",
        //字段名
        fields:{
            logo : {
                type : 'image',
                label : "主题图片"
            },
            code : {
                type : 'text',
                label : '公告编码'//,
                //notNull : true
            },
            title : {
                type : 'text',
                label : '标题',
                notNull : true
            },
            brief : {
                type : 'textarea',
                label : '摘要'
            },
            content : {
                type:'richText',
                label : '内容',
                notNull : true
            },
            isUse : {
                type : 'checkbox',
                label : '使用',
                selected : true
            }
        }
    });
});
