﻿
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName:"article/t/recommendRoute",
        fields:{
            recommend:{
                type:"richText",
                label:"推荐理由",
                notNull: true
            },
            logo:{
                type: 'image',
				label: 'LOGO',
                sizeType: "cut",
                size: {
                    width: 750,
                    height: 288
                },
                notNull: true
            },
            routeId : {
                type : "ref",
                label : "选择路线",
                dataProvider : "bob/article/tRoute/b",
                targetMethod : "getListUrl",
                labelFields : "routeName",
                searchField : "routeName",
                canEdit : true,
                pageSize : 10,
				//query: {
				//	isUse: true,
				//	qty:1
				//},
                //multiselect : "multiselect",
                //setRightTextMethod: "setRight",
                notNull: true
            },
            "routeId.routeName": {
                type: "text",
                label: "推荐路线"
            }
        },
        loadById:function(params){
            // summary:
            //        录入景点的
            // view:
            //         newsGroupB
            // description:
            //         无
            if (!(params&&params.cqViewParam&&params.cqViewParam.params)) {
                return;
            }
            return this.exec("loadById",{
                _id:params.cqViewParam.params
            });
        },
        //加载条件
        getListParam:function(params){
            var query = {};
            if(params.search){
                query.search = params.search;
            }
            return query;
        },
        getListUrl:function(){
            return this.getBaseUrl() + '/load?shopId='+this.getShopId();
        }
    });
});
