﻿
define([
    "dojo/_base/declare",
    "dojo/_base/lang"
], function (declare,lang) {
    return declare("",null,{
        modalName:"article/bs/schoolClass",
        fields:{
            title:{
                type:"text",
                label:"主题",
                notNull: true
            },
            logo:{
                type: 'image',
				label: 'LOGO',
                sizeType: "cut",
                size: {
                    width: 640,
                    height: 640
                }
            },
            address:{
                type:"text",
                label:"授课地址",
                notNull: true
            },
            teacher:{
                type:"text",
                label:"主讲人",
                notNull: true
            },
            startDate:{
                type:"dateTime",
                label:"讲堂开始日期",
                notNull: true
            },
            endDate:{
                type:"dateTime",
                label:"讲堂结束日期",
                notNull: true
            },
            endSignDate:{
                type:"dateTime",
                label:"报名截止日期",
                notNull: true
            },
            startSignDate:{
                type:"dateTime",
                label:"报名开始日期",
                notNull: true
            },
            content:{
                type:"richText",
                label:"课程简介",
                notNull: true
            },
            isUse:{
                type: "checkbox",
                label: "是否使用",
            }

        },
        loadById:function(params){
            // summary:
            //        录入景点的
            // view:
            //         classRoomEdt
            // description:
            //         无
            if (!(params&&params.cqViewParam&&params.cqViewParam.params)) {
                return;
            }
            return this.exec("loadById",{
                _id:params.cqViewParam.params
            });
        },
        //加载条件
        getListParam:function(params){
            var query = {};
            if(params.search){
                query.search = params.search;
            }
            return query;
        },
        onListClick:function(item){
            window.moveToView("classRoomEdt",item._id);
        },
        getListUrl:function(){
            return this.getBaseUrl() + '/load?shopId='+this.getShopId();
        }
    });
});
