﻿define([
	"dojo/_base/declare",
    "dojo/_base/lang",
    "cq/util/config/config",
    "../../BoBase",
    "./_Mixin",
    "dojo/_base/array"
],function(declare, lang, config, BoBase, _Mixin,array){
	var SchoolClassBBo = declare("", [BoBase.B, _Mixin], {
        fields:{
            onSave:{
                type: 'button',
                label: '保存',
                action: 'onSave'
            }
        },
        getEdtLayout:function(){
            // summary:
            //        录入讲堂的layout
            // view:
            //         classRoomEdt
            // description:
            //         无
            return [{
                type : "form",
                fields : this.getFormItems(["logo","title","teacher","startSignDate","endSignDate",
                "startDate","endDate","content", "address","isUse","onSave"], true)
            }];
        },
        loadById:function(params){
            // summary:
            //        
            // view:
            //         classRoomEdt
            // description:
            //         无
            if (!(params&&params.cqViewParam&&params.cqViewParam.params)) {
                return;
            }
            return this.exec("loadById",{
                _id:params.cqViewParam.params
            }).then(lang.hitch(this,function(result){
                if(result&&result.data&&result.data.item){
                    return result&&result.data&&result.data.item||{};
                }
            }));
        },
        onSave:function(data){
            var msg = this.getDataValidMsg(data, ["logo","title","teacher","startSignDate","endSignDate","address",
                "startDate","endDate","content"]);
			if (msg) {
				alert(msg);
				return;
			}
            window.busy();
            this.exec("save",data).then(lang.hitch(this,function(result){
                window.free();
                if(result&&result.data&&result.data.ok){
                    alert("讲堂保存成功");
                    history.back();
                }else{
                    alert(result && result.data && result.data.message || "讲堂保存失败");
                }
            }));
        },
    });
	var schoolClassBBo = new SchoolClassBBo();
	schoolClassBBo.Bo = SchoolClassBBo;
    return schoolClassBBo;
});
