﻿//订单系统公共基类
// 1、提供订单系统的基本属性
// 2、提供公用的方法
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName: "article/section",
        fields:{
            title:{
                type:"text",
                label:"标题",
                canEdit:"true",
                notNull: true
            },
            sectionType: {
                type: "options",
                label: "类型",
                options : {
                    1: "一级栏目",
                    2: "资讯栏目",
                    3: "商品栏目",
                    4: "打开网页",
                    5: "自动回复",
                    6: "会员服务"
                } 
            },
			sectionTypeForSub:{
                type: "options",
                label: "类型",
                options : {
                    //1: "一级栏目",
                    2: "资讯栏目",
                    3: "商品栏目",
                    4: "打开网页",
                    5: "自动回复",
                    6: "会员服务"
                } 
            },
            groupId: {
                label: '品类',
				type: 'ref',
				dataProvider: 'bob/mat/group',
				targetMethod: 'getGroupUrl',
				searchField: 'gName',
				labelFields: 'gName',
				query: {
					isUse: true
				}
            },
            arId: {
                label: '自动回复',
				type: 'ref',
				dataProvider: 'bob/article/autoReply/b',
				targetMethod: 'getListUrl',
				searchField: 'keyword',
				labelFields: 'keyword',
				query: {
					isUse: true
				}
            },
            targetPath: {
                label: "网址",
                type: "text"
            },
            svcType: {
                label: "会员服务",
                type: "options",
                options: {
                    1: "我的账户",
                    2: "我的订单",
                    3: "我的收入",
                    4: "我的二维码"//,
                    //5: "附近商家"
                }
            },
            save:{
                type:"button",
                label:"保存",
                action:"save"
            }
        }
    });
});
