define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "cq/util/config/config",
    '../../BoBase',
    "./_Mixin",
    'cq/util/sys/query'
], function (declare,lang,config, BoBase,_Mixin, query) {
    var ServiceArticleBo = declare("", [BoBase.C, _Mixin], {
        //   列表加载数据url
        getArticleListPlatUrl:function(){
            return this.getBaseUrl()+"/loadForStation?";
        },
        //  列表筛选条件
        getSearchListPlatQuery:function(params){
            var shopId = this.getShopId();
            if(params&&params.cqViewParam&&params.cqViewParam.params){
                shopId = params.cqViewParam.params;
            }
            var query = {};
            query.shopId = shopId;
            query.platformShopId = this.getPlatformShopId();
            if(params.search){
                query.title = params.search;
            }
			if(params.serviceType){
				query.serviceType = params.serviceType._id;
			}
            return query;
        },
        //  详情从平台加载数据
        loadByIdFromPlat: function(parms){
            if(parms&&parms.cqViewParam&&parms.cqViewParam.params){
                return this.exec("loadByIdFromPlat", {
                    _id: parms.cqViewParam.params,
					platformShopId:this.getPlatformShopId()
                }).then(lang.hitch(this, function(result){
                    return result.data.item;
                }));
            }else{
                return {};
            }
        },
        getArticleListLayoutForF:function(){
            return this.getFormItems(["title"],false);
        },
        getItemPropForF:function(data){
            return {
                label: "<a href='#serviceArticleDtl-"+data._id+"'>"+data.title+"</a>"
            };
            
        }

    });
    var serviceArticleBo = new ServiceArticleBo();
    serviceArticleBo.Bo = ServiceArticleBo;
    return serviceArticleBo;
});