﻿
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName:"article/t/travleTag",
        fields:{
            tag:{
                type:"text",
                label:"标签名称",
                notNull: true
            },
            type:{
                type: "options",
                label: "类别",
                options: {
                    0: "功能",
                    1: "产品",
                    2: "季节"
                },
                canEdit: true
            },
            num:{
                type:"number",
                label:"权重",
                canEdit:true
            }
        },
        //加载条件
        getListParam:function(params){
            var query = {};
            if(params.search){
                query.search = params.search;
            }
            
            return query;
        },
        getListUrl:function(){
            return this.getBaseUrl() + '/load?shopId='+this.getShopId();
        }
    });
});
