﻿define([
	"dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-style",
    "dojo/dom-class",
    "dojo/dom-construct",
    "bob/BoBase",
    "./_Mixin",
    "cq/util/edit/overlay",
    "dojo/query",
    "bob/user/consumer",
    "dojo/topic"
],function(declare, lang, domStyle, domClass, domConstruce, BoBase, _Mixin, overlay, query, consumer, topic){
	var materialBo = declare("", [BoBase.C, _Mixin], {
        getListUrl:function(){
            return this.getBaseUrl() + '/load?shopId='+this.getShopId();
        },
        getBgImages:function(params){
            return this.exec("load", {
                shopId:this.getShopId(),
                tag:params.tag&&params.tag.length&&params.tag||0,
                start:params.start,
                count:params.count,
                isUse:true,
                userId:consumer.getCurrentUserId(),
                isPublic:true
            });
        },
        getListParam:function(params){
            var param = {tag:0,isUse:true};
            var tag = [];
            if(params.tag1&&params.tag1._id){
                tag.push(params.tag1._id);
            }
            if(params.tag2&&params.tag2._id){
                tag.push(params.tag2._id);
            }
            if(params.tag3&&params.tag3._id){
                tag.push(params.tag3._id);
            }
            if(tag.length > 0){
                param.tag = tag;
            }
            param.isUse = true;
            return param;
        },
        getWaterfallItem:function(item){
            return item;
        },
        onMListClick:function(params){
            window.moveToView("addMaterial", params._id);
        },
        onListClick:function(){
            console.log(arguments);
        },
        addMaterial:function(){
            window.moveToView("addMaterial");
        },
        save:function(params, widget){
            var tags = [];
            for(var index = 0;index < params.tags.length;index++){
                tags[index] = params.tags[index]._id||params.tags[index];
            }
            params.tags = tags;
            params.userId = consumer.getCurrentUserId();
            this.exec("save", params).then(function(result){
                if(result&&result.data&&result.data.ok==1){
                    alert("保存成功");
                }else{
                    alert("保存失败");
                }
            });
        },
        save1:function(params, widget){
            var tags = [];
            for(var index = 0;index < params.tags.length;index++){
                tags[index] = params.tags[index]._id;
            }
            params.tags = tags;
            params.userId = consumer.getCurrentUserId();
            return this.exec("save", params).then(function(result){
                if(result&&result.data&&result.data.ok==1){
                    window.history.back();
                    topic.publish("userImage/material/addMaterial", result.data.item);
                    return result.data.item;
                }else{
                    alert("保存失败");
                }
            });
        },
        getEdtLayout:function(){
            return [{
                type:"form",
                fields:this.getFormItems([
                    "bgSrc","save","tags","isUse","isPublic"
                ],true)
            }];
        },
        getEdtLayout1:function(){
            return [{
                type:"form",
                fields:this.getFormItems([
                    "bgSrc","save1","tags","isUse","isPublic"
                ],true)
            }];
        },
        loadById:function(params){
            var id = window.location.hash.split("-")[1];
            if(id){
                return this.exec("loadById", {
                    shopId:this.getShopId(),
                    id:id
                }).then(function(result){
                    return result&&result.data&&result.data.item||{};
                });
            }
        }
    });
	var MaterialBo = new materialBo();
	MaterialBo.Bo = materialBo;
    return MaterialBo;
});
