﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "./_Mixin",
    "../../BoBase"
],function(declare,lang,_Mixin,BoBase){
    var O = declare("",[BoBase.B,_Mixin],{
        //对话界面viewId
        svcDetailView:"svcDetailB",
        //getMsgCount:function(){
        //    return this.defTest({});
        //},
        //消费者端的联系客服，可以用于商品处联系客服和消费者首页联系客服
        toShopSvc:function(targetShopId){
            window.busy();
            if(targetShopId&&targetShopId._id){
                targetShopId = targetShopId._id;
            }
            if("string"!==typeof(targetShopId)){
                targetShopId = "";
            }
            var def = null;
            if(targetShopId&&targetShopId!==this.getShopId()){
                //B2B销售依据商品咨询供货商
                def = shop.loadByIdFromPlt(targetShopId).then(function(data){
                    return data&&data.svcId&&data.svcId._id?{
                        targetUserId:data.data.item.svcId._id,
                        _id:data.data.item._id
                    }:{
                        message:"没有设置客服"
                    };
                });
            }else{
                //商家咨询客服
                def = shop.loadMe().then(function(data){
                    return data?{
                        data:{
                            _id:data._id,
                            targetUserId:data.platformResponsible
                        }
                    }:{
                        message:"没有客服人员,请与平台联系"
                    };
                });
            }
            def.then(lang.hitch(this,function(data){
                window.free();
                if(data&&data.targetUserId){
                    this.msgTo(data.targetUserId,data._id);
                }else{
                    alert(data.message);
                }
            }));
        }
    });
    return new O();
});