﻿define([
    "dojo/_base/declare",
    "cq/util/sys/date"
], function (declare, date) {
    return declare("",null,{
        modalName:"im/sys_msg",
        //字段名
        fields: {
            content: {
				type: 'text',
				label: '消息内容'
			},
            sendTime2: {
                type: "text"
            },
            sendTime: {
                type: "dateTime",
                label: "发送时间"
            },
            //未读消息的数量
            msgCount:{
                type:'text',
                label:'未读消息',
                canEdit:false
            },
            //最后一条未读消息的具体内容
            lastMsg:{
                type:'text',
                label:'最新消息',
                canEdit:false
            },
            //最后一条未读消息的事件
            lastMsgTime:{
                type:'text',
                label:'时间',
                canEdit:false
            },
            //msgList里面每条数据显示的内容
            msgContent:{
                type:'text',
                label:'消息',
                canEdit:false
            },
            //包含点击跳转页面的信息
            moveTo:{
                type:'text',
                label:'跳转页面',
                canEdit:false
            },
            //消息的创建时间
            createAt:{
                type:'dateTime',
                label:'创建时间',
                canEdit:false
            }
        },
        
        //未读消息数量相关接口
        //只需要加载各种类型上次点击之后受到的消息的数量即可
        /*getMsgNum:function(cqRefInfo,widget,options){
            var msgTypes = options&&options.msgTypes||[];
            var typeInfo = {},len = msgTypes.length;
            while(len--){
                typeInfo[msgTypes[len]] = localStorage.getItem(this.getShopId()+"-msg"+msgTypes[len])||"";
            }
            return this.exec("getMsgNum",{
                typeInfo:typeInfo
            });
        },
        //清空消息数量，再次读取时读取现在之后的消息
        clearMsgNum:function(type){
            localStorage.setItem(this.getShopId()+"-msg"+type,(new Date).toISOString());
        },*/
        //固定消息详情列表动态数据的加载的url        
        getListUrl:function(){
            return this.getBaseUrl()+"/loadByType";
        },
        //固定消息详情列表动态数据的处理函数
        getItemProp:function(data){
            data.sendTime2 = date.getTimeMoment(data.sendTime);
            return data;
        },
        //列表点击事件
        onListClick:function(e){
            if(e&&e.moveTo){
                window.moveToView(e.moveTo,e.param||'');
            }
        },
        //固定消息详情列表顶部label获取方法
        getTitleLabel:function(cqRefInfo){
            var cqRefInfo = cqRefInfo.cqRefInfo||cqRefInfo;
            var cqViewParam = cqRefInfo.cqViewParam||{};
            if(cqViewParam.params=='1'){
                return {
                    labelField:'交易物流消息'
                };
            }else if(cqViewParam.params=='2'){
                return{
                    labelField:'村友圈消息'
                };
            }else{
                return{
                    labelField:'消息列表'
                };
            }
        }
    });
});
