﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "bob/user/consumer"
],function(declare,lang, consumer){
    return declare("",null,{
        modalName:"im/sys_msg_p",
        fields:{
            //未读消息的数量
            msgCount:{
                type:'text',
                label:'未读消息',
                canEdit:false
            },
            //最后一条未读消息的具体内容
            lastMsg:{
                type:'text',
                label:'最新消息',
                canEdit:false
            },
            //最后一条未读消息的事件
            lastMsgTime:{
                type:'datetime',
                label:'时间',
                canEdit:false
            },
            //发送消息者的昵称
            nickName:{
                type:'text',
                label:'昵称',
                canEdit:false
            },
            //包含点击跳转页面的信息
            moveTo:{
                type:'text',
                label:'跳转页面',
                canEdit:false
            },
            //消息的创建时间
            createAt:{
                type:'text',
                label:'创建时间',
                canEdit:false
            }
        },
        clearPenddingMsg: function(params){
            return this.exec("clearPenddingMsg", params).then(lang.hitch(this, function(result){
                return result&&result.data&&result.data.item||{};
            }));
        },
        initMsg: function(widget){
            var data = widget.getData();
            widget.hideByFields(["msgCount"]);
            if(data.msgCount){
                widget.showByFields(["msgCount"]);
            }
        }
    });
});