﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "./_Mixin",
    "../../shop/shopC",
    "../../BoBase",
    "bob/user/consumer",
    "cq/util/sys/date"
],function(declare,lang,_Mixin,shop,BoBase,consumer, date){
    var SysMsgPC = declare("",[BoBase.C,_Mixin],{
        fields: {
            moveToTsMsg: {
                type: "button"
            }
        },
        moveToTsMsg: function(data){
            this.clearPenddingMsg({
                type: 1,
                receiverId: consumer.getCurrentUserId()
            }).then(lang.hitch(this, function(result){
                window.moveToView("msgList", 1);
            }));
        },
        moveToTimeLineMsg: function(data){
            this.clearPenddingMsg({
                type: 2,
                receiverId: consumer.getCurrentUserId()
            }).then(lang.hitch(this, function(result){
                window.moveToView("msgList", 2);
            }));
        },
        moveToNoticeMsg: function(data){
            this.clearPenddingMsg({
                type: 3,
                receiverId: consumer.getCurrentUserId()
            }).then(lang.hitch(this, function(result){
                window.moveToView("msgList", 3);
            }));
        },
        getTsLastMsgInfo: function(){
            return this.exec("loadByUserAndType", {
                type: 1
            }).then(lang.hitch(this, function(result){
                var item = result&&result.data&&result.data.item||{};
                item.content = item.content || "暂无交易物流消息";
                item.lastMsgTime = date.getTimeMoment(item.lastMsgTime);
                return item;
            }));
        },
        getTimeLineLastMsgInfo: function(){
            return this.exec("loadByUserAndType", {
                type: 2
            }).then(lang.hitch(this, function(result){
                var item = result&&result.data&&result.data.item||{};
                item.content = item.content || "暂无村友圈消息";
                item.lastMsgTime = date.getTimeMoment(item.lastMsgTime);
                return item;
            }));
        },
        getNoticeLastMsgInfo: function(){
            return this.exec("loadByUserAndType", {
                type: 3
            }).then(lang.hitch(this, function(result){
                var item = result&&result.data&&result.data.item||{};
                item.content = item.content || "暂无通知";
                item.lastMsgTime = date.getTimeMoment(item.lastMsgTime);
                return item;
            }));
        },
        getSysMsgP : function(){
            return this.exec("loadByUserAndType", {
                type : 1  
            }).then(lang.hitch(this, function(result){
                var item = result&&result.data&&result.data.item||{};
                if(!item.content){
                    item.content1 = "暂无物流消息";
                }else{
                    item.content1 = item.content;                    
                }
                return this.exec("loadByUserAndType",{
                    type:2
                }).then(function(result2){
                    var item2 = result2&&result2.data&&result2.data.item||{};
                    if(!item2.content){
                        item.content2 = "暂无村有圈消息";
                    }else{
                        item.content2 = item2.content;
                    }
                    return {
                        content1 :'交易物流消息<p style="color:#666;font-size:12px;margin-top:3px;">'+item.content1+'</p>',
                        content2 :'村有圈消息<p style="color:#666;font-size:12px;margin-top:3px;">'+item.content2+'</p>'
                    };
                });
            }));
        }
    });
    return new SysMsgPC();
});