/**
 *  time 2017/03/09
 *  name 杜飞军
 *  exp
 *      
 */
define([
    'dojo/_base/declare',
    'dojo/_base/lang',
    "dojo/Deferred",
    '../BoBase',
    "./_LogMixin"
], function (declare, lang, Deferred, BoBase, _LogMixin) {
    var LogBBo = declare("", [BoBase.B, _LogMixin], {
        fields: {
            onSave: {
                type: 'button',
                label: '保存',
                action: 'onSave'
            }
        },
        getEdtLayoutForApp: function () {
            return [{
                type: 'form',
                fields: this.getFormItems([
                    "name",
                    "code",
                    "onSave"
                ], true)
            }];
        },
        loadById: function (params) {
            if (!params.cqViewParam.params) {
                return {};
            }
            var def = new Deferred();
            this.exec("loadById", {
                _id: params.cqViewParam.params
            }).then(function (data) {
                data = data.data.item;
                def.resolve(data);
            });
            return def;
        },
        onSave: function (data) {
            var msg = this.getDataValidMsg(data, ['name', "code"]);
            if (msg) {
                alert(msg);
                return false;
            }
            window.busy();
            this.exec("save", data).then(function (logData) {
                if (logData && logData.data && logData.data.ok == 1) {
                    window.free();
                    alert("保存成功");
                    history.back();
                } else {
                    window.free();
                    alert("保存失败");
                }
            });
        },
        getPlatListUrl: function () {
            return this.getBaseUrl() + '/load';
        },
        getPlatfromListUrl: function () {
            return this.getBaseUrl() + '/load?shopId=' + this.getPlatformShopId();
        },
        getListParam: function () {
            var params = {
                shopId: this.getShopId(),
                orderBy: '-createAt',
                isUse: true
            };
            return params;
        },
        onListClick: function (item) {
            window.moveToView("logCoEdt", item._id);
        },
        getItemProp: function (item) {
            return item;
        },
    });
    var logBBo = new LogBBo();
    logBBo.Bo = LogBBo;
    return logBBo;
});