﻿define([
    "dojo/_base/declare",
    "./_Mixin",
    'bob/BoBase'
], function (declare,_Mixin,BoBase) {
    var LogCBo = declare('', [BoBase.B, _Mixin], {
        getListUrl: function(){
            return this.getBaseUrl()+ "/load";
        },
        getListParam: function(cqRefInfo){
            var params = {
                shopId: this.getShopId()
            };
            var userId = cqRefInfo&&cqRefInfo.cqViewParam&&cqRefInfo.cqViewParam.params||"";
            if(userId){
                params.pid = userId;
            }
            return params;
        },
        getListParamByShare: function(cqRefInfo){
            var params = {
                shopId: this.getShopId(),
                fromType: ["singlemessage","timeline","groupmessage"]
            };
            var userId = cqRefInfo&&cqRefInfo.cqViewParam&&cqRefInfo.cqViewParam.params||"";
            if(userId){
                params.pid = userId;
            }
            return params;
        },
        getListItem: function(item){
            item.msg = item.newView === "matDetail"?"【"+item.targetShopId.shopName+"】的"+" 商品【"+item.mId.mName+"】":
            item.newView === "businessDetails"?"店铺 【"+item.targetShopId.shopName+"】":
            item.newView === "main"?"首页":
            item.newView === "other"?"我的信息":item.newView;
            return item;
        }
    });
    var logCBo = new LogCBo();
    logCBo.Bo = LogCBo;
    return logCBo;
});