﻿//订单系统公共基类
// 1、提供订单系统的基本属性
// 2、提供公用的方法
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName: "mat/cycleMatOpt",
        //字段名
        fields:{
            title: {
                type: 'text',
                label: '属性名',
                placeHolder: '填写属性名',
                notNull: true
            },
            href:{
                type:"text",
                label:"图片链接"
            },
            img:{
                type:"image",
                label:"横幅图片"
            },
            maxQty: {
                type: 'number',
                label: '最多可选',
                placeHolder: '填写最多可选数量',
                notNull: true
            },
            remark: {
                type: "textarea",
                label: "配置说明"
            },
            opts: {
                type: 'objects',
                dataprovider:'bob/mat/matOpt',
                userDefinedValue: 'setEditLayout',
                canEdit:true,
                canDelete:true,
                canAdd:true,
                canDnd:false,
                fields: {
                    workMode:"edit",
                    className:"editEditor",
                    layout: [{
                        field: 'name',
                        type: 'text',
                        label: '属性值',
                        placeHolder: "填写属性值",
                        notNull: true
                    }, {
                        field: 'qty',
                        type: 'number',
                        label: '数量',
                        placeHolder: "设置属性值数量",
                        notNull: true
                    }, {
                        field: 'img',
                        type: 'image',
                        label: '图片',
                        className: 'large-width',
                        sizeType: 'cut',
                        size: {
                            width: 640,
                            height: 640
                        },
                    }]
                }
            }
        }
    });
});
