﻿define([
	"dojo/_base/declare",
	"./_Mixin",
	'../../BoBase',
    'cq/util/sys/query'
], function (declare, _Mixin, BoBase,query) {
	var O = declare('', [BoBase.C, _Mixin], {
        getListUrl: function () {
            return this.getBaseUrl() + '/load';
        },
        getListParam: function(cqRefInfo){
            var param = {
                shopId: this.getShopId(),
                state:2,
                orderBy: "-sd",
                isStart:1
            }
            if(cqRefInfo&&cqRefInfo.verifyState) {
                if(cqRefInfo.verifyState._id==1){
                    param.isStart = 1;
                }else{
                    param.isStart = 0;
                }
            }
            var value = query.getQueryValue(cqRefInfo.search);
            if (value) {
                // 设置的查询编码转回
                param.search = window.decodeURIComponent(value);
            }
            return param;
        },
        getItemProp: function (item) {
            item._id = item.mId._id;
            item.logo = item.mId.logo;
            item.mName = item.mId.mName;
            item.retailPrice = item.mId.retailPrice;
            item.totalSale = item.mId.totalSale;
            return item;
        }
	});
	var o = new O();
	o.Bo = O;
	return o;
});