﻿//订单系统公共基类
// 1、提供订单系统的基本属性
// 2、提供公用的方法
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName:"mk/activity",
        //字段名
        fields:{
            title : {
                type : 'text',
                label : '活动名称',
                placeHolder : '必填'
            },
            logo : {
                type : "image",
                sizeType : "cut",
                size : {
                    width : 750,
                    height : 288
                },
                label : '封面图'
            },
            tp : {
                type : "options",
                label : "活动类型",
                options : {
                    1 : "横幅推荐",
                    2 : "24节气"
                },
                selected : 1
            },
            isUse : {
                type : 'checkbox',
                label : '使用',
                canEdit : true
            },
            inviteDateFrom : {
                type : 'dateTime',
                label : '邀约期起'
            },
            inviteDateTo : {
                type : 'dateTime',
                label : '邀约期至'
            },
            preheatDateFrom : {
                type : 'dateTime',
                label : '预热期起'
            },
            preheatDateTo : {
                type : 'dateTime',
                label : '预热期至'
            },
            execDateFrom : {
                type : 'dateTime',
                label : '执行期起'
            },
            execDateFromStr : {
                type : 'text',
                label : ""
            },
            execDateTo : {
                type : 'dateTime',
                label : '执行期至'
            },
            // 报名时间
            signUpTime: {
                type : 'dateTime',
                label : '报名时间'
            },
			createAt: {
				type: "dateTime",
				label: "创建时间"
			},
            remark : {
                type : "richText",
                label : "活动介绍",
                canEdit : true
            },
            "fromShopId.shopName" : {
                type:"text",
                label:"主办方"
            },
            shelfId : {
                type:"text",
                label:"活动海报",
                canEdit:true
            }
        }
    });
});
