﻿define([
    "dojo/_base/declare",
    "cq/app/config",
    "./_Mixin",
    '../../BoBase',
    "bob/user/consumer",
    'cq/util/sys/query'
], function (declare,appConfig,_Mixin,BoBase, consumer, query) {
    var CouponCBo = declare('', [BoBase.C, _Mixin], {
        // 用到的字段
        fields: {
            state: {
                type: "text",
                label: "状态"
            },
            distributeDate: {
                type : 'date',
                label : '领取时间'
            },
            stateText:{
                type:"text",
                label:"状态"
            },
            shopName: {
                type: "text",
                label: "店铺名称"
            },
            logo: {
                type: "text",
                label: "店铺logo"
            },
            useButton: {
                type: "text"
            },
            clsTxt: {
                type: "text"
            },
            couponTag: {
                type: "text"
            }
        },
        // 加载我的优惠券的url
        getListUrl: function(){
            return this.getBaseUrl() + '/loadByUserId';
        },
        // 加载我的优惠券
        getListParam: function(cqRefInfo){
            var params = {
                shopId : this.getShopId(),
                userId: consumer.getCurrentUserId(),
                state: 1
            };
            var paramValue = query.getQueryValue(cqRefInfo.state);
            if (paramValue) {
                params.state = paramValue;
            }
            return params;
        }
    });
    var couponCBo = new CouponCBo();
    couponCBo.Bo = CouponCBo;
    return couponCBo;
});