﻿define([
    "dojo/_base/declare",
    "./_Mixin",
    '../../BoBase',
    "dojo/_base/lang"
], function (declare, _Mixin, BoBase, lang) {
    var O = declare('', [BoBase.C, _Mixin], {
        getCurrentDailyRec: function(data,widget){
            return this.exec("loadNow",{}).then(function(data){
                var items = data&&data.data&&data.data.items||[];
                return data;
            });
        },
        dailyRecClick: function(data,b,widget,c){
            window.moveToView("dailyRecDtl", widget.data._id);
        },
        getListUrl: function(params){
            return this.getBaseUrl()+ "/loadHistory?shopId="+this.getShopId();
        },
        onListClick: function(data){
            window.moveToView("dailyRecDtl", data._id);
        },
        share: function(data, widget){
            //         点击后分享给其他人
            // view:
            require(["cq/util/share/share"], lang.hitch(this, function(share){
                var options = [{
                    "weixin": {
                        title: data.title,
                        thumb: data.logo || "",
                        url:share.getPageLoc(this.getShopId(),"#dailyRecDtl-" +  widget.cqRefInfo.cqViewParam.params)
                    }
                }, {
                    "friendCircle": {
                        title: data.title,
                        thumb: data.logo || "",
                        url:share.getPageLoc(this.getShopId(),"#dailyRecDtl-" +  widget.cqRefInfo.cqViewParam.params)
                    }
                }, {
                    "copy": {
                        url: share.getPageLoc(this.getShopId(),"#dailyRecDtl-" +  widget.cqRefInfo.cqViewParam.params)
                    }
                }];
                share.showShare(options);
            }));
        }
    });
    var o = new O();
    o.Bo = O;
    return o;
});