﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    'bob/BoBase',
    "./_Mixin"
], function (declare,lang,BoBase,_Mixin) {
    var O = declare("", [BoBase.B, _Mixin], {
        // 获取列表url地址
        getListUrl : function(){
            return this.getBaseUrl() + '/load';
        },
        onListToCard:function(data, action, list){
            return window.moveToView("deliveryCardEdt",data.cardId);
        },
        queryInfo: null,
        // 参数
        getListParam : function(cqRefInfo){
            var params = {
                shopId: this.getShopId()
            };
            var did = cqRefInfo&&cqRefInfo.cqViewParam&&cqRefInfo.cqViewParam.params;
            if(did){
                if(did[0]=='u'){
                    params.userId = did.split("_")[1];
                    params.orderBy = "-useTime"
                }else{
                    params.cardId = cqRefInfo.cqViewParam.params;
                }
            }
            this.queryInfo = params;
            return params;
        },
        getSearchListParam: function(cqRefInfo){
            var params = {
                shopId: this.getShopId()
            };
            if(cqRefInfo.search){
                params.NO = cqRefInfo.search;
            }
            if(!cqRefInfo.search){
                return {};
            }
            return params;
        },
        onSearchListClick: function(data, widget){
            window.moveToView("deliveryCardEdt",data.cardId);
        },
        _getStateStr: function(state){
            var opt = {
                1: "未使用",
                2: "已使用"
            };
            return opt[state];
        },
        onExport: function(url, query){
            require([
                "cq/util/sys/xlsx",
                "cq/util/sys/date",
                "cq/util/sys/userAgent",
                "cq/util/config/config"
			],lang.hitch(this,function(xlsx,date,userAgent,config){
                if(userAgent.isBrowser){
                    //依据url和query加载所有要到处的订单数据
                    xlsx.loadAllData(url, query).then(lang.hitch(this,function(items){
                        //设置表头
                        var datas = [["卡号","密码","状态"]];
                        for(var i=0;i<items.length;i++){
                            datas.push([items[i].NO,items[i].pwd,this._getStateStr(items[i].state)]);
                        }
                        xlsx.exportMatrix(datas,Date.now().toString());
                    }));
                }
            }));
        },
        exportCard: function(){
            var url = this.getListUrl();
            var query = this.queryInfo;
            this.onExport(url, query);
        }
    });
    var o = new O();
    o.Bo = O;
    return o;
});