﻿//广告信息
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/topic",
    "../../BoBase",
    "cq/util/sys/userAgent"
],function(declare,lang,topic,BoBase,userAgent){
    var Dm = declare("",BoBase.C,{
        modalName:"mk/dm",
        //注册viewChange的事件监听
        vcRegisted:false,
        registViewChangeDm:function(){
            if(!this.vcRegisted){
                this.vcRegisted = true;
                topic.subscribe("widgets/show/view",lang.hitch(this,this.initViewDm));
            }
        },
        initViewDm:function(){
            return this.loadViewDm().then(function(data){
                if(data&&data.data&&data.data&&data.data.item&&data.data.item.popup){
                    require([
                        "cq/util/edit/dialog"
                    ],function(dialog){
                        dialog.show(data.data.item.popup);
                    });
                }
                return data;
            });
        },
        loadViewDm:function(){
            if("undefined"===typeof(this.originHash)){
                this.originHash = location.href;
            }
            var viewId = location.hash.substr(1).split("-")[0]||"main";
            var params = {
                url:location.href,
                clientType:userAgent.getClientType(),
                originHash:this.originHash,
                oldView:this.oldView||""
            };
            this.oldView = viewId;
            return this.exec2("loadViewDm",params);
        }
    });
    var dm = new Dm();
    return dm;
});
