﻿//订单系统公共基类
// 1、提供订单系统的基本属性
// 2、提供公用的方法
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName:"mk/flash_sale",
        //字段名
        fields:{
            mId : {
                type : 'ref',
                label : "抢购商品",
                notNull : true,
                pageSize : "20",
                dataProvider : "bob/mat/matB",
                targetMethod : "getListUrlForCurrentShop",
                labelFields : "mName",
                searchField : "mName"
            },
            prc : {
                type : 'number',
                label : '抢购价',
                notNull : true
            },
            qty : {
                type : 'number',
                label : '抢购库存',
                notNull : true
            },
            startTime : {
                type : 'dateTime',
                label : '抢购开始时间',
                notNull : true
            },
            endTime : {
                type : 'dateTime',
                label : '抢购结束时间',
                notNull : true
            },
            isUse : {
                type : 'checkbox',
                label : '使用',
                selected : true
            },
            onBusinessRegistButton: {
				type: "button",
				label: "保存",
				action: "save",
				buttonClass: "fullButton"
			},
            onEditPreSale: {
				type: "button",
				label: "编辑",
				action: "onEditPreSale",
				buttonClass: "fullButton"
			},
            onEndPreSale: {
				type: "button",
				label: "停用",
				action: "onEndPreSale",
				buttonClass: "fullButton"
			},
            mName : {
                type : 'text',
                label : "商品名称"
            },
            logo : {
                type : 'image',
                label : "商品图片"
            }
        }
    });
});
