﻿//限时抢购商家端
define([
    "dojo/_base/declare",
    '../../BoBase',
    "./_Mixin"
],function(declare, BoBase, _Mixin){
    var LimitDiscountCBO = declare("",[BoBase.C, _Mixin],{
        loadByMids:function(mids){
            // summary:
            //         根据mids加载所有商品的活动详情
            // view:
            //         orderCar
            // description:在ts/_cartMixin，_updateMatList使用
            //         无,徐阿雪2017/3/15
            return this.exec("loadByMids",{mids:mids});
        },
        loadByMid: function(mid){
            return this.exec("loadByMid", {
                mid: mid
            });
        },
        getListParam: function(e){
            var param = {
                shopId: this.getShopId(),
                state: 1
            };
            if(e&&e.state&&e.state._id){
                param.state = e.state._id;
            }
            if(param.state==2){
                param.orderBy = "sd";
            }
            if(param.state==1){
                param.orderBy = "ed";
            }
            return param;
        },
		// 加载今天的数据
		loadByToday: function(){
			return this.exec("loadByToday", {});
		}
    }); 
    var limitDiscountCBO = new LimitDiscountCBO();
    limitDiscountCBO.Bo = LimitDiscountCBO;
    return limitDiscountCBO;
});