﻿define([
    "dojo/_base/declare",
    "bob/BoBase",
    "./_Mixin",
    "whz/util/config"
],function(declare, BoBase, _Mixin, config){
    var O = declare("",[BoBase.C, _Mixin],{
        newTeam: function(params){
            return this.exec("newTeam", params);
        },
        loadById: function(params){
            return this.exec("loadById", {
                _id: params&&params.cqViewParam&&params.cqViewParam.params||""
            }).then(function(result){
                var item = result&&result.data&&result.data.item||{};
                item.limitTitle = "剩";
                return item;
            });
        },
        loadByTeamId: function(teamId){
            return this.exec("loadByTeamId", {
                teamId: teamId
            });
        },
        getListParam: function(params){
            var pacTeam = params&&params.cqViewParam&&params.cqViewParam.params||"";
            var query = {
                shopId: this.getShopId(),
                teamId: pacTeam.split(",")[0],
                fromShopId: pacTeam.split(",")[1],
                state: 3
            };
            return query;
        },
        getListItem: function(item){
            if(item.isLeader){
                item.tag = "<font class='pac_item_tag'>团长</font>";
                item.action = "开团";
            }else{
                item.action = "参团";
            }
            if(!item.user){
                item.user = {};
            }
            if(!item.user.logo){
                item.user.logo = config.defultUserLogo;
            }
            if(!item.user.nickName){
                item.user.nickName = item.user.nickName || "**";
            }
            return item;
        }
    });
    var o = new O();
    o.Bo = O;
	return o;
});