﻿define([
    "dojo/_base/declare",
    "./_Mixin",
    '../../BoBase',
    "dojo/_base/lang",
    "dojo/_base/connect",
    "cq/util/edit/overlay",
    "bob/ts/pointOrder/c",
    "cq/util/payType/icon"
], function (declare, _Mixin,BoBase, lang, connect, overlay, pointOrder, icon) {
    var O = declare('', [BoBase.C, _Mixin], {
        getListUrl: function(){
            return this.getBaseUrl() + '/load';
        },
        getListParam: function(cqRefInfo){
            var params = {
                shopId : this.getShopId(),
                isUse : true
            };
            return params;
        },
        getListParamByType:function(cqRefInfo){
            var params = {
                shopId:this.getShopId(),
                isUse:true,
                fvType:"days"
            };
            return params;
        },
        payById: function(ts, widget){
            var payInfo = {
                tsInfo: ts,
                _id: ts._id
            }, _this = pointOrder, payTypes = pointOrder.getValidPayType(ts);
            icon.showPayInfo = false;
            icon.payOrder(
                payInfo,function(result){
                    if(result.data.ok == 0){
                        alert(result.data.msg||"支付失败")
                    }
                },{
                    payer: _this,
                    payMethod:"payOrder",
                    // 应该获取商家已配置的支付方式
                    payTypes:payTypes
                }
            ).then(function(){
                overlay.hide();
            });
            overlay.showElement(icon.domNode,null);
            var handler = connect.connect(overlay,"realHided", lang.hitch(this, function(){
                handler.remove();
            }));
        },
        payById1: function(ts, widget){
            var payInfo = {
                tsInfo: ts,
                _id: ts._id
            }, _this = pointOrder, payTypes = pointOrder.getValidPayType(ts);
            icon.showPayInfo = false;
            icon.payOrder(
                payInfo,function(result){
                    if(result.data.ok == 0){
                        alert(result.data.msg||"支付失败")
                    }else{
                        alert("支付成功");
                        window.history.back();
                    }
                },{
                    payer: _this,
                    payMethod:"payOrder",
                    // 应该获取商家已配置的支付方式
                    payTypes:payTypes
                }
            ).then(function(){
                overlay.hide();
            });
            overlay.showElement(icon.domNode,null);
            var handler = connect.connect(overlay,"realHided", lang.hitch(this, function(){
                handler.remove();
            }));
        },
        onListClick: function(data, widget){
            // 点击后创建订单
            window.busy();
            pointOrder.createOrder({
                fvId: data._id
            }).then(lang.hitch(this, function(result){
                window.free();
                if(result&&result.data&&result.data.ok==1){
                    var orderId = result.data.item._id,amount = result.data.item.amount;
                    this.payById({
                        _id: orderId,
                        payAmount: amount
                    });
                }else{
                    alert(result&&result.data&&result.data.message||"创建充值订单失败");
                }
            }));
        },
        onListClick1: function(data, widget){
            // 点击后创建订单
            window.busy();
            pointOrder.createOrder({
                fvId: data._id
            }).then(lang.hitch(this, function(result){
                window.free();
                if(result&&result.data&&result.data.ok==1){
                    var orderId = result.data.item._id,amount = result.data.item.amount;
                    this.payById1({
                        _id: orderId,
                        payAmount: amount
                    });
                }else{
                    alert(result&&result.data&&result.data.message||"创建充值订单失败");
                }
            }));
        }
    });
    var o = new O();
    o.Bo = O;
    return o;
});