define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    '../../BoBase',
    "./_Mixin"
], function (declare,lang,BoBase,_Mixin) {
    var PrizeCBo = declare("", [BoBase.C, _Mixin], {
        modalName : "mk/prize/prize/b2c",
        //加载抽奖活动
        loadById:function(id){
            return this.exec("loadById",{
                _id: id
            });
        },
        //获取当前用户的抽奖信息
        getUserChance:function(params){
            if(!params.shopId){
                params.shopId = this.getShopId();
            }
            return this.exec("getChance",params);
        },
        //加载抽奖结果
        prize:function(params){
            if(!params.shopId){
                params.shopId = this.getShopId();
            }
            return this.exec("prize",params);
        },
        // 积分兑换抽奖机会
        buyChance: function(params){
            return this.exec("buyChance", params);
        }
    
    });
    var prizeCBo = new PrizeCBo();
    prizeCBo.Bo = PrizeCBo;
    return prizeCBo;
});