﻿define([
    "dojo/_base/declare"
],function(declare){
    return declare("",null,{
        modalName : "mk/qnr/qnr",
        fields : {
            title : {
                type : "text",
                label : "问卷标题",
                placeHolder: "填写问卷标题",
                notNull: true
            },
            sd: {
                type: "dateTime",
                label: "开始时间",
                notNull: true
            },
            ed: {
                type: "dateTime",
                label: "结束时间",
                notNull: true
            },
            qus: {
                type: 'objects',
                label: '问题',
                labelField: 'name',
                rightTextField: 'price',
                userDefinedValue:"userDefinedValue",
                canEdit:true,
                canDelete:true,
                canAdd:true,
                canDnd:false,
                fields: {
                    className:"inlineEditor",
                    layout: [{
                        field: "type",
                        type: "options",
                        options: {
                            1: "单选",
                            2: "多选",
                            3: "文本"
                        },
                        label: "类型",
                        selected: 1
                    },{
                        field: 'title',
                        type: 'text',
                        label: '问题',
                        placeHolder: "请填写问题题干"
                    },{
                        field: "isOF",
                        type: "checkbox",
                        label: "选填",
                        selected: false
                    },{
                        field: "ans",
                        type: "objects",
                        label: '答案',
                        canEdit:true,
                        canDelete:true,
                        canAdd:true,
                        canDnd:false,
                        fields: {
                            workMode:"edit",
                            className:"editEditor",
                            layout: [{
                                field : "title",
                                type : "text",
                                label : "答案",
                                placeHolder: "请填写备选答案"
                            }]
                        }
                    }]
                }
            }
        },
        getListUrl: function(){
            return this.getBaseUrl() + '/load';
        }
	});
});
