﻿define([
    "dojo/_base/declare"
],function(declare){
    return declare("",null,{
        modalName : "mk/vote/voteD",
        fields : {
            "voteUser.nickName":{
                type:"text",
                label:"投票人"
            },
            "resultUser.nickName":{
                type:"text",
                label:"参与人"
            },
            createAt:{
                type:"dateTime",
                label:"投票时间"
            }
        },
        // 获取列表url地址
        getListUrl : function(){
            return this.getBaseUrl() + '/load';
        },
        // 参数
        getListParam : function(cqRefInfo){
            var param = {};
            param.shopId = this.getShopId();
            param.voteId = cqRefInfo&&cqRefInfo.cqViewParam&&cqRefInfo.cqViewParam.params||"";
            return param;
        },
        loadById:function(params){
            if (!(params&&params.cqViewParam&&params.cqViewParam.params)) {
                return {};
            }
            window.busy();
            return this.exec("loadById",{
                _id:params.cqViewParam.params
            }).then(lang.hitch(this,function(result){
                window.free();
                return result&&result.data&&result.data.item||{};
            }));
        }
	});
});
