﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    'bob/BoBase',
    "./_Mixin",
    "dojo/_base/array"
], function (declare,lang,BoBase,_Mixin, array) {
    var O = declare("", [BoBase.B, _Mixin], {
        fields:{
            exportB:{
                type: "button",
                action: "exportB"
            }
        },
        exportB:function(data,t,widget){
            // summary:
            //         投票人列表导出
            // view:
            //         voteUserList
            // description:
            //         
            var url = this.getListUrl();
            var query = this.getListParam(widget.cqRefInfo);
            require([
				"cq/util/sys/xlsx",
				"cq/util/sys/date",
				"cq/util/sys/userAgent"
			],lang.hitch(this,function(xlsx,date,userAgent){
                if(userAgent.isBrowser()){
                    window.busy();
                    xlsx.exportData(url, query, this.getFormItems(["resultUser.nickName","voteUser.nickName","createAt"], true),"投票人清单"+(new Date()).toISOString());
                }
            }));
        },
    });
    var o = new O();
    o.Bo = O;
    return o;
});