﻿define([
    "dojo/_base/declare",
    "./_Mixin",
    'bob/BoBase'
], function (declare,_Mixin,BoBase) {
    var O = declare('', [BoBase.C, _Mixin], {
        fields: {
            pointFvDesc:{
                type:"textarea",
                label:"充值说明",
                canEdit:false
            }
        },
        loadRechargePrompt: function(){
            return this.loadOne().then(function(data){
                if(!data){
                    data = {
                        pointFvDesc:'1、积分充值只支持在线支付即支付宝或微信支付\n'+
                                            '2、支付完成后积分立即到账，在 <a style="color:#be2f28;" href="#other">我</a> 页面中查询余额'
                    };
                }
                var arr = data.pointFvDesc.split("\n");
                arr = arr.map(function(item){
                    return "<p>" + item + "</p>";
                });
                data.pointFvDesc = arr.join("");
                return data;
            });
        },
        getDtlLayout: function(){
            return [{
                type:"form",
                fields:this.getFormItems([
                    "pointFvDesc"
                ])
            }];
        }
    });
    var o = new O();
    o.Bo = O;
    return o;
});