//镇级服务中心：益农信息社的管理
//	继承自服务站，多了本乡镇服务站统计功能
define([
	"dojo/_base/declare",
	"dojo/_base/lang",
	"./stationShop",
    "cq/util/config/config"
], function(declare,lang,stationShop,config) {
    var ShopBo = declare("",stationShop.Bo,{
        fileds : {
            "brief": {
                type:"textarea",
                label:"服务中心简介",
                className:"large-width",
                placeHolder:"请填写简介"
            }
        },
        //服务中心获取下级村
        getScTowns:function(){
            return this.getBaseUrl()+"/getScTownS?shopId="+config.getPlatformShopId();
        },
        getOpScListParamForShop:function(params){
            var query = {};
            //当前商家的id
            query.fromShopId =this.getShopId();
            return query;
        },
        getStaListQuery:function(params){
            // summary:
            //      服务中心列表的查询条件  
            // view:
            //      townShopManage——服务中心管理(服务中心列表)
			//shopType=3表示服务中心。详情查阅shop.js
            var query = {shopType:3};
            if(params.search){
                query.search = params.search;
            }
            if(params.state&&params.state._id){
                // 待认证
                if(1 == params.state._id){
                    query.isVerifySubmit=1;
                    query.isVerified=false;
                }else if(2 == params.state._id){
                    // 已认证
                    query.isVerifySubmit=2;
                    query.isVerified=true;
                }else if(3 == params.state._id){
                    // 未提交
                    query.isVerifySubmit= 0;
                    query.isVerified=false;
                }else if(4 == params.state._id){
                    // 已驳回
                    query.isVerifySubmit=-1;
                    query.isVerified=false;
                }else{
                    delete query.isVerifySubmit;
                    delete query.isVerified;
                }
            }
            return query;
        },
        onStaListClick : function(data){
            // summary:
            //      服务中心列表点击事件 
            // view:
            //      townShopManage——服务中心管理(服务站列表)
            // description:
            //      点击跳转到服务中心详情
            window.moveToView("townMerDetail",data._id);
        }
    });
	var shopBo = new ShopBo();
	shopBo.Bo = ShopBo;
    lang.setObject("bob.shop.townShop", shopBo);
    return shopBo;
});
