﻿define([
    "dojo/_base/declare",
    '../../BoBase',
    "./_Mixin",
], function (declare,BoBase,_Mixin) {
    //本对象功能：
    //      平台审核，同意退款
    //      徐阿雪
    var Bo = declare("",[BoBase.B,_Mixin],{
        getTimeQuery:function(){
            return [{
                type: "form",
                fields: this.getFormItems(["monthDate","shopName"])
            }];
        },
        //列表
		getUrlList:function(){
            return this.getBaseUrl()+"/getMonthlyByShop";
        },
        //列表查询条件
        ListQuery:function(params){
            var query = {
                shopId:this.getShopId(),
                orderBy:"-monthDate,fromShopId"
            };
            if(params.search){
                if(params.search.monthDate){
                    query.monthDate = params.search.monthDate;
                }
                if(params.search.shopName){
                    query.fromShopName = params.search.shopName;
                }
            }
            return query;
        },
        //逐条修改列表数据
        getItemPro:function(item){
            if(item){
                item.shopName = item.fromShopId.shopName;
            }
            return item;
        },
        //导出配置项需要的字段
        exportLayout:function(){
            return this.getFormItems(["monthDate","fromShopId.shopName","startAmount","balanceAmount","realAmount",
                "total","tranFee","income","shopPayOut","onlineIncome","point",
                "weixin","weixinFee","weixinRefund","wxApp","wxAppFee","wxAppRefund",
                "aliwap","aliwapFee","aliwapRefund","aliapp","aliappFee","aliappRefund",
                "gold","goldFee","goldRefund",
                "wxNative","wxNativeFee","wxNativeRefund","wePay","wePayFee","wePayRefund",
                "aliweb","aliwebFee","aliwebRefund","chinaPay","chinaPayFee","chinaPayRefund","unionpayFront",
                "unionpayFrontFee","unionpayFrontRefund","unionpayApp","unionpayAppFee","unionpayAppRefund",
                "unionpayBack","unionpayBackFee","unionpayBackRefund","lineTransfer","lineTransferFee","lineTransferRefund",
                "bocNB2B","bocNB2BFee","bocNB2BRefund","bocB2C","bocB2CFee","bocB2CRefund","bocB2CMobile","bocB2CMobileFee","bocB2CMobileRefund",
                "shopPayIn","feedback"]);
        },
    });
    var bo = new Bo();
    bo.Bo = Bo;
    return bo;
});