﻿// 订单系统商家端
define([
    "dojo/_base/declare",
    'bob/BoBase',
    "./_Mixin",
    "dojo/_base/lang"
], function (declare,BoBase,_Mixin, lang) {
    var O = declare("", [BoBase.B, _Mixin], {
        getListUrl: function(){
            return this.getBaseUrl() + '/load';
        },
        queryInfo:null,
        getListParam: function(cqRefInfo){
            var params = {
                shopId : this.getShopId(),
                isPayed: true
            };
            if(cqRefInfo.filter){
                for(var i in cqRefInfo.filter){
                    params[i] = cqRefInfo.filter[i];
                }
            }
            this.queryInfo = params;
            return params;
        },
        onListClick: function(data){
            window.moveToView("customer", data.userId._id);
        },
        exportData: function(a, b, widget){
            require([
                "cq/util/sys/xlsx",
                "cq/util/sys/userAgent"
            ],lang.hitch(this,function(xlsx,userAgent){
                if(userAgent.isBrowser){
                    var url = this.getListUrl();
                    xlsx.exportData(url, this.queryInfo, this.getFormItems(["fromShopName","userId.nickName","point","payTime","amount","payType","payFee","payShopName","settleDate"], true),"充值订单"+(new Date()).toISOString());
                }
            }));
        }
    });
    var o = new O();
    o.Bo = O;
    return o;
});