﻿define([
    "dojo/_base/declare"
],function(declare){
    return declare("",null,{
        modalName : "ts/user/amountLog",
        fields : {
            createAt:{
                type: "dateTime",
                label:"时间"
            },
            tp: {
                type: "options",
                options: {
                    "1001":"在线充值",
                    "1002":"收益提现",
                    "1003":"抽奖获取",
                    "1004":"退款",
                    "1005":"提货卡充值",
                    "1100":"商家充值",
                    "2001":"在线支付",
                    "2002":"兑换抽奖"
                },
                label: "类型"
            },
            amount: {
                type: "number",
                label:"金额",
                fixedTo: "2"
            },
            "userId.pName":{
                type:"text",
                label:"客户"
            },
            "operator.pName":{
                type:"text",
                label:"操作人"
            },
            "userId.phome":{
                type:"text",
                label:"电话"
            }
        },
        // 获取列表url地址
        getListUrl : function(){
            return this.getBaseUrl() + '/load';
        }
	});
});
