﻿define([
    "dojo/_base/declare",
    'bob/BoBase',
    "./_Mixin"
], function (declare,BoBase,_Mixin) {
    var AmountLogBBO = declare("", [BoBase.B, _Mixin], {
        getLoadUrl:function(){
            return this.getBaseUrl()+"/loadCustomerAmountLog?shopId="+this.getShopId();
        },
        getQueryParams:function(params){
            var query = {};
            if(params.query){
                for(var key in params.query){
                    if(params.query[key]||params.query[key]===0){
                        query[key] = params.query[key];
                    }
                }
            }
            return query;
        },
        getQueryLayout:function(){
            return [{
                type:"form",
                fields:this.getFormItems([
                    'createAt',"tp"
                ])
            }];
        },
        getExportLayout:function(){
            return this.getFormItems([
                "createAt","amount","tp","userId.pName","userId.phone","operator.pName"
            ]);
        },
        //商家端查看客户村币在本商家的使用明细
        // 参数
        getListParam : function(cqRefInfo){
            //收入tp:
            var add =["1001","1002","1003","1004","1005","1100"];
            var reduce = ["2001","2002"];
            var params = cqRefInfo.cqViewParam.params||"";
            params = params.split(",");
            var query = {
                shopId:this.getShopId(),
                userId: params[0]||"",
				pageSize: 20
            };
            if(params[1]){
                query.fromShopId = params[1];
            }
            if(cqRefInfo.state){
                //1 全部，2收入，3支出
                if(cqRefInfo.state._id == 2){
                    query.tp = add;
                }else if(cqRefInfo.state._id == 3){
                    query.tp = reduce;
                }
            }else{
                query.tp = add;
            }
            return query;
        }
    });
    var amountLogBBO = new AmountLogBBO();
    amountLogBBO.Bo = AmountLogBBO;
    return amountLogBBO;
});
