define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "cq/util/sys/date"
], function (declare, lang, array, date) {
    return declare("",null,{
        modalName : "user/growth_d",
        fields:{
            tp :{
                type: "options",
                options: {
                    "1":"基础个人资料",
                    "2":"完善会员资料",
                    
                    "3":"签到",
                    
                    "4":"每次购物",
                    
                    "5":"邀请新用户",
                    
                    "6":"微信关注",
                    
                    "7":"微信取消关注",
                    //
                    "8":"APP下载",
                    
                    "9":"注册",
                    
                    "10":"微信分享",
                    
                    "12":"商品收藏",
                    
                    "13":"店铺收藏",
                    
                    "14":"首次购物",
                    "15":"二次购物",
                    "16":"五次购物",
                    "17":"十次购物",
                    
                    "18":"每次评价",
                    
                    "19":"村友说首次发布",
                    "20":"村友说每天首次发布",
                    
                    "21":"会员关注",
                    "22":"会员被关注",
                    
                    "23":"村友圈点赞",
                    "24":"村友圈被点赞",
                    
                    "25":"村有圈评论",
                    "26":"村友圈被评论",
                    //
                    "27":"每天网站第一次访问",
                    "28":"每天微信第一次访问",
                    "29":"每天APP第一次访问"
                },
                label: "操作",
                notNull: true
            }, 
            createAt:{
                type: "dateTime",
                placeHolder: "",
                label: "时间",
                notNull: true
            },
            growth:{
                type: "number",
                placeHolder: "",
                label: "获得的成长值",
                notNull: true,
                fixedTo:2
            },
            "nickName": {
                label: "昵称",
                type: "text"
            },
            "gridAction": {
                type:"text",
                label:"操作",
                formatter:function(value,data){
                    return "<div class='button' cq-action='toUser'>会员</div>";
                           
                }
            },
            "userId": {
                label: "ID",
                type: "text"
            },
            growthStr: {
                type: "text"
            },
            tpStr: {
                type: "text"
            }
        }
    });
});
