define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "cq/util/sys/date"
], function (declare, lang, array, date) {
    // 功能
    //      对用户的用户的增强
    //      角色
    return declare("",null,{
        modalName : "user/user",
        fields:{
            "role":{
                type:"options",
                label:"角色",
                options:{
                    '0': '普通管理员',
                    '1': '高级管理员'
                },
                canEdit:true
            },
            "shopId.shopType": {
                type: "options",
                options: {
                    "1": "一般商家",
                    "4": "服务商",
                    "3": "服务中心",
                    "2": "服务站",
                    "5": "运营商"
                }
            },
            "shopId.shopName": {
                type: "text"
            }
        },
        //获取IconLabel的属性
        getShopListItemProp:function(data,list,itemType){
            data.logo = data.shopId.logo||"./images/temp/dftLogo.png";
            return data;
        }
    });
});
