﻿// 订单系统商家端
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
	"dojo/query",
    "cq/util/config/config",
    '../../BoBase',
    "./_Mixin",
    "dojo/Deferred"
], function (declare,lang,query,config,BoBase,_Mixin, Deferred) {
    var TimeLineBBo = declare("", [BoBase.B, _Mixin], {
        getListUrl: function(){
            return this.getBaseUrl()+ "/load"
        },
        getListParam: function(cqRefInfo){
            var params = {
                shopId: this.getShopId()
            };
            if(cqRefInfo&&cqRefInfo.search){
                params.search = cqRefInfo.search;
            }
            return params;
        },
        save: function(data){
            var def  = new Deferred();
            data.tp = 2;
			this.exec("save", data).then(lang.hitch(this, function (result) {
				def.resolve(result);
			})); 
            return def;
        },
		onMoveToMain: function(widget) {
			var imgs = query(".lead",widget.domNode);
			if(imgs.length){
				imgs[imgs.length-1].onclick = function(){
					window.moveToView("main");
				};
			}
		}
    });
    var timeLineBBo = new TimeLineBBo();
    timeLineBBo.Bo = TimeLineBBo;
    return timeLineBBo;
});