﻿define([
    "dojo/_base/declare",
	"dojo/_base/lang",
    "./_UserMixin",
    "../BoBase",
    "bob/user/consumer",
    "cq/util/sys/date"
], function (declare, lang, _UserMixin, BoBase, consumer, date) {
	var userAmountBo = new BoBase.C({
        modalName: "user/userAmount",
        // 可处理字段
        fields: {
            userName: {
                type: "text",
                label: "姓名"
            },
            logo:{
                type: "text",
                label: "logo"
            },
            baseSaveButton:{
                type:"button",
                label:"保存",
                action:"signIn",
                className:"fullButton"
            },
            amount0:{
                type:"text",
                label:"积分"
            }
        },
        loadByUserId : function () {
            var params = {};
            params.userId = consumer.getCurrentUserId();
            return this.exec("loadByUserId", params).then(function(data){
                if(data&&data.data&&data.data.item){
                    data = data.data.item;
                }
                return data;
            });
        },
        signIn:function(){
            console.log("签到已点击");
        }
	});
	return userAmountBo;
});