﻿define([
    "dojo/_base/declare"
],function(declare){
    return declare("",null,{
        modalName : "user/userAut",
        fields : {
        /*
        新增页面 userAut
        显示 name phone autRemark idNo idImg
        底部显示 提交 按钮
        调用save方法
        */
            name:{
                type:'text',
                label:'真实姓名',
                notNull: true,
                placeHolder: "请填写真实姓名"
            },
            phone:{
                type:'tel',
                label:'联系电话',
                notNull: true,
                placeHolder: "请填写联系电话"
            },
            autRemark:{
                type:'text',
                label:'认证说明',
                notNull: true,
                placeHolder: "描述一下自己"
            },
            idNo:{
                type:'text',
                label:'身份证号',
                notNull: true,
                placeHolder: "请填写身份证号"
            },
            idImg:{
                type: "image",
                label: "身份证明",
                clickImg:true,
                notNull: true
            },
            onSubmitUserAutButton: {
                type: "button",
                label: "提交",
                action: "onSubmitUserInfo",
                buttonClass: "fullButton"
            },
            'userId.nickName':{
                type:'text',
                label:'昵称'
            },
            'userId.logo':{
                type:'image',
                label:'用户头像',
                sizeType: "cut",
                size: {
                    width: 128,
                    height: 128
                },
                notNull: true,
                clickImg:true
            },
            'createAt':{
                type:'text',
                label:'提交时间'
                
            },
            'verificationButton':{
                type:"button",
                label:"审核",
                action:"onVerifyMethod",
                buttonClass:"fullButton"
            },
            'backVerificationButton':{
                type:"button",
                label:"驳回",
                action:"onRejectMethod",
                buttonClass:"fullButton"
            },
            'logo':{
                type:'text',
                label:'头像'
            },
            'verificationState':{
                type:'text',
                label:'认证状态'
            },
            'rejectReason':{
                type:'text',
                label:'驳回理由'
            },
            'reSubmitUserAutButton':{
                type:'button',
                label:'重新提交',
                action:'onSubmitUserInfo',
                buttonClass:'fullButton'
            },
            "provinceId,cityId,countryId,cityName" : {
                type : "district",
                label : "省-市-区(县)",
                canEdit : true,
                placeHolder:"请选择"
            },
            "countryId,townId,villageId,townName": {
                type : "village",
                label : "乡镇",
                canEdit : true,
                placeHolder:"请选择"
            }
        }
	});
});
