define([
],function(){
    var layout ={
        login:[{
                fixed:"top",
                type:"topBar",
                label:"登陆",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"main"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                layoutMethod: "getLoginLayout",
                initMethod: "loadInitInfo",
				//添加回车登陆
                editorEnterMethod:"onLoginEnter",
                className:"cq-layout-content cq-layout-login",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //消费者端调节注册位置问题
        loginC:[{
                fixed:"top",
                type:"topBar",
                label:"登陆",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"main"
                }],
                right:[{
                    type:"iconMenuItem",
                    label:"注册",
                    icon:"",
                    arrow:"right",
                    href:"register"
                }],
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                layoutMethod: "getLoginLayout",
                initMethod: "loadInitInfo",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
        //个人信息设置
        userSetting:[
            {
                fixed:"top",
                type:"topBar",
                label:"设置",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                layoutMethod: "getUserSettingLayout",
            },{
                fixed:"bottom",
                type:"footerBar",
                buttons:[{
                    dojoType:"cq/app/widget/mobile/menu/ColumnButton",
                    className:"footer-tab-highlight",
                    label:"注销登录",
                    dataProvider:"cq/bo/user",
                    action:"logout"
                }]
            }],
        personalInformation:[{
                fixed:"top",
                type:"topBar",
                label:"个人资料",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                layoutMethod: "getpersonalInformationLayout",
                initMethod: "loadUserInfo",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
        personalInformationC:[{
                fixed:"top",
                type:"topBar",
                label:"个人资料",
                left:[{
                    type:"iconMenuItem",
                    label:"返回",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                layoutMethod: "getpersonalInformationLayout",
                initMethod: "loadUserInfo",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
			//修改密码
            changePassword:[{
                fixed:"top",
                type:"topBar",
                label:"修改密码",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                layoutMethod: "getChangePasswordLayout",
                initMethod: "getNull",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
			//修改消费者密码
            changePasswordC:[{
                fixed:"top",
                type:"topBar",
                label:"修改密码",
                left:[{
                    type:"iconMenuItem",
                    label:"返回",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                layoutMethod: "getChangePasswordCLayout",
                initMethod: "getNull",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //找回密码
            retrieve:[{
                fixed:"top",
                type:"topBar",
                label:"找回密码",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                layoutMethod: "getRetrieveLayout",
                initMethod: "getNull",
				className:"cq-layout-registb",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //商家注册
            registerB:[{
                fixed:"top",
                type:"topBar",
                label:"注册",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                layoutMethod: "getRegisterBLayout",
                initMethod: "initRegisterBMethod",
                reloadMethod:'registerReload',
                fieldChangeMethod:"getRegisterBChangeMethod",
				className:"cq-layout-registb",
                //className:"cq-layout-content cq-layout-regist",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //添加商家
            businessRegist:[{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                layoutMethod: "getBusinessRegistLayout",
                initMethod: "getNull",
                fieldChangeMethod:"getBusinessRegistMethod",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //消费者注册
            register:[{
                fixed:"top",
                type:"topBar",
                label:"注册",
                left:[{
                    type:"iconMenuItem",
                    label:"返回",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                layoutMethod: "getRegisterLayout",
                initMethod: "getNull",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //认证重盐APP
            shopSaltVerification:[{
                fixed:"top",
                type:"topBar",
                label:"店铺认证",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]/*,
                right:[{
                    type:"iconMenuItem",
                    label:"认证帮助",
                    icon:"",
                    href:"helpVerification"
                }],*/
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/shop",
                layoutMethod: "getGosaltbVerifyXmLayout",
                initMethod: "initShopVerificationData",
                reloadMethod: "onVerifyReloaded",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //农庄宝、渝商宝
            defalutShopVerification:[{
                fixed:"top",
                type:"topBar",
                label:"店铺认证",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }],
                right:[{
                    type:"iconMenuItem",
                    label:"认证帮助",
                    icon:"",
                    href:"helpVerification"
                }],
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/shop",
                layoutMethod: "getDeftVerifyLayout",
                initMethod: "initShopVerificationData",
                reloadMethod: "onVerifyReloaded",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //认证畜牧APP
            shopVerification:[{
                fixed:"top",
                type:"topBar",
                label:"店铺认证",
                className:"selectLabel",
                left:[{
                    type:"iconMenuItem",
                    label:"返回",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }],
                right:[{
                    type:"iconMenuItem",
                    label:"认证帮助",
                    icon:"",
                    href:"helpVerification"
                }],
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/shop",
                layoutMethod: "getShopVerifyXmLayout",
                initMethod: "initShopVerificationData",
                reloadMethod: "onVerifyReloaded",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //专家管理列表
            expertList:[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#expert",
                    label: "添加专家"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            },{
                dojoType: "cq/app/widget/web/DGrid",
                "dataProvider": "cq/bo/expert",
                //获取读取数据地址的方法名
                targetMethod: "load",
                //依据列表的依赖关系，获取查询参数的方法名
                queryParamMethod: "getQueryParam",
				gridLayoutMethod:"getGridLayout",
                waitFor: {
                    "0": "cqViewParam",
					"1":"search"
                }
            }],
			//客户管理列表
			userList:[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#user",
                    label: "添加客户"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            },{
                dojoType: "cq/app/widget/web/DGrid",
                "dataProvider": "cq/bo/user",
                //获取读取数据地址的方法名
                targetMethod: "getUserUrl",
                //依据列表的依赖关系，获取查询参数的方法名
                queryParamMethod: "getQueryParam",
				gridLayoutMethod:"getUserGridLayout",
                waitFor: {
                    "0": "cqViewParam",
					"1":"search"
                }
            }],
            "expert": [{
                //专家详情
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/expert",
                //页面布局
                layoutMethod: "getEditLayout",
                //获取店铺数据
                initMethod: "loadById",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],	
			user:[{
                //客户详情
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/user",
                //页面布局
                layoutMethod: "getpersonalInformationLayout",
                //获取客户数据
                initMethod: "loadUser",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //商家管理
            merchantList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"商家管理",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部搜索框
                fixed:"top",
                id:"1",
                dojoType:"cq/app/widget/mobile/SearchBox"
            },{
                type:"flexBar",
                fixed:"top",
                buttons:[{
                    id:"2",
                    dojoType:"cq/app/widget/mobile/menu/DropDownButton",
                    label:"分类",
                    index:0,
                    dropdownInfo:{
                        items:[{
                            _id:"",
                            label:"全部"
                        },{
                            _id:"6",
                            label:"厂家"
                        },{
                            _id:"5",
                            label:"运营商"
                        },{
                            _id:"9",
                            label:"零售商"
                        },{
                            _id:"7",
                            label:"一级批发商"
                        },{
                            _id:"8",
                            label:"二级批发商"
                        },{
                            _id:"9999",
                            label:"未分类"
                        }]
                    }
                },{
                    id:"3",
                    dojoType:"cq/app/widget/mobile/menu/DropDownButton",
                    label:"认证状态",
                    index:1,
                    dropdownInfo:{
                        items:[{
                            _id:0,
                            label:"全部"
                        },{
                            _id:1,
                            label:"待认证"
                        },{
                            _id:2,
                            label:"已认证"
                        },{
                            _id:3,
                            label:"未提交"
                        },{
                            _id:4,
                            label:"已驳回"
                        }]
                    }
                },{
                    id:"4",
                    dojoType:"cq/app/widget/mobile/menu/DropDownButton",
                    label:"推荐状态",
                    index:2,
                    dropdownInfo:{
                        items:[{
                            _id:0,
                            label:"全部"
                        },{
                            _id:1,
                            label:"未推荐"
                        },{
                            _id:2,
                            label:"已推荐"
                        }]
                    }
                }]
            },{
                "id":"resultList",
                //list类型
                dojoType: "cq/app/widget/mobile/List",
                //数据提供者
                dataProvider: "cq/bo/shop",
                //获取读取数据地址的方法名shop.getShopByPlatform()
                targetMethod: "getMerchantUrl",
                //listem的label显示
                itemPropMethod: "getMerchantLabel",
                //列表查询条件参数
                queryParamMethod: "getParamsForMerchant",
                //列表项的类型，对应的对象分别放在web/item和mobile/item中
                itemType: "IconLabel",
                //工作模式：
                //  single单选(会触发onCqChanged)
                //  multi多选(点击之后选中，不触发事件)
                //  其他点击之后调用dataProvider的方法
                workMode: "action",
                //点击事件响应时，点击之后调用的dataProvider的方法名
                clickMethod: "onMerchantShop",
                //列表呈现方式
                //  列表呈现方式：cq-card显示为卡片模式，row-list单行列表模式
                //  图标大小：mini-card小图宽度44px，middle-card中图宽度72px，big-card大图宽度128px
                listClass: "cq-card middle-card",
                //pageSize: 10,
                waitFor: {
                    "0": "cqViewParam",
                    "1":"search",
                    "2":"state",
                    "3":"state_2",
                    "4":"state_3"
                }
            },{ fixed:"bottom",
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/shop",
                layoutMethod: "exportLayout",
                waitFor: {
                    "0": "cqViewParam"
                }
            },{
                fixed:"bottom",
                type:"footerBar",
                buttons:[{
                    dojoType:"cq/app/widget/mobile/menu/ColumnButton",
                    className:"footer-tab-highlight",
                    label:"添加商家",
                    dataProvider:"cq/bo/shop",
                    action:"addMerchant"
                }]
            }],
            //重盐合作伙伴详情myPartnerDetail
            myPartnerDetail:[{
                fixed:"top",
                type:"topBar",
                label:"合作伙伴详情",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/shop",
                layoutMethod: "getPartnerDetailLayout",
                initMethod: "initPartnerDetailData",
                reloadMethod: "onPartnerReloaded",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            myPartnerList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"我的伙伴",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部搜索框
                fixed:"top",
                id:"1",
                dojoType:"cq/app/widget/mobile/SearchBox"
            },{
                //顶部table区域
                type:"cq/app/widget/mobile/List",
                fixed:"top",
                id:"2",
                workMode: "single",
                itemType: "Label",
                listClass:"hflex",
                items:[{
                    _id:0,
                    labelClass:"flex1 font-size1 h-center tab-selector selected",
                    label:"全部"
                },{
                    _id:1,
                    labelClass:"flex1 font-size1 h-center tab-selector",
                    label:"供应商"
                },{
                    _id:2,
                    labelClass:"flex1 font-size1 h-center tab-selector",
                    label:"分销商"
                },{
                    _id:3,
                    labelClass:"flex1 font-size1 h-center tab-selector",
                    label:"待处理"
                }]
            },{
                //list类型
                dojoType: "cq/app/widget/mobile/List",
                //数据提供者
                dataProvider: "cq/bo/shop",
                //获取读取数据地址的方法名
                targetMethod: "getPartnerLoadUrl",
                //listem的label显示
                itemPropMethod: "getShopItemPropForPartener",
                //列表查询条件参数
                queryParamMethod: "getParamsForPartners",
                //列表项的类型，对应的对象分别放在web/item和mobile/item中
                itemType: "IconLabel",
                //工作模式：
                //  single单选(会触发onCqChanged)
                //  multi多选(点击之后选中，不触发事件)
                //  其他点击之后调用dataProvider的方法
                workMode: "action",
                //点击事件响应时，点击之后调用的dataProvider的方法名
                clickMethod: "onPartnerShop",
                //列表呈现方式
                //  列表呈现方式：cq-card显示为卡片模式，row-list单行列表模式
                //  图标大小：mini-card小图宽度44px，middle-card中图宽度72px，big-card大图宽度128px
                listClass: "cq-card middle-card",
                waitFor: {
                    "0": "cqViewParam",
                    "1":"search",
                    "2":"state"
                }
            },{
                fixed:"bottom",
                type:"footerBar",
                buttons:[{
                    dojoType:"cq/app/widget/mobile/menu/ColumnButton",
                    className:"footer-tab-dark",
                    label:"查找更多伙伴",
                    dataProvider:"cq/bo/shop",
                    action:"findMore"
                }]
            }],
            //商家列表
            supplyList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"供应商",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部搜索框
                fixed:"top",
                id:"1",
                dojoType:"cq/app/widget/mobile/SearchBox"
            },{
                //顶部区域搜索按钮区域
                type:"flexBar",
                fixed:"top",
                buttons:[{
                    id:"2",
                    dojoType:"cq/app/widget/mobile/menu/FlexDistrictButton",
                    label:"选择区划",
                    className:"font-size1 h-center tab-selector white-background",
                    waitFor:{
                        "0":"cqViewParam"
                    }
                }]
            },{
                //简单列表的配置
                //类型是确定的
                dojoType: "cq/app/widget/mobile/List",
                //数据提供者
                dataProvider: "cq/bo/shop",
                //获取读取数据地址的方法名
                targetMethod: "getPlatformShopListUrl",
                //获取ListItem属性的方法，返回的参数中包含data属性——对应的数据
                itemPropMethod: "getShopItemProp",
                //依据列表的依赖关系，获取查询参数的方法名
                queryParamMethod: "getPlatformShopListParam",
                //列表项的类型，对应的对象分别放在web/item和mobile/item中
                itemType: "IconLabel",
                //工作模式：
                //  single单选(会触发onCqChanged)
                //  multi多选(点击之后选中，不触发事件)
                //  其他点击之后调用dataProvider的方法
                workMode: "action",
                //点击事件响应时，点击之后调用的dataProvider的方法名
                clickMethod: "onShowShop",
                //列表呈现方式
                //  列表呈现方式：cq-card显示为卡片模式，row-list单行列表模式
                //  图标大小：mini-card小图宽度44px，middle-card中图宽度72px，big-card大图宽度128px
                listClass: "cq-card middle-card",
                waitFor: {
                    "0": "cqViewParam",
                    "1":"search",
                    "2":"district"
                }
            }],
			"newsGroupGrid":[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#newsGroup",
                    label: "添加资讯分类"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            },{
                dojoType: "cq/app/widget/web/DGrid",
                "dataProvider": "cq/bo/article",
                //获取读取数据地址的方法名
                targetMethod: "loadGroup",
                //依据列表的依赖关系，获取查询参数的方法名
                queryParamMethod: "getGroupQueryParam",
				gridLayoutMethod:"getGroupGridLayout",
				clickMethod:"onGroupListAction",
                waitFor: {
                    "0": "cqViewParam",
					"1":"search"
                }
            }],
			"newsGroup": [{
                //专家详情
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/article",
                //页面布局
                layoutMethod: "getGroupEditLayout",
                //获取店铺数据
                initMethod: "loadGroupById",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
			//培训课程相关布局
			"schoolClassGrid":[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#schoolClass",
                    label: "添加课程"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            },{
                dojoType: "cq/app/widget/web/DGrid",
                "dataProvider": "cq/bo/schoolClass",
                //获取读取数据地址的方法名
                targetMethod: "load",
                //依据列表的依赖关系，获取查询参数的方法名
                queryParamMethod: "getQueryParam",
				gridLayoutMethod:"getGridLayout",
				clickMethod:"onListAction",
                waitFor: {
                    "0": "cqViewParam",
					"1":"search"
                }
            }],
			"schoolClass": [{
                //专家详情
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/schoolClass",
                //页面布局
                layoutMethod: "getEditLayout",
                //获取店铺数据
                initMethod: "loadById",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
			//市场行情相关布局
			"priceTrendGrid":[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#priceTrendDetail",
                    label: "添加价格"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            },{
                dojoType: "cq/app/widget/web/DGrid",
                "dataProvider": "cq/bo/price",
                //获取读取数据地址的方法名
                targetMethod: "load",
                //依据列表的依赖关系，获取查询参数的方法名
                queryParamMethod: "getQueryParam",
				gridLayoutMethod:"getGridLayout",
				clickMethod:"onListAction",
                waitFor: {
                    "0": "cqViewParam",
					"1":"search"
                }
            }],
			"priceTrendDetail": [{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/price",
                layoutMethod: "getEditLayout",
                initMethod: "loadById",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
			//项目管理相关布局
			"prjDefGrid":[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#prjDefEdt",
                    label: "添加项目"
                },{
                    type: "menuItem",
                    href: "#prjCheckList",
                    label: "管理申报"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            }, {
                dojoType: "cq/app/widget/web/List",
				label: "发布状态",
                items: [{
                    _id: "",
                    label: "全部"
                },{
                    _id: "0",
                    label: "待发布"
                }, {
                    _id: "1",
                    label: "已发布"
                }, {
                    _id: "4",
                    label: "已作废"
                }],
                workMode: "single",
                itemType: "Label",
                id: "2"
            },{
                dojoType: "cq/app/widget/web/DGrid",
                "dataProvider": "cq/bo/project",
                targetMethod: "load",
                queryParamMethod: "getQueryParam",
				gridLayoutMethod:"getGridLayout",
				clickMethod:"onListAction",
                waitFor: {
                    "0": "cqViewParam",
					"1":"search",
					"2":"state"
                }
            }],
			"prjDefEdt": [{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/project",
                layoutMethod: "getEditLayout",
                reloadMethod: "onDataReloaded",
                initMethod: "loadById",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
			//项目申报审核相关布局
			"prjCheckGrid":[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#prjDefList",
                    label: "项目管理"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            }, {
                dojoType: "cq/app/widget/web/List",
				label: "申请状态",
                items: [{
                    _id: "",
                    label: "全部"
                },{
                    _id: "0",
                    label: "申请中"
                },{
                    _id: "1",
                    label: "已通过"
                }, {
                    _id: "2",
                    label: "已驳回"
                }, {
                    _id: "3",
                    label: "已拒绝"
                }, {
                    _id: "11",
                    label: "申请验收"
                }, {
                    _id: "13",
                    label: "驳回验收"
                }, {
                    _id: "14",
                    label: "拒绝验收"
                }, {
                    _id: "15",
                    label: "通过验收"
                }],
                workMode: "single",
                itemType: "Label",
                id: "2"
            },{
                dojoType: "cq/app/widget/web/DGrid",
                "dataProvider": "cq/bo/project",
                targetMethod: "getLoadApplyUrl",
                queryParamMethod: "getQueryParam",
				gridLayoutMethod:"getApplyGridLayout",
				clickMethod:"onCheckListAction",
                waitFor: {
                    "0": "cqViewParam",
					"1":"search",
					"2":"state"
                }
            }],
			"prjCheckDtl": [{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/project",
                layoutMethod: "getApplyEditLayout",
                initMethod: "loadCheckById",
                reloadMethod: "onPrjCheckLoaded",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
			//项目申请详情
			prjApplyDtl:[{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/project",
                layoutMethod: "getApplyLayout",
                initMethod: "loadApplyData",
                reloadMethod: "onPrjApplyLoaded",
                waitFor: {
                    "0": "cqViewParam"
                }
			}],
			//问题咨询相关布局
			"questionMsgGrid":[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#questionMsgDetail",
                    label: "添加问题"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            },{
                dojoType: "cq/app/widget/web/DGrid",
                "dataProvider": "cq/bo/questionMsg",
                //获取读取数据地址的方法名
                targetMethod: "load",
                //依据列表的依赖关系，获取查询参数的方法名
                queryParamMethod: "getQueryParam",
				gridLayoutMethod:"getGridLayout",
				clickMethod:"onListAction",
                waitFor: {
                    "0": "cqViewParam",
					"1":"search"
                }
            }],
			"questionMsgDetail": [{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/questionMsg",
                layoutMethod: "getEditLayout",
                initMethod: "loadById",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
			//供求信息相关布局
			"supplyDemandGrid":[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#supplyDemandPost",
                    label: "添加供求信息"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            },{
                dojoType: "cq/app/widget/web/DGrid",
                "dataProvider": "cq/bo/supplyDemand",
                //获取读取数据地址的方法名
                targetMethod: "load",
                //依据列表的依赖关系，获取查询参数的方法名
                queryParamMethod: "getQueryParam",
				gridLayoutMethod:"getGridLayout",
				clickMethod:"onListAction",
                waitFor: {
                    "0": "cqViewParam",
					"1":"search"
                }
            }],
			"supplyDemandPost": [{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/supplyDemand",
                layoutMethod: "getEditLayout",
                initMethod: "loadById",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            "newsGrid":[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#news",
                    label: "添加资讯"
                },{
                    type: "menuItem",
                    href: "#newsGroupList",
                    label: "管理资讯分类"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            },{
                dojoType: "cq/app/widget/web/DGrid",
                dataProvider: "cq/bo/article",
                //获取读取数据地址的方法名
                targetMethod: "loadShopArticle",
                //依据列表的依赖关系，获取查询参数的方法名
                queryParamMethod: "getQueryParam",
				gridLayoutMethod:"getArticleGridLayout",
				clickMethod:"onListAction",
                waitFor: {
                    "0": "cqViewParam",
					"1":"search"
                }
            }],
			"news": [{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/article",
                //页面布局
                layoutMethod: "getArticleEditLayout",
				"reloadMethod":"onEditDataReloaod",
                //获取店铺数据
                initMethod: "loadShopArticleById",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            matGrid: [{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#addMat",
                    label: "添加商品"
                },{
                    type: "menuItem",
                    href: "#matGroupList",
                    label: "管理分组"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            }, {
                dojoType: "cq/app/widget/web/List",
                items: [{
                    _id: "-createAt",
                    label: "最新"
                }, {
                    _id: "-qty",
                    label: "库存"
                }, {
                    _id: "-totalSale",
                    label: "销量"
                }, {
                    _id: "-retailPrice",
                    label: "价格"
                }],
                workMode: "single",
                itemType: "Label",
                id: "2"
            }, {
                dojoType: "cq/app/widget/web/List",
                dataProvider: "cq/bo/mat/matGroup",
                targetMethod: "getShopGroupUrl",
                itemPropMethod: "getGroupLabel",
                itemType: "Label",
                workMode: "single",
                label: "类别",
                allData: { gName: "全部" },
                id: "3",
                waitFor: {
                    "0": "cqViewParam"
                }
            }, {
                dojoType: "cq/app/widget/web/DGrid",
                dataProvider: "cq/bo/mat/mat",
                targetMethod: "getShopMatUrl",
				gridLayoutMethod:"getMatGridLayout",
                queryParamMethod: "getMatQuery",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "search",
                    "2": "orderBy",
                    "3": "groupId"
                }
            }],
            // 商品
            mat:[{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/mat/mat",
                layoutMethod: "getMatLayout",
                initMethod: "loadMatData",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //商家管理员
            "shopAdmin":[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    href: "#addShopAdmin",
                    label: "添加管理员"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            },{
                dojoType: "cq/app/widget/web/DGrid",
                "dataProvider": "cq/bo/shop",
                targetMethod: "getShopAdminListUrl",
                queryParamMethod: "getShopAdminParam",
				gridLayoutMethod:"getShopAdminLayout",
				clickMethod:"onListAction",
                waitFor: {
                    "0": "cqViewParam",
					"1":"search"
                }
            }],
            // 添加管理员
            "addShopAdmin":[{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/shop",
                layoutMethod: "getAddShopAdminLayout",
                initMethod: "initAddShopAdminData",
                reloadMethod: "onAddShopAdminReloaded",
                //fieldChangeMethod: "fieldChangeMethodTest",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            "merchantDetail":[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"商家管理",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }],
                right:[]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/shop",
                layoutMethod: "getMerchantDetailLayout",
                initMethod: "initMerchantDetailData",
                reloadMethod: "onMerchantDetailReloaded",
                fieldChangeMethod: "fieldMerchantDetail",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
			"orderList":[{
                type: "topBar",
                barClass: "h-bar",
                left: [{
                    type: "menuItem",
                    label: "订单概括"
                }],
                right: [{
                    dojoType: "cq/app/widget/web/SearchBox",
                    id: "1"
                }]
            }, {
                dojoType: "cq/app/widget/web/List",
                items: [{
                    _id: "-createAt",
                    label: "待审核(0)"
                }, {
                    _id: "1",
                    label: "待发货(0)"
                }, {
                    _id: "2",
                    label: "待付款(0)"
                }, {
                    _id: "3",
                    label: "7天下单笔数(10)"
                }, {
                    _id: "4",
                    label: "7天收入(100)"
                }],
                workMode: "single",
                itemType: "Label",
                id: "2"
            },{
                dojoType: "cq/app/widget/web/List",
                items: [{
                    _id: "0",
                    label: "全部"
                }, {
                    _id: "1",
                    label: "待付款"
                }, {
                    _id: "2",
                    label: "待审核"
                }, {
                    _id: "3",
                    label: "待发货"
                }, {
                    _id: "4",
                    label: "已发货"
                }, {
                    _id: "5",
                    label: "已完成"
                }, {
                    _id: "6",
                    label: "退款中"
                }],
                workMode: "single",
                itemType: "Label",
                id: "3"
            }, {
                dojoType: "cq/app/widget/web/DGrid",
                dataProvider: "cq/bo/order",               
                targetMethod: "getOrderListUrl",
                queryParamMethod: "getOrderListQueryParam",
				gridLayoutMethod:"getOrderListGridLayout",
				clickMethod:"",
                waitFor: {
                    "0": "cqViewParam",
                    "1":"search",
                    "3":"state"
                }
            }],
            shopBalanceTransaction:[{
                dojoType: "cq/app/widget/web/List",
                label: "店铺余额充值",
                items: [{
                    _id: "0",
                    label: "在线缴纳"
                }, {
                    _id: "1",
                    label: "线下转账"
                }],
                workMode: "single",
                itemType: "Label",
                id: "1"
            }, {
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/shop",
                layoutMethod: "getBalanceTransactionLayout",
                initMethod: "loadgetBalanceTransactionInfo",
                reloadMethod: "onBalanceTransactionReloaded",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "queryAction"
                }
            }],
            shopBalanceDeposit: [{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/shop",
                layoutMethod: "getComfirmDepositLayout",
                initMethod: "loadComfirmDepositInfo",
                reloadMethod: "onComfirmDepositReloaded",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            saleStatisticList: [{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"销售员统计",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            }, {
                //简单列表的配置
                dojoType: "cq/app/widget/mobile/List",
                dataProvider: "cq/bo/shop",
                targetMethod: "getSaleStatisticUrl",
                //获取ListItem属性的方法，返回的参数中包含data属性——对应的数据
                itemPropMethod: "getSaleStatisticProp",
                //依据列表的依赖关系，获取查询参数的方法名
                queryParamMethod: "getSaleStatisticParam",
                //列表项的类型，对应的对象分别放在web/item和mobile/item中
                itemType: "IconLabel",
                clickMethod: "",
                workMode: "action",
                listClass: "cq-card middle-card",
                waitFor: {
                    "0": "cqViewParam",
                    "1":"search"
                }
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/shop",
                layoutMethod: "getDownStatisticLayout",
                //reloadMethod: "onComfirmDepositReloaded",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            testHeatMap:[{
                dojoType:"cq/widgets/chart/HeatMap",
                dataProvider:"cq/bo/widgetTest",
                dataMethod:"getHeatMapData",
                lonField:"lon",
                latField:"lat",
                amountField:"amount",
                
            }],
            testMarkMap:[{
                dojoType:"cq/widgets/chart/MarkMap",
                dataProvider:"cq/bo/widgetTest",
                dataMethod:"getMarkMapData",
                highLightCity:"酉阳土家族苗族自治县",
                highLightLevel:"district",
                markclickMethod:"markClick",
                initWebForm:"markmonuseover",
                isShow:"true",
                lonField:"lon",
                latField:"lat",
                //不同类型的数据显示的mark可能不同
                typeField:"shopType",       
                //不同类型的数据呈现的mark的配置项
                markOption: {
                    2001: { // 服务机构、乡镇
                    src: "http://log.cqthink.com/static/www/ex/images/blue.png",
                    width: 24,
                    height: 28,
                    left: 0,
                    top: 0
                    },
                    2002: { // 养殖企业
                        src: "http://log.cqthink.com/static/www/ex/images/pink.png",
                        width: 24,
                        height: 28,
                        left: 0,
                        top: 0
                    },
                    2003: { // 合作社
                        src: "http://log.cqthink.com/static/www/ex/images/green.png",
                        width: 24,
                        height: 28,
                        left: 0,
                        top: 0
                        },
                    2004: { // 养殖户
                        src: "http://log.cqthink.com/static/www/ex/images/purple.png",
                        width: 24,
                        height: 28,
                        left: 0,
                        top: 0
                    },
                    2005: { // 养殖场
                        src: "http://log.cqthink.com/static/www/ex/images/yellow.png",
                        width: 24,
                        height: 28,
                        left: 0,
                        top: 0
                    },
                    2006: { // 村
                        src: "./images/pink.png",
                        width: 24,
                        height: 28,
                        left: 0,
                        top: 0
                    },
                    2010: { // 村
                        src: "./images/red.png",
                        width: 24,
                        height: 28,
                        left: 0,
                        top: 0
                    }
                },      
                // mark上显示标题时标题对应的属性名
                titleField:"",      
                // 数据点击之后数据提供者提供的处理函数
                clickMethod:"",     
                //默认中心点
                center:{
                    lon:108.716096,
                    lat:28.875951
                },          
                //缩放时重现加载数据
                reloadOnScale:"",   
                //移动地图中心点时重新加载数据
                reloadOnMove:"", 
                /*
                size:{
                    width:"1500px",
                    height:"870px"
                }
                */
            }],
            testChart:[{
                fixed:"top",
                type:"topBar",
                label:"店铺认证",
                left:[{
                    type:"iconMenuItem",
                    label:"返回",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]/*,
                right:[{
                    type:"iconMenuItem",
                    label:"认证帮助",
                    icon:"",
                    href:"helpVerification"
                }],*/
            },{
                dojoType:"cq/widgets/chart/Chart",
                "dataProvider": "cq/widgets/chart/test",
                dataOptions: {},
                dataMethod:'getChartData',
                
                theme:{
                    chart: {
                        fill: "rgba(0, 0, 0, 0)",
                    },
                    //主体
                    plotarea: {
                        fill: "rgba(0, 0, 0, 0)"
                    },
                    //坐标轴
                    axis: {
                        //坐标轴线
                        stroke: { // the axis itself
                            color: "rgba(0, 0, 0, 0.5)",
                            fontColor: "rgba(0, 0, 0, 1)",
                        },
                        //坐标轴刻度
                        tick: { // used as a foundation for all ticks
                            color: "rgba(0, 0, 0, 0.5)",
                            fontColor: "rgba(0, 0, 0, 1)"
                        },
                        title: {
                            gap:  15,
                            font: "normal normal normal 11pt Tahoma",	// title font
                            fontColor: "#333",							// title font color
                            orientation: "away"						// "axis": facing the axis, "away": facing away
                        }
                    },
                    series: {
                    },
                    //网格线
                    grid: {
                        majorLine: {
                            color: "rgba(255, 255, 255, 0.5)"
                        }
                    },
                    //指示线样式
                    indicator: {
                        /*labelFunc:function(){
                            return 123;
                        },*/
                        lineStroke: {
                            width: 1.5,
                            color: "#ff9000"
                        },
                        lineOutline: {
                            width: 0.5,
                            color: "white"
                        },
                        fontColor: "#ffffff",
                        // markerFill: Theme.generateGradient({
                            // type: "radial",
                            // space: "shape",
                            // r: 100
                        // }, "white", "#ff9000"),
                        markerStroke: {
                            width: 1.5,
                            color: "#ff9000"
                        },
                        markerOutline: {
                            width: 0.5,
                            color: "white"
                        }
                    },
                    //线图和柱图样式
                    seriesThemes: [{
                        stroke: {
                            color: "#f55651",
                            width: 4
                        },
                        fill: "rgba(197, 204, 211, 0.5)"
                    }, {
                        stroke: {
                            color: "#739DA9",
                            width: 2
                        },
                        fill: "#22DAF4"
                    }]
                },
                xField:'createAt',
                xLabelMethod:'xLabelMethod',
                series:[{
                    serieField:'amount',
                    //序列的呈现类型——柱状图、折线图等
                    serieType:'Columns'
                },{
                    serieField:'visitCount',
                    vAxis:"y2",
                    //序列的呈现类型——柱状图、折线图等
                    serieType:'Columns'
                }],
                indicatorLabelMethod:'indicatorLabelMethod',
                waitFor: {
                    "0": "cqViewParam",
                }
            }],
            compIntroduction:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"公司简介",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部table区域
                dojoType:"cq/app/widget/mobile/List",
                fixed:"top",
                id:"2",
                workMode: "single",
                itemType: "Label",
                listClass:"hflex cSelectTotal",
                items:[{
                    _id:0,
                    labelClass:"flex1 font-size1 h-center tab-selector selected cSelect ",
                    label:"<span>基本信息</span>"
                },{
                    _id:1,
                    labelClass:"flex1 font-size1 h-center tab-selector cSelect",
                    label:"<span>认证信息</span>"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "cq/bo/shop",
                layoutMethod: "getCompIntroductionLayout",
                initMethod: "initCompIntroduction",
                reloadMethod:"reloadCompIntroduction",
                className:"",
                waitFor: {
                    "0": "cqViewParam",
                    "2": "selectLabel"
                }
            }],
            pointLogList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"积分明细",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部table区域
                type:"cq/app/widget/mobile/List",
                fixed:"top",
                id:"2",
                workMode: "single",
                itemType: "Label",
                listClass:"hflex",
                items:[{
                    _id:0,
                    labelClass:"flex1 font-size1 h-center tab-selector selected",
                    label:"全部"
                },{
                    _id:1,
                    labelClass:"flex1 font-size1 h-center tab-selector",
                    label:"收入"
                },{
                    _id:2,
                    labelClass:"flex1 font-size1 h-center tab-selector",
                    label:"支出"
                }]
            },{
                dojoType: "cq/app/widget/mobile/List",
                dataProvider: "cq/bo/shop",
                targetMethod: "getPointLogUrl",
                itemPropMethod: "getPropForPointLog",
                queryParamMethod: "getParamsForPointLog",
                itemType: "IconLabel",
                workMode: "action",
                clickMethod: "onPointLogShop",
                listClass: "cq-card middle-card",
                waitFor: {
                    "0": "cqViewParam",                    
                    "2":"state"
                }
            }],
    };
    return layout;
});
