﻿define([
    "dojo/_base/declare",
    "dojo/dom-style",
    "dojo/query",
    "dijit/_WidgetBase",
    "dojox/mobile/ScrollablePane",
    "cq/app/widget/_WidgetBase"
],function(declare,domStyle,query,WidgetBase,ScrollablePane,CqWidgetBase){
    return declare("",[ScrollablePane,CqWidgetBase],{
        htmlTemp:'<div id="{id}" class="cq-Rowlist {className}" data-dojo-type="cq/app/widget/mobile/RowListContainer" data-dojo-props=\'"style":"position:relative","scrollDir":"h"\'>{items}</div>',
        items:[],
        buildRendering:function(){
            this.inherited(arguments);
            this.containerNode = this.containerNode||this.domNode;
            //高度
            this.height = "40px";
            //摩擦阻力 不允许内容以外的滑动 
            this.weight = 0;
            //不出现滚动条
            this.scrollBar = false;
            domStyle.set(this.domNode,"background","#FFF")
        },
        resize:function(){
            this.inherited(arguments);
            this.labelItems = [];
            this.labelItems = query(".list-label-item",this.domNode);
            this.realWidth=0;
            if(this.labelItems.length>0){
                for(var i=0;i<this.labelItems.length;i++){
                    this.realWidth += (
                        domStyle.get(this.labelItems[i],"width")+
                        domStyle.get(this.labelItems[i],"marginLeft")+
                        domStyle.get(this.labelItems[i],"marginRight")+
                        domStyle.get(this.labelItems[i],"borderLeftWidth")+
                        domStyle.get(this.labelItems[i],"borderRightWidth"));
                }
            }
            // 如果contanerNode的宽度小于屏幕宽度时再次进入页面resize会出错
            domStyle.set(this.containerNode,"minWidth","100%");
            domStyle.set(this.containerNode,"width",this.realWidth+"px");
            this.width = domStyle.get(this.domNode,"width");
            this.containerWidth = domStyle.get(this.containerNode,"width");
            if(this.width>this.containerWidth){
                this.cleanup();
                this.noScroll = true;
            }else{
                if(this.noScroll){
                    this.init();
                    this.noScroll = false;
                }
            }
        },
        
    });
});