﻿/****
标签切换容器：
结构，顶部标签切换按钮，下边内容显示隐藏
{
    dojoType:"",
    labels:[],
    labelList:{
        //列表
        dojoType:"",
        //列表项
        items:[]
    },
    panes:[{
        dojoType:"***Pane",
        contents:[{
            dojoType:""
            
        }]
    },{
        
    }]
}


declare("***Pane",[],function(){
    htmlTemp:'<div data-dojo-type="***Pane" class="***">{contents}</div>'
})
****/
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-attr",
    "dojo/dom-construct",
    "dojo/dom-class",
    "dijit/_Container",
    "dijit/_WidgetBase",
    "dijit/registry",
    "cq/app/widget/_WidgetBase"
],function(declare,lang,domAttr,domConstruct,domClass,_Container,_WidgetBase,registry,CqWidgetBase){
    return declare("",[_WidgetBase,CqWidgetBase,_Container],{
        htmlTemp:'<div id="{id}" class="cq-typePane {className}" data-dojo-type="cq/app/widget/mobile/TypeContainer" data-dojo-props=\'labelsClass:"{labelsClass}",firstShow:"{firstShow}",labels:"{labels}"\'>{labelList}<div>{panes}</div></div>',
        //配置标签labelList，
        labelList:{},
        
        //
        firstShow:"",
        labelsClass:"",
        buildRendering:function(){
            this.inherited(arguments);
            
            
        },
        startup:function(){
            var started = this._started;
            this.inherited(arguments);
            if(started){
                return;
            }
            this.getTagAndView();
            //为每个tag绑定事件
            for(var i=0;i<this.tags.length;i++){
                this.connect(this.tags[i].domNode,"onclick",lang.hitch(this,function(e){
                    this.clickTag(e.target);    
                }));    
            }
            //默认选择处理
            this.oldSelectNode = this.tags[0].domNode;
            this.clickTag(this.oldSelectNode);
            
        },
        //获取标签和pane
        getTagAndView:function(){
            var widgets = this.getChildren();
            this.tags = widgets[0].getChildren();
            for(var i=0;i<this.tags.length;i++){
                domAttr.set(this.tags[i].domNode,"typeTagName","tag");
            }
            this.views = [];
            for(var i=1;i<widgets.length;i++){
                widgets[i].domNode.style.display = "none";
                this.views.push(widgets[i]);
            }
        },
        //获取Tag根节点
        getTag:function(node){
            if(node.getAttribute("typeTagName")&&node.getAttribute("typeTagName")==="tag"){
                return node;
            }else{
                return this.getTag(node.parentNode);
            }
        },
        //标签点击事件
        clickTag:function(eNode){
            var node = this.getTag(eNode);
            if(this.oldSelectNode){
                domClass.remove(this.oldSelectNode,"selected");
            }
            for(var i=0;i<this.tags.length;i++){
                if(this.tags[i].domNode ===node){
                    if(this.views[i])
                        this.views[i].domNode.style.display = "";
                }else{
                    if(this.views[i])
                        this.views[i].domNode.style.display = "none";
                }
            }
            domClass.add(node,"selected");
            this.oldSelectNode =node;
        },
        cqRefresh:function(){
            if(this.oldSelectNode){
                this.oldSelectNode.click();
            }
        }
    });
});