define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-construct",
    "dojo/dom-style",
    "dojo/dom-class",
    "dojo/dom-attr",
    "dijit/_WidgetBase",
    "cq/app/widget/_WidgetBase"
],function(declare,lang,domConstruct,domStyle,domClass,domAttr,_WidgetBase,_CQWidgetBase){
    return declare("",[_WidgetBase,_CQWidgetBase],{
        htmlTemp:'<div class="cq-form-checkbox1 cq-field-input {className}" data-dojo-type="cq/app/widget/mobile/edit/CheckBox1" data-dojo-props="label:\'{label}\',field:\'{field}\',canEdit:\'{canEdit}\'"></div>',
        field:"",
        label:"",
        canEdit:"",
        buildRendering:function(){
            this.canEdit = this.canEdit!==false&&this.canEdit!=="false";
            this.inherited(arguments);
            this.containerNode = this.domNode||this.containerNode;
            this.checkBox = domConstruct.create("input", {
                type:"checkbox",
                className:"checkbox"
                //style:"width:20px;height:20px;margin:0;padding:0;"
            }, this.containerNode);
            this.label = domConstruct.create("label", {
                innerHTML:this.label,
                className:"checkbox-label"
                //style:"margin-left:10px;vertical-align:super;"
            }, this.containerNode)
            this.connect(this.domNode,"onclick",this.onClick);
            this.setValue(this.getValue());
        },
        setCanEdit:function(canEdit){
            this.canEdit = canEdit!==false&&canEdit!=="false";
            domAttr.set(this.checkbox,"disabled",!this.canEdit);
        },
        onClick:function(evt){
            if(!this.canEdit){
                return false;
            }
            this.setValue(!this.value);
            this.onFieldChanged(this, this.field, this.getValue());
        },
        getValue:function(){
            return domAttr.get(this.checkBox, "checked");
        },
        setValue:function(value){
            this.value = value||false;
            domAttr.set(this.checkBox, "checked", value);
        },
        onFieldChanged:function(widget,field,value){
        }
    });
});