﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-style",
    "dojo/dom-class",
    "dojo/dom-construct",
    "dojo/query",
    "dojox/mobile/EdgeToEdgeList",
    "dojox/mobile/ListItem",
    "dijit/registry",
    "cq/util/edit/tabView"
],function(declare,lang,domStyle,domClass,domConstruct,query,EdgeToEdgeList,ListItem,registry,tabView){
    //列表选项，呈现为一个ListItem，内容显示在右侧
    return declare("",[ListItem],{
    htmlTemp:'<li class="cq-form-group cq-field-input {className}" data-dojo-type="cq/app/widget/mobile/edit/GroupEditor" data-dojo-props=\'intervalBottom:{intervalBottom},intervalTop:{intervalTop},label:"{label}",rightText:"{rightText}",group:"{group}",canEdit:"{canEdit}",field:"{field}",items:"{j:items}"\'>{contents}</li>',
        field:"",
        canEdit:true,
        itemsNode:null,
        label:"",
        rightText:"",
        group:"",
        intervalTop:false,
        intervalBottom:false,
        buildRendering:function(){
            this.firstLoad = true;
            //this.clickable = true;
            this.inherited(arguments);
            this.canEdit = this.canEdit!==false&&this.canEdit!=="false";
            this.setCanEdit();
            //获取dataLayout
            this.parentLayout = this;
            while(!this.parentLayout.getEditorByField){
                this.parentLayout = this.parentLayout.getParent();
            }
            domStyle.set(this.domNode,"marginTop",this.intervalTop?"30px":"0px");
            domStyle.set(this.domNode,"marginBottom",this.intervalBottom?"30px":"0px");
        },
        setCanEdit:function(canEdit){
            this.canEdit = canEdit!==false&&canEdit!=="false";
            this.set("clickable",this.canEdit);
             if(this.rightIconNode){
                domStyle.set(this.rightIconNode,"opacity",this.canEdit?1:0);
            }
        },
        onClick:function(e){
            //获取这个view 作为编辑页面的锚点，能够返回
            // 在标签分组时 每一次的view都是不同的
            var view = this.getParent();
            while(view){
                if(!view.show){
                    view = view.getParent();
                }else{
                    break;
                }
            }
            this.view = view;
            //生成一个编辑页面
            this.tab = new tabView();
            this.tab.startEdit(this.parentLayout.getGroupByGroupId(this.group),this.view,this.label).then(lang.hitch(this,function(){
                return;
            }));
        },
        onFieldChanged:function(widget,field,value){
            
        }
    });
});