﻿/*
以下图标、图标容器对象都要继承cq/app/widget/_WidgetBase
分块图片、按钮、标签组件 cq/app/widget/mobile/icon/IconBase
	提供属性：
        图标
        大标题
        小标题
        固定class——图片、文字大小、是否圆角等基本样式控制
        右侧小图标(before/after)——动态设置的样式控制，如上下箭头等
        提示数量
各个页面不见点击之后的链接地址
	修改上述属性的方法
*/
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-construct",
    "dojo/dom-style",
    "dojo/dom-class",
    "dojo/dom-attr",
    "dijit/_Widget",
    "../../_WidgetBase",
    "./IconBase"
],function(declare,lang,domConstruct,domStyle,domClass,domAttr,_Widget,_CqWidgetBase,IconBase){
    return declare("",[IconBase],{
        htmlTemp:'<div id="{id}" class="flex1 {className}" data-dojo-type="cq/app/widget/mobile/icon/Icon" data-dojo-props="className:\'{className}\',label:\'{label}\',label2:\'{label2}\',labelClass:\'{labelClass}\',label2Class:\'{label2Class}\',icon:\'{icon}\',iconClass:\'{iconClass}\',href:\'{href}\',badge:\'{badge}\',rightIcon:\'{rightIcon}\',badgeClass:\'{badgeClass}\',labelField:\'{labelField}\',label2Field:\'{label2Field}\' ,iconField:\'{iconField}\' ,badgeField:\'{badgeField}\' ,srcField:\'{srcField}\'"></div>',
        
        //固定class——图片、文字大小、是否圆角等基本样式控制
        className:"",
        
        labelField:"",
		label2Field:"",
		iconField:"",
		badgeField:"",
		srcField:"",

        setData:function(data){
            if(!data){
                return;
            }
            if(data.data){
                data = data.data;
            }
            if(data.items&&data.items.length){
                data.item = data.items[0];
            }
            if(data.item){
                data = data.item;
            }
            this.data = data;
            if(this.labelField){
                this.setLabel(data[this.labelField]||this.label);
            }
            if(this.label2Field){
                this.setLabel2(data[this.label2Field]||this.label2);
            }
            if(this.iconField){
                this.setIcon(data[this.iconField]||this.icon);
            }
            if(this.badgeField){
                this.setBadge(data[this.badgeField]);
            }
            if(this.srcField){
                this.setSrc(data[this.srcField]);
            }
        }
    });
});