﻿define([
    "dojo/_base/declare",
    "dojo/_base/event",
    "dojo/_base/lang",
    "dojo/dom-class",
    "dojo/dom-style",
    "dojo/touch",
    "dijit/_WidgetBase"
],function(declare, event, lang, domClass,domStyle,touch,_WidgetBase){
    return declare("",[_WidgetBase],{
        baseClass:"list-label-item",
        label:"",
        labelClass:"",
        checked:false,
        buildRendering:function(){
            this.inherited(arguments);
            this.domNode.innerHTML = this.label;
            //阻止ios 浏览器默认的click事件导致节点闪烁的问题
            touch.press(this.domNode,lang.hitch(this,function(e){
                domStyle.set(this,{
                    "-webkit-tap-highlight-color": "rgba(0, 0, 0, 0)"
                });
                event.stop(e);
            }));
            this.connect(this.domNode,"onclick",this.onClick);
            if(this.labelClass){
                domClass.add(this.domNode,this.labelClass);
            }
        },
        _setCheckedAttr:function(checked){
            this.inherited(arguments);
            this.checked = !!checked;
            domClass[this.checked?"add":"remove"](this.domNode,"selected");
        },
        onClick:function(e){
            return this.getParent().onItemClick(this,e);
        }
    });
});