﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-class",
    "dojox/mobile/ListItem"
],function(declare,lang,domClass,ListItem){
    var onClick = function(e){
        var node = e.target,isExtent = false;
        while(node&&node!==this.domNode){
            if(domClass.contains(node,"extent-action")){
                isExtent = true;
                break;
            }
            node = node.parentNode;
        }
        if(isExtent){
            require([this.actionProvider],lang.hitch(this,function(actionProvider){
                actionProvider.getAction(this.params.data,this.actionOptions).then(lang.hitch(this,function(action){
                    if(action){
                        this._realOnClick(action);
                    }
                }));
            }));
            return true;
        }else{
            this._realOnClick(e);
        }
    };
    return declare("",ListItem,{
        actionProvider:"",
        actionOptions:null,
        postCreate:function(){
            this.inherited(arguments);
            if(this.actionProvider){
                this._realOnClick = this.onClick;
                this.onClick = onClick;
            }
        }
    });
});