﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojox/mobile/ToolBarButton",
    "cq/app/widget/_WidgetBase"
],function(declare,lang,ToolBarButton,_WidgetBase){
    return declare("",[ToolBarButton,_WidgetBase],{
        htmlTemp:'<span id="{id}" class="menu-item" data-dojo-type="cq/app/widget/mobile/menu/ToolBarButton" data-dojo-props="label:\'{label}\',icon:\'{icon}\',arrow:\'{arrow}\',cqHref:\'{href}\',viewName:\'{viewName}\'"></span>',
        cqHref:"",
        viewName:"",
        onClick:function(){
            if("back"===this.cqHref){
                var href = location.href;
                history.back();
                setTimeout(function(){
                    if(href===location.href){
                        window.moveToView("main");
                    }
                },10);
            }else if("search"===this.cqHref){
                require(["whz/Search"],lang.hitch(this, function(Search){
                    Search.startSearch(this.viewName).then(lang.hitch(this, function(str){
                        this.onCqChanged(this, str);
                    }));
                }));
            }else{
                window.moveToView(this.cqHref);
            }
        }
    });
});