define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/_base/event",
    "dojo/query",
    "dojo/dom-attr",
    "dojo/dom-construct",
    "dojo/dom-style",
    "dojo/dom-class",
    "dijit/_WidgetBase",
    "../_WidgetBase",
    "dojox/mobile/FixedSplitter",
    "dijit/registry"
],function(declare,lang,array,event,query,domAttr,domConstruct,domStyle,domClass,_WidgetBase,_CQWidgetBase,FixedSplitter,registry){
    return declare("",[_WidgetBase, _CQWidgetBase, FixedSplitter],{
        htmlTemp:
            //'<div  id="{id}" data-dojo-type="cq/app/widget/web/Steps" data-dojo-props=>'
            //+ "'steps:{j:teps},field:\"{field}\"'"
            //+ 
            '<div id="{id}" class="cq-view-steps" data-dojo-type="cq/app/widget/web/Steps"'
            + " data-dojo-props='variablePane:1,orientation:\"V\"'><div class='cq-view-stepsTags'"
            //+ " data-dojo-props='variablePane:1,orientation:\"V\",steps:{j:steps},field:\"{field}\"'><div class='cq-view-stepsTags'"
            + ' data-dojo-type="dojox/mobile/Pane">{stepsTags}</div><div class="cq-view-stepsFields cq-layout-content" ' 
            + 'data-dojo-type="dojox/mobile/Pane"><form class="cq-form {formClass}" onsubmit="return false">{stepsFields}</form></div><div class="cq-view-stepsActions"' 
            + ' data-dojo-type="dojox/mobile/Pane"><div class="cq-view-actions"><button class="submit">确定</button><button class="cancle">'
            + '取消</button></div><div class="cq-view-actions1">{stepsBtns}</div></div></div>',
            //</div>',
        field:"",
        steps:null,
        buildRendering:function(){
            this.inherited(arguments);
            this.containerNode = this.containerNode||this.domNode;
        },
        startup:function(){
            if(!this._started){
                this.indexElement();
                this.initEvent();
            }
            this.inherited(arguments);
            this.resize();
        },
        resize:function(){
            this.inherited(arguments);
        },
        indexElement:function(){
            // 顶部pane中的tags
            this.tagsPane = query(".cq-view-stepsTags", this.containerNode)[0];
            this.stepsTags = query(".cq-view-stepsTags>.cq-form-item", this.containerNode);
            // 中间views
            this.stepsViews = query(".cq-view-stepsFields>.cq-form>.mblView", this.containerNode);
            // 底部按钮区域
            // 组件的确认取消按钮
            this.stepsActions = query(".cq-view-actions", this.containerNode)[0];
            this.stepsBtns = query(".cq-view-actions>div", this.containerNode);
            // 根据需要生成打得最后一个view显示的按钮
            this.stepsActions1 = query(".cq-view-actions1", this.containerNode)[0];
            this.stepsBtns1 = query(".cq-view-actions1>.cq-form-item", this.containerNode);
        },
        initEvent:function(){
            // tag点击切换事件
            this.connect(this.tagsPane, "onclick", this.onTagsPaneClick);
            // view切换
            // 确认、取消按钮点击事件
            this.connect(this.stepsActions, "onclick", function(evt){
                console.log("action clicked");
                var target = evt.target;
                if(domClass.contains(target, "cq-view-actions")){
                    return;
                }
                // 确定，下一页
                var inc = 1;
                if(!domClass.contains(target, "submit")){
                    if(this.selectedIndex == 0){
                        return;
                    }
                    inc = -1
                }
                this.onTagsPaneClick({
                    target:this.stepsTags[this.selectedIndex+1]
                });
            });
            this.onTagsPaneClick({
                target:this.stepsTags[0]
            });
        },
        onTagsPaneClick:function(evt){
            console.log("tag clicked");
            var target = evt.target;
            if(domClass.contains(target, "mblPane")){
                return;
            }
            if(domClass.contains(target, "cq-form-button")){
                target = target.parentNode;
            }
            // 设置view的显示隐藏
            array.forEach(this.stepsTags, lang.hitch(this, function(item, index){
                if(item == target){
                    this.selectedIndex = index;
                }
                domClass[item===target?"add":"remove"](item,"selected");
            }));
            registry.byNode(this.stepsViews[this.selectedIndex]).show();
            //if(this.selectedIndex == this.stepsViews.length-1){
                domStyle.set(this.stepsActions, "display", "none");
                domStyle.set(this.stepsActions1, "display", "block");
            //}else{
            //    domStyle.set(this.stepsActions, "display", "block");
            //    domStyle.set(this.stepsActions1, "display", "none");
            //}
        },
        getValue:function(){
            
        },
        setValue:function(){
            
        }
    });
});