﻿define([
    "dojo/_base/declare",
    "dojo/dom-class",
    "./Label"
],function(declare,domClass,Label){
    return declare("",[Label],{
        constructor:function(item){
			this.__item = item;
			this.__label = item.label;
			this.inherited(arguments);
		},
        buildRendering:function(){
            this.inherited(arguments);
			var _label=this.__label;
			for(var key in this.__item){
				_label = _label.replace(/\{[\w\.]+\}/g,this.__item[key]);
			}
            this.domNode.innerHTML = _label;
        }
    });
});