﻿define([
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/Deferred",
    "dojo/_base/lang",
    "cq/biz/object",
    "cq/util/config/config"
],function(declare, array,Deferred, lang, object, config){
    var O = declare("", object.Schema, {
        //后台模块路径
        modalName:"mk/policy/basic_rate",
        loadById : function(id){
            return this.execInCurrentShop("load_by_id", {_id : id});
        },
		deleteById : function(id){
            return this.execInCurrentShop("delete_by_id", {_id : id});
        },
        save : function(data){
            data = this.filterSaveData(data);
            return this.execInCurrentShop("save", data);
        },
        getLoadUrl : function(){
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        load : function(param){           
           return this.execInCurrentShop("load",param);
        }
    });
    var o = new O();
        lang.setObject("cq.biz.mk.policy.basic_rate", o);
        o.Schema = O;
        return o;
});