﻿define([
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/Deferred",
    "dojo/_base/lang",
    "cq/biz/object",
    "cq/util/config/config"
],function(declare, array,Deferred, lang, object, config){
    var O = declare("", object.Schema, {
        //后台模块路径
        modalName:"old/ncc/ncc_shop_county",
        setToCounty:function(shopId){
            return this.execInCurrentShop("set_as_county",{
                fromShopId:shopId
            });
        },
        setSubShop:function(shopId){
            return this.execInCurrentShop("set_to_me_in_service",{
                fromShopId:shopId,
                serviceShopId:config.serviceShopId
            });
        }
        loadByShopIds:function(ids){
            return this.execInCurrentShop("load",{
                fromShopId:ids
            });
        }
    });
    var o = new O();
    o.Schema = O;
    return o;
});