define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/Deferred",
    "cq/biz/object"
],function(declare, lang, array, json, Deferred, object){
    var O = declare("",object.Schema,{
        modalName:"pr/batch_day_statistics",
        //加载
        loadById : function(id){
            return this.execInCurrentShop("load_by_id", {_id : id});
        },
        //加载
        load : function(param){
            //param obj
            return this.execInCurrentShop("load", param);
        },
        getLoadUrl : function () {
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        resetBatchStatistics : function (params) {
            return this.execInCurrentShop("reset_batch_statistics", params);
        },
        aggregateByParams : function (params) {
            return this.execInCurrentShop("aggregate_by_params", params);
        },
        loadByStatisticsDate : function (params) {
            return this.execInCurrentShop("load_by_statistics_date", params);
        },
        rabbitStatistics : function (params) {
            return this.execInCurrentShop("rabbit_statistics", params);
        },
    });
    var o = new O();
        lang.setObject("cq.biz.pr.batchDayStatistics", o);
        o.Schema = O;
        return o;
})