﻿// 创建人 : 潘云
// 创建时间 : 2016-7-19
// 创建内容 : 出场记录后台代理接口
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/Deferred",
    "cq/biz/object"
],function(declare, lang, array, json, Deferred, object){
    var O = declare("",object.Schema,{
        modalName:"pr/breed_batch",
        //加载
        loadById : function(id){
            return this.execInCurrentShop("load_by_id", {_id : id});
        },
        //保存
        save : function(data){
            //data = this.filterSaveData(data);
            return this.execInCurrentShop("save", data);
        },
        //为查询界面准备数据源
        getLoadUrl : function(){
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        //加载
        load : function(param){
           //param obj
           return this.execInCurrentShop("load",param);
        },
        // 审核
        verify : function(params) {
            return this.execInCurrentShop("verify", params);
        },
        unverify : function(params) {
            return this.execInCurrentShop("unverify", params);
        },
        getRealNum : function (params) {
            return this.execInCurrentShop("get_real_num", params);
        },
        updateLocationById : function (params) {
            return this.execInCurrentShop("update_location_by_id", params);
        },
        getStatisticsData : function (_id) {
            return this.execInCurrentShop("get_statistics_data", {breedBatchId:_id});
        },
        statisticsByDate : function (params) {
            return this.execInCurrentShop("statistics_by_date", params);
        },
        getBreedLocation : function(id){
            return this.execInCurrentShop("get_breed_location", {_id : id});
        }
    });
    var o = new O();
        lang.setObject("cq.biz.pr.breedBatch", o);
        o.Schema = O;
        return o;
})