﻿// 创建人 : 潘云
// 创建时间 : 2016-7-19
// 创建内容 : 进场记录后台代理接口
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/Deferred",
    "cq/biz/object"
],function(declare, lang, array, json, Deferred, object){
    var O = declare("",object.Schema,{
        modalName:"pr/entry_record",
        //加载
        loadById : function(id){
            return this.execInCurrentShop("load_by_id", {_id : id});
        },
        //保存
        save : function(data){
            //data = this.filterSaveData(data);
            return this.execInCurrentShop("save", data);
        },
        rabbitSave : function(data){
            //data = this.filterSaveData(data);
            return this.execInCurrentShop("rabbit_save", data);
        },
        //为查询界面准备数据源
        getLoadUrl : function(){
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        //加载
        load : function(param){
           //param obj
           return this.execInCurrentShop("load",param);
        },
        getCountByMonth : function (params) {
            return this.execInCurrentShop("get_count_by_month", params);
        },
        getAmountByBatch : function(params) {
            return this.execInCurrentShop("get_amount_by_batch", params);
        },
        batchCreateEntry : function (params) {
            //params.cattles = JSON.stringify(params.cattles);
            return this.execInCurrentShop("batch_create_entry", params);
        },
        createRabbitById : function (id) {
            return this.execInCurrentShop("create_rabbit_by_id", {_id : id});
        },
        // 兔场初始化时批量生成进场数据
        initRabbitData : function (params) {
            return this.execInCurrentShop("init_rabbit_data", params);
        },
        basicRabbitSave : function (params) {
            return this.execInCurrentShop("basic_rabbit_save", params);  
        },
        basicRabbitVerify : function (params) {
            return this.execInCurrentShop("basic_rabbit_verify", params);  
        },
        basicRabbitUnverify : function (params) {
            return this.execInCurrentShop("basic_rabbit_unverify", params);  
        }
    });
    var o = new O();
        lang.setObject("cq.biz.pr.appearanceRecord", o);
        o.Schema = O;
        return o;
})