﻿//创建人：周超
//创建时间：2016/7/13
//创建内容：母羊妊娠检查后台代理接口
define([
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/Deferred",
    "dojo/_base/lang",
    "cq/biz/object"
],function(declare, array, json,Deferred, lang, object){
    var O = declare("", object.Schema, {
        modalName:"pr/pregnant_record",
        //加载
        loadById:function(id){
            return this.execInCurrentShop("load_by_id", {_id : id});
        },
        //保存
        save:function(data){
            return this.execInCurrentShop("save", data);
        },
        rabbitSave:function(data){
            return this.execInCurrentShop("rabbit_save", data);
        },
        //为查询界面准备数据源
        getPregnantrecordUrl:function(){
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        //加载母羊妊娠列表
        load : function(param){
           //param obj
           return this.execInCurrentShop("load",param);
        },
        create : function (param) {
            return this.execInCurrentShop("batch_create",param);
        },
        // 已经壬辰记录标记空怀的畜只已怀孕
        signPregnancyById : function(id) {
            return this.execInCurrentShop("sign_pregnancy_by_id", {_id : id});
        },
        rabbitBatchCreate : function (params) {
            return this.execInCurrentShop("rabbit_batch_create", params);
        },
        basicRabbitSave : function (params) {
            return this.execInCurrentShop("basic_rabbit_save", params);
        }
    });
    var o = new O();
        lang.setObject("cq.biz.pr.pregnantRecord", o);
        o.Schema = O;
        return o;
})