﻿// 创建人 : 潘云
// 创建时间 : 2017/10/10
// 创建内容 : 商品兔出场记录
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/Deferred",
    "cq/biz/object"
],function(declare, lang, array, json, Deferred, object){
    var O = declare("",object.Schema,{
        modalName:"pr/shop_rabbit_leaving",
        //加载
        loadById : function(id){
            return this.execInCurrentShop("load_by_id", {_id : id});
        },
        //保存
        save : function(data){
            return this.execInCurrentShop("save", data);
        },
        //为查询界面准备数据源
        getLoadUrl : function(){
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        //加载
        load : function(param){
           //param obj
           return this.execInCurrentShop("load",param);
        },
        verify : function (param) {
            return this.execInCurrentShop("verify", param);
        },
        unVerify : function (param) {
            return this.execInCurrentShop("unverify", param);
        },
        getCountByMonth : function (params) {
            return this.execInCurrentShop("get_count_by_month", params);
        },
        getAmountByParams : function (params) {
            return this.execInCurrentShop("get_amount_by_params", params);
        }
    });
    var o = new O();
        lang.setObject("cq.biz.pr.shopRabbitLeaving", o);
        o.Schema = O;
        return o;
})