define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "cq/biz/object",
    "cq/util/config/config"
], function (declare, lang, object, config) {
    var O = declare("", object.Schema, {
        modalName: "shop/shop/business_dynamics",
        //加载商家列表
        load: function() {
            return this.getBaseUrl() + "/load?shopId=" + config.getPlatformShopId();
        },
		getBusData:function(condition){
            condition.shopId = condition.shopId||this.getShopId();
			return this.exec("load", condition);
		}
    });
    var o = new O();
    lang.setObject("cq.biz.shop.businessDynamics", o);
    o.Schema = O;
    return o;
});
