define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "cq/biz/object",
    "cq/util/config/config",
    "dojo/Deferred"
], function (declare, lang, array, object, config, Deferred) {
    var O = declare("", object.Schema, {
        modalName: "shop/config/breed_rate",
        loadById:function(id){
            return this.execInCurrentShop("load_by_id", {_id : id});
        },
        save:function(data){
            return this.execInCurrentShop("save", data);
        },
        getLoadUrl:function(){
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        load:function(param){
            if(!param.shopId){
                param.shopId = this.getShopId();
            }
           return this.exec("load",param);
        }
    });
    var o = new O();
    lang.setObject("cq.biz.shop.config.breedRate", o);
    o.Schema = O;
    return o;
});
