define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "cq/biz/object",
    "cq/util/config/config",
    "dojo/Deferred"
], function (declare, lang, array, object, config, Deferred) {
    var O = declare("", object.Schema, {
        modalName: "shop/config/shop_breed_config",
        //加载
        loadByShop: function() {
            return this.execInCurrentShop("load_by_shop");
        },
        //保存
        save: function(data) {
            return this.execInCurrentShop("save", data);
        }
    });
    var o = new O();
    lang.setObject("cq.biz.shop.config.shopBreedConfig", o);
    o.Schema = O;
    return o;
});
