define([
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/_base/lang",
    "dojo/Deferred",
    "cq/biz/object",
    "cq/util/config/config"
],function(declare, array, json, lang, Deferred, object, config){
    var O = declare("", object.Schema, {
        modalName:"shop/layout",
        loadById:function(id){
            if(!id){
                var def = new Deferred();
                var layout = {
                    type:"shelf",
                    floors:[
                    {
                        type:"H2",
                        items:[
                        {
                            type:"mat",
                            icon:"http://192.168.0.2/static/upload/cqthink/6fc/35aa26c2e543b9f33819673edf93c1057d642543b1f1922157901e7ea767d.jpg",
                            title:"aaa",
                            url:"#matDetail-5860db338a43f72c0bad4745"
                        },{
                            type:"mat",
                            icon:"http://192.168.0.2/static/upload/cqthink/6fc/35aa26c2e543b9f33819673edf93c1057d642543b1f1922157901e7ea767d.jpg",
                            title:"bbb",
                            url:"#matDetail-5860db338a43f72c0bad4745"
                        }
                        ]
                    },{
                        type:"H2",
                        items:[
                        {
                            type:"mat",
                            icon:"http://192.168.0.2/static/upload/cqthink/6fc/35aa26c2e543b9f33819673edf93c1057d642543b1f1922157901e7ea767d.jpg",
                            title:"ccc",
                            url:"#matDetail-5860db338a43f72c0bad4745"
                        },{
                            type:"mat",
                            icon:"http://192.168.0.2/static/upload/cqthink/6fc/35aa26c2e543b9f33819673edf93c1057d642543b1f1922157901e7ea767d.jpg",
                            title:"ddd",
                            url:"#matDetail-5860db338a43f72c0bad4745"
                        }
                        ]
                    }
                    ]
                };
                def.resolve({data:{item:{layout:json.toJson(layout)},ok:1}});
                return def;
            }
            return this.execInCurrentShop("loadById",{
                _id:id
            });
        },
        save:function(item){
            return this.execInCurrentShop("save",item);
        }
    });
    var o = new O();
    lang.setObject("cq.biz.shop.layout", o);
    o.Schema = O;
    return o;
});