define([
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/_base/lang",
    "cq/biz/object",
    "cq/util/config/config",
    "dojo/Deferred"
],function(declare, array, json, lang, object,config,Deferred){
    var O = declare("", object.Schema, {
        modalName:"shop/sale_record",
        getLoadUrl : function(){
            return this.getBaseUrl()+"/load?shopId="+config.getPlatformShopId();
        },
        load : function (params) {
            params.shopId = config.getPlatformShopId();
            return this.exec("load", params);
        },
        statisticSaleData : function (params) {
            params.shopId = config.getPlatformShopId();
            return this.exec("statistics_sale_data", params);
        },
        statisticSaleToData : function (params) {
            params.shopId = config.getPlatformShopId();
            return this.exec("statistics_saleto_data", params);
        },
        getPriceData : function (params) {
            params.shopId = config.getPlatformShopId();
            return this.exec("get_price_data", params);
        },
        getPriceByFromShopId : function (params) {
            var params = params || {};
            params.fromShopId = this.getShopId();
            return this.exec("get_price_by_fromShopId", params);
        }
    });
    var o = new O();
    lang.setObject("cq.biz.shop.sale_record", o);
    o.Schema = O;
    return o;
});