﻿// 变更人: 赵春辉
// 变更日期: 2016-11-13
// 变更原因: 项目保存、审批、申请的审核都应该在自己的数据库中完成
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "cq/util/config/config",
    "cq/biz/object"
],function(declare, lang, config,object){
    var O = declare("", object.Schema, {
        modalName:"ts/pay/bank_statement",
        load: function (param) {
            return this.getBaseUrl() + "/load?shopId=" + config.getPlatformShopId();
        },
		loadData: function (param) {
			if(!param){
				var param = {};
			}
			//param.shopId = + config.getPlatformShopId()
			param.shopId =  config.getPlatformShopId()
			return this.exec("load", param);            
        },
        getAggregateAmountUrl:function(param){
            if(param&&param.payDatef){
                return this.getBaseUrl()+"/aggregate_amount?shopId="+config.getPlatformShopId()+"&payDatef="+param.payDatef;
            } else {
                return this.getBaseUrl()+"/aggregate_amount?shopId="+config.getPlatformShopId();
            }            
        },
        getAggregateByCountryUrl:function(){
            return this.getBaseUrl()+"/aggregate_by_country?shopId="+config.getPlatformShopId();
        },
		aggregateByDate: function (param) {
			if(!param){
				var param = {};
			}            
            if(!param.shopId){
                param.shopId =  config.getPlatformShopId();
            }
			//param.shopId = + config.getPlatformShopId()
            
			return this.exec("aggregateByDate", param);            
        },
		aggregateByBuyerShopId: function (param) {
			if(!param){
				var param = {};
			}
			//param.shopId = + config.getPlatformShopId()
			param.shopId =  config.getPlatformShopId()
			return this.exec("aggregateByBuyerShopId", param);            
        },
        loadById: function (id) {
            var param = {};
            param._id = id;
            param.shopId = config.getPlatformShopId();
            return this.exec("load_by_id", param);
        },
        verify: function (id) {
            var param = {};
            param._id = id;
            param.shopId = config.getPlatformShopId();
            return this.exec("verify", param);
        },        
        classfyAmount: function (param) {
            if(!param){
                var param = {};
            }
            param.shopId = config.getPlatformShopId();
            return this.exec("classfyAmount", param);
        },        
        aggregateAmount: function (param) {
            param.shopId = config.getPlatformShopId();
            return this.exec("aggregate_amount", param);
        },
        topSale: function (param){
            param.shopId = config.getPlatformShopId();
            return this.exec("top_sale", param);
        },
		aggregateByCountry: function (param) {
            param.shopId = config.getPlatformShopId();
            return this.exec("aggregate_by_country", param);
        },
		aggregateByBuyerShop: function (param) {
			if(!param){
				var param = {};
			}
			param.shopId =  config.getPlatformShopId()
			return this.exec("aggregate_by_buyershop", param);            
        },
        aggregateByCountId:function(param){
            param = param||{};
            param.shopId = config.getPlatformShopId();
            return this.exec('aggregateByCountId',param);
        },
        getAggregateByCountIdUrl:function(){
            return this.getBaseUrl()+"/aggregateByCountId?shopId="+config.getPlatformShopId();
        },
        aggregatePayStatistics : function(){
            return this.getBaseUrl() + "/aggregatePaySta?shopId=" + config.getPlatformShopId();
        },
        statisticsYearData: function (param) {
			if(!param){
				var param = {};
			}
			//param.shopId = + config.getPlatformShopId()
			param.shopId =  config.getPlatformShopId()
			return this.exec("statisticsYearData", param);            
        },
    });
    var o = new O();
    lang.setObject("cq.biz.ts.pay.bankStatement", o);
    o.Schema = O;
    return o;
});