﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "cq/util/config/config",
    "cq/biz/object"
],function(declare, lang, config,object){
    var O = declare("", object.Schema, {
        modalName:"ts/pm/project_type",
        loadById : function (id) {
            return this.exec("load_by_id", {
                _id : id,
                shopId : config.getPlatformShopId()
            });
        },
        save : function (params) {
            params.shopId = config.getPlatformShopId();
            return this.exec("save", params);
        },
        load : function (params) {
            params.shopId = config.getPlatformShopId();
            return this.exec("load", params);
        },
        getLoadUrl : function () {
            return this.getBaseUrl()+"/load?shopId="+config.getPlatformShopId();
        }
    });
    var o = new O();
    lang.setObject("cq.biz.ts.pm.projectType", o);
    o.Schema = O;
    return o;
});