define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "cq/biz/object",
    "cq/util/config/config"
], function (declare, lang, object, config) {
    var O = declare("", object.Schema, {
        modalName: "ts/refund_record",
        loadById: function (id) {
            return this.execInCurrentShop("load_by_id", {_id: id});
        },
        load: function () {
            return this.getBaseUrl()+"/load?shopId="+config.getPlatformShopId()+"&fromShopId="+this.getShopId();
        },
		loadByPlatform:function(){
			return this.getBaseUrl()+"/load?shopId="+config.getPlatformShopId();
		},
        verify:function(id){
            return this.execInCurrentShop("verify",{
                _id:id
            });
        },
		agree:function(id){
            return this.execInCurrentShop("agree",{
                _id:id
            });
        },
		disagree:function(condition){
            return this.execInCurrentShop("disagree",condition);
        }
    });
    var o = new O();
    lang.setObject("cq.biz.ts.refundRecord", o);
    o.Schema = O;
    return o;
});