shopBalanceList : [{
            dojoType:"cq/app/widget/web/QueryLayout",
            dataProvider: "cq/bo/old/newsUsage",
            queryLayoutMethod:"getBalanceQueryLayout",
            id:"queryInfo",
            searchLabel:"查询"
        }],
getBalanceQueryLayout:function(){
            return [{
                type: "form",
                fields: this.getFormItems(["endDate","balanceType","balanceState","shops"])
            }];
        },
        balanceState : {
            type: "options",
            label: "状态",
            notNull:true,
            options : {
                1 : "待审核",
                2 : "已审核"
            }
        },
        balanceType : {
            type: "options",
            label: "类型",
            notNull:true,
            options : {
                1 : "提现",
                2 : "充值"
            }
        },
        "shops" : {
            type : "text",
            label : "商家"
        },
        
        getBalanceQueryParam:function(params){
            var query = {};
            if(params.queryInfo){
                var k,queryInfo = params.queryInfo,value;
                for(k in queryInfo){
                    value = queryInfo[k];
                    if(value||0===value||false===value){
                        if(value){
                            if((typeof value == "object")&& value) {
                                if(value._id){
                                    query[k] = value._id;
                                }else if(JSON.stringify(value) === "{}"){
                                    delete query[k];
                                }else{
                                    query[k] = value;
                                }
                            }
                            if(typeof value == "string" && value) {
                                query[k] = value;
                            }
                        }else{
                            query[k] = value;
                        }
                    }
                }
            }
            return query;
        },
        balanceDetail :[{
				dojoType : "cq/app/widget/web/DataLayout",
				dataProvider : "cq/bo/shop",
				className : "cq-layout-content cq-view-stepsFields",
				layoutType : "table",
				layoutMethod : "balanceDetailLayout",
				initMethod : "loadShopById",
				waitFor : {
					"0" : "cqViewParam"
				}
        }],