//创建人：周超
//创建时间：2016/12/30
//创建内容：抽奖对象（主要用于导出）
define([
    "dojo/_base/lang",
    "./../BoBase",
    "cq/biz/user/user",
    "cq/util/sys/date",
    "cq/biz/mk/prize/prize_atemp",
    "cq/biz/mk/prize/prize_result"
], function (lang, BoBase, user, date, prizeAtemp, prizeResult) {
	var boBase = new BoBase({
			//添加字段
            fields: {
                //中奖人huo抽奖人
                //日期时间
                //奖项
                //prizeName:活动名称 awardName奖品名称
                "userId.pName":{
                    type:"text",
                    label:"客户昵称"
                },
                "userId.nickName":{
                    type:"text",
                    label:"客户名称"
                },
                "createAt":{
                    type:"dateMin",
                    label:"时间"
                },
                "awardType": {
                    type: "text",
                    label: "奖项等级"
                },
                "awardName": {
                    type: "text",
                    label: "奖项名称"
                },
                //b2b抽奖客户信息
                "shopName":{
                    type:"text",
                    label:"抽奖商家"
                },
                "userId.nickName":{
                    type:"text",
                    label:"登录账号"
                }
            },
            // 抽奖纪录导出（url获取）
            loadAtemp:function(){
                return prizeAtemp.load();
            },
            // 中奖纪录导出（url获取）
            loadResult:function(){
                return prizeResult.getLoadUrl();
            },
            // 导出字段
            getPrizeExportLayout: function() {
                if(!this.prizeExportLayout){
                    this.prizeExportLayout = [{
                        type: "form",
                        fields: this.getFormItems([                                       
                        "userId.nickName",
                        "userId.pName",
                        "createAt"
                        ])
                    }];
                }
                return this.prizeExportLayout;
            },
            getPrizeExportLayoutForZj: function(){
                return [{
                    type: "form",
                    fields: this.getFormItems([     
                    "userId.nickName",
                    "userId.pName",
                    "createAt",
                    "awardType",
                    "awardName"
                    ])
                }];
            },
            // 导出字段重盐b2b
            getPrizeExportLayoutb2b: function() {
                if(!this.prizeExportLayout){
                    this.prizeExportLayout = [{
                        type: "form",
                        fields: this.getFormItems([                                       
                        "shopName",
                        "userId.nickName",
                        "createAt"
                        ])
                    }];
                }
                return this.prizeExportLayout;
            },
            getPrizeExportLayoutForZjb2b: function(){
                return [{
                    type: "form",
                    fields: this.getFormItems([     
                    "shopName",
                    "userId.nickName",
                    "createAt",
                    "awardType",
                    "awardName"
                    ])
                }];
            }
        });
    return boBase;
});