﻿define([
    "dojo/_base/lang"
],function(lang){
    // cq/util/sys/printor
    // 打印
    
    return lang.mixin(lang.getObject("cq.util.sys.printor",true),{
        // summary:
        //      弹出打印窗口
        // param:
        //     title:窗口名
        //     content:需要打印内容的html片段
        nativePrint:function(title,content){
            var myWindow = window.open("", title||"", "top=100px,left=100px", false);
            if(myWindow){
                myWindow.document.body.innerHTML = content||"";
                myWindow.print(); 
                myWindow.close();   
            }else{
                alert("请设置浏览器允许弹出窗口！");
            }
        }
    });
});