﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-construct",
    "cq/widgets/item/MatEvalItem",
    "dijit/_WidgetBase",
    "cq/util/sys/date"
],function(declare,lang,domConstruct,MatEvalItem, _WidgetBase, date){
    return declare("cq.widgets.item.MatEvalItemForMe", [_WidgetBase, MatEvalItem], {
        myMatEva: true,
        buildRendering:function(){
            this.inherited(arguments);
            
        },
        createReplay: function(){
            //添加商品信息和追加评论按钮
            domConstruct.create("div",{
                onclick:lang.hitch(this,function(){
                    window.moveToView('matDetail',this.commentId._id||this.commentId);
                }),
                "class": "hflex",
                style: "background:#f2f2f2",
                innerHTML:"<div class='item-img'><img src='"+this.commentId.logo+"'></div><span class='flex1'>"+this.commentId.mName+"</span>"
            },this.domNode);
            //如果掌柜已经回复，显示出来
            this.params.shopAdminReply?domConstruct.create("div",{
                innerHTML: '<p>[商家回复]  '+this.params.shopAdminReply+'</p>'+
                            '<p style="float:right;">'+date.formatISODateMinutes(this.params.shopAdminReplyDate)+'</p>',
                "class": "shop-replay"
            },this.domNode):'';
            //如果已经追评过，显示追评信息，不显示追评按钮
            this.params.userReply?domConstruct.create("div", {
                innerHTML: "<p>[追加评价] "+ this.params.userReply+"</p>"+
                        "<p style='float:right;'>"+date.formatISODateMinutes(this.params.userReplyDate)+"</p>",
                "class": "item"
            }, this.domNode):domConstruct.create("div",{
                onclick:lang.hitch(this,function(e){
                    window.moveToView('addUserEval',this.params._id);//+","+this.params.fromShopId
                }),
                "class": "button-area clear",
                style: "margin-top:10px;",
                innerHTML:"<div class='button'>写追评</div>"
            },this.domNode);
        }
    });
});