//创建人：张金鹏
//创建时间：2016/07/13
//创建功能：客服一对一聊天时消息列表中的一条信息
define([
    "dojo/_base/declare",
	"dojo/dom-construct",
    "dijit/_Widget",
	"cq/util/sys/date",
    "cq/util/config/config"
],function(declare,domConstruct,_Widget,date, config){
	//消息组件的功能
    return declare("cq.widgets.item.TalkListItem",_Widget,{
		//客服一对一聊天时的消息数据项
        baseClass : 'talkItem liveMsg',
		params:null,
		//初始化界面元素
        buildRendering:function(){
			this.inherited(arguments);
            //按照文本和图片来分别来处理html片段
            
			this.domNode.innerHTML = 
				//发布日期
				"<div class='sendTime'>"+ date.getTimeMoment(this.params.createAt) + "</div>" +
                "<div class='msgNode hflex "+ (this.params.isHost?"reverse":"") + "'>" +
                "<div class='msgHeader'>"+
                //头像
                "<img class='senderLogo' src='" + (
					// 修改会话详情中 用户的默认LOGO 刘轩 17-02-24
                    // 若config中没有配置 则直接默认空的
                    this.params&&this.params.senderId&&this.params.senderId.logo||config.defultUserLogo||""
                    //?this.params.senderId.logo:"http://www.cqthink.com/image/defaultUser.jpg"
				) + "'/>" +
				//昵称
                "<span class='senderNick row1'>" + (
					this.params.senderId.nickName||this.params.senderId.pName||this.params.senderId.wxNick||""
				) + "</span>"+
                "</div>" +
                //消息的内容
                "<div class='msgBody'><div class='msgContent'>" + (
					"image"==this.params.msgType ? "<img src='" + this.params.msgContent + "'>" : this.checkUrlAndChange(this.params.msgContent)
				) + "</div></div>"+
                "</div>";
            
            /*if(this.params.isHost==this.params.senderId){
                this.domNode.innerHTML += "<div class='righttd'><div class='chartTime'><label class='chartTimeLabel'>"+this.params.createAt+"</label></div>"
                +"<div><div class='userRightPic'><div class='chartNameLabel'>"+"<img src='" + (this.params.sendLogo?this.params.sendLogo:'http://www.cqthink.com/image/defaultUser.jpg') + "'></div></div></div>"
                +"<div class='speech right'>"+(this.params.msgType=="image"?"<img src='" + this.params.msgContent + "'>":this.params.msgContent) +"</div>";
            }else{
                this.domNode.innerHTML += "<div class='lefttd'><div class='chartTime'><label class='chartTimeLabel'>"+this.params.createAt+"</label></div>"
                +"<div><div class='userLeftPic'><div class='chartNameLabel'>"+"<img src='"+ (this.params.sendLogo?this.params.sendLogo:'http://www.cqthink.com/image/defaultUser.jpg') + "'></div></div></div>"
                +"<div class='speech left'>"+(this.params.msgType=="image"?"<img src='" + this.params.msgContent + "'>":this.params.msgContent) +"</div>";
            }*/
        },
        //检测聊天信息中是否有url，可以在聊天界面点击链接
        checkUrlAndChange:function(str){
            // var a =/(http[s]?:\/\/([a-zA-Z0-9]+.)+([:\d+])+(\/+[a-zA-Z0-9#]){0,}?(\/[\w-\.\/\?%&=]*)?)/gi
            //当文本中含有http://
            if(str.indexOf('http://') !== -1){
                var urlHtml,url = str.slice(str.indexOf("http://"));
                //如果链接中包含锚，则调用window.moveToView()来处理跳转
                if(url.indexOf("#") == -1 ){
                    urlHtml ="<a style='color:blue' href='"+url+"'>"+url+"</a>";
                }else{
                    var view = url.slice(url.indexOf('#')+1);
                    var params = view.split("-");
                    if(params[1]){
                        urlHtml = "<a style='color:blue' onclick='window.moveToView(\""+params[0]+"\",\""+params[1]+"\")'>"+url+"</a>"
                    }else{
                        urlHtml = "<a style='color:blue' onclick='window.moveToView(\""+params[0]+"\")'>"+url+"</a>"
                    }
                }
                return str.replace(url,urlHtml);
            }else{
                return str;
            }
        }
    });
});