define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-attr",
    "dojo/dom-style",
    "dojo/dom-class",
    "dojo/Deferred",
    "dojo/dom-construct",
    "dijit/_WidgetBase",
    "cq/app/widget/_WidgetBase",
    "dijit/_TemplatedMixin",
    "dijit/_Container",
    "./_Cart"
],function(declare,lang,domAttr,domStyle,domClass,Deferred,domConstruct,_WidgetBase,_CqWidgetBase,_TemplatedMixin,_Container,_Cart){
    return declare("",[_WidgetBase,_TemplatedMixin,_Container,_CqWidgetBase,_Cart],{
        //var props = 'cart:{cart},order:{order},onlySelected:{onlySelected},ItemRender:{ItemRender},renderOption:{j:renderOption},orderType:{orderType}';
        htmlTemp:"<div id='{id}' data-dojo-type='cq/widgets/item/cart/cart/AppCart' data-dojo-props='ItemRender:\"{ItemRender}\",renderOption:{j:renderOption},cart:{cart}'></div>",
        templateString:"<div data-dojo-attact-point='domNode' class = 'appCart'>"+
            //"<div class='title'>"+
            //    "<div class = 'allSelect'>"+
            //        "<input class='mat-check' type='checkbox' data-dojo-attach-point='selectNode'/>全选"+
            //    "</div>"+
            //    "<div>"+
            //        "<span class='normal right editDone' data-dojo-attach-point='finishNode' style='display:none;'>完成</span>"+
            //        "<span class='normal right edit' data-dojo-attach-point='editNode'>编辑</span>"+
            //        "<a class='highlight right continueGOBtn' data-dojo-attach-point='linkNode'>继续选购</a>"+
            //    "</div>"+
            //"</div>"+
            "<div data-dojo-attach-point='containerNode' class = 'cartChild'></div>"+
        "</div>",
        initCartHeader:function(){
            //绑定事件
            //this.connect(this.editNode,"onclick",this.startEdit);
            //this.connect(this.finishNode,"onclick",this.endEdit);
            //this.connect(this.selectNode,"onclick",this.onSelectClick);
            //this.linkNode.href = "#matList";
            //处理默认操作
            this.inherited(arguments);
        },
        startEdit:function(){
            //domStyle.set(this.editNode,"display","none");
            //domStyle.set(this.finishNode,"display","");
            this.inherited(arguments);
        },
        endEdit:function(){
            //domStyle.set(this.editNode,"display","");
            //domStyle.set(this.finishNode,"display","none");
            this.inherited(arguments);
        },
        //定制为空时候的购物车的样式
        onDataReady:function(cartData){
            this.inherited(arguments);
            this.isEmptyCart();
        },
        getView:function(){
            var parent = this.getParent();
            while(parent&&!(parent.resize&&domClass.contains(parent.domNode,"mblView"))){
                parent = parent.getParent();
            }
            return parent;
        },
        //判断购物车是不是空的,空就创建，否则就不创建
        isEmptyCart:function(){
            var mats = this.cart.getIds();
            var hasEmptycart = false;
            if(this.domNode.childNodes.length){
                var divName = this.domNode.childNodes;
                for(var i=0;i<divName.length;i++){
                    if(divName[i].className == "emptyCart"){
                        hasEmptycart = true;
                    }
                }
            }
            if(!hasEmptycart){//&&!mats.length
                //创建空购物车的样式，判断是否有商品，没有就创建
                this.createEmptyCart();
                
            }
            //有商品的话删除空购物车样式
            if(mats.length){
                if(this.domNode.childNodes.length){
                    var divName = this.domNode.childNodes;
                    for(var i=0;i<divName.length;i++){
                        if(divName[i].className == "emptyCart"){
                            this.domNode.removeChild(divName[i]);
                        }
                    }
                }
            }
        },
        //创建空白购物车接口
        createEmptyCart:function(){
            var emptyCart = domConstruct.create("div",{
                "class":"emptyCart",
                innerHTML : "<div style='text-align:center;'>"+
                "<img style = 'border-radius:50%;padding:50px' src='./images/orderCar.jpg'/>"+
                "<br/>购物车快饿了T.T<br/><br/>主人快给我挑点商品吧<br/><br/>"+
                "<button style='border: none;padding: 5px;border-radius: 20px;'><a href='#matList' >去逛逛吧</a></button>"+
                "</div>"
            }, this.domNode);
        },
        //跳转到matList
        goMatList:function(){
            console.log("asd");
        },
        //删除所有的商品后给出样式的响应
        onMatChanged:function(){
            this.inherited(arguments);
            if(!this.cart.getIds().length){
                this.isEmptyCart();
            }
        },
        //加载当前购物车里面的数据
        loadCartData:function(){
            var def = new Deferred();
            this.cart.loadCartData().then(lang.hitch(this,function(items){
                //return items||[];
                items = items||[];
                def.resolve(items);
            }));
            return def;
        }
    });
});