/*
变更人：徐阿雪
变更时间：2017/3/22
变更内容：  重盐购物车
*/
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-attr",
    "dojo/_base/array",
    'dojo/dom-style',
    "dojo/dom-construct",
    "dijit/_TemplatedMixin",
    "dijit/_WidgetBase",
    "dijit/_Container",
    "./_Shop",
    "cq/util/edit/overlay"
],function(declare,lang,domAttr,array,domStyle,domConstruct,_TemplatedMixin,_WidgetBase,_Container,_Shop,overlay){
    return declare("",[_WidgetBase,_TemplatedMixin,_Container,_Shop],{
        templateString:"<div data-dojo-attach-point='domNode' style='padding: 0 0 10px 0'>"+
            "<div class = 'appShop'>"+
                "<div class='o-t-title-shop' style='flex:1;'>"+
                    "<div class='checkNode' >"+//data-dojo-attach-point='selectNode'
                        "<input class='mat-check' type='checkbox' data-dojo-attach-point='selectNode'/>"+
                    "</div>"+
                    "<div class='title'>"+
                        "<a class='normal' data-dojo-attach-point='titleNode'></a>"+
                    "</div>"+
                "</div>"+
            "</div>"+
            "<div data-dojo-attach-point='containerNode' class = 'shopChild'></div>"+
            "<div data-dojo-attach-point='activityNode'></div>"+
        "</div>",
        initHeader:function() {
            this.connect(this.selectNode,"onclick",this.onSelectClick);
            //点击商家名称进入商家的店铺首页
            this.connect(this.titleNode,"onclick",this.onShopClick);
            //领券绑定点击事件
            //this.connect(this.linkNode,"onclick",this.couponClick);
        },
        onShopClick:function() {
            var shopId  = domAttr.get(this.titleNode,"shopId");
            window.moveToView("supplyBus",shopId);
        },
        onDataReady:function(data) {
            if(data.shopInfo._id == "111") {
                this.disabled = true;
                //domStyle.set(this.linkNode,"display","none");
                domStyle.set(this.selectNode,"display","none");
                this.titleNode.innerHTML = "<div>"+data.shopInfo.shopName+"<button>清除无效商品</button></div>";
                this.connect(this.titleNode.lastElementChild,"onclick",this.deleteAll);
            }else{
                //domStyle.set(this.linkNode,"display","");
                domStyle.set(this.selectNode,"display","");
                this.titleNode.innerHTML = data.shopInfo.shopName;
                domAttr.set(this.titleNode,"shopId",data.shopInfo._id);
            }
            this.inherited(arguments);
        },
        //创建节点
        createNode:function(msg,getmore){
            var activityNode = domConstruct.create("ul",{
                class:"activity",
                innerHTML:"<li class='o-t-title-shop'><span>"+msg+"</span><span class='title highlight' style='text-align: right;'>"+getmore+"</span></li>"
            });
            this.activityNode.appendChild(activityNode);
            this.connect(this.activityNode.lastElementChild,"onclick",this.onShopClick);
        },
        //重写shop的此方法，监听满减的变化
        onMatChanged:function(){
            this.inherited(arguments);
            //根据现在购物车里面的每个商家的商品的总金额数修改活动节点的显示
            var matInfo = this.getMatInfo();
            var shopId  = domAttr.get(this.titleNode,"shopId");
            
        },
        startEdit:function() {
            //domStyle.set(this.linkNode,"display","none");
            //this.inherited(arguments);
        },
        endEdit:function() {
            /*if(this.getChildren()[0].disabled){
                domStyle.set(this.linkNode,"display","none");
            }else{
                domStyle.set(this.linkNode,"display","");
            }*/
            //this.inherited(arguments);
        },
    });
});