﻿define([
	"dojo/_base/declare",
	"dojo/dom-construct",
	"dijit/_WidgetBase",
	"dojo/Deferred",
    "dojo/dom-attr"
	//"/bob/ts/OrderB"
], function (declare, domConstruct, _WidgetBase, Deferred, domAttr) {
	return declare("cq.widgets.item.mk.UserCard", [_WidgetBase], {
		data: null,
		style: "height:400px;",
		init: function (data) {
			this.def = new Deferred();
			this.data = data;
			this.initElement();
			return this.def;
		},
		initElement: function () {
			// 创建一个节点用来存放二维码图片
            if (!this.backgroundDivNode) {
                this.backgroundDivNode = domConstruct.create("div", {
                    style: "height:400px;"
                }, this.domNode, "first");
                this.imgNode = domConstruct.create("img",{
                    style:'height:400px;',
                    "class":"concelQRImg"
                });
                this.backgroundDivNode.appendChild(this.imgNode);
            }
            // 修改显示的图片内容
            domAttr.set(this.imgNode,"src", this.data.url);
		}
	});
});