define([
    "dojo/_base/declare",
    "dojo/dom-attr",
    'dojo/dom-style',
    "dijit/_TemplatedMixin",
    "dijit/_WidgetBase",
    "cq/util/image/blob",
    "./_Mat"
],function(declare,domAttr,domStyle,_TemplatedMixin,_WidgetBase,blob,_Mat){
    return declare("",[_WidgetBase,_TemplatedMixin,_Mat],{
        templateString:"<table class='o-t-item' data-dojo-attach-point='domNode'>"+
            "<tr>"+
                "<td>"+
                    //链接和图标
                    "<a class='item-img' data-dojo-attach-point='linkNode'>"+
                    "<img data-dojo-attach-point='logoNode' />"+
                    "</a>"+
                "</td>"+
                "<td style='width:100%;vertical-align: top;'>"+
                    "<div class='box'>"+
                        "<div class='item-info'>"+
                            //标题
                            "<div class='h3 title' data-dojo-attach-point='titleNode'></div>"+
                            "<div class='normal specs' data-dojo-attach-point='specsNode'></div>"+
                            "<div style='margin-top:5px;display:none;font-size:12px;border:1px solid #be2f28;color:#be2f28;padding:0 2px;border-radius:3px;margin-right:5px;' data-dojo-attach-point='isGiftNode'>赠品</div>"+
                        "</div>"+
                        "<div class='item-pay'>"+
                            //单价和数量
                            "<div class='item-pay-data'>"+
                                "<span class='price' data-dojo-attach-point='priceNode'></span>"+
                                "<span class='qty' data-dojo-attach-point='showQtyNode'></span>"+
                            "</div>"+
                        "</div>"+
                    "</div>"+
                "</td>"+
            "</tr>"+
        "</table>",
        refreshMatInfo:function(){
            domAttr.set(this.linkNode,"src","#matDetail-"+this.matData._id);
            this.logoNode.src = blob.getImageUrl(this.matData.logo,"80");
            this.titleNode.innerHTML = this.matData.mName;
            this.showQtyNode.innerHTML = "×"+this.matData.qty;
            this.priceNode.innerHTML = "¥"+window.fixedTo(this.matData.price,3);
            domStyle.set(this.specsNode,"display","none");
            domStyle.set(this.isGiftNode,"display","none");
            if(this.matData.specName){
                domStyle.set(this.specsNode,"display","");
                this.specsNode.innerHTML = "规格："+this.matData.specName;
            }
            if(this.matData.isGift){
                domStyle.set(this.isGiftNode,"display","inline-block");
            }
        }
    })
});