define([
	"dojo/_base/declare",
	"dojo/on",
	"dojo/query",
	"dojo/dom-construct",
	"dijit/_WidgetBase",
    "cq/util/image/blob",
    "cq/app/widget/show/DeadLine",
    "dojo/dom-class"
], function (declare, on, query, domConstruct, _WidgetBase, blob, DeadLine, domClass) {
	return declare("cq.widgets.item.pacbuy.TeamListItem", [_WidgetBase], {
		params: null,
		buildRendering: function () {
			this.inherited(arguments);
			var htmlStr = "",
				data = this.params.data;
			htmlStr = "<div class='hflex' style='padding:5px 10px;background:white;margin-bottom:10px;'>"+
                "<div style='width:64px;height:64px;margin-right:10px;'>"+
                    "<img src="+blob.getImageUrl(data.pacId.mId.logo,"80")+" />"+
                "</div>"+
                "<div class='flex1'>"+
                    "<p class='row1'>"+data.pacId.title+"</p>"+
                    "<div class='hflex' style='margin:3px 0;'>"+
                        "<div class='progressbar flex1'><div style='width:"+data.proccess+"%'></div></div>"+
                        "<div style='margin-left:10px;color:rgb(44,169,253);'>"+data.proccess+"%(差"+data.remain+"人)</div>"+
                    "</div>"+
                    "<div class='hflex'>"+
                        "<div class='flex1'>"+data.pacId.pacNum+"人团</div>"+
                        "<div class='hflex no-margin-top'>"+
                            "<div>剩</div>"+
                            "<div class='deadLineContainer flex1'></div>"+
                        "</div>"+
                    "</div>"+
                "</div>"+
                "<div style='margin-left:15px;color:#be2f28;'> ¥"+window.fixedTo(data.pacId.pacPic,3)+"</div>"+
            "</div>";
            var dom = domConstruct.toDom(htmlStr);
            var deadLineContainer = query(".deadLineContainer", dom)[0];
            var deadLine = new DeadLine({});
            deadLine.setDeadLine(data.limitTime);
            deadLineContainer.appendChild(deadLine.domNode);
            domClass.add(deadLine.domNode, "pac_item_mini_red_deadLineContainer");
            // 创建定时器
			this.onListClick(dom, data);
            this.domNode.appendChild(dom);
		},
		onListClick: function (node, data) {
			this.own(on(node, 'click', function () {
				window.moveToView("pacTeam", data._id+","+data.fromShopId);
			}));
		}
	});
});