﻿define([
    "dojo/_base/declare",
    "cq/app/widget/_WidgetBase",
    "./BigWheel",
    "cq/biz/shop/shop",
    "bob/mk/prizeB2b/c",
    "bob/mk/prizeResult/c"
],function(declare,cqWidgetBase,BigWheel,shop,prize,prizeResult){
    return declare("",[BigWheel,cqWidgetBase],{
        //配置必须
        htmlTemp:'<div id={id} class="cq-field-input" data-dojo-type="cq/widgets/item/prize/gosaltBigWheel"></div>',
        //属性名初始化,没有无需初始化
        cqRefresh:function(){
            this.inherited(arguments);
            if(this.cqRefInfo.cqViewParam&&this.cqRefInfo.cqViewParam.params){
                //处理参数,
                //var targetShopId = this.cqRefInfo.cqViewParam.params.split("&")[0];
                var prizeId = this.cqRefInfo.cqViewParam.params.split("-")[0];
                this.refreshPrizeById(prizeId);
                
            }
        },
        //获取当前登录的shopId//
        getCurrentUserId:function(){
            return this.cqRefInfo.cqViewParam.params.split("-")[1];
        },
        //
        //所有通讯相关的接口提出来重写
        //加载抽奖活动接口
        loadPrizeById:function(prizeId){
            var params ={};
            params.targetShopId = this.cqRefInfo.cqViewParam.params.split("-")[1];
            params._id = prizeId;
            return prize.loadById(params);
        },
        getPirzeUserChance:function(){
            return prize.getUserChance({
                _id:this._prizeData._id,
                targetShopId:this.getCurrentUserId()
            });
        },
        //加载抽奖结果
        loadPrize:function(){
            return prize.prize({
                _id:this._prizeData._id,
                targetShopId:this.getCurrentUserId()
            });
        },
        //没有登录时候显示抽奖信息
        loadPrizeResult:function(){
            return prizeResult.load({
                prizeId:this._prizeData._id,
                pageSize:20
            });
        },
        //登录后显示抽奖信息
        loadPrizeResultByUser:function(){
            return prizeResult.load({
                prizeId:this._prizeData._id,
                targetShopId:this.getCurrentUserId(),
                pageSize:20
            });
        },
    });
});