﻿define([
    "dojo/_base/array",
	"dojo/_base/declare",
	"dojo/_base/event",
	"dojo/_base/lang",
	"dojo/dom-attr",
	"dojo/dom-construct",
	"dojo/dom-geometry",
	"dojo/Deferred",
	"dojo/DeferredList",
	"dojo/touch",
	"dijit/_WidgetBase",
    "cq/app/widget/_WidgetBase"
],function(array,declare,event,lang,domAttr,domConstruct,domGeom,Deferred,DeferredList,touch,_WidgetBase,_CQWidgetBase){
	if(!window.BMap){
        domConstruct.create("script",{
            src:"http://api.map.baidu.com/api?v=3.0&ak=LiZIHWjt0kGiTsVggOpoj5N4sGGE1K4F"
        },document.head,"last");
    }
    var props = "";
    return declare("",[_WidgetBase, _CQWidgetBase],{
        htmlTemp:'<div id="{id}" class="cq-form-bmap {className}" data-dojo-type="echarts/Map" data-dojo-props='+props+'></div>',
        
        _markInedx:0,
        addedMarks:[],
        addedCircles:[],
        addedCircleEditors:[],
        enableToolBar:true,
        enableOverView:true,
        enableMapScale:true,
        enableEdit:true,
        lon:0,
        lat:0,
        mapZoom:13,
        asRootNode:false,
        lonField:null,
        latField:null,
        buildRendering:function(){
            this.inherited(arguments);
            this.initMap();
        },
        initMap:function(){
            if(!this.map){
                var mapId = this.get("id");
                if(!this.asRootNode){
                    mapId = mapId + "me";
                    domConstruct.create("div", {
                        "id":mapId,
                        "style":"width:100%;height:100%;"
                    }, this.domNode);
                }
                var map = this.map = new BMap.Map(mapId);
                var center = new BMap.Point(this.lon||106.54, this.lat||29.59);
                map.centerAndZoom(center, this.mapZoom||13);
            }
        }
    });
});