//本对象功能：
//      客户分析接口
//
define([
    "dojo/_base/declare",
    "./BoBase",
    "cq/util/config/config",
], function (declare,BoBase,config) {
    var O =  declare("",BoBase,{
        modalName:"ts/mat/cust",
        fields:{
            makeDate:{
                type:"date",
                label:"日期"
            }
        },
        load:function(params){
            return this.exec1('load', params);
        },
        getSaleReport:function(params){
            return this.exec1('getSaleReport', params);
        },
        //根据tp和num得到相应的客户明细
        loadMemberByMonth:function(params){
            return this.exec1('loadMemberByMonth', params);
        },
        getCustUrl:function(){
            return this.getBaseUrl1()+"/loadMemberByMonth?shopId="+this.getShopId();
        },
        //根绝tp和购买类型得到消费记录
        loadByMenberTypeAndMonth:function(){
            return this.exec1("loadByMenberTypeAndMonth",params);
        },
        getTradeUrl:function(){
            return this.getBaseUrl1()+"/loadByMenberTypeAndMonth?shopId="+this.getShopId();
        },
        getTradeByGoodUrl:function(){
            return this.getBaseUrl1()+"/loadByGoodsType?shopId="+this.getShopId();
        },
        getItemPro:function(item){
            //区分是兑换、购买、赠送
            if(item.buyQty>0){
                item.qty = "购买："+item.buyQty;
            }else if(item.giftQty>0){
                item.qty = "赠送："+item.giftQty;
            }else if(item.exchangeQty>0){
                item.qty = "兑换："+item.exchangeQty;
            }
            return item;
        }
    });
    var o = new O();
    o.Bo = o;
    return o;
});
