define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-style",
    "dojo/Deferred",
    "cq/util/config/config",
    "cq/util/sys/date",
    "./BoBase"
], function (declare,lang,domStyle,Deferred,config,date,BoBase) {
    var O =  declare("",BoBase,{
        modalName:"nepbaby/shopExchange",
        fields:{
            //查询条件相关字段
            //单据号
        	bcode:{
                label:"单据号"
            },
            //单据生效日期
            bdate:{
                label:"兑换日期"
            },
            exchangeName:{
            	label:""
            },
            fromowner:{
            	label:"经销商id"
            },
            goodsId:{
            	label:"商品id"
            },
            //商品——暂时只有喜安欣的商品
            name:{
                label:"兑换货品品牌"
            },
            remark:{
            	label:"备注"
            },
            //数量
            quantity:{
                label:"兑换货品数量",
                //保留小数
                fixTo:0
            },
           
            toowner:{
            	label:"门店标识"
            },
            terminalName:{
            	label:"门店名称"
            },
            lowerSroreName : {
                type : "text",
                label : "下级门店"
            },
            integral : {
                type : "number",
                label : "积分"
            },
            description : {
                type : "text",
                label : "类型"
            },
            //审核状态
            status:{
                label:"状态",
                options:{
                    1:"审核",
                    2:"审核",
                    3:"审核",
                    4:"未审核"
                },
                type:"options"
            },
            createtime:{
                label:"兑换日期",
                type:"dateTime",
                formatStr:"yyyyMMddhhmmss"
            }
        },
        //审核积分兑换
        checkExchange:function(data, action, list){
        	//data:当前行数据 action:判断点击的按钮 //list：列表对象
			window.busy();
			this.exec("nepbaby.billbills.examine", {
				bcode : data.bcode
			}).then(lang.hitch(this, function(result) {
				window.free();
				if (result.errmsg == 'success') {
					list.removeItemByData(data);
					alert("恭喜您审核成功");
				} else {
					alert(result.message || result.errmsg || "审核失败");
				}
			}));
        },
        load:function(){
            return this.getBaseUrl()+"?method=nepbaby.billbills.batchquery.by.clientid";
        },
        getStoreIntegralUrl : function () {
            return this.getBaseUrl() + "?method=nepbaby.store.cust.integral.batchquery";
        },
        getStoreIntegralQuery : function (params){
            return {};  
        },
        //业务员门店查询
        ListQuery:function(params){
        	var clientId = config.session.partnerID;
            return {clientId:clientId};
        }
    });
    var o = new O();
    o.Bo = o;
    return o;
});
