﻿define([],function(){
    return {
        views:{
            //添加会员（可修改）
            addCustomer:{
                mustLogin:true,
            },
            //门店管理--会员列表
            customerList:{
                mustLogin:true,
            },
            // 连锁总部 - 门店会员列表
            storeCustomerList : {
                mustLogin : true
            },
            //业务员点击滆湖分析表格查看明细
            customerListFortable:{
                mustLogin:true
            },
            //会员详情,(会员列表，点击会员，查看这个会员积分的购买状况)
            customerDetial:{
                mustLogin:true,
            },
             //门店管理//门店下面的所有=会员？？？
            storeList:{
                mustLogin:true,
            },
            inventDetail:{
                mustLogin:true,
            },
            //读取会员信息,积分页面
            getMemberInfo :{
                mustLogin:true,
            },
            //会员消费记录，积分页面
            memberConsumRecord:{
                mustLogin:true,
            },
            //读取会员信息，会员兑换
            memberExchange:{
                mustLogin:true,
            },
            memberInfoExchange:{
                mustLogin:true,
            },
            //活动公告
            noticeList:{
                mustLogin:true,
                autoRefresh:false
            },
            noticeDetail:{
                mustLogin:true,
            },
            //门店库存，4个列表不知道要不要拆开
            storeStock:{
                mustLogin:true
            },
            /*customerExchangeList:{
                mustLogin:true
            },
            customerAllList:{
                mustLogin:true
            },
            customerNewList:{
                mustLogin:true
            },*/
            
            //当日门店注册会员清单
            newCustomerList:{
                mustLogin:true
            },
            //库存相关
            storeAboutStock:{
                mustLogin:true
            },
            //退货相关
            goodsReturn:{
                mustLogin:true
            },
            dianyuanguanli:{
                mustLogin:true,
                cachePage:true
            },
            addDianyuan:{
                mustLogin:true,
                cachePage:true
            }
        },
        layouts:{
            addDianyuan:[{
                fixed:"top",
                type:"topBar",
                label:"店员",
                left: [{
                    type: 'iconMenuItem',
                    label: '',
                    icon: '',
                    arrow: 'left',
                    href: 'back'
                }]
            },{
                dojoType:"cq/app/widget/web/DataLayout",
                dataProvider:"whz/bo/customer",
                layoutMethod:"getAddDYLayout",
                initMethod: "loadDianyuan",
                reloadMethod:"onDianyuanReady",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "createDY"
                }
            },{
                fixed: "bottom",
                type: "footerBar",
                buttons: [{
                    id: "1",
                    dojoType: "cq/app/widget/mobile/menu/ColumnButton",
                    label: "完成",
                    className: " footer-tab-col-normal colorful-btn"
                }],
                className: "colorful-btn-area"
            }],
            dianyuanguanli:[{
                fixed:"top",
                type:"topBar",
                label:"店员管理",
                left: [{
                    type: 'iconMenuItem',
                    label: '',
                    icon: '',
                    arrow: 'left',
                    href: 'back'
                }],
                right:[{
                    href: "#addDianyuan",
                    dojoType: 'cq/app/widget/mobile/icon/IconBase',
                    icon: "",
                    label:"<div style='color:blue;font-size:25px;font-weight:bold;'>+</div>",
                    className: "topRightIcon"
                }]
            },{
                dojoType: "cq/app/widget/web/QueryLayout",
                queryLayoutMethod: "getYWYStatusLayout",
                searchLabel: "查询",
                autoLoad:true,
                enableSearchBtn:false,
                dataProvider:"whz/bo/customer",
                id:"1",
                waitFor:{
                    // "0":"cqViewParam"
                }
            },{
                dojoType:"cq/app/widget/mobile/TplList",
                // storeType:"whz/bo/JsonRest",
                dataProvider:"whz/bo/customer",
                targetMethod:"getDYList",
                queryParamMethod:"dyListQuery",
                itemType:"dojox/mobile/ListItem",
                clickMethod:"onBtnClicked",
                itemPropMethod:"getDYItemPro",
                pageSize:20,
                waitFor:{
                    "1":"1"
                },
                itemOptions:{
                    variableHeight:true,
                    label:'<div><span style="float:right;">{createUserName}</span>{organization.name}</div><div><span style="float:right;">{createTime}</span>{phone}</div>'+
                    '<div>{action}{name}({sex})</div>',
                    noArrow:true
                }
            }],
            addCustomer:[{
                fixed: 'top',
                type: 'topBar',
                label: '添加会员',
                left: [{
                    type: 'iconMenuItem',
                    label: '',
                    icon: '',
                    arrow: 'left',
                    href: 'back'
                }],
                right: [{
                    href: "#customerList",
                    dojoType: 'cq/app/widget/mobile/icon/IconBase',
                    icon: "images/func/customerList.png",
                    //label:"列表",
                    //labelField:"列表",
                    className: "topRightIcon"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/customer",
                layoutMethod: "addCustomerLayout",
                //获取门店和推荐人信息
                initMethod: "getCurrentStoreInfo",
                reloadMethod:"onDataReady",
                fieldChangeMethod:"onLayoutFieldChange",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "createCustomer"
                }
            },{
                fixed: "bottom",
                type: "footerBar",
                buttons: [{
                    id: "1",
                    dojoType: "cq/app/widget/mobile/menu/ColumnButton",
                    label: "完成",
                    className: " footer-tab-col-normal colorful-btn"
                }],
                className: "colorful-btn-area"
            }],
            storeCustomerList : [{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"门店会员列表",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            }, {
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/customer",
                targetMethod: "getStoreCustomerList",
                queryParamMethod: "storeListQuery",
                itemType: "dojox/mobile/ListItem",
                clickMethod: "onStoreListClick",
                waitFor: {
                    "0": "cqViewParam",
                    //"1": "search"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div class="title">门店：{storeName}</div>'+
                        '<div class="brief">会员数量：{memberNum}</div>',
                    noArrow:true
                }
            }],
            customerList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"会员列表",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部搜索框
                fixed:"top",
                id:"1",
                dojoType:"cq/app/widget/mobile/SearchBox",
                placeholder: "请输入会员号"
            },{
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/customer",
                targetMethod: "getCustomerList",
                queryParamMethod: "listQuery",
                itemType: "dojox/mobile/ListItem",
                clickMethod: "onListClick",
				pageSize: 8,
                waitFor: {
                    "0": "cqViewParam",
                    "1": "search"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div class="title">会员名称：{name}</div>'+
                        '<div class="brief">注册时间：{registerTime}</div>'+
                        '<div class="brief">会员号码：{phone}</div>'+
                        '<div class="brief">可用积分：{integral}</div>',
                    noArrow:true
                }
            }],
            customerListFortable:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"会员列表",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部搜索框
                fixed:"top",
                id:"1",
                dojoType:"cq/app/widget/mobile/SearchBox",
                placeholder: "请输入会员号"
            },{
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/customer",
                targetMethod: "getCustomerList",
                queryParamMethod: "listQueryforTable",
                itemType: "dojox/mobile/ListItem",
                clickMethod: "onListClick",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "search"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div class="title">会员名称：{name}</div>'+
                        '<div class="brief">注册时间：{registerTime}</div>'+
                        '<div class="brief">会员号码：{phone}</div>',
                    noArrow:true
                }
            }],
            customerDetial:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"会员详情",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/customer",
                initMethod: "loadMemberDetail",
                className: "inherit-background no-margin-top",
                layout:[{
                    type : "form",
                    fields:[{
                        type : "content",
                        content: '<div>'+
                            '<div class="storeMsg">'+
                                '<div style="flex:2;padding-left:15px;padding-top:10px"><span class="labelName">会员：<span/><span class="cq-field-input labelMsg" data-cq-field="phone"></span></div>'+
                                '<div class="labelPadding"><span class="cq-field-input labelMsg" data-cq-field="name"></span></div>'+
                                '<div class="labelPadding"><span class="cq-field-input labelMsg" data-cq-field="sex"></span></div>'+
                            '</div>'+
                        '</div>'
                    },{
                        type : "content",
                        content: '<div class="storeMsg">'+
                            '<div class="labelPadding">'+
                                '<span class="labelName">当前积分：<span/><span class="cq-field-input labelMsg" data-cq-field="integral"></span>'+
                            '</div>'+
                        '</div>'
                    }]
                }],
                waitFor: {
                    "0": "cqViewParam"
                }
            },{
                
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/customer",
                targetMethod: "getMemberShoppingList",
                queryParamMethod: "memberQueryList",
                itemPropMethod:"getListItemProp",
                itemType: "dojox/mobile/ListItem",
                className:'no-margin-top',
                pageSize: 20,
                itemOptions: {
                    variableHeight: true,
                    noArrow:true,
                    label: '<div class="title hflex"><span>购买时间:{createTime}</span></div>'+
                        '<div class="title hflex"><span class="flex1">商品/活动:{goodsName}</span></div>'+
                        '<div class="title hflex"><span class="flex1">数量:{quantity}</span></div>'+
                        '<div class="title hflex"><span class="flex1">{integral}</span></div>'
                },
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            //会员最新消费列表
            /*customerNewList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"会员最新消费汇总",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部搜索框
                fixed:"top",
                id:"1",
                dojoType:"cq/app/widget/mobile/SearchBox",
                placeholder: "请输入手机号码"
            },{
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/customer",
                targetMethod: "getCustomerList",
                queryParamMethod: "listQuery",
                itemType: "dojox/mobile/ListItem",
                clickMethod: "onListClick",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "search"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div class="title">推荐人：{referrerName}</div>'+
                        '<div class="title">姓名：{name}</div>'+
                        '<div class="brief">注册时间：{registerTime}</div>'+
                        '<div class="brief">会员号码：{phone}</div>'+
                        '<div class="brief">最近购买产品：{recentBuyProduct}</div>'+
                        '<div class="brief">最近购买数量：{recentBuyCounts}</div>',
                    noArrow:true
                }
            }],
            customerAllList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"历史销售汇总",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部搜索框
                fixed:"top",
                id:"2",
                dojoType:"cq/app/widget/mobile/SearchBox",
                placeholder: "请输入手机号码"
            },{
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/customer",
                targetMethod: "getIntegralList",
                queryParamMethod: "listQuery",
                itemType: "dojox/mobile/ListItem",
                clickMethod: "onListIntgralClick",
                waitFor: {
                    "0": "cqViewParam",
                    "2": "search"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div class="title">购买人：{customerName}</div>'+
                        '<div class="brief">手机号：{customerPhone}</div>'+
                        '<div class="brief">时间：{createTime}</div>'+
                        '<div class="brief">购买产品：{goodsName}</div>'+
                        '<div class="brief">数量（罐）：{quantity}</div>',
                    noArrow:true
                }
            }],
            customerExchangeList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"门店列表",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部搜索框
                fixed:"top",
                id:"3",
                dojoType:"cq/app/widget/mobile/SearchBox",
                placeholder: "请输入手机号码"
            },{
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/customer",
                targetMethod: "getExchangeList",
                queryParamMethod: "listQuery",
                itemType: "dojox/mobile/ListItem",
                clickMethod: "onListIntgralClick",
                waitFor: {
                    "0": "cqViewParam",
                    "3": "search"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div class="title">购买人：{customerName}</div>'+
                        '<div class="brief">手机号：{customerPhone}</div>'+
                        '<div class="brief">时间：{createTime}</div>'+
                        '<div class="brief">兑换产品：{goodsName}</div>'+
                        '<div class="brief">数量（罐）：{quantity}</div>',
                    noArrow:true
                }
            }],*/
            //门店库存
            storeStock:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"库存列表",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部搜索框
                fixed:"top",
                id:"4",
                dojoType:"cq/app/widget/mobile/SearchBox",
                placeholder: "请输入手机号码"
            },{
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/customer",
                targetMethod: "grtInventoryList",
                queryParamMethod: "inventoryListQuery",
                itemType: "dojox/mobile/ListItem",
                clickMethod: "onListClickInvent",
                waitFor: {
                    "0": "cqViewParam",
                    "4": "search"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div class="title">商品简称：{goodsName}</div>'+
                        '<div class="brief">数量（罐）：{remainCounts}</div>'+
                        '<div class="brief">批次：{serialNumber}</div>'+
                        '<div class="brief">入库时间：{createTime}</div>'+
                        '<div class="brief">仓库名称：{warehouseName}</div>',
                    noArrow:true
                }
            }],
            //门店会员消费信息记录
            storeList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"会员记录",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType:"cq/app/widget/mobile/TypeContainer",
                labelList:{
                    dojoType:"cq/app/widget/mobile/icon/IconContainer",
                    className:"topContainer",
                    isFixedTop:true,
                    items:[{
                        dojoType:'cq/app/widget/mobile/icon/IconBase',
                        label:'会员'
                    },{
                        dojoType:'cq/app/widget/mobile/icon/IconBase',
                        label:'积分'
                    },{
                        dojoType:'cq/app/widget/mobile/icon/IconBase',
                        label:'兑换'
                    }]
                },
                waitFor:{
                    0:"cqViewParam"
                },
                panes: [{
                    dojoType:"cq/app/widget/mobile/TypePane",
                    contents:[{
                        //顶部搜索框
                        fixed:"top",
                        id:"1",
                        dojoType:"cq/app/widget/mobile/SearchBox",
                        placeholder: "请输入手机号码"
                    },{
                        dojoType: "cq/app/widget/mobile/TplList",
                        dataProvider: "whz/bo/customer",
                        targetMethod: "getCustomerList",
                        queryParamMethod: "listQuery",
                        itemType: "dojox/mobile/ListItem",
                        clickMethod: "onListClick",
                        waitFor: {
                            "0": "cqViewParam",
                            "1": "search"
                        },
                        itemOptions: {
                            variableHeight: true,
                            label: '<div class="title">推荐人：{referrerName}</div>'+
                                '<div class="title">姓名：{name}<div style="display: inline-block;float: right;padding-right: 10px;">积分： {integral}</div></div>'+
                                '<div class="brief">注册时间：{registerTime}</div>'+
                                '<div class="brief">会员号码：{phone}</div>',
                                /*'<div class="brief">最近购买产品：{recentBuyProduct}</div>'+
                                '<div class="brief">最近购买数量：{recentBuyCounts}</div>',*/
                            noArrow:true
                        }
                    }]
                }, {//积分售卖列表
                    dojoType:"cq/app/widget/mobile/TypePane",
                    contents:[{
                        //顶部搜索框
                        fixed:"top",
                        id:"2",
                        dojoType:"cq/app/widget/mobile/SearchBox",
                        placeholder: "请输入手机号码"
                    },{
                        dojoType: "cq/app/widget/mobile/TplList",
                        dataProvider: "whz/bo/customer",
                        targetMethod: "getIntegralList",
                        queryParamMethod: "listQuery",
                        itemType: "dojox/mobile/ListItem",
                        clickMethod: "onListIntgralClick",
                        waitFor: {
                            "0": "cqViewParam",
                            "2": "search"
                        },
                        itemOptions: {
                            variableHeight: true,
                            label: '<div class="title">购买人：{customerName}</div>'+
                                '<div class="brief">手机号：{customerPhone}</div>'+
                                '<div class="brief">时间：{createTime}</div>'+
                                '<div class="brief">购买产品：{goodsName}</div>'+
                                '<div class="brief">数量（罐）：{quantity}</div>',
                            noArrow:true
                        }
                    }]
                },{//兑换记录列表
                    dojoType:"cq/app/widget/mobile/TypePane",
                    contents:[{
                        //顶部搜索框
                        fixed:"top",
                        id:"3",
                        dojoType:"cq/app/widget/mobile/SearchBox",
                        placeholder: "请输入手机号码"
                    },{
                        dojoType: "cq/app/widget/mobile/TplList",
                        dataProvider: "whz/bo/customer",
                        targetMethod: "getExchangeList",
                        queryParamMethod: "listQuery",
                        itemType: "dojox/mobile/ListItem",
                        clickMethod: "onListIntgralClick",
                        waitFor: {
                            "0": "cqViewParam",
                            "3": "search"
                        },
                        itemOptions: {
                            variableHeight: true,
                            label: '<div class="title">购买人：{customerName}</div>'+
                                '<div class="brief">手机号：{customerPhone}</div>'+
                                '<div class="brief">时间：{createTime}</div>'+
                                '<div class="brief">兑换产品：{goodsName}</div>'+
                                '<div class="brief">数量（罐）：{quantity}</div>',
                            noArrow:true
                        }
                    }]
                }]
            }],
            //门店库存相关
            storeAboutStock:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"门店库存",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType:"cq/app/widget/mobile/List",
                items:[{
                    href:"#storeStock",
                    label:'门店库存',
                    rightText:"点击查看",
                    icon: "images/func/storeStock.png"
                }/*,{
                    href:"#",
                    label: "门店盘点",
                    rightText: "点击修改",
                    icon: "images/func/pandian.png"
                },{
                    href:"#",
                    label:'门店间调拨',
                    rightText:"点击查看",
                    icon: "images/func/f22.png"
                }*/],
                listClass: "inherit-icon",
                itemType: "IconLabel"
            }],
            //退货
            goodsReturn:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"退货",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType:"cq/app/widget/mobile/List",
                items:[{
                    href:"#",
                    label: "门店退货",
                    rightText: "点击修改",
                    icon: "images/func/storeReturn.png"
                },{
                    href:"#",
                    label:'顾客退货',
                    rightText:"点击查看",
                    icon: "images/func/return1.png"
                }],
                listClass: "inherit-icon",
                itemType: "IconLabel"
            }],
            //库存详情参数:serialNumber
            inventDetail:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"库存详情",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/customer",
                initMethod: "loadStockDetail",
                layoutMethod: "stockDetaillayout",
                reloadMethod: "onDataReadyStockDetail",
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            getMemberInfo:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"积分",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/customer",
                initMethod: "getCurrentStoreInfo",
                className: "inherit-background no-margin-top",
                layout:[{
                    type : "content",
                    content:'<div class="storeMsg storeBackground">'+
                            '<div class="labelPadding"><span class="labelName">门店标识：<span/><span class="cq-field-input labelMsg" data-cq-field="storeId"></span></div>'+
                            '<div class="labelPadding"><span class="labelName">推荐人：<span/><span class="cq-field-input labelMsg" data-cq-field="referrerPhone"></span></div>'+
                        '</div>'
                }],
                waitFor: {
                    "0": "cqViewParam"
                }
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/customer",
                className: "inherit-background no-margin-top",
                initMethod: "getCurrentStoreInfo",
                layoutMethod:"getMemberInfolayout",
                editorEnterMethod:"onScoreEnter",
                //reloadMethod: "onDataReadyMemberInfo",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "memberConfirm" 
                }
            },{
                fixed: "bottom",
                type: "footerBar",
                buttons: [{
                    id: "1",
                    dojoType: "cq/app/widget/mobile/menu/ColumnButton",
                    label: "立即扫码",
                    className: " footer-tab-col-normal colorful-btn"
                }],
                className: "colorful-btn-area"
            }],
            memberConsumRecord:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"积分",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/customer",
                initMethod: "loadMemberDetail",
                className: "inherit-background no-margin-top",
                layout:[{
                    type : "form",
                    canDelete:false,
                    canAdd:false,
                    canDnd:false,
                    canEdit:false,
                    //formClass: "no-border",
                    fields:[{
                        type : "content",
                        content:'<div class="storeMsg storeBackground">'+
                            '<div class="labelPadding"><span class="labelName">门店标识：<span/><span class="cq-field-input labelMsg" data-cq-field="storeId"></span></div>'+
                            '<div class="labelPadding"><span class="labelName">推荐人：<span/><span class="cq-field-input labelMsg" data-cq-field="referrerPhone"></span></div>'+
                        '</div>'
                    },{
                        type : "content",
                        content: '<div>'+
                            '<div class="storeMsg">'+
                                '<div style="flex:2;padding-left:15px;padding-top:10px"><span class="labelName">会员：<span/><span class="cq-field-input labelMsg" data-cq-field="phone"></span></div>'+
                                '<div class="labelPadding"><span class="cq-field-input labelMsg" data-cq-field="name"></span></div>'+
                                '<div class="labelPadding"><span class="cq-field-input labelMsg" data-cq-field="sex"></span></div>'+
                            '</div>'+
                        '</div>'
                    },{
                        type : "content",
                        content:'<div class="storeMsg">'+
                            '<div class="labelPadding"><span class="labelName">可用积分：<span/><span class="cq-field-input labelMsg" data-cq-field="integral"></span></div>'+
                        '</div>'
                    }, {
                        type:"content",
                        content:'<div class="cq-field-input scanner" data-cq-field="integralCodes" data-dojo-type="whz/widget/ScannerList" data-dojo-props=\'"field":"integralCodes","dataProvider":"whz/bo/customer","infoMethod":"getIntegral","integralPromethod":"getIntegralPro","rightText":"name","labelField":"goodsCode","scannerLabel":"积分码："\'></div>'
                    },{
                        type: "action",
                        action: "integralForcePost",
                        label: "积分",
                        field: "integralForcePost",
                        className: "none"
                    }]
                }],
                waitFor: {
                    "0": "cqViewParam",
                    "1": "integralForcePost"
                }
            },{
                fixed: "bottom",
                type: "footerBar",
                buttons: [{
                    id: "1",
                    dojoType: "cq/app/widget/mobile/menu/ColumnButton",
                    label: "积分",
                    className: " footer-tab-col-normal colorful-btn"
                }],
                className: "colorful-btn-area"
            }],
            memberInfoExchange:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"兑换",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/customer",
                initMethod: "getCurrentStoreInfo",
                className: "inherit-background no-margin-top",
                layout:[{
                    type : "content",
                    content:'<div class="storeMsg storeBackground">'+
                            '<div class="labelPadding"><span class="labelName">门店标识：<span/><span class="cq-field-input labelMsg" data-cq-field="storeId"></span></div>'+
                            '<div class="labelPadding"><span class="labelName">推荐人：<span/><span class="cq-field-input labelMsg" data-cq-field="referrerPhone"></span></div>'+
                        '</div>'
                }],
                waitFor: {
                    "0": "cqViewParam"
                }
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/customer",
                initMethod: "getCurrentStoreInfo",
                className: "inherit-background no-margin-top",
                layoutMethod:"getMemberInfolayoutforExchange",
                editorEnterMethod:"onExchangeEnter",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "memberConfirmForExchange"
                }
            },{
                fixed: "bottom",
                type: "footerBar",
                buttons: [{
                    id: "1",
                    dojoType: "cq/app/widget/mobile/menu/ColumnButton",
                    label: "立即兑换",
                    className: " footer-tab-col-normal colorful-btn"
                }],
                className: "colorful-btn-area"
            }],
            memberExchange:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"兑换",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/customer",
                initMethod: "loadMemberDetail",
                reloadMethod: "onIntegralReady",
                className: "inherit-background no-margin-top",
                fieldChangeMethod:"onExchangeFieldChange",
                layoutMethod: "exchangeLayoutMethod",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "memberExchangeForce"
                }
            },{
                fixed: "bottom",
                type: "footerBar",
                buttons: [{
                    id: "1",
                    dojoType: "cq/app/widget/mobile/menu/ColumnButton",
                    label: "兑换",
                    className: " footer-tab-col-normal colorful-btn"
                }],
                className: "colorful-btn-area"
            }],
            noticeList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"活动公告",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部table区域
                dojoType:"cq/app/widget/mobile/List",
                fixed:"top",
                id:"1",
                workMode: "single",
                itemType: "Label",
                dataProvider: "whz/bo/customer",
                itemPropMethod:"getStateItemProps",
                listClass: "hflex no-margin-top hflex-tab",
                waitFor:{
                    0:"cqViewParam"
                },
                items:[{
                    _id:0,
                    labelClass:"flex1 font-size1 h-center tab-selector selected",
                    label:"未读"
                },{
                    _id:1,
                    labelClass:"flex1 font-size1 h-center tab-selector",
                    label:"已读"
                }]
            },{
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/customer",
                targetMethod: "getNoticeList",
                queryParamMethod: "noticeListQuery",
                itemType: "dojox/mobile/ListItem",
                clickMethod: "onListClickNotice",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "state"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div class="title">活动名称：{title}</div>'+
                        '<div class="brief">活动时间：{beginTime}~{endTime}</div>',
                    noArrow:true
                }
            }],
            noticeDetail:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"活动详情",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/customer",
                initMethod: "getNoticeDetail",
                className: "inherit-background no-margin-top",
                layout:[{
                    type : "content",
                    content:'<div style="text-align:center;">'+
                            '<h1 class="cq-field-input detailtitle" data-cq-field="title"></h1>'+
                            '<p>活动时间：<span class="cq-field-input" data-cq-field="begintime"></span>~<span class="cq-field-input" data-cq-field="endtime"></span></p>'+
                            '<div style="text-align:left;text-indent:2em;line-height:30px;padding-top:15px;" class="cq-field-input" data-cq-field="content"></div>'+
                        '</div>'
                }],
                waitFor: {
                    "0": "cqViewParam"
                }
            }],
            newCustomerList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"今日新会员",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部搜索框
                fixed:"top",
                id:"1",
                dojoType:"cq/app/widget/mobile/SearchBox",
                placeholder: "请输入会员号"
            },{
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/customer",
                targetMethod: "getCustomerList",
                queryParamMethod: "newListQuery",
                itemType: "dojox/mobile/ListItem",
                clickMethod: "onListClick",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "search"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div class="title">会员名称：{name}</div>'+
                        '<div class="brief">注册时间：{registerTime}</div>'+
                        '<div class="brief">会员号码：{phone}</div>'+
                        '<div class="brief">积分：{integral}</div>',
                    noArrow:true
                }
            }]
        }    
    };
});
