﻿define([
    "./common"
],function(common){
    return {
        views:{
            //业务员查询,门店(查询门店信息及积分)
            shopExchageList:{
                mustLogin:true
            },
            // 连锁总店，门店兑换积分列表
            storeIntegralList : {
                mustLogin : true  
            },
            // 推广终端列表
            tgzdList:{
                mustLogin: true
            }
        },
        layouts:{
            tgzdList:[{
                fixed:"top",
                type:"topBar",
                label:"选择门店",
                right:[{
                    dojoType:"cq/app/widget/mobile/icon/IconContainer",
                    className:"DataContainer",
                    items:[{
                        dojoType:"cq/app/widget/mobile/icon/DataIcon",
                        label: "注销",
                        dataProvider:"whz/bo/buttonLabel",
                        clickMethod:"logout",
                        className:"logout"
                    }]
                }]
            }, {
                dojoType:"cq/app/widget/mobile/TplList",
                dataProvider:"whz/bo/terminal",
                targetMethod:"getTGZDListUrl",
                queryParamMethod:"getTGZDListQuery",
                itemType:"dojox/mobile/ListItem",
                clickMethod:"onListClick",
                waitFor:{
                    "0":"cqViewParam"
                },
                itemOptions:{
                    variableHeight:true,
                    label:"<div>{TerminalName}</div>",
                    noArrow:true
                }
            }],
            storeIntegralList : [{
                fixed:"top",
                type:"topBar",
                label:"门店兑换积分",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            }, {
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/shopExchange",
                targetMethod: "getStoreIntegralUrl",
                queryParamMethod: "getStoreIntegralQuery",
                // itemPropMethod:"getItemPro",
                itemType: "dojox/mobile/ListItem",
                //clickMethod: "onListClick",
                waitFor: {
                    "0": "cqViewParam"
                    //"1": "search"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div class="title">门店：{lowerSroreName}</div>'+
                        '<div class="brief">类型：{description}</div>'+
                        '<div class="brief">积分：{integral}</div>'+
                        '<div class="brief">兑换日期：{createtime}</div>'+
                        '<div class="brief">备注：{remark}</div>',
                    noArrow:true
                }
            }]
            /*shopExchangeList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"门店兑换",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            }/*,{
                //顶部搜索框
                fixed:"top",
                id:"1",
                dojoType:"cq/app/widget/mobile/SearchBox",
                placeholder: "请输入门店编号或者门店名称"
            },{
                dojoType: "cq/app/widget/mobile/TplList",
                dataProvider: "whz/bo/shopExchange",
                targetMethod: "load",
                clickMethod: "checkExchange",
                queryParamMethod: "ListQuery",
                //itemPropMethod:"getItemPro",
                itemType: "dojox/mobile/ListItem",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "search"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div style="height:20px">'+
                            	'<div style="float:right">{bcode}</div>{bdate}'+
                            '</div>'+
                            '<div style="height:20px">'+
                        		'<div style="float:right">×{quantity}</div>{name}'+
                        	'</div>'+
                        	  '<div style="height:20px">'+
                      			'<div style="float:right"><div class="button" cq-action="checkExchange" style="width: 4em; text-align: center; border-radius: 4px; background:#be2f28; color: white; ">审核</div></div>{terminalName}'+
                      		'</div>',                    
                     noArrow:true
                }
            }]*/
        }
    };
});
