define([
    "dojo/_base/declare",
    "dojo/dom-construct",
    "dojox/mobile/SimpleDialog",
    "dojo/Deferred"
],function(declare,domConstruct,Dialog,Deferred){
    var def = null;
    var dialog = new Dialog({});
    domConstruct.create("img",{
        style: "width:240px;display:block;margin:auto;",
        src: "./images/temp/wx/qr.png"
    },dialog.containerNode);
    domConstruct.create("div",{
        style:"width:256px;text-align:center;",
        innerHTML:"扫描二维码关注“喜安智爱婴会”"
    },dialog.containerNode);
    domConstruct.create("div",{
        style:"margin:20px;background:#2A8FBD;color:white;text-align:center;",
        innerHTML:"关闭",
        onclick: function(){
            dialog.hide();
            if(def) {
                def.resolve();
            }
        }
    },dialog.containerNode,"last");
    dialog.startup();
    return {
        show: function(){
            def = new Deferred();
            dialog.show();
            return def;
        }
    };
});
