define([
    "dojo/dom-construct",
	"dojo/dom-style",
    "dojo/Deferred"
], function(dom, domStyle, Deferred){
    var def = null;
	var root = dom.create("div", {
		style: "z-index:999;top:0;left:0;width:100%;height:100%;background:rgba(0,0,0,0.7);position:absolute;display:none;"
	}, document.body);
	var div = dom.create("div", {
		style: "width:90%;background:none;left:5%;position:absolute;"
	}, root);
	dom.create("img", {
		style: "width:100%;",
		src: "./images/temp/bg/integralSuccess.png"
	}, div);
	var codeNode = dom.create("div", {
		style: "position:absolute;top:42%;left:20%;width:60%;"
	}, div);
	var closeButton = dom.create("div", {
		style: "position:absolute;width:100%;bottom:5%;height:44px;",
        click: function() {
			domStyle.set(root, "display", "none");
            if (def) {
                def.resolve();
            }
        }
	}, div);
    return {
        show: function(codes) {
            def = new Deferred();
            codeNode.innerHTML = "<div style='margin:5px;text-align:center;font-size:16px;font-weight:bold;padding:8px;'>"  +
                codes.join("</div><div style='margin:5px;text-align:center;font-size:16px;font-weight:bold;padding:8px;'>")+
                "</div>";
			domStyle.set(root, "display", "block");
			domStyle.set(div, "top", (domStyle.get(root, "height") - domStyle.get(div, "height")) / 2 + "px");
            return def;
        }
    };
});
