//资讯？公共基类
//创建人：周超
//创建时间：2017-1-5
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName:"article/service_article",
        //字段名
        fields:{
            logo:{
                type:"image",
                label:"封面图",
                className:"large-high",
                sizeType: 'cut',
				size: {
					width: 900,
					height: 500
				},
                notNull: true
            },
            code : {
                type : 'text',
                label : '编码',
                placeHolder:"必填",
                notNull: true
            },
            title : {
                type : 'text',
                label : '标题',
                placeHolder:"必填",
                notNull: true
            },
            serviceType:{
                type:"options",
                label:"服务项目",
                options:{
                    '2001': ''
                }
            },
            groupId: {
                type:"ref",
                label:"分类",
                field:"groupId",
                searchField:"remark",
                labelFields:"remark",
                dataProvider:"bob/shop/sevShop",
                targetMethod:"getServList",
                canEdit:true,
                notNull: true
            },
            brief : {
                type : 'textarea',
                label : '摘要',
                notNull: true
            },
            content : {
                //rightText : '资讯详情',
                moveTo : "#",
                type : 'richText',
                label : '内容'
            },
            isUse : {
                type : 'checkbox',
                label : '使用'
            },
            serviceName: {
                type: "text",
                label: "服务名称"
            },
            "saveButton":{
                type:"button",
                label:"完成",
                action:"save",
                className:"fullButton"
            }
        }
    });
});