﻿define([
    "dojo/_base/declare",
    "bob/BoBase",
    "bob/user/consumer",
    "dojo/_base/lang",
    "./_Mixin"
], function(declare, BoBase, consumer, lang, Mixin){
    var B = declare("",[BoBase.B, Mixin],{
        getListParam:function(cqRefInfo){
            var params = {
                shopId : this.getShopId(),
                isReply:false,
                commentType:"mat",
                withMat: "1"
            };
            var state = cqRefInfo.state||{};
            var userId = cqRefInfo&&cqRefInfo.cqViewParam&&cqRefInfo.cqViewParam.params||"";
            if(userId){
                params.userId = userId;
            }
            //掌柜已经回复
            if(state._id == 1){
                params.isReply = true;
            }
            if(state._id == 0){
                params.isReply = false;
            }
            return params;
        },
        toReply: function(data, widget){
            var msg = this.getDataValidMsg(data, ["shopAdminReply"]);
            if(msg){
                alert(msg);
                return;
            }
            data._id = widget.cqRefInfo.cqViewParam.params;
            window.busy();
            this.onReply(data).then(lang.hitch(this, function(result){
                window.free();
                if(result&&result.data&&result.data.ok==1){
                    alert("回复成功");
                    history.back();
                }else{
                    alert(result&&result.data&&result.data.msg||"回复成功");
                }
            }));
        },
        onReply: function(params){
            return this.exec("shopReply",params);
        },
        getListUrlByTsId: function(){
            return this.getBaseUrl()+"/loadByTsId";
        },
        getListParamByTsId: function(params){
            var param = {};
            param.shopId = this.getShopId();
            param.tsId = params.cqViewParam.params;
            param.withMat = 1;
            return param;
        }
    });
    var b = new B();
    b.Bo = B;
	return b;
});