﻿define([
	"dojo/_base/declare",
    "dojo/_base/lang",
    "cq/util/config/config",
    "../../BoBase",
    "./_Mixin",
    "dojo/_base/array"
],function(declare, lang, config, BoBase, _Mixin,array){
	var TravelTagBBo = declare("", [BoBase.B, _Mixin], {
        fields:{
            onSave:{
                type:"button",
                action:"onSave"
            }
        },
        getListUrl:function(){
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        getListParam:function(refInfo){
            var params = {};
            if(refInfo&&refInfo.tp&&refInfo.tp&&refInfo.tp._id>-1){
                params.type = refInfo.tp._id;
            }
            return params;
        },
        onListClick:function(item){
            window.moveToView("tTagEdit",item._id);
        },
        
        getEdtLayout:function(){
            // summary:
            //        录入景点的layout
            // view:
            //         newsGroupB
            // description:
            //         无
            return [{
                type : "form",
                fields : this.getFormItems(["tag","type","num","onSave"], true)
            }];
        },
        loadById:function(refInfo){
            if(refInfo&&refInfo.cqViewParam&&refInfo.cqViewParam.params){
                return this.exec("loadById",{
                    _id:refInfo.cqViewParam.params
                }).then(function(data){
                    var item = data&&data.data&&data.data.item;
                    item.num = item.num||0;
                    return item;
                });
            }else{
                return {
                    num:0
                };
            }
        },
        onSave:function(data){
            var msg = this.getDataValidMsg(data, ["tag","type"]);
			if (msg) {
				alert(msg);
				return;
			}
            window.busy();
            this.exec("save",data).then(lang.hitch(this,function(result){
                window.free();
                if(result&&result.data&&result.data.ok){
                    alert("标签保存成功");
                    history.back();
                }else{
                    alert(result && result.data && result.data.message || "标签保存失败");
                }
            }));
        },
    });
	var travelTagBBo = new TravelTagBBo();
	travelTagBBo.Bo = TravelTagBBo;
    return travelTagBBo;
});
