﻿define([
	"dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-style",
    "bob/BoBase",
    "./_Mixin"
],function(declare, lang, domStyle, BoBase, _Mixin){
	var TravelTagCBo = declare("", [BoBase.C, _Mixin], {
        onListClick:function(item){
            if(item&&item._id){
                window.moveToView("tRouteList",item._id+"_"+item.tag);
            }
        },
        getListParamByType1:function(params){
            return this._getTypedQueryParam(params,0);
        },
        getListParamByType2:function(params){
            return this._getTypedQueryParam(params,1);
        },
        getListParamByType3:function(params){
            return this._getTypedQueryParam(params,2);
        },
        _getTypedQueryParam:function(params,type){
            return {
                type:type,
                orderBy:"-num"
            };
        },
        getItemProp: function(item){
            item.groupName = item.tag;
            return item;
        },
        getMaterialListUrl:function(){
            return this.getBaseUrl() + '/load?shopId='+this.getShopId();
        },
        getMaterialList:function(){
            return this.exec("load", {
                shopId:this.getShopId(),
                type:[3,4,5]
            });
        },
        getMaterialList3:function(){
            return this.exec("load", {
                shopId:this.getShopId(),
                type:3,
                orderBy:"createAt"
            });
        },
        getMaterialList4:function(){
            return this.exec("load", {
                shopId:this.getShopId(),
                type:4,
                orderBy:"createAt"
            });
        },
        getMaterialList5:function(){
            return this.exec("load", {
                shopId:this.getShopId(),
                type:5,
                orderBy:"createAt"
            });
        },
        getMaterialListParam:function(params){
            return {
                type:[3,4,5]
            };
        },
        getMaterialListParam3:function(params){
            return {
                type:3,
                orderBy:"createAt"
            };
        },
        getMaterialListParam4:function(params){
            return {
                type:4,
                orderBy:"createAt"
            };
        },
        getMaterialListParam5:function(params){
            return {
                type:5,
                orderBy:"createAt"
            };
        },
        loadById:function(id){
            return this.exec("loadById",{
                shopId:this.getShopId(),
                _id:id
            });
        },
        load:function(params){
            return this.exec("load", {
                shopId:this.getShopId(),
                type:params.type
            });
        }
    });
	var travelTagCBo = new TravelTagCBo();
	travelTagCBo.Bo = TravelTagCBo;
    return travelTagCBo;
});
