﻿//客户端消息列表以及平台消息界面的数据获取，参数设置，
//字段匹配，为配置是相应的客户端的dataProvider
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/Deferred",
    "bob/mat/matB",
    "bob/article/article/b",
    "whz/util/msgBarSelectAction",
    "./_Mixin",
    '../../BoBase',
    "cq/util/share/share"
], function (declare,lang,Deferred,matB,article,msgBarSelectAction,_Mixin,BoBase,share) {
    var MsgCBo = declare('', [BoBase.B, _Mixin], {
        getMatUrl:function(param,widget){
            var def = new Deferred();
            var items = {
                target:matB.getListUrlForCurrentShop(),
                labelField:"mName"
            };
            msgBarSelectAction.init(items,widget).then(lang.hitch(this,function(matData){
                if(matData){
                    var url = share.getPageLoc(this.getShopId(),"#matDetail-" + matData._id);
                    def.resolve(url);
                }else{
                    def.resolve();
                }
            }));
            return def;
        },
        getNewsUrl:function(param,widget){
            var def = new Deferred();
            var items = {
                target:article.getNewsListBUrl()+"?shopId="+this.getShopId(),
                labelField:"title"
            };
            msgBarSelectAction.init(items,widget).then(lang.hitch(this,function(articleData){
                if(articleData){
                    var url = share.getPageLoc(this.getShopId(),"#newDetail-" + articleData._id+"_"+this.getShopId());
                    def.resolve(url);
                }else{
                    def.resolve();
                }
            }));
            return def;
        },
        getListUrl: function(){
            return this.getBaseUrl()+ "/load";
        },
        getListParam: function(cqRefInfo){
            var params = {
                shopId: this.getShopId()
            };
            var userId = cqRefInfo&&cqRefInfo.cqViewParam&&cqRefInfo.cqViewParam.params||"";
            if(userId){
                params.userId = userId;
            }
            return params;
        }
    });
    return new MsgCBo();
});