﻿//客户端消息列表以及平台消息界面的数据获取，参数设置，
//字段匹配，为配置是相应的客户端的dataProvider
define([
    "dojo/_base/declare",
    "dojo/_base/connect",
    "dojo/_base/lang",
    "./_Mixin",
    '../../BoBase',
    "bob/user/consumer",
    "../socket"
], function (declare,connect,lang,_Mixin,BoBase,consumer,socket) {
    var msgCBo = declare('', [BoBase.C, _Mixin], {
        //分类未读消息数量列表相关
        //固定消息详情列表点击跳转事件
        onMsgListClick:function(params){
            window.moveToView(params.moveTo,params._id);
        },
        //固定消息详情列表动态数据的加载的参数
        getMsgListParam:function(cqRefInfo){
            //加载不同数据传递不同的参数
            var param = cqRefInfo&&cqRefInfo.cqViewParam&&cqRefInfo.cqViewParam.params||{};
            var queryParam = {};
            if(param == '1'){
                this.clearMsgNum('cTsMsgNum');
                queryParam['topicType'] = 2;
            }else if(param == '2'){
                this.clearMsgNum('timeLineMsgNum');
                queryParam['topicType'] = 4;
            }else if(param == '3'){
                this.clearMsgNum('newsMsgNum');
                queryParam['topicType']=5;
            }else if(param =='4'){
                this.clearMsgNum('bTsMsgNum');
                queryParam['topicType']=1;
            }else if(param =='5'){
                this.clearMsgNum('bNewsMsgNum');
            }
            return  queryParam;
        },
        //固定消息详情列表动态数据的加载的url        
        getMsgListUrl:function(){
            return this.getBaseUrl()+"/loadByType?shopId="+this.getShopId();
        },
        //固定消息详情列表动态数据的处理函数
        getMsgItemProp:function(data){
            return data;
        },
        //固定消息详情列表顶部label获取方法
        getTitleLabel:function(cqRefInfo){
            var cqRefInfo = cqRefInfo.cqRefInfo||cqRefInfo;
            var cqViewParam = cqRefInfo.cqViewParam||{};
            //this.clearMsgNum(cqViewParam);
            if(cqViewParam.params=='1'){
                return {
                    labelField:'交易物流消息'
                };
            }else if(cqViewParam.params=='2'){
                return{
                    labelField:'村友圈消息'
                };
            }else if(cqViewParam.params=='3'){
                return{
                    labelField:'公告'
                };
            }else if(cqViewParam.params=='4'){
                return {
                    labelField:"订单审核消息列表"
                };
            }else if(cqViewParam.params=='5'){
                return {
                    labelField:"平台公告"
                };
            }else{
                return{
                    labelField:'消息列表'
                };
            }
        }
    });
    var msgCBo = new msgCBo();
    msgCBo.Bo = msgCBo;
    return msgCBo;
});