﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "./_Mixin",
    "bob/BoBase",
    "cq/util/sys/date",
    "bob/user/consumer"
],function(declare,lang,_Mixin,BoBase, date, consumer){
    var O = declare("",[BoBase.B,_Mixin],{
        //对话界面viewId
        svcDetailView:"svcDetailB",
        getTsLastMsgInfo: function(){
            return this.exec("loadByUserAndType", {
                type: 1
            }).then(lang.hitch(this, function(result){
                var item = result&&result.data&&result.data.item||{};
                item.content = item.content || "暂无交易消息";
                item.lastMsgTime = date.getTimeMoment(item.lastMsgTime);
                return item;
            }));
        },
        moveToTsMsg: function(data){
            this.clearPenddingMsg({
                type: 1,
                receiverId: consumer.getCurrentUserId()
            }).then(lang.hitch(this, function(result){
                window.moveToView("msgListB", 1);
            }));
        },
        getNoticeLastMsgInfo: function(){
            return this.exec("loadByUserAndType", {
                type: 3
            }).then(lang.hitch(this, function(result){
                var item = result&&result.data&&result.data.item||{};
                item.content = item.content || "暂无通知";
                item.lastMsgTime = date.getTimeMoment(item.lastMsgTime);
                return item;
            }));
        },
        moveToNoticeMsg: function(data){
            this.clearPenddingMsg({
                type: 3,
                receiverId: consumer.getCurrentUserId()
            }).then(lang.hitch(this, function(result){
                window.moveToView("msgListB", 3);
            }));
        }
    });
    return new O();
});