define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "../../BoBase",
    "./_Mixin"
],function(declare, lang, BoBase, _Mixin){
    var Shelf = declare("", [BoBase.B, _Mixin], {
        // 新增一个shelf(可能为空,为空时新增一行空的数据)
        save:function(data, widget){
            return this.exec("save", data).then(lang.hitch(this, function(result){
                return result;
            }));
        },
        loadById:function(id){
            return this.exec("loadById", {_id:id}).then(lang.hitch(this, function(result){
                return result;
            }));
        },
        getListUrl:function(){
            return this.getBaseUrl() + "/load";
        },
        getListParam: function(params){
            var query = {
                shopId: this.getShopId()
            };
            return query;
        },
        onListClick:function(data, node, list){
            window.moveToView("shelfEdit", data._id);
        }
    });
    
    var shelf = new Shelf();
    shelf.Bo = Shelf;
    return shelf;
});