define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "../../BoBase",
    "./_Mixin"
],function(declare, lang, BoBase, _Mixin){
    var Shelf = declare("", [BoBase.C, _Mixin], {
        loadById:function(id){
            return this.exec("loadById", {_id:id}).then(lang.hitch(this, function(result){
                return result;
            }));
        },
        loadByIdwx:function(params){
            if(!(params.cqViewParam && params.cqViewParam.params)){
                return;
            }
            return this.exec("loadById", {_id:params.cqViewParam.params}).then(lang.hitch(this, function(result){
                return result;
            }));
        }
    });
    
    var shelf = new Shelf();
    shelf.Bo = Shelf;
    return shelf;
});