define([
    'dojo/_base/declare',
    '../BoBase',
    "./_LogMixin"
], function (declare, BoBase, _LogMixin) {
    var O = declare("", [BoBase.C,_LogMixin], {
        loadCodeByName:function(name){
            if(/[\u4e00-\u9fa5]/.test(name)){
                var map = JSON.parse(localStorage.getItem("log_m")||"{}");
                if(map[name]){
                    return this.deferred(map[name]);
                }else{
                    return this.exec("load",{
                        pageSize:100
                    }).then(function(data){
                        data = data.data||data;
                        data = data.items||data;
                        var hash = {};
                        data.forEach(function(d){
                            hash[d.name] = d.code;
                        });
                        localStorage.setItem("log_m",JSON.stringify(hash));
                        return hash[name]||name;
                    });
                }
            }else{
                return this.deferred(name);
            }
        },
        getShopId:function(){
            return this.getPlatformShopId();
        }
    });
    var o = new O();
    o.Bo = O;
    return o;
});