﻿//订单系统公共基类
// 1、提供订单系统的基本属性
// 2、提供公用的方法
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName:"mk/collectPraise",
        //字段名
        fields:{
            title : {
                type : 'text',
                label : '标题',
                placeHolder : '必填',
                notNull : true
            },
            sd : {
                type : 'dateTime',
                label : '开始时间',
                notNull : true
            },
            ed : {
                type : 'dateTime',
                label : '结束时间',
                notNull : true
            },
            brief: {
                type: "textarea",
                label: "简介",
                notNull: true
            },
            rule: {
                type: "richText",
                label: "活动规则",
                noNull: true
            },
            gold: {
                type: "number",
                label: "发放金元宝",
                notNull: true
            },
            remainGold: {
                type: "number",
                label: "剩余金元宝"
            }
        }
    });
});
