﻿//限时抢购基类
// 1、提供限时抢购的基本属性
// 2、提供公用的方法
define([
    "dojo/_base/declare"
],function(declare){
    return declare("",null,{
        modalName:"mk/limitDiscount",
        fields:{
            title : {
                type : 'text',
                label : '标题',
                notNull : true,
                placeHolder: "请输入标题"
            },
            isUse : {
                type : 'checkbox',
                label : '使用',
                selected : true
            },
            freePost : {
                type : 'checkbox',
                label : '包邮',
                selected : true
            },
            sd : {
                type : 'dateTime',//dateTime
                label : '开始时间',//开始时间
                notNull : true
            },
            ed : {
                type : 'dateTime',
                label : '结束时间',
                notNull : true
            },
            limitBuyd:{
                type : 'date',
                label : '抢购日期',
                notNull : true
            },
            mId: {
                type:"ref",
                label: "抢购商品",
                pageSize : 5,
                labelFields : "mName",
                dataProvider : "bob/mat/matB",
                searchField: "mName",
                query:{
                    isSpecs:false
                },
                targetMethod : "getListUrlForCurrentShop",
                canEdit : true
            },
            qty: {
                type : 'number',
                label : '抢购库存',
                placeHolder: "抢购库存"
            },
            limitQty: {
                type : 'number',
                label : '限购数量',
                placeHolder: "活动时间内的每人限购"
            },
            limitPic: {
                type : 'number',
                label : '抢购价',
                placeHolder: "活动时间内的价格"
            }
        },
        getListUrl: function(){
            return this.getBaseUrl() + '/load';
        }
    });
});
