﻿//订单系统公共基类
// 1、提供订单系统的基本属性
// 2、提供公用的方法
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName:"mat/pointFv",
        //字段名
        fields:{
            point: {
                type: 'number',
                label: '面值',
                placeHolder: '填入要充值的积分面值',
                fixedTo: 0,
                notNull: true
            },
            price: {
                type: "number",
                label: '售价',
                placeHolder: '对应面值的积分售价',
                fixedTo: 2,
                notNull: true
            },
            isUse : {
                type : "checkbox",
                label : "使用"
            },
            prizeId : {
                type : "ref",
                label : "抽奖活动",
                dataProvider : "bob/mk/prize/b",
                targetMethod : "getListUrl",
                labelFields : "prizeName",
                searchField : "prizeName",
                canEdit : true,
                query : {
                    isUse : true,
                    state : 2
                },
                //multiselect : "multiselect",
                pageSize : 10
                //multiselect : "multiselect"
            },
            prizeNum : {
                type: 'number',
                label: '抽奖次数',
                fixedTo: 0
            }
        }
    });
});
