//订单系统公共基类
// 1、提供订单系统的基本属性
// 2、提供公用的方法
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName:"mk/prize/prize_result",
        fields: {
            awardName: {
                type: "text"
            },
            createAt: {
                type: "date"
            },
            awardType: {
                type: "text"
            },
            awardTypeStr: {
                type: "text"
            },
            stateStr: {
                type: "text"
            }
        },
        getAwardTypeString: function(awardType){
            var opt = {
                "1": "积分",
                "2": "优惠券",
                "3": "赠品",
                "4": "现金红包"
            };
            return opt[awardType];
        },
        getStateString: function(state){
            var opt = {
                0: "领取",
                1: "已领取",
                2: "已过期"
            };
            return opt[state];
        }
    });
});