﻿define([
    "dojo/_base/declare"
],function(declare){
    return declare("",null,{
        modalName : "mk/reward",
        fields : {
            type: {
                type: "options",
                label: "优惠类型",
                options : {
                    1:"普通优惠"//,
                    // 暂时不做实现
                    //2:"多级优惠"
                } 
            },
            title : {
                type : "text",
                label : "活动标题",
                placeHolder: "输入活动标题",
                notNull: true
            },
            // dateTime
            sd : {
                type:"dateTime",
                label:"生效时间",
                notNull: true
            },
            ed : {
                type:"dateTime",
                label:"失效时间",
                notNull: true
            },
            allMat : {
                type:"checkbox",
                label:"全部商品"
            },
            //  数组
            mids : {
                type : "ref",
                label : "参与商品",
                dataProvider : "bob/mat/matB",
                targetMethod : "getListUrlForCurrentShop",
                labelFields : "mName",
                searchField : "mName",
                canEdit : true,
                pageSize : 10,
				//query: {
				//	isUse: true,
				//	qty:1
				//},
                multiselect : "multiselect",
                setRightTextMethod: "setRight"
            },
            amount : {
                type: "number",
                label: "消费金额",
                placeHolder: "订单金额,不含运费",
                notNull: true
            },
            freePost : {
                type:"checkbox",
                label:"免邮"
            },
            isUse : {
                type:"checkbox",
                label:"是否使用"
            },
            give_mid: {
                type: "ref",
                dataProvider : "bob/mat/matB",
                targetMethod : "getListUrlForCurrentShop",
                labelFields : "mName",
                searchField : "search",
                pageSize : 10,
                query:{
                    isSpecs:false
                },
                label: "赠送商品"
            },
            "blackRegions":{
                type:"objects",
                label:"不适用区域",
                labelField:"remark",
                canEdit:true,
                canDelete:true,
                canAdd:true,
                canDnd:true,
                fields:{
                    layout:[{
                        field:"provinceId,cityId,countyId,remark",
                        type:"district",
						enableAll:true,
                        placeHolder:"请选择地址",
                        label:"区划"
                    }]
                }
            },
            "whiteRegions":{
                type:"objects",
                label:"适用区域",
                labelField:"remark",
                canEdit:true,
                canDelete:true,
                canAdd:true,
                canDnd:true,
                fields:{
                    layout:[{
                        field:"provinceId,cityId,countyId,remark",
                        type:"district",
						enableAll:true,
                        placeHolder:"请选择地址",
                        label:"区划"
                    }]
                }
            }
        }
	});
});
