﻿define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName:"ts/disIncomeD",
        fields: {
            outAmt : {
                type : 'text',
                label : '兑换数量',
                fixedTo: 2
            },
            inAmt : {
                type : 'text',
                label : '收入',
                fixedTo: 2
            },
            createAt : {
                type : 'dateTime',
                label : '时间'
            },
            incomeType : {
                type : 'options',
                label : '类型',
                options: {
                    "1":'新关注收益',
                    "2":'分销收益',
                    "3":'提现到余额',
                    "4":'提现到微信'
                }
            }
        },
        getListUrl: function(){
            return this.getBaseUrl() + '/loadByUserId';
        }
    });
});