﻿define([
    "dojo/_base/declare",
    '../../BoBase',
    "./_Mixin"
], function (declare, BoBase, _Mixin) {
    var O = declare("", [BoBase.B, _Mixin], {
        fields: {
            amount: {
                type: "text"
            },
            outAmt: {
                type: "number",
                label: "支出",
                fixedTo: 2
            },
            inAmt: {
                type: "number",
                label: "收入",
                fixedTo: 2
            }
        },
        getListParam : function (cqRefInfo) {
            var params = {
                shopId : this.getShopId(),
            };
            if(cqRefInfo&&cqRefInfo.cqViewParam&&cqRefInfo.cqViewParam.params){
                params.userId = cqRefInfo.cqViewParam.params;
            }
            this.queryInfo = params;
            return params;
        },
        queryInfo: null,
        getItemProp: function(item){
            item.amount = (item.incomeType==1||item.incomeType==2)?("+"+window.fixedTo(item.inAmt,3)):("-"+window.fixedTo(item.outAmt,3));
            return item;
        },
        exportExcel: function(){
            var _this = this;
            var fields = this.getFormItems([
                "incomeType", "createAt", "inAmt", "outAmt"
            ], true)
            require(["cq/util/sys/xlsx"], function(xlsx){
                xlsx.exportData(_this.getListUrl(),_this.queryInfo, fields, "收益明细"+(new Date()).toISOString());
            });
        }
    });
    var o = new O();
    o.Bo = O;
    return o;
});