define([], function () {
	var matBo = new BoBase({
        // 购物车结构
        //      合计
        //      选中金额
        //      是否全选
        //      商家：一对多
        //          数据提供者和字段变化的响应函数名
        //          商家
        //          是否全选
        //          商家合计
        //          1是否删除（mats数量）
        //          商家商品：一对多
        //              数据提供者和字段变化的响应函数名
        //              商品
        //              数量
        //              单价
        //              小计
        //              1是否删除（商品数量）（购物车数量变化函数，cart的add,clear）
        fields:{
            amt:{
                label:"合计",
                type:"text",
                className:"middle-width"
            },
            fromShopId:{
                //商家，在不同的商家，购物车不同(此处有疑问)
                
                //type:"button",
                //className:"large-width"
            },
            selectedAll:{
                //是否全部选中
                field : "orderCarSelect",
                type : "checkbox",
                label : "全选"
            },
            shops:{
                /*type:"objects",
                label:"商铺",//商家名称
                canEdit : true,
                canDelete : false,
                canAdd : false,*/
                //一对多编辑
                fields:{
                    //dataProvider:"bob/ts/orderCar",
                    //fieldChangeMethod:"onShopFieldChange",
                    //layout:[]
                    fromShopId:{
                        label:"店铺",
                        type:"text"
                    },
                    selected:{
                        //是否选中
                        field : "shopSelect",
                        type : "checkbox",
                        label : "全选"
                    },
                    //商品
                    matInfo: {
                        type : "objects",
                        label: "",
                        canEdit : true,
                        canDelete : false,
                        canAdd : false,
                        fields : {
                            dataProvider:"bob/ts/orderCar",
                            fieldChangeMethod:"onMatFieldChange",
                            layout:[{
                                field:"mid",
                                type:"text"
                            },{
                                field:"mName",
                                type:"text",
                                label:"商品名称"
                            },{
                                field:"price",
                                type:"text",
                                label:"商品价格"
                            },{
                                field:"qty",
                                type:"text",
                                label:"数量",
                                /*
                                var v = '<li class="ordercarTd mnumer" style="width:80px;line-height: 60px;">'
                                +        '<a class="des" href="javascript:void(0);">-</a>'
                                +        '<input type="tel" style="width:51px; text-align: center;" class="QTY" value="1"/>'
                                +        '<a class="add" href="javascript:void(0);">+</a>'
                                +    '</li>';
                                */
                            },{
                                field:"qmt",
                                type:"text",
                                label:"小计"
                            },{
                                field : "matSelect",
                                type : "checkbox"
                            }]
                        }
                    }
                }
            }
        },
        // 购物车Layout，购物车界面layout
        // 参数:无
        getEditLayout: function(){},
        
        // 加载指定商家的购物车
        // 参数:fromShopId
        //      加载在指定商家的购物车信息
        loadById: function(){
            // 从localStorage中读取商品信息
            // 依据商品id信息加载商品
            // 处理商品单价、数量、金额
            // 商品按照供货商家分组
            // 处理金额合计
            // 生成上述fields定义的数据结构
        },
        // 购物车信息加载完成
        // 参数:
        //      data: 购物车数据，符合上边fields定义的数据结构的购物车
        //      dataLayout: 购物车编辑对象
        onDataReady: function(){
            
        },
        // 商品数据发生变化的响应
        // 参数:
        //      data: 单行商品数据
        //      dataLayout: 商品对应的dataLayout
        onMatFieldChange: function(widget,field,value){
            // 若商品数量发生变化
                // 刷新当前商品的小计
                // 刷新商品对应供货商家的小计
                // 刷新购物车合计
            // 若选中发生了变化
        },
        // 一个供货商的信息发生变化的响应
        // 参数:
        //      data: 购物车中指定供货商的数据
        //      dataLayout: 对应的dataLayout
        onShopFieldChange: function(){
            // 若商品数量发生了变化
            
            // 若商品选中发生了变化
            
            // 若全选/取消全选发生了变化
        },
        // 购物车数据发生变化之后的响应
        // 参数:
        //      data: 购物车数据
        //      dataLayout: 购物车编辑的layout
        onCartFieldChange: function(){
            // 若供货商列表发生了变化
                // 刷新商品合计和已选金额
            // 若全选反选发生了变化
                // 全选或取消全选供货商
        },
        // 商品数量增加按钮点击之后的事件响应
        // 参数:
        //      data: 当前商品行数据
        //      dataLayout: 商品对应的dataLayout
        onAddMatQty: function(){
            // 判断商品数量和库存
                // 若库存充足
                    // 商品数量加一
                // 否则，错误提示
        },
        // 商品数量减少按钮点击之后的事件响应
        // 参数:
        //      data: 当前商品行数据
        //      dataLayout: 商品对应的dataLayout
        onSubMatQty: function(){
            // 若商品数量为零
                // 调用商家商品编辑对象的删除商品操作
            // 否则，否商品数量小于最小起订量
                // 提示错误
            // 否则
                // 扣减商品数量
        },
        // 商家商品对象删除指定商品的操作
        // 参数:
        //      data: 要删除的商品对象
        //      dataLayout: 商家商品对象
        onRemoveShopMat: function(){
            // 若只有一种商品，调用购物车商家对象的删除指定商家的方法
            // 否则，从自己管理的商品列表中删除指定商品，刷新自己小计
        },
        // 结算按钮
        // 参数:
        //      data: 购物车中的数据
        //      dataLayout: 购物车对象
        onToSubmit: function(){
            // 保存购物车当前状态
            // 跳转到提交订单页面
        },
        
        
        
        
        
        /*
        // 加载购物车商品
        // 参数:
        //      mids
        load: function(){},
        // 增加/减少购物车数量
        // 参数:
        //      mid
        //      qty 负数表示减少
        addQty: function(){},
        // 添加指定商品到购物车
        // 参数:
        //      mid
        //      qty
        addToCar: function(){},
        // 从购物车中删除指定商品
        // 参数:
        //      mid
        deleteByMid: function(){},
        // 清空购物车
        clearCar: function(){},
        // 清空失效商品
        deleteUnUseMats: function(){},
        // 选中购物车全部商品
        selectedAll: function(){},
        // 选中指定商品
        // 参数:
        //      mid
        selectedById: function(){},
        // 选中指定店铺商品
        // 参数:
        //      shopId
        selectedByShop: function(){},
        // 选中商品金额合计
        selectedAmt: function(){},
        // 选中商品个数
        selectedQty: function(){},
        // 刷新选中商品合计和选中商品个数
        refreshSelected: function(){},
        // 选中商品Layout(提交订单处)
        selectedCarLayout: function(){}*/
	});
	return matBo;
});