﻿/*
周期订单配送记录的基类
徐阿雪 2017/4/27
*/
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "cq/util/edit/confirmFrame2"
], function (declare,lang,confirmIFrame) {
    return declare("",null,{
        modalName:"ts/orderChooseRecord",
        fields: {
            createAt: {
                type: "dateTime",
                label: "配置时间"
            },
            userId: {
                type: "ref",
                label: "配置人",
                dataProvider: 'bob/user/customer',
                targetMethod: 'getUserListUrl',
                searchField: 'search',
                labelFields: 'nickName'
            },
            "userId.nickName": {
                type: "text"
            },
            remark: {
                type: "textarea",
                label: "配置记录"
            }
        }
    });
});
