﻿//订单系统公共基类
// 1、提供订单系统的基本属性
// 2、提供公用的方法
define([
    "dojo/_base/declare"
], function (declare) {
    return declare("",null,{
        modalName:"ts/rechargeOrder",
        //字段名
        fields:{
            "userId.nickName": {
                type: 'text',
                label: '充值用户'
            },
            payTime: {
                type: "dateTime",
                label: '支付时间'
            },
            point : {
                type : "number",
                label : "充值金额"
            },
            amount: {
                type: "number",
                label: "支付金额"
            },
            fee: {
                type: "number",
                label: "在线支付手续费"
            },
            payType: {
                type: "options",
                label: "支付方式",
                options: {
                    "weixin": "微信",
                    "wxApp": "微信App",
                    "wxNative": "微信扫码",
                    "aliapp": "支付宝",
                    "aliwap": "支付宝手机网页",
                    "": "未支付"
                }
            },
            isPayed: {
                type: "checkbox",
                label: "支付"
            },
            pointMid: {
                type: "ref",
                label: "充值面值"
            },
            pointMName: {
                type: "text",
                label: "充值面值"
            },
            fromShopId: {
                type: "ref",
                label: "来源商家"
            },
            fromShopName: {
                type: "text",
                label: "充值店铺"
            },
            payFee: {
                type: "number",
                label: "支付手续费"
            },
            payShopName: {
                type: "text",
                label: "收款商家"
            },
            settleDate: {
                type: "dateTime",
                label: '结算时间'
            }
        }
    });
});
