define([
    "dojo/_base/declare",
    "bob/BoBase"
], function(declare, BoBase){
    var O = declare("",[BoBase.C], {
        modalName : "ts/user/cartLog",
        fields: {
            createAt: {
                type: "dateTime"
            },
            "mId.mName": {
                type: "text"
            }
        },
        onAddCart: function(params){
            return this.exec("onAddCart",params);
        },
        getListUrl: function(){
            return this.getBaseUrl() + "/load";
        },
        getListParam: function(cqRefInfo){
            var params = {
                shopId: this.getShopId()
            };
            var userId = cqRefInfo&&cqRefInfo.cqViewParam&&cqRefInfo.cqViewParam.params||"";
            if(userId){
                params.userId = userId;
            }
            return params;
        }
    });
    var o = new O();
    o.BoBase = O;
    return o;
});