﻿// 农户详情，
//徐阿雪，2017/1/10 
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/topic",
    "cq/app/config",
    "cq/util/config/config",
    "./consumer"
], function (declare, lang, topic, appConfig, config,Consumer) {
    var PeasantBo = declare("",Consumer.Bo,{
		getFarmerIntrLayout:function(){
            // summary:
            //      app消费者端,农户简介的layout布局
            // view:
            //      farmerMsg
            // description:
            //      无
            return [{
                type: "content",
                content:'<div class="farmerInfo">'
                    +'<div><img src="images/temp/home1.jpg"></div>'
                    +'<div class="head">我的农家</br>welcome my home</div>'
                    +'<div class="cq-field-input logo" data-cq-field="images" data-dojo-type="cq/app/widget/mobile/edit/Image" data-dojo-props=\'"canEdit":"false","field":"logo","size":"{width:61,height:61}"\'></div>'
                    +'<div class="pName" >主人：<span class="cq-field-input" data-cq-field="pName">张大娘</span></div>'
                    +'<div class="bolang" ><img src="images/temp/bolang.png" />'
                    +'<span class="cq-field-input userDesc" data-cq-field="userDesc" >介绍人在公务交往中，介绍人应由公关礼仪人员、秘书担任；在社交场合，介绍人则应由女主人或与被介绍的双方均有—定交情者充任。</span>'
                    +'</div>'
                    +'</div>'
            }];
		},
        loadUser:function(params){
            // summary:
            //      app消费者端,通过id加载农户详情
            // view:
            //      farmerMsg
            // description:
            //      无
            var _id = params && params.cqViewParam && params.cqViewParam.params;
            if(_id){
                return this.exec("loadById", {
                    _id:_id
                    }).then(lang.hitch(this, function (userData) {
                        //判断没有头像使用默认头像
                        //判断没有农户简介，显示暂时没有简介
                        if(userData&&userData.data&&userData.data.item){
                            if(!userData.data.item.logo){
                                userData.data.item.logo = "images/temp/farmerLogo.png";
                            }
                            if(!userData.data.item.userDesc){
                                userData.data.item.userDesc = "该农户暂时没有添加简介哟";
                            }
                        }
                    return userData.data.item;
                }));
            }else{
                return {};
            } 
        },
	});
    var peasantBo = new PeasantBo();
    peasantBo.Bo = PeasantBo;
	return peasantBo;
});