﻿define([
    "dojo/_base/declare",
	"dojo/_base/lang",
    "./_UserMixin",
    "../BoBase",
    "bob/user/consumer"
], function (declare, lang, _UserMixin, BoBase, consumer) {
	var friendBo = new BoBase.C({
        modalName: "user/friend",
        // 可处理字段
        fields: {
            userName: {
                type: "text",
                label: "姓名"
            },
            logo:{
                type: "text",
                label: "logo"
            }
        },
        getItemProp: function(data){
            data.logo = data.logo||"./images/temp/i4.jpg";
            return data;
        },
        // 加载我的好友列表
        // 参数:
        //      params
        getListUrl: function(){
            return this.getBaseUrl()+ "/loadMyFriend";
        },
        getListParam: function(parms){
            //     query = {};
            //     query.shopId = this.getShopId();
            //     query.userId = consumer.getCurrentUserId();
            // if(parms){
            //     if(parms.search){
            //         query.search = parms.search;
            //     }
            //     return query;
            // }
            // }
             return {
                    shopId: this.getShopId(),
                    userId: consumer.getCurrentUserId()
                }
        },
        cachedFriend:null,
        cacheMyFriend:function(){
            if(!this.cachedFriend){
                this.cachedFriend = {};
                return this.exec("loadMyFriend", this.getListParam()).then(lang.hitch(this,function(data){
                    var items = data&&data.data||data;
                    items = data&&data.data&&data.data.items||[];
                    if(items&&items.length){
                        for(var i=0;i<items.length;i++){
                            this.cachedFriend[items[i]._id]=1;
                        }
                    }
                }));
            }else{
                return this.defTest({});
            }
        },
        isFriend:function(userId){
            return !!(this.cachedFriend&&this.cachedFriend[userId]);
        }
	});
	return friendBo;
});