define([
    "dojo/_base/declare",
    "./_Mixin",
    "bob/BoBase",
    "bob/user/consumer"
], function (declare, _Mixin, BoBase, consumer) {
    var GrowthDBo = declare("",[BoBase.C,_Mixin],{
        //成长值记录列表数据的获取
        getListForGrowthHistory:function () {
            return this.getBaseUrl() +"/loadByUser?shopId="+this.getShopId();
        },
        _getTpStr: function(tp, growth){
            var tpHash = {
                9:"注册",
                1:"完善基础资料",//, (头像、昵称同时处理才叫完成)
                2:"完善其他资料",// (姓名、地址、电话、生日、性别 等其他信息)
                3:"签到",
                4:"购买商品",
                5:"邀请用户",
                6:"微信关注",
                7:"微信取消关注",
                8:"APP下载",
                27:"访问网站(每天第一次)",
                29:"访问APP(每天第一次)",
                28:"访问微信(每天第一次)",
                19:"发布动态(第一次)",
                20:"发布动态(每天第一次)",
                21:"关注会员",//(关注与被关注均获得,若取消,则直接扣减取消与被取消)
                22:"被关注",
                23:"点赞",//(点赞与被点赞均获得,若取消,则直接扣减取消点赞与被取消点赞)
                24:"被点赞",
                25:"评论",//(评论或被评论均获得)
                26:"被评论",
                10:"微信分享",//(使用微信分享,商品,店铺等信息)
                12:"收藏商品",//(收藏时获得取消收藏时扣减)
                13:"收藏店铺",//(收藏时获得取消收藏时扣减)
                14:"首次购物", 
                15:"二次购物",
                16:"五次购物",
                17:"十次购物",
                18:"评价商品"
            };
            var tpStr = tpHash[tp]||"";
            return tpStr;
        },
        //列表数据组装
        getItemPropForGrowthHistory: function(item){
            item.tpStr = this._getTpStr(item.tp, item.growth);
            item.growthStr = item.growth>0?"+"+item.growth.toFixed(0):item.growth.toFixed(0);
            return item;
        },
        //列表参数传递
        getListParamForGrowthHistory: function(){
            var query = {
                userId: consumer.getCurrentUserId(),
				pageSize: 20
            };
            return query;
        }
	});
    var growthDBo = new GrowthDBo();
    growthDBo.Bo = GrowthDBo;
	return growthDBo;
});