define([
    "dojo/_base/declare",
    "bob/BoBase"
], function(declare, BoBase){
    var O = declare("", [BoBase.B], {
        modalName:"user/action/share",
        fields: {
            createAt: {
                type: "dateTime"
            },
            "mId.mName": {
                type: "text"
            }
        },
        getListUrl: function(){
            return this.getBaseUrl() + "/load";
        },
        getListParam: function(cqRefInfo){
            var params = {
                shopId: this.getShopId()
            };
            var userId = cqRefInfo&&cqRefInfo.cqViewParam&&cqRefInfo.cqViewParam.params||"";
            if(userId){
                params.userId = userId;
            }
            return params;
        },
        getListItem: function(item){
            item.msg = (item.mId&&item.mId.mName) || (item.targetShopId&&item.targetShopId.shopName) || item.url || "";
            return item;
        }
    });
    var o = new O();
    o.BoBase = O;
    return o;
});