define([], function(){
    return {
        views : {
            // 货架编辑
            shelfEdit:{
                mustStaff: true
            },
            // 货架展示
            shelf:{
                toTopInfo:{
                    src:"./images/temp/tool/totop.png",
                    iconClass:"toTopImg"
                },
                refreshBeforeTop:true,
                autoRefresh:false
            }
        },
        layouts:{
            shelfEdit:[{
                fixed:"top",
                type:"topBar",
                label:"海报设计",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            }, {
                className: "cq-layout-shelfedit",
				dojoType: "cq/app/widget/web/DataLayout",
				dataProvider: "whz/bo/Shelf",
				layoutMethod: "getShelfEditLayout",
				initMethod: "loadById",
				waitFor: {
					"0": "cqViewParam"
				}
            }],
            shelf:[{
                fixed:"top",
                type:"topBar",
                label:"活动详情",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }],
                right:[{
                    dojoType:"cq/app/widget/mobile/icon/IconContainer",
                    className:"DataContainer",
                    items:[{
                        dojoType:"cq/app/widget/mobile/icon/DataIcon",
                        icon: "images/temp/tool/mini-share.png",
                        dataProvider:"whz/bo/Layout",
                        className: "XXX",
                        dataMethod:"getShelfId",
                        clickMethod:"share"
                    }]
                }]
            }, {
                // 添加倒计时和提醒按钮
                dojoType: "cq/app/widget/web/DataLayout",
				dataProvider: "bob/mk/activity/c",
				initMethod: "loadByShelfId",
                reloadMethod: "onDataReady",
				waitFor: {
					"0": "cqViewParam"
				},
                className: "no-margin-top",
                layout: [{
                    type: "form",
                    canDelete:false,
                    canAdd:false,
                    canDnd:false,
                    canEdit:false,
                    fields: [{
                        type: "content",
                        content: "<div class='mat-deadline hflex cq-action' style='margin-bottom:0;border-bottom:none;' cq-action='deadline1' data-cq-field='deadline1'>"+
                            "<div class='flex1'></div>"+
                            "<div class='line flex1'></div>"+
                            '<div class="cq-field-input" data-dojo-type="cq/app/widget/mobile/edit/DateLineEditor" data-dojo-props=\'field:"st,execDateFrom",canEdit:"false"\'></div>'+
                            "<div class='line flex1'></div>"+
                            '<div class="cq-action" style="margin-left: 10px;border: 1px solid #0f8680;border-radius: 5px;font-size: 12px;padding: 2px 3px;" cq-action="toNotice" data-cq-field="toNotice">提醒我</div>'+
                        "</div>"+
                        "<div class='mat-deadline hflex cq-action' style='margin-bottom:0;border-bottom:none;' cq-action='deadline2' data-cq-field='deadline2'>"+
                            "<div class='line flex1'></div>"+
                            '<div class="cq-field-input" data-dojo-type="cq/app/widget/mobile/edit/DateLineEditor" data-dojo-props=\'field:"et,execDateTo",canEdit:"false"\'></div>'+
                            "<div class='line flex1'></div>"+
                        "</div>"
                    }]
                }]
            },{
                className: "cq-layout-shelf no-margin-top",
				layoutType: "table",
				dojoType: "cq/app/widget/web/DataLayout",
				dataProvider: "whz/bo/Layout",
				layoutMethod: "getShelfLayout",
				initMethod: "nothing",
				waitFor: {
					"0": "cqViewParam",
                    "1": "share"
				}
            }]
        }
    };
});