﻿define([],function(){
    return {
        widgetTest:[{
            fixed:"top",
            type:"topBar",
            label:"组件测试",
            left:[{
                type:"iconMenuItem",
                label:"返回",
                icon:"",
                arrow:"left",
                href:"back"
            }],
            right:[{
                dojoType:"cq/app/widget/mobile/icon/DropDown",
                //正常按钮，链接
               
                label:"...  ",
                dropDownItems:[{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"1"
                },{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"2"
                },{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"3"
                },{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"4"
                }]
            }]
        },{
				//dojoType: 'cq/app/widget/web/List',
				items: [{
					labelClass: 'flex1 font-size1 h-center tab-selector no-margin-top hflex-tab selected',
					_id: 0,
					isUse: true,
					qty: 1,
					label: '综合'
				}, {
					labelClass: 'flex1 font-size1 h-center tab-selector no-margin-top hflex-tab',
					_id: 1,
					orderBy: '-totalSale',
					qty: 1,
					label: '销量优先'
				}, {
					labelClass: 'flex1 font-size1 h-center tab-selector no-margin-top hflex-tab',
					_id: 2,
					isUse: true,
					orderBy: 'retailPrice',
					qty: 1,
					label: '价格'
				}],
				dojoType: 'cq/app/widget/mobile/List',
				fixed: 'top',
				id: '1',
				workMode: 'single',
				itemType: 'OrderedLabel',
				listClass: 'hflex no-margin-top hflex-tab'
			},{
            type:"flexBar",
            fixed:"top",
            buttons:[{
                //分类选择
                id:"groupId",
                dojoType:"cq/app/widget/mobile/menu/DropDownButton",
                label:"全部",
                dropdownInfo:{
                    items:[{
                        _id:"12345",
                        label:"12345"
                    },{
                        _id:"12346",
                        label:"12346"
                    },{
                        _id:"12347",
                        label:"12347"
                    },{
                        _id:"12348",
                        label:"12348"
                    },{
                        _id:"12349",
                        label:"12349"
                    }]
                }
            },{
                //排序选择
                id:"orderBy",
                dojoType:"cq/app/widget/mobile/menu/DropDownButton",
                label:"未分类",
                dropdownInfo:{
                    items:[{
                        _id:"12345",
                        label:"12345"
                    },{
                        _id:"12346",
                        label:"12346"
                    },{
                        _id:"12347",
                        label:"12347"
                    },{
                        _id:"12348",
                        label:"12348"
                    },{
                        _id:"12349",
                        label:"12349"
                    }]
                }
            },{
                id:"hahha",
                dojoType:"cq/app/widget/mobile/menu/DropDownButton",
                label:"认证",
                dropdownInfo:{
                    dataProvider:"cq/bo/shop",
                    targetMethod: "getPlatformShopListUrl",
                    itemPropMethod: "getShopItemProp",
                    queryParamMethod: "getPlatformShopListParam",
                    labelField:"shopName"
                }
            },{
                dojoType:"cq/app/widget/mobile/icon/IconBase",
                label:"订单数",
                labelClass:"font-size1 cq-list-tabItem selected",
                
            }]
        },{
            dojoType: "cq/app/widget/web/DataLayout",
            dataProvider: "cq/bo/widgetTest",
            layoutMethod: "getMobileTestLayout",
            reloadMethod:"reloadTest",
            waitFor: {
                "8": "save1",
                "9":"save2",
                "10":"save3",
                "33":"rowList"
            }
        },{
            dojoType:"cq/app/widget/mobile/icon/IconContainer",
            items:[{
                dojoType:'cq/app/widget/mobile/icon/IconBase',
                label:'交易信息1'
            },{
                dojoType:'cq/app/widget/mobile/icon/IconBase',
                label:'交易信息2'
            },{
                dojoType:"cq/app/widget/mobile/icon/DropDown",
                //正常按钮，链接
                
                label:"tooltip",
                dropDownItems:[{
                    
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"1"
                },{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"2"
                },{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"3"
                },{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"4"
                }]
            }]
        },/*{
            dojoType:"cq/app/widget/mobile/TypeContainer",
            labelList:{
                dojoType:"cq/app/widget/mobile/icon/IconContainer",
                items:[{
                    dojoType:'cq/app/widget/mobile/icon/IconBase',
                    label:'交易信息1'
                },{
                    dojoType:'cq/app/widget/mobile/icon/IconBase',
                    label:'交易信息2'
                },{
                    dojoType:'cq/app/widget/mobile/icon/IconBase',
                    label:'交易信息3'
                }]
            },
            panes:[{
                dojoType:"cq/app/widget/mobile/TypePane",
                contents:[{
                    dojoType:'cq/widgets/chart/Pie',
                    //dataProvider:"whz3/bo/chart",
                    dataProvider:"cq/bo/widgetTest",
                    maxNum:10,
                    tooltip:"{data}元",
                    dataOptions:{},
                    dataMethod:'getProductsPieChartData',
                    yField:'amount',
                    labelField:'sortName',
                    
                }]
            },{
                dojoType:"cq/app/widget/mobile/TypePane",
                contents:[{
                    dojoType:'cq/app/widget/mobile/icon/IconBase',
                    
                    label:'交易信息2',
                    
                }]
            },{
                dojoType:"cq/app/widget/mobile/TypePane",
                contents:[{
                    dojoType:'cq/app/widget/mobile/icon/IconBase',
                    
                    label:'交易信息3',
                   
                }]
            }]
        },{
            dojoType:"cq/app/widget/mobile/RowList",
            items:[{
				//dojoType: 'cq/app/widget/web/List',
				items: [{
					labelClass: 'RowListItem',
					_id: 0,
					isUse: true,
					qty: 1,
					label: '综合'
				}, {
					labelClass: 'flex1  RowListItem',
					_id: 1,
					orderBy: '-totalSale',
					qty: 1,
					label: '销量优先'
				}, {
					labelClass: 'flex1  RowListItem',
					_id: 2,
					isUse: true,
					orderBy: 'retailPrice',
					qty: 1,
					label: '价格'
				},{
					labelClass: 'flex1  RowListItem',
					_id: 4,
					isUse: true,
					orderBy: 'retailPrice',
					qty: 1,
					label: '价格'
				},{
					labelClass: 'flex1 RowListItem',
					_id: 5,
					isUse: true,
					orderBy: 'retailPrice',
					qty: 1,
					label: '价格'
				}],
				dojoType: 'cq/app/widget/mobile/List',
				fixed: 'top',
				id: '1',
				workMode: 'single',
				itemType: 'OrderedLabel',
				listClass: 'hflex no-margin-top hflex-tab'
			}]
        },{
            id:2,
            dojoType:'cq/widgets/chart/Pie',
            //dataProvider:"whz3/bo/chart",
            dataProvider:"cq/bo/widgetTest",
            maxNum:10,
            tooltip:"{data}元",
            dataOptions:{},
            dataMethod:'getProductsPieChartData',
            yField:'amount',
            labelField:'sortName',
            
        },{
            dojoType:"cq/app/widget/mobile/RowList",
            items:[{
                dojoType: 'cq/app/widget/mobile/List',
                dataProvider: 'cq/bo/widgetTest',
				targetMethod: 'testRowlist',
				workMode: 'single',
				itemType: 'Label',
				listClass: 'hflex no-margin-top hflex-tab'
            }]    
        },*/{
            fixed:"bottom",
            type:"footerBar",
            buttons:[{
                dojoType:"cq/app/widget/mobile/icon/DropDown",
                //正常按钮，链接
                
                label:"tooltip",
                dropDownItems:[{
                   
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"1"
                },{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"2"
                },{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"3"
                },{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"4"
                }]
            },{
                dojoType:"cq/app/widget/mobile/menu/ColumnButton",
                //正常按钮，链接
                className:"footer-tab-dark",
                label:"找回密码",
                href:"#retrieve"
            },{
                dojoType:"cq/app/widget/mobile/menu/ColumnButton",
                className:"footer-tab-highlight",
                label:"注销",
                dataProvider:"cq/bo/user",
                action:"logout"
            },{
                dojoType:"cq/app/widget/mobile/menu/ColumnButton",
                label:"首页", 
                labelClass:"font-size1",
                icon:"images/icon/shop_footer.png",
                iconClass:"footer-tab-img"
            },/*{
                id:"8",
                dojoType:"cq/app/widget/mobile/icon/IconBase",
                className:"flex1",
                label:"首页", 
                labelClass:"font-size1",
                icon:"images/icon/shop_footer.png",
                iconClass:"footer-tab-img",
                href:"#retrieve"
            },*/{
                dojoType:"cq/app/widget/mobile/icon/DropDown",
                //正常按钮，链接
                
                label:"tooltip",
                icon:"images/hzhb.png",
                dropDownItems:[{
                    id:"8",
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"我的提醒"
                },{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"分享",
                    href:"#login"
                },{
                    dojoType:"cq/app/widget/mobile/icon/Icon",
                    label:"秒杀秘籍"
                }]
            },{
                
                dojoType:"cq/app/widget/mobile/icon/IconBase",
                className:"flex1",
                label:"首页", 
                labelClass:"font-size1",
                icon:"images/icon/shop_footer.png",
                iconClass:"footer-tab-img",
                promat:"3"
            },{
                dojoType:"cq/app/widget/mobile/icon/IconBase",
                className:"flex1",
                icon:"images/hzhb.png",
                promat:"3"
                //iconClass:"footer-tab-img"
            },{
                dojoType:"cq/app/widget/mobile/icon/IconBase",
                className:"flex1",
                label:"订单数",
                label2:"2",
                labelClass:"font-size1",
                label2Class:"font-size1",
            },{
                id:"10",
                dojoType:"cq/app/widget/mobile/icon/IconBase",
                className:"footer-tab-highlight",
                label:"提交3",
                //dataProvider:"cq/bo/widgetTest",
                //action:"savae"
            }]
        },{
            dojoType:"cq/app/widget/mobile/Marquee",
            
            icon:"images/hzhb.png",
            dataProvider:"cq/bo/widgetTest",
            showField:"title",
            
            initMethod:"getNews",
            clickMethod:"marqueeClick",
            waitFor:{
                "0":"cqViewParam"
            }
        },{
            //商品列表
            //类型是确定的
            dojoType: "cq/app/widget/mobile/List",
            
            //数据提供者
            dataProvider: "cq/bo/mat/mat",
            //获取读取数据地址的方法名
            targetMethod: "getOtherShopMatUrl",
            //获取ListItem属性的方法，返回的参数中包含data属性——对应的数据
            itemPropMethod: "getMatCard",
            //依据列表的依赖关系，获取查询参数的方法名
            queryParamMethod: "getOtherShopMatQuery",
            //列表项的类型，对应的对象分别放在web/item和mobile/item中
            itemType: "IconLabel",
            //工作模式：
            //  single单选(会触发onCqChanged)
            //  multi多选(点击之后选中，不触发事件)
            //  其他点击之后调用dataProvider的方法
            workMode: "action",
            //点击事件响应时，点击之后调用的dataProvider的方法名
            clickMethod: "onMatListClick",
            //列表呈现方式
            //  列表呈现方式：cq-card显示为卡片模式，row-list单行列表模式
            //  图标大小：mini-card小图宽度44px，middle-card中图宽度72px，big-card大图宽度128px
            listClass: "cq-card middle-card",
            waitFor: {
                "0": "cqViewParam",
                "orderBy":"orderBy",
                "groupId":"groupId"
            }
        },/*{
            dojoType:"cq/app/widget/mobile/TplList",
            dataProvider: "cq/bo/mat/mat",
            //工作模式：
            //  single单选(会触发onCqChanged)
            //  multi多选(点击之后选中，不触发事件)
            //  其他点击之后调用dataProvider的方法
            workMode: "action",
            //点击事件响应时，点击之后调用的dataProvider的方法名
            clickMethod: "onMatListClick",
            itemType:"dojox/mobile/ListItem",
            //获取读取数据地址的方法名
            targetMethod: "getShopMatUrl",
            //依据列表的依赖关系，获取查询参数的方法名
            queryParamMethod: "getGroupQuery",
            itemOptions:{
                variableHeight:true,
                icon:"{logo}",
                label:"<div class=\"mName\">{mName}</div><div>{retailPrice}</div>"
            },
            waitFor:{
                "0":"cqViewParam"
            }
        }*/]
    };
});
