﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-construct",
    "dojo/keys",
    "dojo/on",
    "dojo/query",
    "dijit/_Widget",
    "../_WidgetBase"
],function(declare,lang,domConstruct,keys,on,query,_Widget,_CqWidgetBase){
    //搜索框对象，用于触发其他对象的刷新操作
    return declare("",[_Widget,_CqWidgetBase],{
        //html模版
        htmlTemp:'<div id="{id}" data-dojo-props="toDate:{toDate}" class="cq-count-down {className}" data-dojo-type="cq/app/widget/mobile/CountDown" >距离活动结束还有<br/><span class="d"></span>天<span class="h">小时</span>:<span class="m">分</span>:<span class="s">秒</span></div>',
		toDate:"",
		_timer :null,
        //执行初始化
        buildRendering:function(){
            this.inherited(arguments);
			if(lang.isString(this.toDate)) this.toDate = new Date(this.toDate);
			this.dNode = query(".d",this.domNode)[0];
			this.hNode = query(".h",this.domNode)[0];
			this.mNode = query(".m",this.domNode)[0];
			this.sNode = query(".s",this.domNode)[0];
			if(this.toDate>new Date()){
				this._timer = setInterval(lang.hitch(this,function(){
					var nowDate = new Date();
					var d = ((this.toDate-nowDate)/24/3600/1000).toString().split(".")[0];
					this.dNode.innerHTML=d>0?d:"";
                    if(this.dNode.nextSibling)
                        this.dNode.nextSibling.innerHTML=d>0?"天":"";
					var h = ((this.toDate-nowDate-d*3600*24*1000)/3600/1000).toString().split(".")[0];
					this.hNode.innerHTML=h.length>1?h:"0"+h;
					var m = ((this.toDate-nowDate-d*3600*24*1000-h*3600000)/60/1000).toString().split(".")[0];
					this.mNode.innerHTML=m.length>1?m:"0"+m;
					var s = ((this.toDate-nowDate-d*3600*24*1000-h*3600000-m*60000)/1000).toString().split(".")[0];
					this.sNode.innerHTML=s.length>1?s:"0"+s;
				}),1000);
			}
			else{
				this.dNode.innerHTML = "";
				this.hNode.innerHTML = "00";
				this.mNode.innerHTML = "00";
				this.sNode.innerHTML = "00";
				clearInterval(this._timer)
			}
        }
    });
});