define([
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/_base/lang",
    "dojo/dom-construct",
    "dojox/mobile/EdgeToEdgeList",
    "./_DataListMixin",
    "../_ListMixin"
],function(declare,array,lang,domConstruct,EdgeToEdgeList,_DataListMixin,_ListMixin){
    //fixedItem 固定的item的数据
    var props = "fixedItem:{fixedItem},loadMoreData:'{loadMoreData}',allData:{j:allData},items:{j:items},label:'{label}',dataProvider:'{dataProvider}',targetMethod:'{targetMethod}',itemPropMethod:'{itemPropMethod}',queryParamMethod:'{queryParamMethod}',itemType:'{itemType}',workMode:'{workMode}',pageSize:'{pageSize}',clickMethod:'{clickMethod}',dataLoadedMethod:'{dataLoadedMethod}',itemField:'{itemField}'";
    return declare("",[EdgeToEdgeList,_ListMixin,_DataListMixin],{
        htmlTemp:'<ul id="{id}" class="cq-list {listClass}" data-dojo-type="cq/app/widget/mobile/RowList" data-dojo-props="'+props+'"></ul>',
        buildRendering:function(){
            this.inherited(arguments);
        },
        onDataReady:function(datas){
            if(datas.items){
                datas = datas.items;
            }
            if(this.fixedItem&&lang.isArray(this.fixedItem)&&this.fixedItem.length>0){
                datas = this.fixedItem.concat(datas);        
            }
            if(this.itemField){
                array.forEach(datas,lang.hitch(this,function(data){
                    data["itemField"] = this.itemField;
                }));    
            }
            this.inherited(arguments);
        },
        getItemTypeId:function(itemType){
            return "cq/app/widget/mobile/item/"+itemType;
        },
        initSelect:function(){
            //this
        },
        
    });
});