﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-construct",
    "dojox/mobile/ListItem",
    "cq/util/edit/circleEdtior"
],function(declare,lang,domConstruct,ListItem,circleEdtior){
    if(!window.AMap){
        domConstruct.create("script",{
            //高德地图url
            src:"http://webapi.amap.com/maps?v=1.3&amp;key=0b9138e58ee2c5776ed90d144bfbfd97"
        },document.head,"last");
    }
    //列表选项，呈现为一个ListItem，内容显示在右侧
    return declare("",[ListItem],{
        htmlTemp:'<li id="{id}" data-cq-field="{field}" class="{className} cq-field-input cq-form-areaEditor" data-dojo-type="cq/app/widget/mobile/edit/AreaEditor" data-dojo-props="label:\'{label}\',canEdit:\'{canEdit}\',field:\'{field}\',distFields:\'{distFields}\',distFieldsStr:\'{distFieldsStr}\',detailAddrField:\'{detailAddrField}\'"></li>',
        field:"",
        clickable:true,
        canEdit:true,
        
        buildRendering:function(){
            this.canEdit = this.canEdit!==false&&this.canEdit!=="false";
            this.fields = this.field.split(",");
            this.inherited(arguments);
        },
        setCanEdit: function(canEdit){
            this.canEdit = canEdit;
        },
        getValue:function(){
            return this.get("value");
        },
        setValue:function(value){
            this.set("value",value);
            if(value&&value[3]){
                // 存在则设置显示的问题
                this.set("rightText",value[3]);
            }else{
                this.set("rightText","点击设置");
            }
            if(this.canEdit){
                this.informChanged();    
            }
        },
        onClick:function(viewNode){
            //分组时，多次点击进入 每一次的view都不一样  
            this.view = null;
            if(!this.view){
                var view = this.getParent();
                while(view){
                    if(!view.show){
                        view = view.getParent();
                    }else{
                        break;
                    }
                }
                this.view = view;
            }
            circleEdtior.startEdit(this.value&&this.value[0]&&this.value[1]&&this.value[2]?{
                lon:this.value[0],
                lat:this.value[1],
                radius : this.value[2]
            }:null,this.view||viewNode,this.canEdit).then(lang.hitch(this,function(value){
                circleEdtior.setEnable(true);
                if(!this.canEdit){
                    return;
                }
                var pos = [];
                if(value&&value.lon&&value.lat){
                    circleEdtior.getDetailAddrFields(value.lon,value.lat).then(lang.hitch(this,function(detailAddr){
                        var centerAddress = detailAddr || "未知地址";
                        pos = [value.lon,value.lat, value.radius, centerAddress];
                        this.setValue(pos);
                    }));
                } else {
                    this.setValue([]);
                }
            }));
            circleEdtior.setEnable(this.canEdit);
        },
        informChanged:function(){
            this.onFieldChanged(this,this.field.split(","),this.value);
        },
        onFieldChanged:function(widget,field,value){
            
        }
    });
});