﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-style",
    "dojo/touch",
    "dojox/mobile/ListItem",
    //"cq/biz/blob/blob",
    "cq/util/image/blob",
    "cq/widgets/bigImg"
],function(declare,lang,domStyle,touch,ListItem,blob,bigImg){
    //列表选项，呈现为一个ListItem，内容显示在右侧
    return declare("",[ListItem],{
        htmlTemp:'<li class="cq-form-img cq-field-input li-icon" data-cq-width="{cqWidth}" data-dojo-type="cq/app/widget/mobile/edit/Image" data-dojo-props=\'sizeType:"{sizeType}",canEdit:"{canEdit}",clickImg:"{clickImg}",field:"{field}",label:"{label}",size:{j:size}\'></li>',
        field:"",
        label:"",
        size:{},
        //默认为压缩
        sizeType:"",
        clickable:true,
        clickImg:false,
        canEdit:true,
        
        buildRendering:function(){
            this.clickImg = this.clickImg!==false&&this.clickImg!=="false"&&this.clickImg!=="";
            this.canEdit = this.canEdit!==false&&this.canEdit!=="false";
            this.inherited(arguments);
            var size = {};
            //不默认大小，必须去配置
            if(this.size){
            }else{
                this.size = {width:128,height:128};
            }
            /*
            //手机滑动时会触发该点击事件，更改为click
            //click在手机端有可能在某些时候不起作用
            //暂时不删除这段代码
            this.own(touch.release(this.domNode,lang.hitch(this,function(e){
                if(!this.canEdit){
                    return;
                }
                if(!this.rightIcon2||e.target===this.rightIcon2Node){
                    blob.selectAndUpload(this.size,0.7,this.sizeType).then(lang.hitch(this,function(data){
                        if(data.items && data.items.length == 1) {
                            var value = data.items[0].uri;
                            this.setValue(value);
                            this.onFieldChanged(this,this.field,value);
                        }
                    }));
                }
            })));
            */
            this.own(touch.press(this.domNode,lang.hitch(this,function(e){
                // 防止滑动时触发上传图片事件    郭周全  2017/04/25
				//if(!e || !e.touches) return;
                this._touchPos = {
                    x:e.touches&&e.touches[0]?e.touches[0].pageX:e.pageX,
                    y:e.touches&&e.touches[0]?e.touches[0].pageY:e.pageY
                };
            })));
            this.own(touch.release(this.domNode,lang.hitch(this,function(e){
                var pos = {
                    x:e.pageX,
                    y:e.pageY
                };
                if(!this.canEdit||(this._touchPos&&(Math.abs(this._touchPos.x-pos.x)>10||Math.abs(this._touchPos.y-pos.y)>10))){
                    return;
                }
                if(!this.rightIcon2||e.target===this.rightIcon2Node){
                    blob.selectAndUpload(this.size,0.7,this.sizeType).then(lang.hitch(this,function(data){
                        if(data.items && data.items.length == 1) {
                            var value = data.items[0].uri;
                            this.setValue(value);
                            this.onFieldChanged(this,this.field,value);
                        }
                    }));
                }
            })));
            /*
            this.domNode.addEventListener("click",lang.hitch(this,function(e){
                if(!this.canEdit){
                    return;
                }
                if(!this.rightIcon2||e.target===this.rightIcon2Node){
                    blob.selectAndUpload(this.size,0.7,this.sizeType).then(lang.hitch(this,function(data){
                        if(data.items && data.items.length == 1){
                            var value = data.items[0].uri;
                            this.setValue(value);
                            this.onFieldChanged(this,this.field,value);
                        }
                    }));
                }
            }));*/
            //this.setCanEdit(this.canEdit);
        },
        setCanEdit:function(canEdit){
            this.canEdit=canEdit;
            if(this.rightIconNode){
                domStyle.set(this.rightIconNode,"opacity",this.canEdit?1:0);
            }
        },
        getValue:function(){
            return this.get("value");
        },
        setValue:function(value){
            this.set("value",value);
            this.set("rightIcon2",blob.getImageUrl(value,"80")||"");
            if(this.rightIcon2Node){
                domStyle.set(this.rightIcon2Node,{
                    "min-width":"36px",
                    border:"1px solid gray"
                });
            }
        },
        onClick:function(){
            if(this.clickImg&&!this.canEdit&&this.value){
                bigImg.show(this.value);  
            }else{
                return false;
            }
        },
        onFieldChanged:function(widget,field,value){
            
        },
        startup:function(){
            this.inherited(arguments);
            this.setCanEdit(this.canEdit);
        }
    });
});