﻿define([
    "dojo/_base/array",
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-attr",
    "dojo/dom-construct",
    "dojo/dom-style",
    "dojo/query",
    "dojox/mobile/Pane",
    "cq/widgets/bigImg"
],function(array,declare,lang,domAttr,domConstruct,domStyle,domQuery,Pane,bigImg){
    return declare("",[Pane],{
        htmlTemp:'<div class="cq-form-layzricheditor cq-field-input" data-dojo-type="cq/app/widget/mobile/edit/LazyRichText" data-dojo-props=\'field:"{field}",label:"{label}",tootipLabel:"{tootipLabel}"\'></div>',
        field:"",
       
        label:"",
        
        tooltipLabel:'继续拖动,加载更多',
        
        buildRendering:function(){
            this.canEdit = this.canEdit!==false&&this.canEdit!=="false";
            this.inherited(arguments);
            this.tooltipNode = domConstruct.create('div',{
                style:{
                    height:'45px',
                    background:"rgb(235,235,235)",
                    textAlign:'center',
                    lineHeight:'45px',
                    marginBottom:"200px"
                },
                innerHTML:this.tooltipLabel,
            },this.domNode,'frist');
            this.labelNode = domConstruct.create('div',{
                style:{
                    padding:"10px 0",
                    background:"rgb(242,242,242)",
                    display:"none",
                    paddingBottom:"20px"
                },
                className:"hflex",
                innerHTML:'<div class="flex1"></div>'+
                          '<div style="width: 50px;height: 1px;background: #ccc;"></div>'+
                          '<div style="font-size: 12px;color: #666;padding: 0 10px;"><img />'+this.label+'</div>'+
                          '<div style="width: 50px;height: 1px;background: #ccc;"></div>'+
                          '<div class="flex1"></div>'
            },this.domNode,'frist');
            this.scrollable = this.getParentScrollable();
            this.contentNode = domConstruct.create('div',null,this.domNode,'frist');
            this.connect(this.contentNode,'onclick',this.showImage);
        },
        setCanEdit:function(canEdit){
        },
        getValue:function(){
            return this.get("value");
        },
        setValue:function(value){
            if(!value){
                domStyle.set(this.domNode,{
                    display:'none'
                }); 
                this.clearBind();
            }else{
                domStyle.set(this.domNode,{
                    display:''
                });
                //domStyle.set(this.tooltipNode,"marginBottom","200px");
                domStyle.set(this.tooltipNode,{
                    marginBottom:"400px",
                    display:""
                });
                this.contentNode.innerHTML = "";
                domStyle.set(this.labelNode,{
                    display:"none"
                });
                this.preventScroll = true;
                this._preventTimer = setTimeout(lang.hitch(this,function(){
                    domStyle.set(this.scrollable.containerNode,"height",this.domNode.offsetTop+45+"px");
                    this.preventScroll = false;
                }),600);
                this.bindScrollEvent();
            }
            this.value = value;
        },
        bindScrollEvent:function(){
            this.clearBind();
            
            if(!this.scrollable){
                return;
            }
            this.scrollHandle.push(this.connect(this.scrollable,"scrollTo",this.scrollToDetail));
            this.scrollHandle.push(this.connect(this.scrollable,"slideTo",this.scrollToDetail));
        },
        scrollToDetail:function(to){
            if(this.preventScroll){
                return;
            }
            this.loadHeight = this.domNode.offsetTop-this.scrollable.domNode.clientHeight+50;
            if((to.y+this.loadHeight)<=0){
                domStyle.set(this.labelNode,{
                    display:""
                });
                this.contentNode.innerHTML = this.value;
                domStyle.set(this.tooltipNode,{
                    marginBottom:"0px",
                    display:"none"
                });
                domStyle.set(this.scrollable.containerNode,"height","");
                this.clearBind();
            }
        },
        getParentScrollable:function(){
            var scrollable = this.getParent();
            while(scrollable&&(!scrollable.scrollTo)){
                scrollable = scrollable.getParent();
            }
            return scrollable;
        },
        
        showImage: function(e) {
            if(!bigImg.isShowBigImg(e.target)){
                return;
            }
            // 获得节点中的图片
            var images = domQuery("img", this.contentNode).map(function(item){
                return domAttr.get(item, "src");
            });
            // 获得点击图片的位置
            var index = images.indexOf(domAttr.get(e.target, "src"));
            // 修改显示图片的数据
            images = array.map(images, function(item){
                return {
                    src: item
                };
            });
            bigImg.show(images, index);
        },
        clearBind:function(){
            if(this.scrollHandle&&this.scrollHandle.length){
                this.scrollHandle[1].remove();
                this.scrollHandle[0].remove();
                this.scrollHandle = [];
            }else{
                this.scrollHandle = [];
            }
        }
    });
});