﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/dom-attr",
    "dojo/dom-class",
    "dojo/dom-construct",
    "dojo/query",
    "dojo/dom-style",
    "dojox/mobile/EdgeToEdgeList",
    "dojox/mobile/ListItem",
],function(declare,lang,array,domAttr,domClass,domConstruct,query,domStyle,EdgeToEdgeList,ListItem){
    
    return declare("",[EdgeToEdgeList],{
    //props:'',
    htmlTemp:'<div class="cq-form-objseditor cq-field-input" data-dojo-type="cq/app/widget/mobile/edit/ObjsNewTest" data-dojo-props=\'field:"{field}",canEdit:{canEdit},items:"{items}"\'></div>',
        field:"",
        canEdit:"",
        items:{},
        
        //用于保存Item的dojo对象
        listWidgets:[],
        //用于记录Item的数量
        itemNum:0,
        buildRendering:function(){
            this.inherited(arguments);
            this.canEdit = this.canEdit!==false&&this.canEdit!=="false";
            this.createAddBtn(); 
        },
        createAddBtn:function(){
            this.addItem = new ListItem({
                style:"text-align:center;",
            });
             this.addBtn = domConstruct.create("div", {
                innerHTML:"添加newObjs",
            }, this.addItem.domNode, "first");
            this.addItem.connect(this.addItem.domNode,"onclick",lang.hitch(this,this.add));
            this.addChild(this.addItem);
        },
        add:function(data){
            this.listWidgets[this.itemNum] = new ListItem();
            var context = query(".mblListItemLabel",this.listWidgets[this.itemNum].domNode)[0];
            var content = null;
            for(var x in this.items){
                content = domConstruct.create("div",{},context);
                var labelNode = domConstruct.create("div",{style:"float:left"},content);
                labelNode.innerHTML = x;
                var inputNode = domConstruct.create("input",{style:"float:left"},content);
                if(data&&data[this.items[x]]){
                    inputNode.value = data[this.items[x]];
                }
            }
            this.addChild(this.listWidgets[this.itemNum]);
            this.itemNum++;
        },
        setValue:function(data){
            if(data.length!==0){
                if(this.listWidgets.length!==0){
                    for(var i=0;i<this.listWidgets.length;i++){
                        domConstruct.destroy(this.listWidgets[i].domNode);
                    }
                    this.listWidgets = [];
                    this.itemNum = 0;
                }
                for(var j=0;j<data.length;j++){
                    this.add(data[j]);
                }
            }
            this.onFieldChanged(this,this.field,data);
        },
        getValue:function(){
            if(this.listWidgets.length===0){
                return [];
            }else{
                var j=0;
                
                var datas = [];
                for(var i=0; i<this.listWidgets.length; i++){
                    var inputs = query("input",this.listWidgets[i].domNode);
                    var data = {};
                    for(var x in this.items){
                        data[this.items[x]] = inputs[j].value;
                        j++
                    }
                    datas.push(data);
                    j=0;
                }
                return datas;
            }
        },
        setCanEdit:function(canEdit){
            this.canEdit = canEdit!==false&&canEdit!=="false";
            var inputs = [];
            for(var i=0;i<this.listWidgets.length;i++){
                inputs = query("input",this.listWidgets[i].domNode);
                for(var j=0;j<inputs.length;j++){
                    inputs[j].disabled = this.canEdit?false:true;
                } 
            } 
            this.addItem.domNode.style.display = this.canEdit?"":"none";
        },
        onFieldChanged:function(widget,field,value){
        
        },
       
    });
});