﻿/*
支持数据绑定的上述扩展cq/app/widget/mobile/icon/DataIcon
	支持数据绑定：提供扩展配置，没有对应属性时，刷新时不修改对应属性值
		dataProvider
		dataMethod
	点击之后调用数据提供者的方法
	界面初始化时调用数据提供者的方法初始化标签、图片和badge
*/

define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-construct",
    "dojo/dom-style",
    "dojo/dom-class",
    "dijit/_Widget",
    "../../_WidgetBase",
    "./Icon"
],function(declare,lang,domConstruct,domStyle,domClass,_Widget,_CqWidgetBase,Icon){
    var props = "className:{className},label:{label},label2:{label2},labelClass:{labelClass},label2Class:{label2Class},icon:{icon},iconClass:{iconClass},href:{href},badge:{badge},rightIcon:{rightIcon},promatClass:{promatClass},labelField:{labelField},label2Field:{label2Field},iconField:{iconField},badgeField:{badgeField},srcField:{srcField},"+
        "dataProvider:{dataProvider},dataMethod:{dataMethod},dataOptions:{dataOptions},clickMethod:{clickMethod}";
    return declare("",[Icon],{
    htmlTemp:'<div id="{id}" class="flex1 {className}" data-dojo-type="cq/app/widget/mobile/icon/DataIcon" data-dojo-props="'+props+'"></div>',
        dataProvider:"",
        dataMethod:"",
        dataOptions:null,
        clickMethod:"",
        buildRendering:function(){
            this.inherited(arguments);
            this.cqRefresh();
        },
        cqRefresh:function(){
            this.bindData();
        },
        
        bindData:function(){
            if(this.dataProvider&&this.dataMethod){
                if(lang.isString(this.dataProvider)){
                    require([this.dataProvider],lang.hitch(this,function(dataProvider){
                        this.dataProvider = dataProvider;
                        this.bindData();
                    }));
                }else{
                    this.initData(this.dataProvider[this.dataMethod](this.cqRefInfo,this,this.dataOptions));
                } 
            }
        },
        initData:function(data){
            if(data&&data.then){
                data.then(lang.hitch(this,function(item){
                    this.setData(item);
                }));
            }else{
                this.setData(data);
            }
        },
        _clickTimer:null,
        onClick:function(e){
            if(this.dataProvider&&this.clickMethod){
                clearTimeout(this._clickTimer);
                this._clickTimer = setTimeout(lang.hitch(this,function(){
                    if("string"===typeof(this.dataProvider)){
                        require([this.dataProvider],lang.hitch(this,function(dataProvider){
                            this.dataProvider = dataProvider;
                            this.dataProvider[this.clickMethod](null,"",this,e);
                        }));
                    }else{
                        this.dataProvider[this.clickMethod](null,"",this,e);
                    }
                    
                }),300);
            }else{
                this.inherited(arguments); 
            }
        }
    });
});