﻿//正常的移动端列表界面
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojox/mobile/ListItem"
],function(declare,lang,ListItem){
    return declare("",[ListItem],{
        baseClass:"list-item mblListItem",
        label:"",
        variableHeight:false,
        clickable:true,
        buildRendering:function(){
            this.inherited(arguments);
        },
        onClick:function(e){
            return this.getParent().onItemClick(this,e);
        },
        makeTransition: function(/*Event*/e){
			// summary:
			//		Makes a transition.
			if(this.back && history){
				history.back();	
				return;
			}	
			if (this.href && this.hrefTarget && this.hrefTarget != "_self") {
				win.global.open(this.href, this.hrefTarget || "_blank");
				this._onNewWindowOpened(e);
				return;
			}
            this.href = this.href.replace(/[#]{0,1}/,"");
            window.moveToView(this.href);
		},
    });
});