define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-class",
    "dijit/registry",
    "./Label"
],function(declare,lang,domClass,registry,labelBase){
    return declare("",[labelBase],{
        onClick:function(e){
            this.eWidget = registry.getEnclosingWidget(e.target);
            this.eParentwidget = this._getLabelParent(this.eWidget);
            if(!this.eParentwidget.firstClick){
                this.eParentwidget.firstClick = "firstClick";
            }
            if(!this.eParentwidget.oldWidget){
                this.eParentwidget.oldWidget = this.eWidget;
            }
            
            this.eParentwidget.oldWidget.mark=[];
            this.eParentwidget.oldWidget.orderBy=this.eParentwidget.oldWidget.orderBy?this.eParentwidget.oldWidget.orderBy:"";
            this.eParentwidget.oldWidget.mark = this.eParentwidget.oldWidget.orderBy.match(/^[-]{0,1}/);
            if(this.eWidget!==this.eParentwidget.oldWidget){
                if(!this.eParentwidget[this.eWidget.id]){
                    this.eParentwidget[this.eWidget.id]= this.params.orderBy;
                }
                this.eParentwidget.oldWidget.params.orderBy = this.eParentwidget[this.eParentwidget.oldWidget.id] 
                this.setSortClass();
                this.eParentwidget.oldWidget = this.eWidget;
                this.eParentwidget.firstClick = this.eWidget.id;
                
            }else{
                if(this.eParentwidget.firstClick===this.eWidget.id||this.eParentwidget.firstClick!=="firstClick"){
                    if(!this.eParentwidget.oldWidget.noSort){
                        if(this.eParentwidget.oldWidget.mark[0]==="-"){
                            this.eParentwidget.oldWidget.orderBy = this.eParentwidget.oldWidget.orderBy.replace(/^[-]{0,1}/,"")
                        }else{
                            this.eParentwidget.oldWidget.orderBy ="-"+ this.eParentwidget.oldWidget.orderBy
                        }    
                    }
                    this.eParentwidget.firstClick = this.eWidget.id;
                }else{
                    this.eParentwidget.firstClick = this.eWidget.id;
                    if(!this.eParentwidget[this.eWidget.id])
                    this.eParentwidget[this.eWidget.id]= this.params.orderBy;
                }
                this.params.orderBy = this.eWidget.orderBy;
                this.setSortClass();
            }
            return this.getParent().onItemClick(this,e);
        },
        _getLabelParent:function(w){
            var ParentWidget = w.getParent();
            if(!domClass.contains(ParentWidget.domNode,"cq-list")){
                this._getLabelParent(ParentWidget);
            }else{
                return ParentWidget;
            }
        },
        setSortClass:function(){
            if(!this.eParentwidget.oldWidget.noSort){
                if(domClass.contains(this.eParentwidget.oldWidget.domNode,"asclabel")){
                    domClass.remove(this.eParentwidget.oldWidget.domNode,"asclabel");    
                }else if(domClass.contains(this.eParentwidget.oldWidget.domNode,"desclabel")){
                    domClass.remove(this.eParentwidget.oldWidget.domNode,"desclabel")
                } 
            }
            if(!this.eWidget.noSort){
                if(this.params.orderBy&&this.params.orderBy.match(/^[-]{0,1}/)[0]==="-"){
                    domClass.add(this.eWidget.domNode,"desclabel");
                }else if(this.params.orderBy&&this.params.orderBy.match(/^[-]{0,1}/)[0]===""){
                    domClass.add(this.eWidget.domNode,"asclabel");
                }
            }
        }
    });
});