define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/dom-attr",
    "dojo/dom-class",
    "dojo/dom-style",
    "dojo/dom-construct",
    "dijit/_WidgetBase",
    "dijit/registry",
    "cq/app/widget/_WidgetBase",
    //"cq/biz/shop/layout",
    "bob/layout/layout/c",
    "cq/app/widget/mobile/item/Floor"
],function(declare,lang,array,json,domAttr,domClass,domStyle,domConstruct,_WidgetBase,registry,_CQWidgetBase,layout,Floor){
    return declare("",[_WidgetBase,_CQWidgetBase], {
        htmlTemp:"<div class='cq-field-input cq-form-shelf' data-dojo-type='cq/app/widget/mobile/item/Shelf' data-dojo-props='field:\"{field}\",dataProvider:\"{dataProvider}\",initMethod:\"{initMethod}\"'></div>",
        field:"",
        // bo对象
        dataProvider:"",
        // 提供shelfId，以加载layout，默认getShelfId
        initMethod:"",
        buildRendering:function(){
            this.initMethod = this.initMethod||"getShelfId";
            this.inherited(arguments);
            this.containerNode = this.containerNode || this.domNode;
        },
        _initShelf:function(){
            require([this.dataProvider], lang.hitch(this, function(dataProvider){
                var shelfId = dataProvider[this.initMethod](this.cqRefInfo);
                if(shelfId==this.shelfId&&this.lastRefreshTime&&(new Date()-this.lastRefreshTime)<10000){
                    return;
                }
                this.lastRefreshTime = new Date();
                this.destroyDescendants();
                layout.loadById(shelfId).then(lang.hitch(this, function(data){
                    if(data&&data.data&&data.data.ok){
                        this.destroyDescendants();
                        layout1 = json.fromJson(data.data.item.layout);
                        if(layout1&&layout1.floors.length){
                            array.forEach(layout1.floors, lang.hitch(this, function(item, index){
                                var floor = new Floor(item);
                                floor.placeAt(this);
                            }));
                        }
                    }
                }));
                this.shelfId = shelfId;
            }));
        },
        getValue:function(){
            return this.value;
        },
        setValue:function(value){
            this.value = value || {};
            this.refreshData();
        },
        refreshData:function(){
            this._initShelf();
        },
        onFieldChanged:function(widget, field, value){
        }
    });
});