﻿define([
    "dojo/_base/declare",
    "dojo/dom-class",
    "dojo/dom-style",
    "dijit/_WidgetBase"
],function(declare,domClass,domStyle,_WidgetBase){
    return declare("",[_WidgetBase],{
        baseClass:"list-label-item h-center flex1 row-list-item",
        label:"",
        labelClass:"",
        checked:false,
        buildRendering:function(){
            this.inherited(arguments);
            this.domNode.innerHTML = this.shopName;
            this.connect(this.domNode,"onclick",this.onClick);
            if(this.labelClass){
                domClass.add(this.domNode,this.labelClass);
            }
            domStyle.set(this.domNode,{
                "float":"left",
                margin:"0 10px",
            })
        },
        _setCheckedAttr:function(checked){
            this.inherited(arguments);
            this.checked = !!checked;
            domClass[this.checked?"add":"remove"](this.domNode,"selected");
        },
        onClick:function(e){
            return this.getParent().onItemClick(this,e);
        }
    });
});