﻿define([
    "dojo/_base/declare",
    "dojo/dom-construct",
    "dojox/mobile/SearchBox",
    "../_WidgetBase"
],function(declare,domConstruct,SearchBox,_CqWidgetBase){
    var _processInput = SearchBox.prototype._processInput;
    SearchBox.prototype._processInput = function(evt){
        if(evt.keyCode===13){
            evt.charOrCode = 229;
        }
        _processInput.apply(this,arguments);
    };
    //搜索框对象，用于触发其他对象的刷新操作
    return declare("",[SearchBox,_CqWidgetBase],{
        //html模版
        htmlTemp:'<input id="{id}" type="search" class="mblTextBox mblSearchBox cq-search" data-dojo-type="cq/app/widget/web/SearchBox" />',
        //执行初始化
        onSearch:function(){
            this.onCqChanged(this,this.get("value"));
        },
        buildRendering:function(){
            this.inherited(arguments);
            var node = this.domNode;
            this.formNode = domConstruct.create("form",{},this.domNode,"before");
            this.formNode.appendChild(this.domNode);
            this.formNode.onsubmit = function(){
                return false;
            };
        },
        cqRefresh:function(){
            this.inherited(arguments);
            if(this.cqRefInfo&&this.cqRefInfo.cqViewParam&&this.cqRefInfo.cqViewParam.params&&lang.isString(this.cqRefInfo.cqViewParam.params)){
                var str = this.cqRefInfo.cqViewParam.params;
                if(str.substr(0,7)==="search_"){
                    this.cqRefInfo.cqViewParam.params = str.substring(7);
                    this.textbox.value = this.cqRefInfo.cqViewParam.params;
                    return this.onSearch();;
                }
            }
            this.textbox.value = "";
            this.onSearch();
        }
    });
});