﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/Deferred",
    "cq/biz/object"
], function(declare, lang, array, json, Deferred, object) {
    var O = declare("", object.Schema, {
        modalName: "mat/craft",
        //加载
        loadById: function(id) {
            return this.execInCurrentShop("load_by_id", { _id: id });
        },
        getProductDatasByWorkShop : function (workShopId) {
            return this.execInCurrentShop("get_productdatas_by_workshop", {workShopId: workShopId});
        },
        //保存
        save: function(data) {
            data = this.filterSaveData(data);
            return this.execInCurrentShop("save", data);
        },
        //为查询界面准备数据源
        getLoadUrl: function() {
            return this.getBaseUrl() + "/load?shopId=" + this.getShopId();
        },
        //加载
        load: function(param) {
            //param obj
            return this.execInCurrentShop("load", param);
        }
    });
    var o = new O();
    lang.setObject("cq.biz.mat.craft", o);
    o.Schema = O;
    return o;
})
