﻿define([
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/Deferred",
    "dojo/_base/lang",
    "cq/biz/object",
    "cq/util/config/config"
],function(declare, array,Deferred, lang, object, config){
    var O = declare("", object.Schema, {
        //后台模块路径
        modalName:"old/ncc/ncc_supply_demand",
        getLoadUrl:function(){
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        load:function(params){
            return this.execInCurrentShop("load?shopId="+this.getShopId(),params);
        },
        loadById : function(id){
            return this.execInCurrentShop("load_by_id", {_id : id});
        },
        loadByIdUrl : function(id){
            return this.getBaseUrl()+"/load_by_id?_id"+this.getShopId();
        },
        save : function(data){
            return this.execInCurrentShop("save", data);
        } 
    });
    var o = new O();
        lang.setObject("cq.biz.old.ncc.nccSupplyDemand", o);
        o.Schema = O;
        return o;
});