﻿define([
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/Deferred",
    "dojo/_base/lang",
    "cq/biz/object"
],function(declare, array, json,Deferred, lang, object){
    var O = declare("", object.Schema, {
        modalName:"pr/flush_record",
        //加载
        loadById:function(id){
            return this.execInCurrentShop("load_by_id", {_id : id});
        },
        //保存
        save:function(data){
            return this.execInCurrentShop("save", data);
        },
        //为查询界面准备数据源
        getLoadUrl:function(){
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        //加载
        load : function(param){
           //param obj
           return this.execInCurrentShop("load",param);
        },
        verify : function (params) {
            return this.execInCurrentShop("verify", params);
        },
        unverify : function (params) {
            return this.execInCurrentShop("unverify", params);
        },
        rabbitSave : function (params) {
            return this.execInCurrentShop("rabbit_save", params);
        }
    });
    var o = new O();
        lang.setObject("cq.biz.pr.flushRecord", o);
        o.Schema = O;
        return o;
})