﻿// 创建人 : 潘云
// 创建时间 : 2016-7-19
// 创建内容 : 出场记录后台代理接口
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/Deferred",
    "cq/biz/object"
],function(declare, lang, array, json, Deferred, object){
    var O = declare("",object.Schema,{
        modalName:"pr/leaving_record",
        //加载
        loadById : function(id){
            return this.execInCurrentShop("load_by_id", {_id : id});
        },
        //保存
        save : function(data){
            //data = this.filterSaveData(data);
            return this.execInCurrentShop("save", data);
        },
        qdappSave : function(data) {
            return this.execInCurrentShop("qdapp_save", data);
        },
        rabbitSave : function (data) {
            return this.execInCurrentShop("rabbit_save", data);
        },
        basicRabbitSave : function (params) {
            return this.execInCurrentShop("basic_rabbit_save", params);
        },
        basicRabbitVerify : function (params) {
            return this.execInCurrentShop("basic_rabbit_verify", params);
        },
        basicRabbitUnverify : function (params) {
            return this.execInCurrentShop("basic_rabbit_unverify", params);
        },
        //为查询界面准备数据源
        getLoadUrl : function(){
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        //加载
        load : function(param){
           //param obj
           return this.execInCurrentShop("load",param);
        },
        // 批量生成出场记录
        // 参数格式
        // cattles : 要出场的畜只 数组【_id,_id】
        // 其他参数与save方法一样
        batchCreateLeaving : function (params) {
            //params.cattles = JSON.stringify(params.cattles);
            return this.execInCurrentShop("batch_create_leaving", params);
        },
        getCountByMonth : function (params) {
            return this.execInCurrentShop("get_count_by_month", params);
        },
        getAmountByBatch : function (params) {
            return this.execInCurrentShop("get_amount_by_batch", params);
        },
        poultryAmountByBatch : function (params) {
            return this.execInCurrentShop("poultry_get_amount_by_batch", params);
        },
        // 获取禽蛋类近一个月的出场数量
        getLeavingNumByMonth : function (params) {
            return this.execInCurrentShop("get_leaving_num_by_month", params);  
        },
        // 审核
        verify : function(params) {
            return this.execInCurrentShop("verify", params);
        },
        unverify : function(params) {
            return this.execInCurrentShop("unverify", params);
        },
        // 鸡只-统计各种出场的畜只数量、金额、重量
        poultryGatherLeaving : function (params) {
            return this.execInCurrentShop("poultry_gather_leaving", params);
        },
        // 种兔批量出场
        rabbitBatchLeaving : function (params) {
            return this.execInCurrentShop("rabbit_batch_leaving", params);
        }
    });
    var o = new O();
        lang.setObject("cq.biz.pr.leavingRecord", o);
        o.Schema = O;
        return o;
})