﻿//创建人：冉伟
//创建时间：2016/7/29
//创建内容：供应商后台代理接口
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "cq/biz/object",
    "cq/util/config/config"
],function(declare,lang,object,config){
    var O = declare("",object.Schema,{
        modalName:"shop/vendor",
        //加载
        loadByIdFromOpshop : function(id){
            return this.exec("load_by_id_from_opshop",{
                _id : id,
                fromShopId : this.getShopId()
            });
        },
        loadById : function(id){
            return this.execInCurrentShop("load_by_id",{_id : id,});
        },
        //保存
        save : function(data){
            //data = this.filterSaveData(data);
            return this.execInCurrentShop("save",data);
        },
        //为查询界面准备数据源
        getLoadUrl : function(){
            return this.getBaseUrl()+"/load?shopId="+this.getShopId();
        },
        getLoadUrlFromOpshop : function(){
            return this.getBaseUrl()+"/load_from_opshop?fromShopId="+this.getShopId();
        },
        //加载
        load : function(param){
            return this.execIncurrentShop("load",param);
        }
    });
    var o = new O();
        lang.setObject("cq.biz.shop.vendor",o);
        o.Schema = O;
        return o;
});