﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/_base/json",
    "dojo/Deferred",
    "cq/biz/object"
], function(declare, lang, array, json, Deferred, object) {
    var O = declare("", object.Schema, {
        modalName: "ts/inspect_object",
        //加载
        loadById: function(id) {
            return this.execInCurrentShop("load_by_id", { _id: id });
        },
        //保存
        save: function(data) {
            //data = this.filterSaveData(data);
            return this.execInCurrentShop("save", data);
        },
        //为查询界面准备数据源
        getLoadUrl: function() {
            return this.getBaseUrl() + "/load?shopId=" + this.getShopId();
        },
        findByParams : function (params) {
            return this.execInCurrentShop("find_by_params", params);
        },
        // 初始化数据
        initData : function() {
            return this.execInCurrentShop("init_data", {});
        }
    });
    var o = new O();
    lang.setObject("cq.biz.ts.inspectObject", o);
    o.Schema = O;
    return o;
})
