define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "cq/biz/object",
    "cq/util/config/config"
],function(declare, lang, object, config){
    var O = declare("", object.Schema, {
        modalName:"user/user_device",
        save:function(deviceInfo){
            // var data = {};
            // data.shopId = config.getPlatformShopId();
            // data.appId = deviceInfo;
            deviceInfo.shopId = config.getPlatformShopId();
            return this.exec("save",deviceInfo);
        },
        loadByAppId:function(deviceInfo){
            var data = {};
            data.shopId = config.getPlatformShopId();
            data.appId = deviceInfo;
            //deviceInfo.shopId = config.getPlatformShopId();
            return this.exec("load_by_appId",data);
        }
    });
    var o = new O();
    lang.setObject("cq.biz.user.user_device", o);
    o.Schema = O;
    return o;
});