// 变更人员：母浚驰
// 变更时间：2016/5/18
// 变更内容：代码规范，添加注释
// 变更人：潘云
// 变更时间：2016/5/31
// 变更内容：商品评价

// 变更人员：母浚驰
// 变更时间：2016/6/20
// 变更内容：时间格式，页面样式修改

// 变更人员：胡飞
// 变更时间：2016/6/22
// 变更内容：增加收货人/商品信息/订单信息三个ul之间的间隔

// 变更人：潘云
// 变更时间：2016/6/28
// 变更内容：评价的样式,提交成功后刷新评论的内容，最多可以提交5张图片

//变更人:王龙
//变更时间:2016/6/30
//变更内容:支付之前，将底部的“余额/代金券/优惠券抵扣”修改为余额“抵扣”(代金券和优惠券未启用);

//变更人:周科吉
//变更时间:2016/7/5
//变更内容:订单详情余额显示按钮问题；取消订单后不能评论的问题

// 变更人:刘轩
// 变更时间:2016/7/13
// 变更内容:订单取消也可以收货的BUG修复

// 变更人 ：徐阿雪
// 变更时间:2016/8/3
// 变更内容:1、修改显示支付方式问题2订单不能提交问题3、支付出现错误问题（参数不对）

// 变更人 ：张金鹏
// 变更时间:2016/9/6
// 变更内容:1、修改评价的打分选项2订单不能提交问题3、支付出现错误问题（参数不对）

/*
变更人：徐阿雪
变更时间：2016/12/14
变更内容：订单中新增一个字段deliveryType（1，配送；2，自提），
买家留言上方添加一个收获方式：自提和配送，单选按钮，默认选中配送，
如果选择的是自提，生成订单时合计金额中不算运费；如果选择配送要算运费
*/
/*
变更人：徐阿雪
变更时间：2016/12/16
变更内容：退款
*/
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojox/mobile/Rating",
    "dojo/DeferredList",
    "dojo/dom-attr",
    "dojo/dom-style",
    "dojo/dom-class",
    "dojo/dom-construct",
    "dojo/on",
    "dojo/query",
    "dojo/Deferred",
    "dijit/registry",
    "dijit/_WidgetBase",
    "dojox/mobile/View",
    "dojox/mobile/ListItem",
    "cq/biz/ts/order",
    "cq/util/sys/date",
    "cq/biz/user/user",
    "cq/ui/view/_ViewMixin",
    "cq/util/config/config",
    "cq/biz/shop/shop",
	"cq/biz/ts/refundApplication",
    "cq/app/widget/mobile/edit/CheckBox1"
], function(declare, lang, array, Rating, DeferredList, domAttr, domStyle, domClass, domConstruct, on, query, Deferred, registry, _WidgetBase, View, ListItem, order, date, user, _ViewMixin, config, shop, refundApplication,CheckBox1) {
    //退款选择商品界面
    //订单优惠金额/修改价格
    var UpdateOrderCode = declare("", [View,_ViewMixin], {
        indexElement : function () {
			option={isEdge:true,lists:[],'class':"bottom-margin16"};
            this.matList=this.addLists(option);

			// 确定和取消
			option = {
				columns : [{
					label : "确认",
					onClick : lang.hitch(this, function () {
                        //处理退货的商品
                        //保存要退款的_id(mid)
                        var items = [];
                        for(var i=0; i<this.datas.length; i++){
                            if(query(".checkbox",this.domNode)[i].checked){
                                var actualAmount = window.fixedTo(parseFloat(this.datas[i].amount)+parseFloat(this.datas[i].discountAmount||0)-parseFloat(this.datas[i].couponAmount||0)-parseFloat(this.datas[i].point||0),3);
                                items.push({_id:this.datas[i].mId._id,actualAmount:actualAmount,detailId:this.datas[i]._id});
                            }
                        }
						this.currentDef.resolve(items);
						this.hideOverlay();
					}),
					className : "footer-tab-highlight"
				}, {
					label : "取消",
					onClick : lang.hitch(this, function () {
						this.currentDef.resolve();
						this.hideOverlay();
					}),
					className : "footer-tab-dark"
				}],
				labelClass : 'font-size2',
				className : 'fix-footer',
				isFooter : true
			};
			this.addColumns(option);
		},
        
        refreshData:function(){
            this.inherited(arguments);
            for (var i = 0; i<this.datas.length; i++) {
                var label = this.getDetailLabel(this.datas[i]);
                var listitem = null;
                if("string"!=typeof(label)){
                    listitem = new ListItem({
                        label: "",
                        variableHeight: true
                    });
                    while(label.children.length){
                        domConstruct.place(label.children[0],listitem.labelNode,"last");
                    }
                }else{
                    listitem = new ListItem({
                        label: label,
                        variableHeight: true
                    });
                }
                this.matList.addChild(listitem);
            }
        },
        // 订单详细信息赋值
        getDetailLabel:function(item){
            var label = "<div><div style='float:left;'>"+
                "<div class='orderIcon'>"+
                    "<img class='discountIcon' src='"+item.mId.logo+"' />"+
                "</div>"+
            "</div>"+
            "<div style='float:right;'>"+
                "<div class='updateOrder matname'>"+item.mId.mName+"</div>"+
                "<div class='updateOrder priceAll'>小计：￥"+
                    "<span class='pricePay'>"+
                        window.fixedTo(item.price*item.qty,3)+
                    "</span>"+
                "</div>"+
                "<div class='checkboxPane updateOrder refund'></div>"+
            "</div>"+
            "<div class='border-top'>"+
                "<div class='realPay'>买家实付(不含运费)：￥"+
                    "<span class='realPic'>"+
                        window.fixedTo(parseFloat(item.amount)+parseFloat(item.discountAmount||0)-parseFloat(item.couponAmount||0)-parseFloat(item.point||0),3)+
                    "</span>"+
                "</div>"+
            "</div></div>";
            label = domConstruct.toDom(label);
            new CheckBox1({
                label:"勾选选择是否退款",
                value:true
            },label.children[1].children[2]);
            return label;
        },
		// 得到数据
		showUpdateOption : function (datas) {
			this.currentDef = new Deferred();			
			this.datas = datas;
			this.startup();
			this.refreshData();

			return this.currentDef;
		}
    });
    //评价
    var MatEva = declare("", [View, _ViewMixin], {
        // 默认分数为5
        score: 5,
        matEvaluation: 5,
        serviceEvaluation: 5,
        deliveryEvaluation: 5,
        logisticsEvaluation: 5,
        // 初始化fromShopId
        fromShopId:'',
        // 评论等级的HTML
        getevalHtml: function() {
            var htl = "";
            /*htl += "<div class = 'scorediv'>商品评价:</div>"; */
            htl += "<div class = 'scorediv'>描述相符:</div>";
            htl += "<div class = 'scorediv'>服务态度:</div>";
            htl += "<div class = 'scorediv'>发货速度:</div>";
            htl += "<div class = 'scorediv'>物流速度:</div>";
            htl += "<div class = 'evaltext'><textarea maxlength='512' rows='5' placeholder='亲，请填写评价详情'></textarea></div>";
            return htl;
        },
        // 添加评价等级
        indexMatRating: function() {
            var scoreWidget = this.scoreWidget = new Rating({
                className: "rating",
                image: "../../../static/common/images/xin2.png",
                numStars: 5,
                value: 5,
            });
            query(".scorediv", this.evalList.domNode)[0].appendChild(this.scoreWidget.domNode);

            var scoreWidget1 = this.scoreWidget1 = new Rating({
                className: "rating",
                image: "../../../static/common/images/xin2.png",
                numStars: 5,
                value: 5,
            });
            query(".scorediv", this.evalList.domNode)[1].appendChild(this.scoreWidget1.domNode);

            var scoreWidget2 = this.scoreWidget2 = new Rating({
                className: "rating",
                image: "../../../static/common/images/xin2.png",
                numStars: 5,
                value: 5,
            });
            query(".scorediv", this.evalList.domNode)[2].appendChild(this.scoreWidget2.domNode);

            var scoreWidget3 = this.scoreWidget3 = new Rating({
                className: "rating",
                image: "../../../static/common/images/xin2.png",
                numStars: 5,
                value: 5,
            });
            query(".scorediv", this.evalList.domNode)[3].appendChild(this.scoreWidget3.domNode);
        },
        // 初始化页面元素
        indexElement: function() {
            // 评价的等级
            var option = {
                isEdge: true,
                class: 'top-bottom-margin16',
                lists: [{
                    label: this.getevalHtml(),
                    variableHeight: true
                }]
            };
            this.evalList = this.addLists(option);
            this.indexMatRating();
            // 上传图片
            option = {
                maxImages: 5,
                mainLabel: "",
                detailLabel: "",
                canAdd: true,
                icons: [],
                editable: true,
                class: "no-shake",
                size: {
                    width: 640,
                    height: 640
                }
            };
            this.images = this.addImagePicker(option);
            // 底部按钮 提交 取消
            option = {
                columns: [{
                    label: "取消",
                    onClick: lang.hitch(this, function() {
                        this.currentDef.resolve();
                        this.hideOverlay();
                    }),
                    className: "flex2 footer-tab-dark"
                }, {
                    label: "提交",
                    onClick: lang.hitch(this, function() {
                        window.busy();
                        var data = this.getEvalData();
                        data.score = data.matEvaluation;
                        var msg = this.checkFlied(data);
                        if (msg) {
                            window.free();
                            alert(msg);
                            return;
                        }
                        this.currentDef.resolve(data);
                    }),
                    className: "flex2 footer-tab-highlight"
                }],
                forceWidth: false,
                isFooter: true
            };
            this.addColumns(option);
        },
        // 验证必填字段是否为空
        checkFlied: function(data) {
            var msg = "";
            /* if (!data.score) {
                
            } */
            if ((!data.matEvaluation) && (!data.serviceEvaluation) && (!data.deliveryEvaluation) && (!data.logisticsEvaluation)) {
                msg = "必须给出评价分数";
            } else if (!data.content) {
                msg = "评价内容不能为空";
            }
            return msg;
        },
        // 保存时获取用户的评价信息
        getEvalData: function() {
            var data = {};
            // 用户评价的分数
            data.score = this.score;
            data.matEvaluation = this.matEvaluation;
            data.serviceEvaluation = this.serviceEvaluation;
            data.deliveryEvaluation = this.deliveryEvaluation;
            data.logisticsEvaluation = this.logisticsEvaluation;
            // 获取用户输入的内容
            data.content = query(".evaltext>textarea", this.evalList.domNode)[0].value;
            // 获取图片
            var iconItems = this.images.getChildren();
            if (iconItems.length > 1) {
                var images = [];
                for (var i = 0; i < iconItems.length; i++) {
                    // 如果icon存在则为用户上传的图片
                    if (iconItems[i].icon) {
                        images.push(iconItems[i].icon);
                    }
                }
                data.images = images;
            }

            return data;
        },

        // 初始化事件
        initEvent: function() {
            // 处理用户点击的等级事件
            this.scoreWidget.on("click", lang.hitch(this, function(e) {
                var node = e.target;
                var domNode = this.scoreWidget.domNode;
                while (node && node.parentNode !== domNode) {
                    node = node.parentNode;
                }
                // 设置评价的分数
                this.matEvaluation = array.indexOf(domNode.childNodes, node) + 1;
                // 改变样式
                this.scoreWidget.set("value", this.matEvaluation);
            }));

            this.scoreWidget1.on("click", lang.hitch(this, function(e) {
                var node = e.target;
                var domNode = this.scoreWidget1.domNode;
                while (node && node.parentNode !== domNode) {
                    node = node.parentNode;
                }
                this.serviceEvaluation = array.indexOf(domNode.childNodes, node) + 1;
                this.scoreWidget1.set("value", this.serviceEvaluation);
            }));
            this.scoreWidget2.on("click", lang.hitch(this, function(e) {
                var node = e.target;
                var domNode = this.scoreWidget2.domNode;
                while (node && node.parentNode !== domNode) {
                    node = node.parentNode;
                }
                this.deliveryEvaluation = array.indexOf(domNode.childNodes, node) + 1;
                this.scoreWidget2.set("value", this.deliveryEvaluation);
            }));
            this.scoreWidget3.on("click", lang.hitch(this, function(e) {
                var node = e.target;
                var domNode = this.scoreWidget3.domNode;
                while (node && node.parentNode !== domNode) {
                    node = node.parentNode;
                }
                this.logisticsEvaluation = array.indexOf(domNode.childNodes, node) + 1;
                this.scoreWidget3.set("value", this.logisticsEvaluation);
            }));
        },
        showAuditOption: function() {
            // 初始化一个异步操作
            this.currentDef = new Deferred();
            this.startup();
            //this.initData();
            return this.currentDef;
        },
        initData: function() {
            query(".evaltext>textarea", this.evalList.domNode)[0].value = "";
            this.scoreWidget.set("value", 5);
            this.scoreWidget1.set("value", 5);
            this.scoreWidget2.set("value", 5);
            this.scoreWidget3.set("value", 5);
            this.images.refreshItems([]);
        },
    });

    return declare("widgets.mobile.OrderDetail", [View, _ViewMixin], {
        pacTeamId: null,
        // 初始化页面元素,绑定事件
        onFirstShow: function() {
            // 创建头部信息
            var option = {
                left: {
                    iconButton: ' ',
                    arrow: "left",
                    label: "",
                    onClick: function() {
                        history.back();
                    }
                },
                title: "订单详情"
            };
            this.addHeader(option);
            //收货相关信息
            option = {
                isEdge: true,
                lists: [],
                class: "bottom-margin16"
            };
            this.orderList = this.addLists(option);
            this.orderStateItem = new ListItem({
                variableHeight: true
            });
            this.orderList.addChild(this.orderStateItem);

            //商品信息
            option = {
                isEdge: true,
                lists: [],
                class: "bottom-margin16"
            };
            this.matList = this.addLists(option);

            //费用信息
            option = {
                isEdge: true,
                lists: [],
                class: "bottom-margin16"
            };
            this.expenseList = this.addLists(option);
            this.expenseItem = new ListItem({
                variableHeight: true
            });
            this.expenseList.addChild(this.expenseItem);
            this.postButtom();

            this.connectEvent();
            option = {
                columns: [{
                    label: '确认收货',
                    className: 'flex2 footer-tab-highlight none recepiptBtn',
                    onClick: lang.hitch(this, this.setReceipteded)
                },{
                    label: '订单跟踪',
                    className: 'flex2 footer-tab-dark none logisticsBtn',
                    onClick: lang.hitch(this, function(){
                        window.moveToView("orderLogistics",window.did)
                    })
                }],
                forceWidth: false,
                isFooter: true
            };
            this.orderBtnNode = this.addColumns(option);
            this.onAfterShow();
        },
        onPayOrder: function(payType) {
            window.busy(); //JSON.stringify([window.did]
            if(payType == "payByOther"){
                window.free();
                this.userToPay().then(lang.hitch(this,function(data){
                    if(data){
						alert("发送成功！");
                        var param = {};
                        param.receiverId = data._id;
                        param.content = (user.getUserData().pName||user.getUserData().pName || "未知")+"请求您帮其付款，付款金额" 
                        +this.actualPayAmount+"元";
                        param.moveTo = "payToAnother";
                        param._id = window.did;
                        param.userName = data.userName;
                        param.taskType = 2;
                        order.findAnotherToPay(param);
                    } else {
						alert("发送失败！");
					}
                }));
            }else {
                this.getPayByIds({
                    _id: window.did,
                    payType: payType
                }).then(lang.hitch(this, function(data) {
                    window.free();
                    if (data && data.data && data.data.ok == 1) {
                        this.updatePacTeam(this.pacTeamId);
                        this.onAfterShow();
                    } else {
                        alert(data && data.data && data.data.msg);
                    }
                }));
            }
        },

        setReceipteded: function() {
            order.setReceipteded(window.did).then(lang.hitch(this, this.onAfterShow));
        },
        // 创建评价
        createMatEva: function() {
            if (!this.matEvaDiv) {
                // 创建一个商品评价对象
                this.matEva = new MatEva();
                this.matEvaDiv = domConstruct.create("div", {
                    style: "height:400px;"
                });
                this.matEvaDiv.appendChild(this.matEva.domNode);
            }
            this.showInOverlay(this.matEvaDiv);
            return this.matEva.showAuditOption();
        },

        // 提供支付接口
        getPayByIds: function(params) {
            return order.onPayed(params);
        },

        // 获得支付接口
        getPayTypeInfos: function() {
            return shop.getPayType();
        },

        // 提供收获接口
        getDetailReceipteded: function(id) {
            return order.setDetailReceipteded(id);
        },

        // 提供评价接口
        getEvaluedByDetailId: function(params) {
            return order.evaluedByDetailId(params);
        },
        // 绑定订单点击事件
        connectEvent: function() {
            // this.connect(this.orderStateItem.domNode, "onclick", function(e) {
            //     var domCancel = e.target;
            //     if (domCancel && domClass.contains(domCancel, "edit-car-cancel")) {
            //         this.cancelOrder();
            //     }
            // });
            this.connect(this.expenseItem.domNode,"onclick",function(e){
                var refundDom = e.target;
                if(refundDom && domClass.contains(refundDom,"refund")){
                    //点击退款
                    this.refundOrder();
                }
            })
            this.connect(this.matList.domNode, "onclick", lang.hitch(this, function(e) {
                var dom = e.target;
                if (dom && dom.tagName === "SPAN") {
                    var id = domAttr.get(dom.parentNode, "detailId");
                    if (domClass.contains(dom, "edit-car-delivery")) {
                        //收货
                        this.getDetailReceipteded(id).then(lang.hitch(this, function() {
                            this.onAfterShow();
                        }));
                    } else if (domClass.contains(dom, "edit-car-comment")) {
                        this.createMatEva().then(lang.hitch(this, function(evaldata) {
                            window.free();
                            if (evaldata) {
                                // 保存评价信息
                                if (id) {
                                    evaldata._id = id;                                    
                                    this.getEvaluedByDetailId(evaldata).then(lang.hitch(this, function(data) {
                                        if (data.data.ok === 1) {
                                            this.matEva.hideOverlay();
                                            this.onAfterShow();
                                        } else {
                                            alert("保存失败  " + data.data.msg);
                                        }
                                    }));
                                } else {
                                    alert("订单详情id不能为空");
                                }
                            }
                        }));
                    }
                } else if (dom && dom.tagName === "IMG") {
                    this.moveToMat(dom);
                    
                }
            }));
        },
        onShowPayTypes:function(){
            this.payTypeSelectors(this.orderDetailMsg);
        },
        //跳转到商品详情
        moveToMat: function(dom){
            var id = domAttr.get(dom, "mId");
            window.moveToView("matDetail", id);
        },
        // 加载收获人信息
        getLoadDetailById: function() {
            return order.loadDetailById(window.did);
        },

        // 依据Id获得信息
        getLoadById: function() {
            return order.loadById(window.did);
        },
        // 加载数据,并显示到页面上
        onAfterShow: function() {
            if (this.matEva) {
                this.matEva.initData();
            }
            this.inherited(arguments);
            this.orderStateItem.set({
                label: "",
                rightText: ""
            });
            this.matList.destroyDescendants();
            this.expenseItem.set({
                label: "",
                rightText: ""
            });
            // 隐藏按钮
            domClass.add(this.payNode, "none");
            domClass.add(this.orderBtnNode, "none");           
            orderListMsg:[],
            this.orderDetailMsg = "",
            //加载订单信息
            this.getLoadById().then(lang.hitch(this, function(data) {
                if (data && data.data && data.data.ok == 1) {
                    this.orderFormShopId = data.data.item.fromShopId,
                    this.pacTeamId = data.data.item.pacTeamId;
                    //若订单未支付且未取消
                    if (data.data.item.isPayed === false && data.data.item.isCanceled === false) {
                        //重算订单支付方案
                        order.generatePaymentSchemeById(window.did).then(lang.hitch(this, function(data) {
                            //加载订单信息
                            this.getLoadById().then(lang.hitch(this, function(data) {
                                //刷新订单显示
                                this.refreshView(data);
                                this.onShowDetail();
                            }));
                        }));
                    } else {
                        //刷新订单显示
                        this.refreshView(data);
                        this.onShowDetail();
                    }
                }
            }));
        },
        onShowDetail: function(){
            this.getLoadDetailById().then(lang.hitch(this, function(data) {
                var items = data && data.data && data.data.items || [];
                this.orderListMsg = items;
                if (items.length) {
                    //更新收货人信息
                    this.orderStateItem.set({
                        label: "<div class='webkit-list'><div class='edit-car-dName'>收货人:" + (items[0].dName ? items[0].dName : "未知") + "</div><div class='edit-car-dTel'>" + (items[0].dTel ? items[0].dTel : "未知") + "</div></div>" + "<div class='immune-list'><div class='edit-car-dAddress'>收货地址：" + (items[0].dAddress ? items[0].dAddress : "未知") + "</div></div>"
                    });                    
                    for (var i = items.length - 1; i >= 0; i--) {
                        //var refundMsg = "";
                        if(this.orderItem.refundState != 2&&this.orderItem.refundState != 3){
                            if(items[i].refundState == 2){
                                items[i].refundMsg = "退款中";
                            }else if(items[i].refundState == 3){
                                items[i].refundMsg = "已退款";
                            }else{
                                items[i].refundMsg = "";
                            }
                        }else{
                            items[i].refundMsg = "";
                        }
                        var label = this.getDetailLabel(items[i]);
                        var listitem = null;
                        if("string"!=typeof(label)){
                            listitem = new ListItem({
                                label: "",
                                rightText: items[i].discountAmount?("<div class='edit-car-qtys'>x" + items[i].qty + "</div><div class='edit-car-subtotal'>小计:<span class='line-through'>￥" + window.fixedTo(items[i].price * items[i].qty, 3) + "</span>" + "<div style='text-align:right;'>￥" + window.fixedTo(parseFloat(items[i].amount)+parseFloat(items[i].discountAmount||0), 3) + "</div></div>"):("<div class='edit-car-qtys'>x" + items[i].qty + "</div><div class='edit-car-subtotal'>小计:<span>￥" + window.fixedTo(items[i].price * items[i].qty, 3) + "</span></div>"),
                                variableHeight: true
                            });
                            domConstruct.place(label,listitem.labelNode,"first");
                        }else{
                            listitem = new ListItem({
                                label: label,
                                rightText: items[i].discountAmount?("<div class='edit-car-qtys'>x" + items[i].qty + "</div><div class='edit-car-subtotal'>小计:<span class='line-through'>￥" + window.fixedTo(items[i].price * items[i].qty, 3) + "</span>" + "<div style='text-align:right;'>￥" + window.fixedTo(parseFloat(items[i].amount)+parseFloat(items[i].discountAmount||0), 3) + "</div></div>"):("<div class='edit-car-qtys'>x" + items[i].qty + "</div><div class='edit-car-subtotal'>小计:<span>￥" + window.fixedTo(items[i].price * items[i].qty, 3) + "</span></div>"),
                                variableHeight: true
                            });
                        }
                        this.matList.addChild(listitem);
                    }
                }
            }));
        },
        //当前的fromShopId
        orderFormShopId:"",
        //收货和交易完成后时间转化
        checkNowDate: function(date, numDay) {
            var nowDate = new Date();
            date = new Date(date);
            return (nowDate.getTime() <= date.getTime() + numDay * 24 * 60 * 60 * 1000) ? true : false;
        },

        getDetailLabel: function(item) {
            var label = "<img class='edit-car-matimg' src='" + item.mId.logo + "' mId='" + item.mId._id + "' fromShopId='"+item.mId.fromShopId+"'/><div><span class='edit-car-matname orderD-mat-mName-top'>" + item.mId.mName + "</span><span class='edit-car-refundMsg'>"+item.refundMsg+"</span><span class='edit-car-matprice orderD-mat-price-top'>￥" + window.fixedTo(item.price, 3) + "</span></div>" + "<div class='forth-btn ' detailId='" + item._id + "'>";
            // 修复订单取消后也可以收货的问题
            // 收货已经调整为整单收货,隐藏明细中的收货按钮
            //if(item.isDelived===true&&item.isRefounded===false&&item.isCanceled==false&&item.isReceipted===false){
            //    label += "<span class='edit-car-delivery'>收货</span>";
            //} else
            if (item.isReceipted && !item.isCanceled) {
                label += "<span>已收货</span>";
            }
            if (item.isReceipted && !item.isCanceled && !item.isRefounded && !item.isEvaluated) {
                label += "<span class='edit-car-comment'>评论</span>";
            }
            if (item.isReceipted && !item.isCanceled && !item.isRefounded && item.isEvaluated) {
                label += "<span class=''>已评论</span>";
            }
            label += "</div>";
            return label;
        },
        //取消订单
        //提供取消订单接口
        getCancelOrder: function() {
            return order.onCancelAll(window.did);
        },
        cancelOrder: function() {
            var isCalcelOrder = confirm("是否确认取消订单？");
            if (isCalcelOrder) {
                //系统busy状态,待请求完成后fre
				window.busy();
                this.getCancelOrder().then(lang.hitch(this, function(data) {
                    window.free();
                    if(this.pacTeamId){
                        this.changeTeamState(window.did).then(lang.hitch(this,function(){
                            this.onAfterShow();
                        }));
                    }else {
                        this.onAfterShow();
                    }
                }));
            }
        },
        //退款
        refundOrder:function(){
            var fromShopId = this.orderFormShopId;
			// 如果有申请过，直接跳转到申请页面
			refundApplication.loadByTsId({shopId:fromShopId,tsId:this.orderListMsg[0].tsId}).then(lang.hitch(this,function(data){
				if(data.data.ok == 1&&data.data.item._id){
                    var actualAmount = window.fixedTo(parseFloat(this.orderListMsg[0].amount)+parseFloat(this.orderListMsg[0].discountAmount||0)-parseFloat(this.orderListMsg[0].couponAmount||0)-parseFloat(this.orderListMsg[0].point||0),3);		
					window.moveToView("orderRefund",this.orderListMsg[0].tsId+"-"+data.data.item._id+"-"+fromShopId+"-"+actualAmount);
				} else {
					//this.orderListMsg里面存的是所有的订单信息
					if(this.orderListMsg.length==1){
						//直接跳转到填写退款单页面，优惠券、积分不退，只能退改后的价格
						var actualAmount = window.fixedTo(parseFloat(this.orderListMsg[0].amount)+parseFloat(this.orderListMsg[0].discountAmount||0)-parseFloat(this.orderListMsg[0].couponAmount||0)-parseFloat(this.orderListMsg[0].point||0),3);						
						window.moveToView("orderRefund",this.orderListMsg[0].tsId+"-add-"+this.orderListMsg[0].mId._id+"-"+fromShopId+"-"+actualAmount+"-"+this.orderListMsg[0]._id);
					} else {
						this.selectOrderMats();
						//多个商品的时候弹出overLay						
					}
				}
			}));
        },
        //创建选择商品的弹出框
        selectOrderMats:function(){
            this.toUpdateOrder().then(lang.hitch(this,function(datas){
                var ids = '';
                var actualAmount = 0;
				var details = "";
                if(datas&&datas.length){
                    for(var i=0;i<datas.length;i++){
                        ids +=datas[i]._id+"_";
                        actualAmount += parseFloat(datas[i].actualAmount);
						details +=datas[i].detailId+"_";
                    }
					if(ids){
						ids = ids.substring(0, ids.length - 1);
					}
					if(details){
						details = details.substring(0, details.length - 1);
					}
					window.moveToView("orderRefund",this.orderListMsg[0].tsId+"-add-"+ids+"-"+this.orderFormShopId+"-"+actualAmount+"-"+details);
                    //window.moveToView("orderRefund","mid-"+ids+"_amt-"+actualAmount+"_"+details);
                }
                
            }));
        },
        toUpdateOrder : function(){
            this.updateOrder = new UpdateOrderCode();
			this.orderEditDiv = domConstruct.create("div", {
				style : "height:400px;"
			});
			this.orderEditDiv.appendChild(this.updateOrder.domNode);
			this.showInOverlay(this.orderEditDiv);
			return this.updateOrder.showUpdateOption(this.orderListMsg);
        },
        //刷新订单显示
        refreshView: function(data) {
            var item = this.orderItem = data.data.item;
            // 保留fromShopId   杜飞军 2016/10/17
            this.fromShopId = item.fromShopId;
            this.orderDetailMsg = data;
            this.orderStateItem.set(
                //"rightText", item.isCanceled ? "已取消" : item.isPayed ? "已支付" : "<div class='edit-car-cancel'>取消订单</div>"
                "rightText", item.isCanceled ? "已取消" : (item.isPayed ? "已支付" : "待付款")
            );
            //费用明细
            var dates = date.formatISODateMinutes(data.data.item.createAt);
            this.expenseItem.set({
                label: "<div class='edit-car-amount'>订单号:</div>" 
					+(data.data.item.isPayed?"<div class='edit-car-amount'>支付方式:</div>":"")
                    + "<div class='edit-car-amount'>配送方式:</div>"
					+ (data.data.item.deliveryType == 1?"<div class='edit-car-amount'>运费:</div>":"")
					+ "<div class='edit-car-amount'>交易金额(含运费):</div>" 
					+ "<div class='edit-car-amount'>积分/优惠券抵扣:</div>" 
					+ "<div class='edit-car-amount'>应付金额:</div>" 
					+ "<div class='edit-car-amount'>创建时间:</div>"
					+(data.data.item.payTime?"<div class='edit-car-amount'>支付时间:</div>":"")					
					+(data.data.item.delivTime?"<div class='edit-car-amount'>发货时间:</div>":"")
					+(data.data.item.recepiptTime?"<div class='edit-car-amount'>签收时间:</div>":"")
					+(data.data.item.closeTime?"<div class='edit-car-createAt'>完成时间:</div>":"")
                    +"<div class='edit-car-amount refunddiv none'><button class='refund'>申请退款</button></div>",
                rightText: "<div class='edit-car-amount'>" + data.data.item._id + "</div>" 
					+(data.data.item.isPayed?("<div class='edit-car-amount'>"+ config.getPayTypeStr(data.data.item.payType)+"</div>"):"")
                    +"<div class='edit-car-amount'>" + (data.data.item.deliveryType==1?"配送":"自提") + "</div>"
					+ (data.data.item.deliveryType == 1?"<div class='edit-car-amount'>￥" + data.data.item.tAmount.toFixed(2) + "</div>":"")
					+ "<div class='edit-car-amount'>￥" + (parseFloat(data.data.item.amount)+parseFloat(data.data.item.discountAmount||0)).toFixed(2) + "</div>" 
					+ "<div class='edit-car-amount'>￥" + (data.data.item.couponAmount + data.data.item.point).toFixed(2) + "</div>"  
					+ "<div class='edit-car-amount yf_font_detail'>￥" + data.data.item.payAmount + "</div>" 
					+ "<div class='edit-car-amount'>" + dates + "</div>"
					+(data.data.item.payTime?("<div class='edit-car-amount'>"+ date.formatISODateMinutes(data.data.item.payTime)+"</div>"):"")					
					+(data.data.item.delivTime?("<div class='edit-car-amount'>"+ date.formatISODateMinutes(data.data.item.delivTime) +"</div>"):"")
					+(data.data.item.recepiptTime?("<div class='edit-car-amount'>"+ date.formatISODateMinutes(data.data.item.recepiptTime) +"</div>"):"")
					+(data.data.item.closeTime?("<div class='edit-car-createAt'>"+ date.formatISODateMinutes(data.data.item.closeTime) +"</div>"):"")
            });
            this.actualPayAmount = data.data.item.amount - (data.data.item.point + data.data.item.couponAmount);
            //this.getPayTypeInfos().then(lang.hitch(this, function(payTypes) {
     //            var payNodes = query(".edit-car-submit", this.payNode);
     //            var payModes = [false,false,false,false];
     //            if (item.isPayed === false && item.isCanceled === false) {
     //                payModes[0] = true;
     //                payModes[1] = true;
     //                payModes[2] = true;
     //                this.payAmount = data.data.item.amount;
     //            }else if(item.isPayed){
     //                payModes[3] = true;
     //            }
     //            payNodes.forEach(function(node, index) {
     //                domClass[payModes[index] ? "remove" : "add"](node, "none");
     //            });
     //            domClass.remove(this.payNode, "none");
     //            this.resize();
            //}));
            // 订单未取消未付款时显示支付按钮
            if(item.isPayed === false && item.isCanceled === false){
                domClass.remove(this.payNode,"none");
                this.resize();
            }
            if (item.isPayed === true) {
                domClass.remove(this.orderBtnNode,"none");
                //显示物流跟踪按钮
                domClass.remove(query(".logisticsBtn",this.orderBtnNode)[0],"none");

                domClass.add(query(".recepiptBtn",this.orderBtnNode)[0],"none");
                //显示确认收货按钮
                if(item.isCanceled === false && item.isReceipted === false && item.isDelived === true){
                    domClass.remove(query(".recepiptBtn",this.orderBtnNode)[0],"none");
                }
                this.resize();
            }
			// 已支付、未取消、未关闭时才能提交退货申请
			if(!data.data.item.isCanceled&&data.data.item.isPayed&&!data.data.item.isClosed){
				//data.data.item.isPayed && !data.data.item.isClosed && !data.data.item.isAccepted
                domClass.remove(query(".refunddiv",this.expenseItem.domNode)[0], "none");
				// 如果已提交，显示申请中
                //（1，未申请；2，申请中；3，退款成功；4，退款失败关闭）
				if(data.data.item.refundState == 2){
					query(".refund",this.expenseItem.domNode)[0].innerHTML = "退款处理中";
				}else if(data.data.item.refundState == 3){// 如果已同意退款，显示退款成功
					query(".refund",this.expenseItem.domNode)[0].innerHTML = "退款成功";
				}else if(data.data.item.refundState == 4){
					query(".refund",this.expenseItem.domNode)[0].innerHTML = "退款失败，已关闭";
				}else if(data.data.item.refundState == 1){
                    query(".refund",this.expenseItem.domNode)[0].innerHTML = "申请退款";
                }
                domClass.add(this.payNode, "none");
				this.resize();
			}
			
        },	        
        //支付按钮
        postButtom: function() {},
        //支付后修改拼团团队的状态
        updatePacTeam: function(data) {},
        changeTeamState: function(data){}
    });
});
