﻿// 变更人 ： 潘云
// 变更时间 ： 2016-6-22
// 变更内容 ：为平台添加店铺类型变量
// 变更人 ： 潘云
// 变更时间 ： 2016-7-6
// 变更内容 ：配置该平台下的等级模式
define([
    "dojo/_base/lang",
    "dojo/topic"
],function(lang,topic){
    window.fixedTo = function(value, cm) {
        // 有值才处理小数
        if (value || 0 === value) {
            cm = parseInt(cm, 10);
            if (cm && cm < 8) {
                //有效数字为 0 到 6 位时
                value = parseFloat(value, 10).toFixed(cm - 1);
            } else {
                //不控制时，解析为正常的小数
                value = parseFloat(value, 10);
            }
        } else {
            value = "";
        }
        return value;
    };
    //配置项platformShopId
    var config = lang.mixin(lang.getObject("cq.util.config.config",true),{
        //APP支付相关配置
        //启用微信APP支付设置为true
        appWxPay:true,
        //启用支付宝APP支付设置为true
        appAliPay:true,
        // 是否启用支付宝面对面支付
        appAlif2f:false,
        // 是否支付到平台
        payToPlatform:true,
        
        
        //打开之后默认显示的view，desktop_loader中已处理，其他loader中未处理
        mainView:"",
        version : '',
        platformShopId:'',
		fullURL:'',
        // 平台下的店铺类型
        shopType : '',
        shopType1 : '',
        industryType : '',
        // 客户级别
        shopLevel : '',
        // 配置平台下的商家等级
        shopGrade : '',
		// 配置平台下项目的类型
		prjType : '',
        // 配置平台下的畜类
        species : '',
        // 配置平台先物品领用记录的用途
        purpose : "",
        // 配置平台下商家提醒的事件
        taskTypes : '',
        // 张松   页面是否需要登录后才能进入，如果没有配置，则自动跳转到欢迎页面     2016/06/28
        mustLoginViews:null,
        //
        notLoginViews:null,
        //登录级别，支持登录和有用户id，商家端要求有当前用户id和当前商家
        loginLevel:'',
        //默认的销售区域，添加销售区域时的默认值
        defaltTranRegion:null,
        //服务商shopId
        serviceShopId:"",
        // 支付方式
        orderPayType:{
            "point":"积分支付",
            "weixin":"微信支付",
            "wxNative":"微信网页支付",
            "wxApp":"微信App支付",
            "aliwap":"支付宝手机网页支付",
            "aliweb":"支付宝网页支付",
            "chinaPay":"银联电子支付",
            "unionPay":"银联支付",
            "cash":"现金",
            "bocNB2B":"企业银联支付",
            "aliapp": "支付宝app支付", 
            "bocB2C": "中行个人银联网页支付", 
            "bocB2CMobile": "中行个人银联手机支付",
			"lineTransfer": "线下转账",
            "unionpayFront":"个人银联支付"
        },
        getPayTypeStr : function (type) {
            return this.orderPayType[type]||"未知";
        },        
        //图片上传配置
        //imageUpload:{
            //forceSize:true
        //},
        
        
        getPlatformShopId:function(){
            return this.platformShopId;
        },
        dataOrigin:"",
        getDataOrigin:function(){
            if(!this.dataOrigin){
				//干劲20150805：IE没有location.origin
                this.dataOrigin = window.location.protocol+"//"+window.location.host;
                if(-1<this.dataOrigin.indexOf("192.168.0.25")){
                    this.dataOrigin = "http://log.cqthink.com";
                }
            }
            return this.dataOrigin;
        },
        getS2Origin : function () {
            return this.getDataOrigin()+"/s2/"
        },
        noBackViews:[
            "",
            "main"
        ],
        brandStoreId: "" // 品牌店ID
    });
    topic.subscribe("whz/shop/changed",function(shop){
        config.__shopIdB = shop&&shop._id;
    });
    return config;
});
