//变更人:肖芳圆
//变更时间:2016/5/27
//原因:地理位置选择对象
//变更人：郭周全
//变更时间：2016/09/28
//原因：通过经纬度逆地理编码
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/xhr",
    "dojo/dom-construct",
    "dojo/dom-style",
    "dojo/dom-geometry",
    "dojo/Deferred",
    "dojo/DeferredList",
    "cq/ui/view/EditorBase",
    "cq/ui/view/ViewUtil",
    "cq/widgets/Map"
],function(declare,lang,xhr,domConstruct,domStyle,domGeom,Deferred,DeferredList,EditorBase,ViewUtil,MapBase){    if(!window.AMap){
        domConstruct.create("script",{
            //高德地图url
            src:"http://webapi.amap.com/maps?v=1.3&amp;key=0b9138e58ee2c5776ed90d144bfbfd97"
        },document.head,"last");
    }
    var MapPane = declare("",EditorBase,{
        //当前已添加的标记的需要
        _markIndex:0,
        //已添加的标记对象
        addedMarks:[],
        //工具条
        enableToolBar:true,
        enableOverView:true,
        //缩放
        enableMapScale:true,
        //编辑位置
        enableEdit:true,
        //中心点经度
        lon:0,
        //中心点维度
        lat:0,
        //默认缩放级别
        mapZoom:13,
        //默认特性
        features:["bg","point","road","building"],
        resize:function(){
            this.inherited(arguments);
            if(this.mapW){
                domStyle.set(this.mapW.domNode,"height","100%");
            }
        },
        createContent:function(){
            this.mapW = new MapBase({
                //当前已添加的标记的需要
                _markIndex:0,
                //已添加的标记对象
                addedMarks:[],
                //工具条
                enableToolBar:true,
                enableOverView:true,
                //缩放
                enableMapScale:true,
                //编辑位置
                enableEdit:true,
                //中心点经度
                lon:0,
                //中心点维度
                lat:0,
                //默认缩放级别
                mapZoom:13,
                //默认特性
                features:["bg","point","road","building"],
            });
            this.mapW.placeAt(this.contentPane.containerNode);
         
            setTimeout(lang.hitch(this,function(){
                this.initMap();
            },this),300);
            
            this.searchPane = domConstruct.create("div",{
                style:"position:absolute;top:0px;left:0px;width:100%;font-size:16px;",
                className:"pos-searchpane"
            },this.contentPane.containerNode ,"last");
            this.searchTopPane = domConstruct.create("div",{
                style:"width:100%;"+
                      "height:40px;"+
                      "padding:5px 5% 0px 5%;"+
                      "background:#fff;",
                      
                className:"pos-search-top"
            },this.searchPane ,"last");
            this.searchInputPane = domConstruct.create("div",{
                style: "width:90%;background:#ddd;border-radius: 5px;",
                className:"pos-inputpane"
            },this.searchTopPane,"last");
            this.searchInput = domConstruct.create("input",{
                type:"search",
                style:{
                    "width":"100%",
                    "height":"32px",
                    "border-style":"none",
                    "padding-left":"5%",
                    "color":"#000",
                    "font-size":"15px",
                    "border":"1px solid #ddd",
                    "border-radius": "5px"
                },
                placeholder:"搜索地点",
                id:"keyword",
                className:"pos-input",
                onblur:lang.hitch(this,this.inputBlur),
                onfocus:lang.hitch(this,this.inputFocus)
            },this.searchInputPane,"last");
            //domStyle.set(this.searchInput[placeholder],"color","#000");
            this.searchBox = domConstruct.create("ul",{
                className:"pos-autobox",
                style:{
                    "style-type":"none",
                    "width":"100%",
                    "background": "#fff",
                    "display":"none"    
                }
            },this.searchPane,"last");
            
        },
        initMap:function(mapId){
            if(this.enableEdit)
                //this.mapW.onMapClick = lang.hitch(this,this.onMapCenterChanged);
            this.mapW.initMapElement().then(lang.hitch(this,function(){
                // 地图初始化完成后，如果传入了lat 和 lon
                if (!this.lat || !this.lon) {
                    var centerObj = this.mapW.getCenter();
                    this.lon = centerObj.lng;
                    this.lat = centerObj.lat;
                }
                this.radius = this.radius || 1000;
                // 添加一个圆
                //this.onMapCenterChanged(this.lon,this.lat,this.radius);
                this.autocomplete();
            }));
        },
        addCircle : function (lon, lat, radius) {
            this.mapW.addCircle({lon:lon,lat:lat,radius : radius});
        },
        // 只能在map创建之后调用
        onMapCenterChanged:function(lon, lat, radius){
            // 中心点改变之后
            this.mapW.clearAllCircles();
            this.mapW.map.clearMap();
            this.searchInput.value = "";
            this.searchInput.blur();
            this.addCircle(lon, lat, radius);
            this.mapW.setCenter(lon,lat);     
        },
        setOrigin:function(position){
            if(position){
                this.lon = position.lon || this.lon;
                this.lat = position.lat || this.lat;
                this.radius = position.radius || this.radius;
                if(this.mapW){
                    setTimeout(lang.hitch(this,function(){
                        this.onMapCenterChanged(this.lon,this.lat, this.radius);
                    }),300);
                }
            }
        },
        startEdit:function(LngLat,refView,canEdit){
            if(this.mapW){
                this.mapW.clearAllCircles();   
            }
            this.setCurrentDist();
            this.showConpleteBtn(canEdit);
            
            if(canEdit==="false"||canEdit===false){
                this.enableEdit = false;
                domStyle.set(this.searchPane,"display","none");
            }else if(canEdit===true||canEdit==="true"){
                this.enableEdit = true;
                domStyle.set(this.searchPane,"display","");
            }
            this._clearSearch();
            return this.inherited(arguments);
        },
        setCurrentDist:function(data){
            this.distData = data;
        },
        getValue:function(){
            var circle = this.mapW.addedCircles[0];
            var lonlat = circle.getCenter();
            var radius = circle.getRadius();
            return lang.mixin(this.distData||{},{lon:lonlat.lng,lat:lonlat.lat, radius : radius});
        },
        getDistrict:function(){
            var def = new Deferred();
            if(this.mapW){
                this.mapW.getCity(function(data){
                    if(data.province&&data.district){
                        require([
                            "cq/biz/shop/bs/district"
                        ],function(district){
                            district.getPCCByName(data).then(function(data){
                                if(data&&data.data&&data.data.item&&data.data.item.province){
                                    def.resolve(data.data.item);
                                }else{
                                    def.resolve(null);
                                }
                            });
                        });
                    }else{
                        def.resolve(null);
                    }
                });
            }else{
                def.resolve(null);
            }
            return def;
        },
        showConpleteBtn:function(canEdit){
            if(false!==canEdit){
                this.completeButton.domNode.style.display = "inline-block";
            }else{
                this.completeButton.domNode.style.display = "none";
            }
        },
        autocomplete:function(){
            AMap.service(["AMap.Autocomplete"], lang.hitch(this,function(){
                var autoOptions = {
                        pageIndex:1, 
                        pageSize:5,  
                        city: "" //城市，默认全国
                    },
                    auto = new AMap.Autocomplete(autoOptions); 
                //查询成功时返回查询结果  
                AMap.event.addListener(auto, "complete", lang.hitch(this,function(e){
                    if(this.searchInput.value===""||!this.isShowAutoBox){
                        return;
                    }
                    this.searchBox.innerHTML = "";
                    if(e.info==="OK"&&e.tips.length>0){
                        domStyle.set(this.searchBox,"display","");
                        var datas  = this.searchDatas = e.tips;
                        for(var i=0;i<datas.length;i++){
                            domConstruct.create("li",{
                                innerHTML:datas[i].name,
                                index:i,
                                style:"height:29px;padding:2px 0px 2px 10px;border-bottom:1px solid #ccc;",
                                
                                onclick:lang.hitch(this,function(e){
                                    var index = e.target.getAttribute("index");
                                    this.searchQuery = datas[index];
                                    if(!this.searchQuery.location){
                                        this.searchQuery = datas[(index*1+1)]?datas[(index*1+1)]:datas[0];
                                    }
                                    this._searchAddMark();
                                })
                            },this.searchBox,"last");
                        }
                        if(!this.searchclickHandle){
                            this.searchclickHandle = this.connect(document.body,"click",lang.hitch(this,function(e){
                                if(e.target===this.searchInputPane||e.target.parentNode===this.searchInputPane){
                                    return;    
                                }
                                if(e.target.parentNode===this.searchBox){
                                    //因为要依赖节点作为判断条件，所以this._clearSearch()不能提出去
                                    this._clearSearch();
                                    this.searchInput.value = this.searchQuery.name;
                                }else{
                                    this._clearSearch();
                                }
                            }));    
                        }
                    }
                })); 
                var autoSearch = function(){
                    var keyword = this.searchInput.value;
                    if(!keyword){
                        this._clearSearch();
                    }else{
                        if(this.oninputHandle){
                            clearTimeout(this.oninputHandle);
                            this.oninputHandle = null;
                        }
                        this.oninputHandle = setTimeout(lang.hitch(this,function(){
                            auto.search(keyword);
                            clearTimeout(this.oninputHandle);
                            this.oninputHandle = null;
                        }),300); 
                        
                    }
                };
                this.searchInput.oninput = lang.hitch(this,autoSearch);  
            }));
        },
        _searchAddMark:function(){
            this.searchInput.value = this.searchQuery.name;
            domStyle.set(this.searchBox,"display","none");
            if(this.searchDatas){
                this.onMapCenterChanged(this.searchQuery.location.lng,this.searchQuery.location.lat, this.radius || 1000);                
            }
        },
        _clearSearch:function(){
            if(this.searchclickHandle){
                this.searchclickHandle.remove();
                this.searchclickHandle = null;
            }
            this.searchDatas = [];
            this.searchInput.value = "";
            //this.searchQuery = null;
            this.searchBox.innerHTML = "";
            domStyle.set(this.searchBox,"display","none");
        },
        inputFocus:function(){
            this.isShowAutoBox = true;
        },
        inputBlur:function(){
            this.isShowAutoBox = false;
        }
    });
    var editor = new ViewUtil({
        EditorClass:MapPane
    });
    editor.getCurrentDistName = function(){
        var def = new Deferred();
        if(this.editorView&&this.editorView.map){
            this.editorView.map.getCity(function(data){
                if(data.province&&data.district){
                    def.resolve(data);
                }else{
                    def.resolve();
                }
            });
        }
        return def;
    };
    
    var geocoder = null;
    var geocodeDef = null;
    var initGeocoder = function(){
        if(!geocodeDef){
            geocodeDef = new Deferred();
            AMap.service('AMap.Geocoder',function(){//回调函数
                //实例化Geocoder
                geocoder = new AMap.Geocoder({});
                geocodeDef.resolve();
            });
        }
        return geocodeDef;
    };
    //通过坐标来获得区划信息
    editor.getDistByLonLat = function(lon,lat){
        var def = new Deferred();
        if(lon&&lat){
            initGeocoder().then(function(){
                geocoder.getAddress(new AMap.LngLat(lon,lat),function(status,result){
                    if(status == "complete"){
                        var data = {};
                        data.city = result.regeocode.addressComponent.city;
                        data.citycode = result.regeocode.addressComponent.citycode;
                        data.district = result.regeocode.addressComponent.district;
                        data.province = result.regeocode.addressComponent.province;
                        def.resolve(data);    
                    }else{
                        def.resolve();
                    }
                });
            });
        }else{
            def.resolve();
        }
        return def;
    };
    //获取详细地址数据的方法。
    editor.getDetailAddrFields = function(lon,lat){
        var def = new Deferred();
        if(lon&&lat){
            initGeocoder().then(function(){
                geocoder.getAddress(new AMap.LngLat(lon,lat),function(status,result){
                    if(status == "complete"){
                        def.resolve(result.regeocode.formattedAddress);    
                    }else{
                        def.resolve();
                    }
                });
            });
        }else{
            def.resolve();
        }
        return def;
    };
    editor.setEnable=function(bool){
        this.editorView.enableEdit = bool;
    };
    lang.setObject("cq.util.edit.circleEdtior",editor);
    return editor;
});