﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-style",
    "dojo/dom-construct",
    "dojox/mobile/ScrollablePane",
    "cq/ui/view/EditorBase",
    
],function(declare,lang,domStyle,domConstruct,ScrollablePane,EditorBase){
    var EditContent = declare("",EditorBase,{
    });
    var editor = declare("",null,{
        editorContent:null,
        startEdit:function(param,refView,label){
            if(!this.editorView){
            // 创建一个带头部的标签页面
                this.editorView = new EditContent();
                //隐藏完成按钮
                domStyle.set(this.editorView.completeButton.domNode,"display","none");
                // 设置label
                this.editorView.header.set("label",label);
                this.scrollPane = new ScrollablePane();
                this.scrollPane.placeAt(this.editorView.contentPane,"first");
                // 将dataLayout 加入标签页面
                if(param){
                    this.scrollPane.containerNode.appendChild(param);
                }
                // 将标签页面加入节点并显示
                this.editorView.placeAt(refView.domNode,"after");
                // 初始化标签页面
                this.editorView.startup();
            }else{
                this.editorView.placeAt(refView.domNode,"after");
            }
            var def = this.editorView.startEdit.apply(this.editorView,arguments);
            
            return def;
        }
    });
    lang.setObject("cq.util.edit.tabView",editor);
    
    //return (new editor());
    return editor;
});