﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-construct",
    "dojo/Deferred",
    "cq/util/sys/userAgent"
],function(declare,lang,domConstruct,Deferred,userAgent){
    return {
        save:function(url){
            this.def = new Deferred();
            if(!userAgent.isApp()||(!cordova&&!window.canvas2ImagePlugin)){
                this.def.resolve(false)
                return this.def;
            }
            var imageNode = new Image();
            imageNode.onload = lang.hitch(this,function(){
                var width = imageNode.width,
                    height = imageNode.height;
                var canvasNode = domConstruct.create('canvas',{
                    width:width,
                    height:height
                });
                var ctx = canvasNode.getContext('2d'); 
                ctx.drawImage(imageNode,0,0);
                window.canvas2ImagePlugin.saveImageDataToLibrary(lang.hitch(this,function(msg){
                    console.log(msg);
                    this.def.resolve(true);
                }),lang.hitch(this,function(err){
                    console.log(err);
                    this.def.resolve(false);
                }),canvasNode); 
               
               
            });
            imageNode.onerror = lang.hitch(this,function(err){ 
                console.log(err);
                this.def.resolve(false);
            });
            imageNode.src = url;
            return this.def;
        }
    };
});
