﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/query",
    "dojo/dom-style",
    "dojo/dom-construct"
],function(declare,lang,query,domStyle,domConstruct){
    //return declare("cq.util.sys.alert",[],{
    return lang.mixin(lang.getObject("cq.util.sys.alert",true),{
        rewriteAlert:function(){
            
            var alertDom = query(".toast")[0];
            //检查alert依赖的节点是否存在，若不存在，自己创建
            if(alertDom) {
                this._rewriteAlert(alertDom);
            }else{
                domConstruct.place('<div class="toast" id="main_toast" style="display:none;"><center><div class="toast_inner"><p>再点击一次退出!</p></div></center></div>',document.body,"first");
                alertDom = query(".toast")[0];
                this._rewriteAlert(alertDom);
            }
        },
        _rewriteAlert : function(alertDom){
            var alertTimer = null;
            window.alert = function(txt) {
                clearTimeout(alertTimer);
                //如果有alert节点，则修改节点显示内容并显示
                query(".toast_inner p",alertDom)[0].innerHTML = txt;
                domStyle.set(alertDom, "display", "block");
                // 3秒后，隐藏alert
                alertTimer = setTimeout(function() {
                    domStyle.set(alertDom, "display", "none");
                }, 3000);
            };
        }
    });
});