﻿define([
    "dojo/ready"
],function(ready){
    var hcpConfig = {};
    var checkAndUpdate = function(){
        chcp.fetchUpdate(function(error, data) {
            if (error) {
                console.log('Failed to load the update with error code: ' + error.code);
                console.log(error.description);
                return;
            }
            chcp.installUpdate(function(){});
        });
    };
    if(window.chcp){
        document.addEventListener("deviceready",function(){
            chcp.configure({
                "auto-download":false,
                "auto-install":false
            }, checkAndUpdate, false);
        },false);
    }
    ready(function(){
        if(window.chcp){
            document.addEventListener("resume",checkAndUpdate,false);
            checkAndUpdate();
            document.addEventListener("chcp_updateIsReadyToInstall",function(){
                alert(hcpConfig.installInfo||"有新版本正在安装中");
                chcp.installUpdate(function(){});
            },false);
            document.addEventListener("chcp_updateInstalled",function(){
                alert(hcpConfig.installedInfo||"应用更新已完成");
            },false);
        }
    });
    return {
        initHcpInfo:function(config){
            hcpConfig = config||{};
        }
    };
});