// web端订单列表
define([
    "dojo/_base/declare",
    "dojo/_base/query",
    "dojo/on",
    "dojo/dom-construct",
    "cq/widgets/item/OrderListItem",
    "dojo/dom-class",
    "cq/util/sys/date"
],function(declare,query,on,domConstruct,listItem, domClass,date){
    return declare("cq.widgets.item.OrderListItemW", [listItem], {
        createHeader: function(){
            //创建订单列表头部
            domConstruct.create("div",{
                "class":"hflex full-width order-item-filter",
                style:"padding:10px 0 10px;background:#eaf8ff;",
                innerHTML:'<div style="width:520px;"><strong style="margin:0 10px;font-weight:700;">'+(date.formatISODateMinutes(this.params.createAt)||"")+'</strong>订单号：'+(this.params._id||"")+'</div>'
            },this.domNode)
        },
        createDetails:function(data){
            var htmlStr = "";
            htmlStr+='<div class="hflex full-width">'+
                        '<div class="hflex td" style="border-left: 1px solid #daf3ff;">'+
                            '<div style="width:515px" class="hflex">'+
                                '<div class="matlogo">'+
                                    '<img src="'+(data.mId.logo||"")+'">'+
                                '</div>'+
                                '<p class="order-item-mat-name">'+(data.mId.mName||"")+'</p>'+
                            '</div>'+
                            '<div class="middle-width">'+(window.fixedTo(data.price,3)||"")+'</div>'+
                            '<div class="middle-width">'+(data.qty||"")+'</div>'+
                        '</div>'+
                        '<div class="td middle-width"><p>'+(window.fixedTo(data.amount,3)||"")+'</p></div>'+
                        '<div class="td middle-width"><p style="margin-bottom:10px">'+this.getOrderStatus()+'</p><a style="color:red" class="moveToDetail" href="javascript:">订单详情</a></div>'+
                     '</div>'
            return domConstruct.toDom(htmlStr);
        },
        createCountNode:function(){
            var htmlStr = "";
            return domConstruct.toDom(htmlStr);
        },
        onListClick:function(dom,data,detailView){
            var target = query(".moveToDetail",dom);
            on(target, 'click', function () {
                window.moveToView(detailView, data._id);
            });
        }
    });
});