﻿define([
    "dojo/_base/declare",
    "dojo/_base/lang",
	"dojo/dom-construct",
    "dijit/_Widget",
	"cq/util/sys/date",
	"dojo/on",
    "cq/util/config/config"
],function(declare,lang,domConstruct,_Widget,date,on, config){
    return declare("cq.widgets.item.WaterfallItem", _Widget, {
        baseClass:"waterfallItem",
        params:null,
        buildRendering:function(){
            this.inherited(arguments);
            this.domNode.innerHTML = 
                "<div class='waterfallItem-content'><img class='waterfallItem-img' src='" + this.params.bgSrc + "'></div>";
            this.initClickEvent();
        },
        onClick:function(){
            var _this = this;
            var parent = this.getParent();
            if(parent.clickMethod){
                parent.dataProvider[parent.clickMethod](_this.params);
            }
        },
        initClickEvent:function(){
            this.own(on(this.domNode, "click", lang.hitch(this, this.onClick)));
        }
    });
});