define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-attr",
    'dojo/dom-style',
    "dijit/_WidgetBase",
    "dijit/_TemplatedMixin",
    "dojo/dom-class",
    "./_Mat",
    "cq/util/image/blob",
    //"cq/biz/ts/cart"
],function(declare,lang,domAttr,domStyle,_WidgetBase,_TemplatedMixin,domClass,_Mat,blob){
    return declare("",[_WidgetBase,_TemplatedMixin,_Mat],{
        templateString:"<table class='cart-mat' data-dojo-attach-point='domNode'>"+
            "<tr>"+
                "<td class='checkTd'>"+
                    //选择框
                    "<div class='checkNode matCheckNode' >"+//data-dojo-attach-point='selectNode'
                        "<input class='mat-check' type='checkbox' data-dojo-attach-point='selectNode'/>"+
                    "</div>"+
                "</td>"+
                "<td class='imgTd'>"+
                    //链接和图标
                    "<a class='block' data-dojo-attach-point='linkNode'>"+
                        "<img class='large-icon' data-dojo-attach-point='logoNode'/>"+
                    "</a>"+
                "</td>"+
                "<td class='infoTd'>"+
                    "<div data-dojo-attach-point='infoNode' class='infoNode'>"+
                        //标题
                        "<div class='normal title' data-dojo-attach-point='titleNode'></div>"+
                        //单价和数量
                        "<div class='btmNode'>"+
                            "<div class='dtlNode'>"+
                                "<div>"+
                                    "<span class='multi-icon right none' data-dojo-attach-point='showQtyNode'></span>"+
                                    "<span class='highlight' data-dojo-attach-point='priceNode'></span>"+
                                "</div>"+
                                //库存
                                "<div class='center stockQty'>库存(<span class='fixed-width-120' data-dojo-attach-point='maxQtyNode'></span>)</div>"+
                            "</div>"+
                            "<div data-dojo-attach-point='editNode'>"+// style='display:none'
                                //删除按钮
                                //"<div class='right-delete right' data-dojo-attach-point='deleteNode'>删除</div>"+
                                //数量加减
                                "<div class='editBtn'>"+
                                    "<span class='num-sub-icon sub' data-dojo-attach-point='subNode'>-</span>"+
                                    "<span class='fixed-width-120 showQty' data-dojo-attach-point='qtyNode'></span>"+
                                    "<span class='num-inc-icon add' data-dojo-attach-point='incNode'>+</span>"+
                                "</div>"+
                            "</div>"+
                        "</div>"+
                    "</div>"+
                "</td>"+
            "</tr>"+
        "</table>",
        //初始化节点，也可以直接用dojo模板实现
        buildRendering:function(){
            this.inherited(arguments);
            this.connect(this.selectNode,"onclick",this.onSelectClick);
            //this.connect(this.deleteNode,"onclick",this.deleteAll);
            this.connect(this.incNode,"onclick",this.qtyIncClick);
            this.connect(this.subNode,"onclick",this.qtySubClick);
        },
        startEdit:function(){
            
            //domStyle.set(this.titleNode,"display","none");
            //domStyle.set(this.showQtyNode,"display","none");
            //domStyle.set(this.editNode,"display","");
        },
        endEdit:function(){
           // domStyle.set(this.titleNode,"display","");
            //domStyle.set(this.showQtyNode,"display","");
           // domStyle.set(this.editNode,"display","none");
        },
        updateMatInfo:function(){
            //商品详情的链接
            if(this.domNode){
                domAttr.set(this.linkNode,"href","#matDetail-"+this.mid);
                this.logoNode.src = blob.getImageUrl(this.logo,"80");
                this.maxQtyNode.innerHTML = this.maxQty;
                this.titleNode.innerHTML = this.mName;
                this.showQtyNode.innerHTML = this.qtyNode.innerHTML = this.qty;
                this.priceNode.innerHTML = "￥"+this.price;
            }
            
        },
        //处理失效或库存为0的商品
        onDataReady:function(data){
            this.inherited(arguments);
            if(!data.isPurchase || !data.qty){
                //设置 disabled = true
                this.disabled = true;
                //如果是已经选中的商品,取消选中
                this.setSelected(false);
                //设置不可点击和勾选
                //domAttr.set(this.selectNode,"disabled","true");
                //直接设置不可看
                domStyle.set(this.selectNode,"display","none");
                domStyle.set(this.editNode,"display","none");
            }
        },
        setSubButtonDisabled:function(){
        },
        setIncButtonDisabled:function(){
        }
    });
});