define([
	"dojo/_base/declare",
	"dojo/_base/array",
	"dojo/_base/lang",
    "dojo/_base/event",
	"dojo/on",
	"dojo/query",
	"dojo/dom-construct",
	"dijit/_WidgetBase",
    "cq/util/image/blob",
	"cq/util/sys/date"
], function (declare, array, lang, event, on, query, domConstruct, _WidgetBase, blob, date) {
	return declare("cq.widgets.item.mat.MatListItem", [_WidgetBase], {
		baseClass: "mat-list-item",
		params: null,
        isFarmer: false,
        //赵春辉   在村头部分页面支持异步加载图片，重盐和酉阳网站不支持  2017-03-27
        lazyLoadLogo: false,
		buildRendering: function () {
			this.inherited(arguments);
            var location = window.location.href.split("#");
            var view = location.length>=2?window.location.href.split("#")[1].split("-")[0]:"";
            var detailView = (view=="supplyBus"?"searchDisMatDetail":"matDetail");
			var htmlStr = "",
				data = this.params.data;
            var mat_logo = blob.getImageUrl(data.logo,"320");
            htmlStr += '<div><a>'+
                '<div class="mat-logo">'+
                    "<div style='position:relative;'>"+(this.lazyLoadLogo?'<img alt="" src="'+blob.blankImg+'" data-src="' + mat_logo + '" />':'<img alt="" src="'+ mat_logo + '" />')+(data.qty<=0?"<img style='position:absolute;top:0;left:0;background:rgba(0,0,0,0.3);' src='images/temp/saleout.png'/>":"")+
                    "</div>"+
                    '<div class="shelf-mat-title">' + data.mName + '</div>'+
                '</div>';
			htmlStr += '<div class="mat-list-info">';
            if(!this.isFarmer){
                htmlStr += '<div class="mat-list-f">'+
                    '<div class="mat-list-farmer">'+
                        '<img src="' + blob.blankImg + '" data-src="' + ((data.farmer && data.farmer.logo) || 'images/temp/farmerLogo.png') + '"/>'+
                    '</div>';
                htmlStr += '<div class="mat-list-farmerInfo">';
                htmlStr += '<div class="mat-list-farmerName">' + ((data.farmer && data.farmer.pName) || '') + '</div>';
                if(data.farmer && data.farmer.pName){
                    htmlStr += '<div class="mat-list-farmerTo">去他家看看</div>'; 
                }
                htmlStr += '</div></div>';
            }
			htmlStr += '<div class="price"><span >￥<font>' + window.fixedTo(data.retailPrice, 3) + '</font></span></div>';
			var now = new Date();
			now.setHours(0);
			now.setMinutes(0);
			now.setSeconds(0);
			now.setMilliseconds(0);
			if(data.isSf&&!data.isUse&&data.expectShelfDate&&(now<new Date(data.expectShelfDate))){
				htmlStr += '<div class="price">'+date.formatISODate(data.expectShelfDate)+' 上架</div>';
			}
			htmlStr += '<div class="sale"><span >销量' + (data.totalSale||0) + '</span></div>';
			htmlStr += '</div>';
			htmlStr += '</div>';
			htmlStr += '</div>'+
            '</a></div>';
			var dom = domConstruct.toDom(htmlStr);
			this.onListClick(dom, data, detailView);
			query('.mat-list-f', dom)[0]&&this.onListFarmerClick(query('.mat-list-f', dom)[0], data);
            this.domNode.appendChild(dom);
		},
		onListClick: function (node, data, detailView) {
			this.own(on(node, 'click', function () {
				window.moveToView(detailView, data._id);
			}));
		},
		onListFarmerClick: function (node, data) {
			this.own(on(node, 'click', function (e) {
				event.stop(e);
                if(!data.farmer || !data.farmer._id) return;
                window.moveToView("farmerMsg", data.farmer._id);
            }));
        }
	});
});