define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/Deferred",
    "bob/user/consumer",
    "cq/widgets/item/orderInfo/info/AppOrderInfo"
],function(declare,lang, array,Deferred,consumer,AppOrderInfo){
    var props = 'addr:{addr},cart:{cart},order:{order},onlySelected:{onlySelected},ItemRender:{ItemRender},renderOption:{j:renderOption},orderType:{orderType}';
    return declare("",[AppOrderInfo],{
        htmlTemp:"<div id='{id}' class='{className}' data-dojo-type='cq/widgets/item/orderInfo/info/AppPacBuyOrderInfo' data-dojo-props='"+props+"'></div>",
        getOrderInfo:function(){
            //数据合法性检查
            //收货地址和交付方式
            //商品
            //如果有优惠券提交订单
            if(this.orderInfo.coupons&&this.orderInfo.coupons.length){
                var coupon = {};
                array.forEach(this.orderInfo.coupons,function(coupons){
                    coupon[coupons.fromShopId] = coupons._id;
                });
            }
            // 获取各个店铺的备注信息
            return {
                dName:this.orderInfo.addr.contactName,
                dTel:this.orderInfo.addr.tel,
                // 记录完整的地址信息 2017-2-28 刘轩
                dAddress:(this.orderInfo.addr.distAddr||"")+this.orderInfo.addr.detailAddress,
                //不使用优惠券
                coupon:coupon,
                remarks:this.getRemarks(),
                mids:JSON.stringify(this.cart.getMatQtys()),
                addressId:this.orderInfo.addr._id,
                deliveryTypes:this.getShopDist(),
                isPacBuy: true,
                pacTeamId: this.cart.getPacTeamId()
            };
        }
    });
});