define([
    "dojo/_base/declare",
    "dojo/dom-attr",
    "dijit/_TemplatedMixin",
    "dijit/_WidgetBase",
    "./_Mat"
],function(declare,domAttr,_TemplatedMixin,_WidgetBase,_Mat){
    return declare("",[_WidgetBase,_TemplatedMixin,_Mat],{
        templateString:'<div class="hflex order-item-li" data-dojo-attach-point="domNode">'+
            '<div class="hflex order-item-mat" style="width:640px;">'+
                '<a class="orderinfo-logo" data-dojo-attach-point="linkNode">'+
                    '<img data-dojo-attach-point="logoNode" style="width:64px;">'+
                '</a>'+
                '<div class="flex order-item-mat-name">'+
                    '<p data-dojo-attach-point="titleNode"></p>'+
                '</div>'+
            '</div>'+
            '<div class="flex td">'+
                '<p data-dojo-attach-point="priceNode"></p>'+
            '</div>'+
            '<div class="flex td">'+
                '<p data-dojo-attach-point="showQtyNode"></p>'+
            '</div>'+
            '<div class="flex td item-inner-price">'+
                '<p data-dojo-attach-point="totalNode"></p>'+
            '</div>'+
        '</div>',
        refreshMatInfo:function(){
            domAttr.set(this.linkNode,"src","#matDetail-"+this.matData._id);
            this.logoNode.src = this.matData.logo;
            this.titleNode.innerHTML = this.matData.mName;
            this.showQtyNode.innerHTML = "×"+this.matData.qty;
            this.priceNode.innerHTML = "￥"+window.fixedTo(this.matData.price,3);
            if(this.totalNode){
                this.totalNode.innerHTML = "￥"+window.fixedTo(this.matData.price*this.matData.qty,3);
            }
        }
    })
});