﻿define([
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/dom-construct",
    "dojo/on",
    "dijit/_WidgetBase",
    "cq/util/sys/date"
],function(declare,array,domConstruct,on,_WidgetBase,date){
    return declare("cq.widgets.item.refundListItemC", [_WidgetBase], {
        //徐阿雪 2017/3/2
        createHeader: function(){
            //创建订单状态栏
            this.params.userShopId = this.params.userShopId ||{}; 
            domConstruct.create("div",{
                "class":"o-t-title-shop",
                innerHTML: '<div class="icon">'+
                        '<img src="./images/temp/shopIcon.png">'+
                    '</div>'+
                    '<div class="title">'+
                        '<a href="#businessDetails-'+(this.params.userShopId&&this.params.userShopId._id)+'">'+(this.params.userShopId&&this.params.userShopId.shopName||"")+'</a>'+
                    '</div>'+
                    '<div class="status">'+this.getOrderStatus()+'</div>'
            },this.domNode);
        },
        getOrderStatus:function(){
            // 退款状态
            var state = "",data = this.params;
            //1买家申请等待卖家确认 2卖家同意 3卖家不同意 4财务已退款 5已取消
            if(data.state==1){
                state = "申请中";
            }else if(data.state==2){
                state = "卖家同意退款";
            }else if(data.state==3){
                state = "不同意退款";//不存在的可能
            }else if(data.state==4){
                state = "已退款";
            }else if(data.state==5){
                state = "已取消";
            }
            return state;
        },
        /*createDetails:function(data,refundMethod){
            var htmlStr = "";
            htmlStr+='<li class="order-detail-item">';
            htmlStr+=    '<img alt="" src="'+(data.logo||"")+'" class="icon" style="margin-top: 1px;">';
            htmlStr+=    '<div class="right item-info ">';
            htmlStr+=       '<div class="title"><span>'+(data.mName||"")+'</span><br><span style="font-size:1px;color:gray">退款方式:'+refundMethod+'</span></div>';
            //htmlStr+=        '<div class="title">'+refundMethod+'</div>';
            htmlStr+=    '</div>';
            htmlStr+='</li><div class="gap2"></div>';
            return domConstruct.toDom(htmlStr);
        },*/
        baseClass:"order-list-item",
        params:null,
        buildRendering:function(){
            this.inherited(arguments);
            //var countQty = 0;
            //退款金额
            var amount = this.params.amount;
            //应退金额
            var refundAmount = this.params.remindAmount;
            var refundMethod = "";
            if(this.params.treatmentMethod==1){
                refundMethod = "退款但不退货";
            }else{
                refundMethod = "退款且退货";
            }
			var userShopName = "";
            var view = window.location.href.split("#")[1].split("-")[0];
            var detailView = "refundRequestDetail";
			if(this.params.userShopId&&(this.params.userShopId.companyName||this.params.userShopId.shopName)){
				if(this.params.userShopId.companyName == this.params.userShopId.shopName) {
					this.userShopName = this.params.userShopId.companyName;
				} else {
					this.userShopName = this.params.userShopId.companyName+"("+this.params.userShopId.shopName+")";
				}				
			}
            this.createHeader();
            this.detailList = domConstruct.create("div",{
                "class":"order-detail-list"
            },this.domNode);
            /*array.forEach(this.params.mids,function (detail){
                this.detailList.appendChild(this.createDetails(detail,refundMethod));
            },this);*/
            this.countNode = domConstruct.create("div",{
                "class":"order-list-count",
            },this.domNode);
            this.countNode.appendChild(this.createCountNode(amount,refundAmount));
            this.onListClick(this.detailList,this.params,detailView);
        },
        onListClick:function(dom,data,detailView){
            on(dom, 'click', function () {
                window.moveToView(detailView, data._id);
            });
        },
        createCountNode:function(amount,refundAmount){
            var htmlStr = "";
            htmlStr += "<span class='qty'>交易金额:￥"+window.fixedTo(parseFloat(amount),3)+"</span>";
            htmlStr += "<span class='count'>退款金额:￥<i>"+window.fixedTo(parseFloat(refundAmount),3)+"<i></span>";
            //htmlStr += "<span class='tAmount'>（含运费：￥"+window.fixedTo(this.params.tAmount,3)+"）</span>"
            return domConstruct.toDom(htmlStr);
        },
    });
});