// 发送消息的区域
//      消息发送框
//      右侧发送图片按钮
// 发送消息的输入框
//      关心的内容:发送什么内容
//      不关心的内容:发给哪个商家的谁
define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/dom-construct",
    "dojo/touch",
    "dojo/query",
    "dojo/on",
    "dojo/Deferred",
    "dojo/dom-class",
    "dojo/dom-style",
    "dojox/mobile/TextBox",
    "dojox/mobile/ScrollablePane",
    "dijit/_WidgetBase",
    "dijit/_TemplatedMixin",
    "cq/app/widget/_WidgetBase",
    "cq/biz/blob/blob",
    "bob/im/msg/c",
    "cq/app/widget/utils/widget",
    "cq/util/sys/userAgent"
],function(declare,lang,array,domConstruct,touch,query,on,Deferred,domClass,domStyle,TextBox,ScrollablePane,_WidgetBase,_TemplatedMixin,_CqWidgetBase,blob,msg,widget,userAgent){
    return declare("",[_WidgetBase,_TemplatedMixin,_CqWidgetBase],{
        htmlTemp:"<div id='{id}' data-dojo-type='cq/widgets/item/svc/MsgBar' data-dojo-props=\"changeIcon:{changeIcon},iconSeries:{iconSeries},dataProvider:{dataProvider}\"></div>",
        templateString:"<div data-dojo-attact-point='domNode' class = 'msgBar '>"+ 
            "<div class='searchboxForm hflex' data-dojo-attach-point='serviceNode'>"+
				"<img style='margin-right:10px;height:29px' data-dojo-attach-point='msgNode' src='./images/temp/tool/image_selector.png'>"+
                "<input data-dojo-attach-point='inputNode' class='mblTextBox mblSearchBox cq-search search-box flex1' data-dojo-type='dojox/mobile/TextBox' placeHolder='请输入回复内容'>"+
                "<a data-dojo-attach-point='sendNode' style='padding: 3px 10px;border: 1px solid #be2f28;color: #be2f28;border-radius: 3px;margin-left: 10px;'>发送</a>"+
            "</div>"+
        "</div>",
        //<div class='miniIcon imageSelector'></div>
        //初始化界面元素
        buildRendering:function(){
            //执行默认方法
            //创建输入框和图片选择按钮
            //绑定事件
            this.inherited(arguments);
            //赵春辉   IOS上键盘遮住输入框的问题也可以通过resize解决 2017-03-15
            
            this.connect(this.inputNode,"onfocus",lang.hitch(this,function(e){
                if(userAgent.isIos()&&!this.oneClick){
                    this.oneClick = true;
                    this.firstBlur = true;
                    //domStyle.set(this.getParent().domNode,"top",(domStyle.get(this.getParent().domNode,"top")-domStyle.get(this.inputNode,"height"))+"px");
                    domStyle.set(this.getParent().domNode,"top",(domStyle.get(this.getParent().domNode,"top")-55)+"px");                    
                }
                if(userAgent.isAndroid()){                    
                    clearTimeout(this._viewResizeTimer);
                    this._viewResizeTimer = setTimeout(lang.hitch(this,function(){
                        widget.getEnclosingView(this).resize();
                    }),300);
                }
            }));
            this.connect(this.inputNode,"onblur",lang.hitch(this,function(e){
                if(userAgent.isIos()&&this.firstBlur){
                    domStyle.set(this.getParent().domNode,"top",(domStyle.get(this.getParent().domNode,"top")+55)+"px");
                    clearTimeout(this._viewResizeTimer);
                    this._viewResizeTimer = setTimeout(lang.hitch(this,function(){
                        widget.getEnclosingView(this).resize();
                    }),300);
                    this.firstBlur =false;
                }
            }));
            this.connect(this.inputNode,"onkeypress",this.sendMsg);
            if(this.changeIcon){
                var imgNode = this.domNode.getElementsByTagName('img')[0];
                if(imgNode){
                    imgNode.src = this.changeIcon;
                }
            }
            //发图片消息
            this.own(touch.release(this.msgNode,lang.hitch(this,function(){
                if(this.iconSeries){
                    setTimeout(lang.hitch(this,this.addToolsNode),300);
                }else{
                    this.imgSlect();
                } 
            })));
            /*this.connect(this.msgNode,"onclick" ,lang.hitch(this, function() {
                //如果配置了图片序列，则按照配置的图片序列添加底部弹窗选项，否则只做选图片操作(区分商家和消费者端的差异)
                if(this.iconSeries){
                    this.addToolsNode();
                }else{
                    this.imgSlect();
                }                
            }));*/
			//监听发送按钮
            this.own(touch.release(this.sendNode, lang.hitch(this, this._sendMsg)));
        },
        //调用blob方法处理图片
        imgSlect:function(){
            blob.selectAndUpload().then(lang.hitch(this, this.uploadImage));
        },
        addToolsNode:function(){
            if(!this.toolNode){
                this.toolNode = domConstruct.create("div",{
                    "style":"height:80px;border-top: 1px solid #e5e5e5;text-align:center",
                    "class": "hflex"
                },this.domNode);
                //重算msgBar的高度
                this.setDomTopHeight(-80);
                for(var i = 0;i<this.iconSeries.length;i++){
                    var that = this;
                    (function(i){
                        domConstruct.create("div",{
                            "class": "flex1",
                            innerHTML:"<img src='"+that.iconSeries[i].iconUrl+"' style='height:40px;'><div style='margin-top:5px;'>"+that.iconSeries[i].label+"</div>",
                            onclick:lang.hitch(that,function(){
                                that.clickMethod(that.iconSeries[i]);
                            })
                        },that.toolNode);
                    })(i);
                }
            }
            var listener = this.connect(document.body,"onclick",lang.hitch(this,function(e){
                if(!this.toolNode){
                    listener.remove();
                }
                //如果不是点击的本节点内容，将弹出的部分隐藏
                if(!this.domNode.contains(e.target)){
                    this.hideFootNode();
                }else{
                    //如果点击的是本节点的输入框和发送按钮，隐藏底部弹出区域
                    if(e.target.tagName.toLowerCase()=="input"||e.target.tagName.toLowerCase()=="a"){
                        this.hideFootNode();
                    }
                }
            }));
        },
        setDomTopHeight:function(param){
            domStyle.set(this.getParent().domNode,"top",(domStyle.get(this.getParent().domNode,"top")+param)+"px");
        },
        //处理点击事件，如果是选择图片，则按前面的逻辑处理，否则将在获取到数据后重新生成一个选择列表
        //并在选中完成后清除该列表，隐藏底部弹出框并发送选中的链接
        clickMethod:function(iconParam){
            if(iconParam&&iconParam.type == "img"){
                this.imgSlect();
                this.hideFootNode();
            }else{
                //获取要发送的内容，并调整底部样式
                this.clickDetail(iconParam).then(lang.hitch(this,function(data){
                    if(data){
                        this.onSubmitMsg("text",data);
                    }
                    this.hideFootNode();
                }));
            }
        },
        //点击事件的具体处理交给数据提供者来完成,返回要发送的内容(文本);
        clickDetail:function(iconParam){
            var def = new Deferred();
            if(this.dataProvider){
                if(lang.isString(this.dataProvider)){
                    require([this.dataProvider],lang.hitch(this,function(dataProvider){
                        this.dataProvider = dataProvider;
                        this.dataProvider[iconParam.clickMethod](iconParam,this).then(function(data){
                            def.resolve(data);
                        });
                    }));
                }else{
                    this.dataProvider[iconParam.clickMethod](iconParam,this).then(function(data){
                        def.resolve(data);
                    });
                }
            }
            return def;
        },
        hideFootNode:function(){
            if(this.toolNode){
                this.toolNode.remove();
                this.setDomTopHeight(80);
                this.toolNode="";
            }
        },
        //文本框回车事件
            //判断是否可以发送消息——文本框中内容不为空
                //调用自己改变的方法
        sendMsg:function(evt){
            if(evt.keyCode==13){
				//this.search = evt.target.value;
                this._sendMsg();
            }
        },
		_sendMsg: function(){
			this.search = this.inputNode.value;
			if (!this.search) {
				alert("发送消息不能为空!");
				return;
			}else{
				//evt.target.value = "";
				this.inputNode.value = "";
				this.onSubmitMsg("text",this.search);
			}
		},
        uploadImage:function(imageInfo){
            if (imageInfo && imageInfo.items && imageInfo.items[0]) {
                this.onSubmitMsg("image",imageInfo.items[0].uri);
            }
        },
        //图片选择按钮点击事件
            //调用blob的方法上传文件
                //得到文件地址之后调用自己改变的方法
        //执行刷新，清空内容，触发刷新事件
        onSubmitMsg:function(type,values){
            
        }
    });
});