define([
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/dom-construct",
    "dojo/on",
    "dijit/_WidgetBase",
    "cq/util/sys/date"
],function(declare,array,domConstruct,on,_WidgetBase,date){
    return declare("cq.widgets.item.travel.TravelItem", [_WidgetBase], {
        baseClass:"order-list-item",
        params:null,
        detailsShowRefundState: true,
        buildRendering:function(){
            this.inherited(arguments);
            var avgScoreMsg = "非常好";
            if(this.params.avgScore>=4.5&&this.params.avgScore<7.5){
                avgScoreMsg = "很好";
            }else if(this.params.avgScore<4.5){
                avgScoreMsg = "一般"
            }
            if(this.params)
            this.detailList = domConstruct.create("div",{
                "class":"order-detail-list",
                innerHTML:'<li class="order-detail-item">'+
                    '<img alt="" src="'+(this.params.logo?this.params.logo:"")+'" class="icon" style="margin-top: 1px;">'+
                    '<div class="right item-info hflex_top hflex">'+
                        "<div class='flex1'>"+
                            '<div class="pointSpace"><span style="font-weight:700;">'+this.params.pointName+'</span></div>'+
                            '<div class="pointSpace"><span>'+avgScoreMsg+','+window.fixedTo(this.params.avgScore||10,3)+'分 |</span><span>'+(this.params.visitedCount?this.params.visitedCount:"20")+'人消费</span></div>'+
                            '<div class="pointSpace">'+
                                '<span style="font-size:smaller;color: #be2f28">￥</span><span style="color: #be2f28">'+(this.params.avgPriceFrom?this.params.avgPriceFrom:"20")+'</span>'+
                                '<span style="font-size:smaller">起</span><span style="font-size:smaller">'+this.params.detailAddress+'</span>'+
                            '</div>'+
                        "</div>"+
                    '</div>'+
                '</li>'
            },this.domNode);
            this.onListClick(this.detailList,this.params);
        },//添加运费信息，style.css新建tAmount样式   2016/7/8 徐阿雪
        onListClick:function(dom,data){
            on(dom, 'click', function () {
                window.moveToView("tPoint", data._id);
            });
        }
    });
});