define([],function(){
    //提供layout公共部分的方法
    return {
        //APP账号相关按钮
        accountMenu:[{
            dojoType: "cq/app/widget/web/DataLayout",
            dataProvider: "whz/bo/consumer",
            className: "inherit-background no-margin-top",
            initMethod: "getUserDetail",
            layout:[{
                type : "form",
                canDelete:false,
                canAdd:false,
                canDnd:false,
                canEdit:false,
                fields:[{
                    type: "content",
                    content: '<div class="user-content">'+
                        '<div>'+
                            '<a href="#mdfUserInfo" class="userInfoLogo">'+
                                '<img src="images/temp/logo/maxLogo.png" class="user-logo"/>'+
                            '</a>'+
                        '</div>'+
                        '<div class="user-name"><span class="cq-field-input textLong" data-cq-field="organizationName"></span></div>'+
                    '</div>',
                    className: "inherit-background",
                    listClass: "inherit-background",
                }]
            }],
            waitFor: {
                "0": "cqViewParam"
            }
        },{
            dojoType:"cq/app/widget/mobile/List",
            items:[{
                href:"#mdfPwd",
                label: "修改密码",
                rightText: "点击修改",
                icon: "images/func/mdfPwd.png"
            },{
                href:"#shopAdmin",
                label:'店员管理',
                rightText:"点击查看",
                icon: "images/func/consumer.png"
            },{
                href:"#mdfUserInfo",
                label:'我的资料',
                rightText:"点击查看",
                icon: "images/func/userInfo.png"
            },{
                href:"#accountList",
                label:'账号管理',
                rightText:"点击查看",
                icon: "images/func/zhguanli.png"
            }],
            listClass: "inherit-icon",
            itemType: "IconLabel"
        },{
            dojoType: "cq/app/widget/mobile/List",
            items: [{
                href:"#about",
                label:"关于",
                rightText:"",
                icon: "images/func/set4.png"
            }],
            listClass: "inherit-icon",
            itemType: "IconLabel"
        }],
        //OLTP用户账号相关按钮
        oltpAccountMenu:[{
            dojoType:"cq/app/widget/mobile/List",
            items:[{
                href:"#accountList",
                label:'账号管理',
                rightText:"点击查看",
                icon: "images/func/zhguanli.png"
            },{
                href:"#about",
                label:"关于",
                rightText:"",
                icon: "images/func/set4.png"
            }],
            listClass: "inherit-icon",
            itemType: "IconLabel"
        }],
        //添加nepbaby的footer
        getnepBabyFooter: function(i){
            return {
                fixed:"bottom",
                className: "hflex",
                dojoType: "cq/app/widget/mobile/icon/DataContainer",
                items: [{
                    dojoType: "cq/app/widget/mobile/icon/Icon",
                    label: "首页",
                    href: "#main",
                    className: "footer-tab-col-normal",
                    icon: "images/temp/buttomIcon/home"+(i==1?"2":"1")+".png"
                },{
                    dojoType: "cq/app/widget/mobile/icon/DataIcon",
                    label: "系统设置",
                    className: "footer-tab-col-normal ",
                    href: "#setting",
                    icon: "images/temp/buttomIcon/setting"+(i==2?"2":"1")+".png"
                }]
            };
        }
    };
});