﻿define([
    "./common"
],function(common){
    return {
        views:{
            //业务员查询,门店(查询门店信息及积分)
            rankList:{
                mustLogin:true,
                cachePage:true
            }
        },
        layouts:{
        	rankList:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"排行榜",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/QueryLayout",
                dataProvider: "whz/bo/rank",
                initMethod: "initRankListLayout",
                queryLayoutMethod: "getRankListLayout",
                id: "1",
                searchLabel: "查询",
                enableSearchBtn:false,
                autoLoad:true,
                waitFor:{
                    // "0":"cqViewParam"
                }
            },{
                dojoType:"cq/app/widget/mobile/TypeContainer",
                labelList:{
                    dojoType:"cq/app/widget/mobile/icon/IconContainer",
                    className:"topContainer",
                    isFixedTop:true,
                    items:[{
                        dojoType:'cq/app/widget/mobile/icon/IconBase',
                        label:'前二十'
                    },{
                        dojoType:'cq/app/widget/mobile/icon/IconBase',
                        label:'后二十'
                    }]
                },
                panes: [{
                    dojoType:"cq/app/widget/mobile/TypePane",
                    contents:[{
                        dojoType: "cq/app/widget/mobile/TplList",
                        dataProvider: "whz/bo/rank",
                        dataMethod:"loadRunkData",
                        //targetMethod: "loadRank",
                        storeType:"whz/bo/JsonRest",
                        //queryParamMethod: "rankListQuery",
                        itemType: "dojox/mobile/ListItem",
                        itemPropMethod:"getRankListItemPro",
                        //pageSize:40,
                        listClass:"rankList",
                        enableBusy:true,
                        waitFor: {
                            "1": "1"
                        },
                        itemOptions: {
                            variableHeight: true,
                            label: '<div style="height:20px;display:flex;"><div style="display:inline-block;width:30px;">{rank}</div><div style="flex:1;display:inline-block;">{name}</div><div style="display:inline-block;flex:1;text-align:right;">{saleQty}</div></div>',
                             noArrow:true
                        }
                    }]
                }, {
                    dojoType:"cq/app/widget/mobile/TypePane",
                    contents:[{
                        dojoType: "cq/app/widget/mobile/TplList",
                        dataProvider: "whz/bo/rank",
                        dataMethod:"loadRunkDataDesc",
                        //targetMethod: "loadRank",
                        storeType:"whz/bo/JsonRest",
                        //queryParamMethod: "rankListQuery",
                        itemType: "dojox/mobile/ListItem",
                        itemPropMethod:"getRankListItemPro",
                        //pageSize:40,
                        listClass:"rankList",
                        enableBusy:true,
                        waitFor: {
                            "1": "1"
                        },
                        itemOptions: {
                            variableHeight: true,
                            label: '<div style="height:20px;display:flex;"><div style="display:inline-block;width:30px;">{rank}</div><div style="flex:1;display:inline-block;">{name}</div><div style="display:inline-block;flex:1;text-align:right;">{saleQty}</div></div>',
                             noArrow:true
                        }
                    }]
                }]
            }]
        }
    };
});
