define([
    "./common"
],function(common){
    return {
        views:{
            //业务员查询,门店(查询门店信息及积分)
            saleManageStore:{
                mustLogin:true
            },
            // 终端状态
            storeStatusPie:{
                mustLogin:true,
                preventScroll:true,
                cachePage:true
            },
            // 终端列表
            empStoreList:{
                mustLogin:true,
                cachePage:true
            },
            terminalOutput:{
                mustLogin:true,
                preventScroll:true,
                cachePage:true
            },
            terminalOutputList:{
                mustLogin:true,
                cachePage:true
            },
            terminalFlow:{
                mustLogin:true,
                cachePage:true
            },
            terminalFlowDetail:{
                mustLogin:true,
                cachePage:true
            },
            map:{
                mustLogin:true,
                preventScroll:true,
                cachePage:true
            },
            terminalSummary:{
                mustLogin:true,
                cachePage:true
            },
            taskAndProgress:{
                mustLogin:true,
                cachePage:true,
                preventScroll:true
            }
        },
        layouts:{
            taskAndProgress:[{
                fixed:"top",
                type:"topBar",
                label:"我的",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back",
                }],
                right:[/*{
                    dojoType:"cq/app/widget/mobile/TplList",
                    dataProvider:"whz/bo/terminal",
                    dataMethod:"getBrandData",
                    itemType: 'dojox/mobile/ListItem',
                    loadMoreData: false,
                    itemOptions: {
                        variableHeight: true,
                        noArrow: true,
                        label: "<div>{name}</div>"
                    },
                    workMode: "single",
                    id:"1",
                    clickMethod:"brandListClicked",
                    listClass: "brandList no-margin-top sort-label-item clear",
                    waitFor:{
                        "0":"cqViewParam"
                    }
                }*/
                {
                    dojoType:"cq/app/widget/mobile/icon/DropDown",
                    label:"<div class='brandListChecked'>喜安智</div>",
                    dropDownItems:[{
                        dojoType:"cq/app/widget/mobile/TplList",
                        dataProvider:"whz/bo/terminal",
                        waitFor:{
                            "0":"cqViewParam"
                        },
                        dataMethod:"getBrandData",
                        itemType: 'dojox/mobile/ListItem',
                        itemOptions:{
                            variableHeight:true,
                            noArrow:true,
                            label:"<div>{name}</div>"
                        },
                        clickMethod:"brandListClicked",
                        id:"1",
                        listClass: "no-margin-top sort-label-item clear brandList"
                    }]
                }]
            },{
                dojoType:"cq/app/widget/mobile/TplList",
                dataProvider:"whz/bo/terminal",
                dataMethod:"getTaskAndProgressData",
                itemType: 'dojox/mobile/ListItem',
                loadMoreData: false,
                itemOptions: {
                    variableHeight: true,
                    noArrow: true,
                    label: "<div style='color:#fcceb3;display:inline-block;width:50%;height:20px;'>年总达成金额</div>"
                    + "<div style='color:#fcceb3;display:inline-block;width:50%;height:20px;'>年总目标金额</div>"
                    + "<div style='color:#ffe;font-size:28px;line-height:30px;display:inline-block;width:50%;'>{yearProgress}</div>"
                    + "<div style='color:#ffe;font-size:28px;line-height:30px;display:inline-block;width:50%;'>{yearTask}</div>"
                    + "<div style='color:#fcceb3;width:50%;height:20px;display:inline-block;'>月达成金额({currMonth}月)</div>"
                    + "<div style='color:#fcceb3;width:50%;height:20px;display:inline-block;'>月目标({currMonth}月)</div>"
                    + "<div style='color:#ffe;font-size:28px;line-height:30px;width:50%;display:inline-block;'>{monthProgress}</div>"
                    + "<div style='color:#ffe;font-size:28px;line-height:30px;width:50%;display:inline-block;'>{monthTask}</div>"
                },
                id:"2",
                listClass: "no-margin-top sort-label-item clear taskAndProgress",
                waitFor:{
                    "1":"1"
                }
            },{
                dojoType:"echarts/TraceMap",
                dataProvider:"whz/bo/terminal",
                dataMethod:"getBarData",
                getSeriesMethod:"getBarSeries",
                backgroundColor:"white",
                tooltipItem:"item",
                waitFor:{
                    "2":"2"
                },
                grid:[{
                    left:60
                }],
                axisData:"getBarYAxis",
                yAxis:[{
                    type:"category",
                    axisTick:{
                        show:false
                    },
                    axisLine:{
                        show:false
                    },
                    splitLine:{
                        show:false
                    },
                    splitArea:{
                        show:false
                    },
                    axisLabel:{
                        show:false
                    }
                }],
                xAxis:[{
                    type:"value",
                    axisTick:{
                        show:false
                    },
                    axisLine:{
                        show:false
                    },
                    splitLine:{
                        show:false
                    },
                    splitArea:{
                        show:false
                    },
                    axisLabel:{
                        show:false
                    }
                },{
                    type:"value",
                    axisTick:{
                        show:false
                    },
                    axisLine:{
                        show:false
                    },
                    splitLine:{
                        show:false
                    },
                    splitArea:{
                        show:false
                    },
                    axisLabel:{
                        show:false
                    }
                }]
            }],
            terminalSummary:[{
                fixed:"top",
                type:"topBar",
                label:"终端数据汇总",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/terminal",
                layoutMethod: "getSummaryLayout",
                initMethod: "getSummaryInfo",
                reloadMethod:"onSummaryDataReady",
                waitFor: {
                    "0": "cqViewParam"
                },
                id:1
            },{
                dojoType: 'cq/app/widget/mobile/TplList',
                dataProvider: 'whz/bo/terminal',
                dataMethod:"getSeriesData",
                itemType: 'dojox/mobile/ListItem',
                id:2,
                waitFor:{
                    "0":"cqViewParam",
                    // "1":"1"
                },
                workMode: "single",
                allData: {
                    _id: "0",
                    selected:true,
                    groupName: "全部"
                },
                loadMoreData: false,
                listClass: "no-margin-top sort-label-item clear",
                itemOptions: {
                    variableHeight: true,
                    noArrow: true,
                    label: "<div class='hflex'>{groupName}</div>"
                }
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/terminal",
                layoutMethod: "getInQtyLayout",
                initMethod: "getQtyInfo",
                reloadMethod:"onInQtyReady",
                waitFor: {
                    "2": "series"
                }
            },{
                dojoType:'echarts/TraceMap',
                dataProvider:'whz/bo/terminal',
                dataMethod:'getInQtyData',
                getSeriesMethod:'getInQtySeries',
                clickMethod:"clickInQty",
                backgroundColor:"white",
                height:45,
                waitFor: {
                    "2":"series"
                },
                axisData:'inQtyAxisData',
                yAxis:[{
                    type:'category',
                    name:'上月进货环比',
                    axisLabel:{
                        show:false
                    }
                }],
                xAxis:[{
                    type:'value',
                    name:'进货数量',
                    boundaryGap:[0, '90%'],
                    axisTick:{
                        show:false
                    },
                    axisLine:{
                        show:false
                    },
                    splitLine:{
                        show:false
                    },
                    splitArea:{
                        show:false
                    }
                }]
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                dataProvider: "whz/bo/terminal",
                layoutMethod: "getOutQtyLayout",
                initMethod: "getQtyInfo",
                reloadMethod:"onOutQtyReady",
                waitFor: {
                    "2": "series"
                }
            },{
                dojoType:'echarts/TraceMap',
                dataProvider:'whz/bo/terminal',
                dataMethod:'getOutQtyData',
                getSeriesMethod:'getOutQtySeries',
                clickMethod:"clickOutQty",
                backgroundColor:"white",
                height:45,
                waitFor: {
                    "2":"series"
                },
                axisData:'OutQtyAxisData',
                yAxis:[{
                    type:'category',
                    name:'上月销售环比',
                    axisLabel:{
                        show:false
                    }
                }],
                xAxis:[{
                    type:'value',
                    name:'销售数量',
                    boundaryGap:[0, '90%'],
                    axisTick:{
                        show:false
                    },
                    axisLine:{
                        show:false
                    },
                    splitLine:{
                        show:false
                    },
                    splitArea:{
                        show:false
                    }
                }]
            },{
                dojoType:'echarts/TraceMap',
                dataProvider:'whz/bo/terminal',
                dataMethod:'getInQtyLineData',
                backgroundColor:'white',
                getSeriesMethod:'getLineSeries',
                height:300,
                title:"最近一年进货数量",
                tooltipItem:'axis',
                tooltipFormatter:'inQtyLineFormatter',
                axisData:'getLineCategory',
                xAxis:[{
                    name:"月份",
                    type:"category",
                    axisLabel:{
                        show:true
                    }
                }],
                waitFor: {
                    "2":"series"
                },
                yAxis:[{
                    name:"进货",
                    type:"value"
                }]
            },{
                dojoType:'echarts/TraceMap',
                dataProvider:'whz/bo/terminal',
                dataMethod:'getOutQtyLineData',
                backgroundColor:'white',
                title:"最近一年销售数量",
                getSeriesMethod:'getLineSeries',
                height:300,
                tooltipItem:'axis',
                tooltipFormatter:'OutQtyLineFormatter',
                axisData:'getLineCategory',
                xAxis:[{
                    name:"月份",
                    type:"category",
                    axisLabel:{
                        show:true
                    }
                }],
                waitFor: {
                    "2":"series"
                },
                yAxis:[{
                    name:"销量",
                    type:"value"
                }]
            },{
                dojoType:'echarts/TraceMap',
                dataProvider:'whz/bo/terminal',
                dataMethod:'getInQtyPieData',
                backgroundColor:'white',
                getSeriesMethod:'getPieSeries',
                title:"最近三月进货占比",
                tooltipItem:'item',
                height:300,
                tooltipFormatter:'inQtyPieFormatter',
                waitFor: {
                    "2":"series"
                },
                legend:{
                    data:'getPieLegend',
                    show:false
                }
            },{
                dojoType:'echarts/TraceMap',
                dataProvider:'whz/bo/terminal',
                dataMethod:'getOutQtyPieData',
                backgroundColor:'white',
                getSeriesMethod:'getPieSeries',
                title:"最近三月销量占比",
                tooltipItem:'item',
                height:300,
                tooltipFormatter:'outQtyPieFormatter',
                waitFor: {
                    "2":"series"
                },
                legend:{
                    data:'getPieLegend',
                    bottom:20,
                    show:false
                }
            }],
            map:[{
                fixed:"top",
                type:"topBar",
                label:"经销商流向数据",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/QueryLayout",
                dataProvider: "whz/bo/terminal",
                initMethod: "initMapLayout",
                queryLayoutMethod: "getMapLayout",
                id: "1",
                searchLabel: "查询",
                enableSearchBtn:false,
                autoLoad:true,
                enableRange:false,
                waitFor:{}
            },{
                dojoType:'echarts/TraceMap',
                dataProvider:'whz/bo/terminal',
                mapType:'bmap',
                bmap:{
                    center:[104.73,31.48],
                    zoom:5,
                    minZoom:5,
                    maxZoom:7,
                    roam:true
                },
                dataMethod:'getMapData',
                getSeriesMethod:'getMapSeries',
                tooltipItem:"item",
                tooltipFormatter:"mapFormatter",
                clickMethod:"clickMap",
                waitFor:{
                    "1":"1",
                    "0":"cqViewParam"
                },
                visualMap:[{
                    show:false,
                    seriesIndex:[0],
                    type:"continuous",
                    dimension:[5],
                    inRange:{
                        color:['#4ba7f8', '#2d9700']
                        //color:['rgb(238,32,43,0.5)','rgb(38,186,27,0.5)']
                    }
                }]
            }],
            terminalFlowDetail:[{
                fixed:"top",
                type:"topBar",
                label:"终端流向",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType:"cq/app/widget/mobile/TplList",
                storeType:"whz/bo/JsonRest",
                dataProvider:"whz/bo/terminal",
                targetMethod:"loadTerminalFlowDetail",
                queryParamMethod:"terminalFlowDetailQuery",
                itemPropMethod:"getTerminalFlowDetailItemPro",
                itemType:"dojox/mobile/ListItem",
                pageSize:20,
                enableBusy:true,
                waitFor:{
                    "0":"cqViewParam"
                    // "1":"1"
                },
                itemOptions:{
                    variableHeight:true,
                    noArrow:true,
                    label:"<div style='height:20px;'><div style='display:inline-block;'>{terminalName}</div><div style='text-align:right;display:inline-block;float:right;'>{qty}</div></div>"
                    +"<div style='height:20px;'>{createAt}</div>"
                }
            }],
            terminalFlow:[{
                fixed:"top",
                type:"topBar",
                label:"流向统计",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/QueryLayout",
                dataProvider: "whz/bo/terminal",
                initMethod: "initTerminalFlowLayout",
                queryLayoutMethod: "getTerminalFlowLayout",
                id: "1",
                // enableRange:false,
                searchLabel: "查询",
                autoLoad:true,
                enableSearchBtn:false,
                waitFor:{
                    // "0":"cqViewParam"
                }
            },{
                dojoType:"cq/app/widget/mobile/TplList",
                storeType:"whz/bo/JsonRest",
                dataProvider:"whz/bo/terminal",
                targetMethod:"loadTerminalFlow",
                queryParamMethod:"terminalFlowQuery",
                itemPropMethod:"getTerminalFlowItemPro",
                itemType:"dojox/mobile/ListItem",
                pageSize:20,
                enableBusy:true,
                clickMethod:"terminalFlowClicked",
                waitFor:{
                    // "0":"cqViewParam"
                    "1":"1"
                },
                allData:{
                    mName:"分组",
                    qty:"销售",
                    freeQty:"赠品",
                    realQty:"实物"
                },
                itemOptions:{
                    variableHeight:true,
                    label:"<div style='height:20px;display:flex;'><div style='flex:4;'>{mName}</div><div style='text-align:right;flex:1;'>{realQty}</div><div style='text-align:right;flex:1;'>{qty}</div><div style='text-align:right;flex:1;'>{freeQty}</div></div>"
                }
            }],
            terminalOutput:[{
                fixed:"top",
                type:"topBar",
                label:"店均产出(罐)",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/QueryLayout",
                dataProvider: "whz/bo/terminal",
                initMethod: "initTerminalOutputLayout",
                queryLayoutMethod: "getTerminalOutputLayout",
                id: "1",
                enableRange:false,
                searchLabel: "查询",
                autoLoad:true,
                enableSearchBtn:false,
                waitFor:{
                    // "0":"cqViewParam"
                }
            },{
                dojoType:"cq/app/widget/mobile/TplList",
                storeType:"whz/bo/JsonRest",
                dataProvider:"whz/bo/terminal",
                targetMethod:"loadTerminalOut",
                queryParamMethod:"terminalOutQuery",
                itemPropMethod:"getTerminalOutItemPro",
                itemType:"dojox/mobile/ListItem",
                pageSize:20,
                clickMethod:"terminalOutputClicked",
                enableBusy:true,
                waitFor:{
                    // "0":"cqViewParam"
                    "1":"1"
                },
                itemOptions:{
                    variableHeight:true,
                    label:"<div style='height:20px;display:flex;'><div style='flex:1;'>{brandId}</div><div style='flex:1;text-align:right;'>{avg}</div></div>"
                }
            }],
            storeStatusPie:[{
                fixed:"top",
                type:"topBar",
                label:"终端活跃",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType: "cq/app/widget/web/QueryLayout",
                dataProvider: "whz/bo/terminal",
                initMethod: "initTerminalActiveStatusLayout",
                queryLayoutMethod: "getTerminalActiveStutasLayout",
                id: "1",
                enableRange:false,
                searchLabel: "查询",
                autoLoad:true,
                enableSearchBtn:false,
                waitFor:{
                    // "0":"cqViewParam"
                }
            },{
                dojoType: "cq/app/widget/web/DataLayout",
                className: "inherit-background no-margin-top",
                dataProvider: "whz/bo/terminal",
                initMethod: "loadCurrMonthTerminal",
                clickMethod:"terminalOutClick",
                layout:[{
                    type : "form",
                    fields:[{
                        type : "content",
                        content: '<div class="cq-action" cq-action="terminalOutClick" style="height:40px;display:flex;">'
                        + '<div class="cq-field-input" data-cq-field="brandName" style="flex:1;text-align:left;line-height:40px;"></div>'
                        + '<div style="flex:1;text-align:center;">'
                        + '<div class="cq-field-input" data-cq-field="avg1" style="width:100%;height:20px;"></div>'
                        + '<div class="cq-field-input" data-cq-field="avg2" style="width:100%;height:20px;"></div>'
                        + '</div>'
                        + '<div class="cq-field-input" data-cq-field="avgFlag" style="line-height:40px;flex:1;text-align:right;"></div>'
                        + '</div>'
                    }]
                }],
                waitFor: {
                    "1": "1"
                }
            },{
                dojoType:"echarts/TraceMap",
                dataProvider:"whz/bo/terminal",
                dataMethod:"getTerminalActiveStutas",
                getSeriesMethod:"getTerminalActiveStatusSeries",
                tooltipItem:"item",
                tooltipFormatter:"formatter",
                backgroundColor:"#fff",
                clickMethod:"terminalPieClicked",
                height:300,
                legend:{
                    data:'getTerminalLegend',
                    formatter:function(name){
                        return name;
                    },
                    top:'80%'
                },
                waitFor:{
                    // "0":"cqViewParam",
                    "1":"1"
                }
            },{
                dojoType:"echarts/TraceMap",
                dataProvider:"whz/bo/terminal",
                dataMethod:"getLinesData",
                getSeriesMethod:"getLinesSeries",
                tooltipItem:"axis",
                tooltipFormatter:"linesFormatter",
                backgroundColor:"#fff",
                height:300,
                legend:{
                    data:"getLinesLegend"
                },
                axisData:"getLinesXData",
                xAxis:[{
                    type:"category",
                    show:true,
                    axisLabel: {
                        show: true
                    },
                    axisLine:{
                        show:true
                    },
                    axisTick:{
                        show:true
                    },
                    splitLine:{
                        show:true
                    },
                    axisPointer:{
                        show:true,
                        type:'line',
                        snap:false
                    }
                }],
                yAxis:[{
                    name:"活跃状态",
                    type:"value",
                    position:"left"
                },{
                    name:"店均产出",
                    type:"value",
                    position:"right"
                }],
                waitFor:{
                    "1":"1"
                }
            }],
            terminalOutputList:[{
                fixed:"top",
                type:"topBar",
                label:"门店产出(罐)",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }],
                right:[{
                    dojoType:"cq/app/widget/mobile/icon/IconContainer",
                    className:"DataContainer",
                    items:[{
                        dojoType:"cq/app/widget/mobile/icon/DataIcon",
                        label: "升序",
                        dataProvider:"whz/bo/terminal",
                        clickMethod:"changeSort",
                        className:"changeSort"
                    }]
                }]
            },{
                dojoType:"cq/app/widget/mobile/TplList",
                storeType:"whz/bo/JsonRest",
                dataProvider:"whz/bo/terminal",
                targetMethod:"loadTerminalOutput",
                queryParamMethod:"terminalOutputQuery",
                itemPropMethod:"getTerminalOutputItemPro",
                itemType:"dojox/mobile/ListItem",
                listClass:"terminalOutList",
                pageSize:20,
                waitFor:{
                    "0":"cqViewParam"
                },
                itemOptions:{
                    variableHeight:true,
                    noArrow:true,
                    label:"<div style='height:20px;display:flex;'><div style='flex:1;'>{terminalName}</div><div style='flex:1;text-align:right;'>{qty}</div></div>"
                }
            }],
            empStoreList:[{
                fixed:"top",
                type:"topBar",
                label:"终端列表",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                dojoType:"cq/app/widget/mobile/TplList",
                storeType:"whz/bo/JsonRest",
                dataProvider:"whz/bo/terminal",
                targetMethod:"loadTerminal",
                queryParamMethod:"terminalQuery",
                itemPropMethod:"getTerminalItemPro",
                itemType:"dojox/mobile/ListItem",
                pageSize:20,
                enableBusy:true,
                waitFor:{
                    "0":"cqViewParam"
                },
                itemOptions:{
                    variableHeight:true,
                    noArrow:true,
                    label:"<div style='height:20px;display:inline-block;'>{terminalName}</div>"
                        + "<div style='height:20px;float:right;display:inline-block;'>{lastTsDate}</div>"
                }
            }],
            saleManageStore:[{
                //顶部标题栏
                fixed:"top",
                type:"topBar",
                label:"门店查询",
                left:[{
                    type:"iconMenuItem",
                    label:"",
                    icon:"",
                    arrow:"left",
                    href:"back"
                }]
            },{
                //顶部搜索框
                fixed:"top",
                id:"1",
                dojoType:"cq/app/widget/mobile/SearchBox",
                placeholder: "请输入门店编号或者门店名称"
            },{
                dojoType: "cq/app/widget/mobile/TplList",
                storeType:"whz/bo/JsonRest",
                dataProvider: "whz/bo/terminal",
                targetMethod: "load",
                queryParamMethod: "ListQuery",
                itemPropMethod:"getItemPro",
                itemType: "dojox/mobile/ListItem",
                waitFor: {
                    "0": "cqViewParam",
                    "1": "search"
                },
                itemOptions: {
                    variableHeight: true,
                    label: '<div style="height:20px">'+
                            '<div style="float:right">{TerminalCode}</div>{TerminalName}'+
                        '</div>'+
                        '<div style="">经销商：{ClientName}</div>'+
                        '<div style=""><div style="float:right">{isRedeem}</div>可用积分：{usableIntegral}</div>',
                    noArrow:true
                }
            }]
        }
    };
});
